#
# spec file for package openstack-neutron
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define component neutron
%define groupname %{component}
%define username %{component}

%define version_unconverted 12.0.0.0b4.dev25

Name:           openstack-neutron
Version:        12.0.0.0~xbeta4~dev25
Release:        1.1
Summary:        OpenStack Network
License:        Apache-2.0
Group:          System/Management
Url:            https://launchpad.net/neutron
Source:         http://tarballs.openstack.org/neutron/neutron-master.tar.gz
Source1:        openstack-%{component}.service
Source2:        %{name}.logrotate
Source3:        neutron-sudoers
Source7:        openstack-neutron-dhcp-agent.service
Source8:        openstack-neutron-l3-agent.service
Source9:        openstack-neutron-linuxbridge-agent.service
Source10:       openstack-neutron-macvtap-agent.service
Source11:       openstack-neutron-metadata-agent.service
Source12:       openstack-neutron-metering-agent.service
Source13:       openstack-neutron-openvswitch-agent.service
Source14:       openstack-neutron-ovs-cleanup.service
Source30:       %name.conf
Source20:       https://raw.githubusercontent.com/SUSE-Cloud/cookbook-openstack-network/neutron-ha-tool-maintenance/files/default/neutron-ha-tool.py
Source21:       https://raw.githubusercontent.com/SUSE-Cloud/cookbook-openstack-network/neutron-ha-tool-maintenance/files/default/neutron-evacuate-lbaasv2-agent.py
Source50:       README.config
Source99:       rpmlintrc
BuildRequires:  crudini
BuildRequires:  fdupes
BuildRequires:  openstack-suse-macros
BuildRequires:  openstack-suse-sudo
BuildRequires:  python-devel
BuildRequires:  python-pbr
BuildRequires:  python-pyroute2
# Documentation/sample config build requirements:
BuildRequires:  python-Sphinx
BuildRequires:  python-debtcollector
BuildRequires:  python-fixtures
BuildRequires:  python-keystoneauth1
BuildRequires:  python-keystonemiddleware
BuildRequires:  python-neutron-lib
BuildRequires:  python-novaclient
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-os-xenapi
BuildRequires:  python-oslo.cache
BuildRequires:  python-oslo.config
BuildRequires:  python-oslo.db
BuildRequires:  python-oslo.i18n
BuildRequires:  python-oslo.log
BuildRequires:  python-oslo.messaging
BuildRequires:  python-oslo.policy
BuildRequires:  python-oslo.privsep
BuildRequires:  python-oslo.rootwrap
BuildRequires:  python-oslo.versionedobjects
BuildRequires:  python-oslotest
BuildRequires:  python-osprofiler
BuildRequires:  python-ovsdbapp
BuildRequires:  python-pecan
BuildRequires:  python-psutil
BuildRequires:  python-six
BuildRequires:  python-tenacity
BuildRequires:  python-testresources
BuildRequires:  python-weakrefmethod
Requires:       logrotate
Requires:       openstack-suse-sudo
Requires:       python >= 2.7
Requires:       python-neutron = %{version}
%if 0%{?suse_version}
Requires(pre):  pwdutils
%else
Requires(pre):  /usr/bin/getent /usr/sbin/useradd /usr/sbin/userdel /usr/sbin/groupadd /usr/sbin/groupdel
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Neutron is a virtual network service for Openstack.

Just like OpenStack Nova provides an API to dynamically request and
configure virtual servers, Neutron provides an API to dynamically
request and configure virtual networks. These networks connect
"interfaces" from other OpenStack services (e.g., vNICs from Nova VMs).
The Neutron API supports extensions to provide advanced network
capabilities (e.g., QoS, ACLs, network monitoring, etc)

%package -n python-neutron
Summary:        OpenStack Network - Python module
Group:          Development/Languages/Python
Requires:       python >= 2.7
Requires:       python-Jinja2 >= 2.8
Requires:       python-Paste >= 2.0.2
Requires:       python-PasteDeploy >= 1.5.0
Requires:       python-Routes >= 2.3.1
Requires:       python-SQLAlchemy >= 1.0.10
Requires:       python-netifaces >= 0.10.4
Requires:       python-oslo.cache >= 1.26.0
Requires:       python-oslo.privsep >= 1.23.0
Requires:       python-osprofiler >= 1.4.0
# WMI is only needed on windows
#Requires:       python-WMI
Requires:       python-WebOb >= 1.7.1
Requires:       python-alembic >= 0.8.10
Requires:       python-debtcollector >= 1.2.0
Requires:       python-designateclient >= 2.7.0
Requires:       python-eventlet >= 0.18.2
Requires:       python-httplib2 >= 0.9.1
Requires:       python-keystoneauth1 >= 3.3.0
Requires:       python-keystonemiddleware >= 4.17.0
Requires:       python-netaddr >= 0.7.18
Requires:       python-neutron-lib >= 1.13.0
Requires:       python-neutronclient >= 6.3.0
Requires:       python-novaclient >= 9.1.0
Requires:       python-os-xenapi >= 0.3.1
Requires:       python-os-xenapi >= 0.3.1
Requires:       python-oslo.concurrency >= 3.25.0
Requires:       python-oslo.config >= 5.1.0
Requires:       python-oslo.context >= 2.19.2
Requires:       python-oslo.db >= 4.27.0
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.log >= 3.36.0
Requires:       python-oslo.messaging >= 5.29.0
Requires:       python-oslo.middleware >= 3.31.0
Requires:       python-oslo.policy >= 1.30.0
Requires:       python-oslo.reports >= 1.18.0
Requires:       python-oslo.rootwrap >= 5.8.0
Requires:       python-oslo.serialization >= 2.18.0
Requires:       python-oslo.service >= 1.24.0
Requires:       python-oslo.utils >= 3.33.0
Requires:       python-oslo.versionedobjects >= 1.31.2
Requires:       python-ovs >= 2.8.0
Requires:       python-ovsdbapp >= 0.8.0
Requires:       python-pbr >= 2.0.0
Requires:       python-pecan >= 1.0.0
Requires:       python-psutil >= 3.2.2
Requires:       python-pyroute2 >= 0.4.21
Requires:       python-requests >= 2.10.0
Requires:       python-retrying >= 1.2.3
Requires:       python-ryu >= 4.14
Requires:       python-six >= 1.10.0
Requires:       python-stevedore >= 1.20.0
Requires:       python-tenacity >= 3.2.1
Requires:       python-weakrefmethod >= 1.0.2

%description -n python-neutron
This package contains the core Python module of OpenStack Neutron.

%package server
Summary:        OpenStack Network - Python module
Group:          Development/Languages/Python
PreReq:         %name = %version
Requires:       crudini

%description server
This package provides the Neutron server

%package dhcp-agent
Summary:        OpenStack Network - DHCP Agent
Group:          Development/Languages/Python
PreReq:         %name = %version
Requires:       dnsmasq >= 2.63
%if 0%{?suse_version} >= 1310
Requires:       dnsmasq-utils
%endif

%description dhcp-agent
This package provides the DHCP Agent.

%package l3-agent
Summary:        OpenStack Network Service (Neutron) - L3 Agent
Group:          Development/Languages/Python
PreReq:         %name = %version
Requires:       conntrack-tools

%description l3-agent
This package provides the L3 Agent.

%package linuxbridge-agent
Summary:        OpenStack Network - Linux Bridge Agent
Group:          Development/Languages/Python
Provides:       openstack-neutron-agent = %version
PreReq:         %name = %version
Requires:       conntrack-tools
Requires:       ebtables
Requires:       ipset
Requires:       iptables

%description linuxbridge-agent
This package provides the Linux Bridge Agent.

%package metadata-agent
Summary:        OpenStack Network - Meta Data Agent
Group:          Development/Languages/Python
PreReq:         %name = %version
Requires:       haproxy

%description metadata-agent
This package provides the Meta Data Agent.

%package metering-agent
Summary:        OpenStack Network - Metering Agent
Group:          Development/Languages/Python
PreReq:         %name = %version

%description metering-agent
This package provides the Metering Agent.

#%package mlnx-agent
#Summary:        OpenStack Network - Mellanox Plugin
#Group:          Development/Languages/Python
#PreReq:         %name = %version
#Provides:       openstack-quantum-mlnx-agent = 2013.2.0
#Obsoletes:      openstack-quantum-mlnx-agent < 2013.2.0

#%description mlnx-agent
#This package provides the Mellanox Agent

#%package ofagent-agent
#Summary:        OpenStack Network - ofagent Agent
#Group:          Development/Languages/Python
#Provides:       openstack-neutron-agent = %version
#PreReq:         %name = %version
#
#%description ofagent-agent
#This package provides the ofagent Agent.
#

%package openvswitch-agent
Summary:        OpenStack Network - Open vSwitch
Group:          Development/Languages/Python
Provides:       openstack-neutron-agent = %version
PreReq:         %name = %version
Requires:       conntrack-tools
Requires:       ipset
Requires:       iptables
Requires:       openvswitch

%description openvswitch-agent
This package provides the OpenVSwitch Agent.

%package macvtap-agent
Summary:        OpenStack Network - macvtap
Group:          Development/Languages/Python
PreReq:         %name = %version

%description macvtap-agent
This package provides the macvtap Agent.

%package test
Summary:        OpenStack Network - Testsuite
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       python-WebTest >= 2.0.27
Requires:       python-ddt >= 1.0.1
Requires:       python-fixtures >= 3.0.0
Requires:       python-mock >= 2.0.0
Requires:       python-os-testr >= 1.0.0
Requires:       python-oslotest >= 3.2.0
Requires:       python-python-subunit >= 1.0.0
Requires:       python-requests-mock >= 1.0
Requires:       python-testrepository >= 0.0.18
Requires:       python-testresources >= 2.0.0
Requires:       python-testscenarios >= 0.4
Requires:       python-testtools >= 2.2.0

%description test
The OpenStack Neutron testsuite. It is used to verify the functionality
of OpenStack Neutron.

%package ha-tool
Summary:        OpenStack Network - HA tool for L3 agent
Group:          Development/Languages/Python
Requires:       python-neutronclient >= 6.3.0
Requires:       python-paramiko >= 2.0
Requires:       python-retrying >= 1.2.3

%description ha-tool
This package provides a high availability tool for neutron networking that is
able to find offline l3 agents and migrate them to another online agents.

%prep
%setup -q -n %{component}-%{version_unconverted}
# ignore warnings during doc build
crudini --set setup.cfg build_sphinx warning-is-error false

%openstack_cleanup_prep

%build
cp %{SOURCE20} %{SOURCE21} .
python setup.py build
python setup.py build_sphinx -b man

PYTHONPATH=. tools/generate_config_file_samples.sh

%install
python setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot} --install-data=/

### directories
install -d -m 750 %{buildroot}%{_localstatedir}/{lib,log}/%{component}
install -d -m 750 %{buildroot}%{_localstatedir}/cache/%{component}
install -D -m 644 %{SOURCE30} %{buildroot}/%_tmpfilesdir/%name.conf

### configuration files
install -p -D -m 640 %{SOURCE50} %{buildroot}%{_sysconfdir}/%{component}/README.config
for c in neutron.conf dhcp_agent.ini l3_agent.ini metadata_agent.ini metering_agent.ini ; do
    install -p -D -m 644 etc/$c.sample %{buildroot}%{_sysconfdir}/%{component}/$c
done
for c in linuxbridge_agent.ini ml2_conf.ini openvswitch_agent.ini sriov_agent.ini macvtap_agent.ini ; do
    install -p -D -m 644 etc/neutron/plugins/ml2/$c.sample %{buildroot}%{_sysconfdir}/%{component}/plugins/ml2/$c
done
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

### systemd units
mkdir -p %{buildroot}%{_sbindir} %{buildroot}%{_unitdir}

install -p -D -m 444 %{SOURCE1} "%{buildroot}%{_unitdir}/%{name}.service"
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rcopenstack-%{component}

agents=(\
     dhcp-agent \
     l3-agent \
     linuxbridge-agent \
     macvtap-agent
     metadata-agent \
     metering-agent \
     openvswitch-agent \
)

agent_units=(\
    %{SOURCE7} \
    %{SOURCE8} \
    %{SOURCE9} \
    %{SOURCE10} \
    %{SOURCE11} \
    %{SOURCE12} \
    %{SOURCE13}
)

for i in ${!agents[@]} ; do
  install -p -D -m 444 "${agent_units[$i]}" "%{buildroot}%{_unitdir}/%{name}-${agents[$i]}.service"
  ln -s %{_sbindir}/service "%{buildroot}%{_sbindir}/rc%{name}-${agents[$i]}"
done

install -p -D -m 444 %{SOURCE14} "%{buildroot}%{_unitdir}/%{name}-ovs-cleanup.service"
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-ovs-cleanup

### sudoers configuration for nova-rootwrap:
install -D -m 440 %{SOURCE3} %{buildroot}%{_sysconfdir}/sudoers.d/openstack-neutron

### documentation
install -d %{buildroot}%{_mandir}/man1
install -m 644 doc/build/man/*.1 %{buildroot}%{_mandir}/man1

### default core plugin (the plugin.ini link defines the used plugin. see .service file)
ln -s %{_sysconfdir}/neutron/plugins/ml2/ml2_conf.ini %{buildroot}/%{_sysconfdir}/neutron/plugin.ini

### extra config dirs
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/%{component}.conf.d/
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/%{component}-server.conf.d/
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/%{component}-l3-agent.conf.d/
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/%{component}-dhcp-agent.conf.d/
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/%{component}-metadata-agent.conf.d/
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/%{component}-metering-agent.conf.d/
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/%{component}-linuxbridge-agent.conf.d/
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/%{component}-openvswitch-agent.conf.d/

## SUSE configuration defaults
%define neutron_conf %{buildroot}%{_sysconfdir}/%{component}/%{component}.conf.d/010-%{component}.conf
%define plugin_dir %{buildroot}/etc/neutron/plugins/
crudini --set %{neutron_conf} DEFAULT state_path /var/lib/%{component}
crudini --set %{neutron_conf} DEFAULT log_dir /var/log/%{component}
crudini --set %{neutron_conf} agent root_helper "sudo neutron-rootwrap /etc/neutron/rootwrap.conf"
crudini --set %{neutron_conf} oslo_concurrency lock_path /var/run/%{component}

### test subpackage
%openstack_test_package_install
%fdupes %{buildroot}%{_localstatedir}/lib/%{name}-test

#TODO/FIXME: there's an upstream discussion on how to install these,
# it's related to setuptools_git / MANIFEST.in issues.
for i in \
         neutron/tests/etc/api-paste.ini.test \
         ; do
    install -m 0644 -D $i %{buildroot}%{python_sitelib}/$i
done

### ha tool
install -m 755 neutron-ha-tool.py %{buildroot}%{_bindir}/neutron-ha-tool
install -m 755 neutron-evacuate-lbaasv2-agent.py %{buildroot}%{_bindir}/neutron-evacuate-lbaasv2-agent

### misc
%fdupes %{buildroot}%{python_sitelib}/%{component}
%fdupes %{buildroot}%{_bindir}

### authentication cache dir
mkdir -p %{buildroot}%{_localstatedir}/cache/%{component}

%pre
%openstack_pre_user_group_create %{username} %{groupname}

%pre server
%service_add_pre openstack-%{component}.service

%post server
%service_add_post openstack-%{component}.service

%preun server
%stop_on_removal openstack-%{component}.service
%service_del_preun openstack-%{component}.service

%postun server
%service_del_postun openstack-%{component}.service

%pre dhcp-agent
%service_add_pre openstack-neutron-dhcp-agent.service

%post dhcp-agent
%service_add_post openstack-neutron-dhcp-agent.service

%preun dhcp-agent
%service_del_preun openstack-neutron-dhcp-agent.service

%postun dhcp-agent
%service_del_postun openstack-neutron-dhcp-agent.service

%pre l3-agent
%service_add_pre openstack-neutron-l3-agent.service

%post l3-agent
%service_add_post openstack-neutron-l3-agent.service

%preun l3-agent
%service_del_preun openstack-neutron-l3-agent.service

%postun l3-agent
%service_del_postun openstack-neutron-l3-agent.service

%pre metadata-agent
%service_add_pre openstack-neutron-metadata-agent.service

%post metadata-agent
%service_add_post openstack-neutron-metadata-agent.service

%preun metadata-agent
%service_del_preun openstack-neutron-metadata-agent.service

%postun metadata-agent
%service_del_postun openstack-neutron-metadata-agent.service

%pre metering-agent
%service_add_pre openstack-neutron-metering-agent.service

%post metering-agent
%service_add_post openstack-neutron-metering-agent.service

%preun metering-agent
%service_del_preun openstack-neutron-metering-agent.service

%postun metering-agent
%service_del_postun openstack-neutron-metering-agent.service

%pre linuxbridge-agent
%service_add_pre openstack-neutron-linuxbridge-agent.service

%post linuxbridge-agent
%service_add_post openstack-neutron-linuxbridge-agent.service

%preun linuxbridge-agent
%service_del_preun openstack-neutron-linuxbridge-agent.service

%postun linuxbridge-agent
%service_del_postun openstack-neutron-linuxbridge-agent.service

%pre openvswitch-agent
%service_add_pre openstack-neutron-openvswitch-agent.service
%service_add_pre openstack-neutron-ovs-cleanup.service

%post openvswitch-agent
%service_add_post openstack-neutron-openvswitch-agent.service
%service_add_post openstack-neutron-ovs-cleanup.service

%preun openvswitch-agent
%service_del_preun openstack-neutron-openvswitch-agent.service
%service_del_preun openstack-neutron-ovs-cleanup.service

%postun openvswitch-agent
%service_del_postun openstack-neutron-openvswitch-agent.service
%service_del_postun openstack-neutron-ovs-cleanup.service

%pre macvtap-agent
%service_add_pre openstack-neutron-macvtap-agent.service

%post macvtap-agent
%service_add_post openstack-neutron-macvtap-agent.service

%preun macvtap-agent
%service_del_preun openstack-neutron-macvtap-agent.service

%postun macvtap-agent
%service_del_postun openstack-neutron-macvtap-agent.service

%post
%tmpfiles_create %{_tmpfilesdir}/%{name}.conf

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config %{_sysconfdir}/sudoers.d/openstack-neutron
%dir %{_sysconfdir}/%{component}
%dir %{_sysconfdir}/%{component}/%{component}.conf.d/
%dir %{_sysconfdir}/%{component}/%{component}-server.conf.d/
%dir %{_sysconfdir}/%{component}/%{component}-l3-agent.conf.d/
%dir %{_sysconfdir}/%{component}/%{component}-dhcp-agent.conf.d/
%dir %{_sysconfdir}/%{component}/%{component}-metadata-agent.conf.d/
%dir %{_sysconfdir}/%{component}/%{component}-metering-agent.conf.d/
%dir %{_sysconfdir}/%{component}/%{component}-linuxbridge-agent.conf.d/
%dir %{_sysconfdir}/%{component}/%{component}-openvswitch-agent.conf.d/
%{_sysconfdir}/%{component}/README.config
%config(noreplace) %{_sysconfdir}/%{component}/api-paste.ini
%config(noreplace) %{_sysconfdir}/%{component}/plugin.ini
%config %{_sysconfdir}/%{component}/policy.json
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/neutron.conf
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/%{component}.conf.d/010-%{component}.conf
%config %{_sysconfdir}/%{component}/rootwrap.conf
%dir %{_sysconfdir}/%{component}/rootwrap.d/
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/lib/%{component}
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/log/%{component}
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/cache/%{component}
%_tmpfilesdir/%name.conf
%dir %{_sysconfdir}/%{component}/plugins
%dir %{_sysconfdir}/%{component}/plugins/ml2/
%config(noreplace) %{_sysconfdir}/%{component}/plugins/ml2/linuxbridge_agent.ini
%config(noreplace) %{_sysconfdir}/%{component}/plugins/ml2/ml2_conf.ini
%config(noreplace) %{_sysconfdir}/%{component}/plugins/ml2/openvswitch_agent.ini
%config(noreplace) %{_sysconfdir}/%{component}/plugins/ml2/sriov_agent.ini
%config %{_sysconfdir}/%{component}/rootwrap.d/iptables-firewall.filters
%config %{_sysconfdir}/%{component}/rootwrap.d/ipset-firewall.filters
%config %{_sysconfdir}/%{component}/rootwrap.d/ebtables.filters
%config %{_sysconfdir}/%{component}/rootwrap.d/dibbler.filters
%config %{_sysconfdir}/%{component}/rootwrap.d/netns-cleanup.filters
%{_bindir}/%{component}-debug
%{_bindir}/%{component}-keepalived-state-change
%{_bindir}/%{component}-netns-cleanup
%{_bindir}/%{component}-ipset-cleanup
%{_bindir}/%{component}-rootwrap
%{_bindir}/%{component}-rootwrap-daemon
%{_bindir}/%{component}-rootwrap-xen-dom0
%{_bindir}/%{component}-sanity-check
%{_bindir}/%{component}-sriov-nic-agent
%{_bindir}/%{component}-usage-audit
%{_mandir}/man1/%{component}.1%{?ext_man}

%files dhcp-agent
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/%{component}-dhcp-agent
%{_unitdir}/%{name}-dhcp-agent.service
%{_sbindir}/rcopenstack-%{component}-dhcp-agent
%config(noreplace) %{_sysconfdir}/%{component}/dhcp_agent.ini
%config %{_sysconfdir}/%{component}/rootwrap.d/dhcp.filters

%files l3-agent
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/%{component}-l3-agent
%{_bindir}/%{component}-pd-notify
%config %{_sysconfdir}/%{component}/rootwrap.d/l3.filters
%config(noreplace) %{_sysconfdir}/%{component}/l3_agent.ini
%{_unitdir}/%{name}-l3-agent.service
%{_sbindir}/rcopenstack-%{component}-l3-agent

%files metadata-agent
%defattr(-,root,root,-)
%doc LICENSE
%config(noreplace) %{_sysconfdir}/%{component}/metadata_agent.ini
%{_bindir}/%{component}-metadata-agent
%{_unitdir}/%{name}-metadata-agent.service
%{_sbindir}/rcopenstack-%{component}-metadata-agent

%files metering-agent
%defattr(-,root,root,-)
%doc LICENSE
%config(noreplace) %{_sysconfdir}/%{component}/metering_agent.ini
%{_bindir}/%{component}-metering-agent
%{_unitdir}/%{name}-metering-agent.service
%{_sbindir}/rcopenstack-%{component}-metering-agent

#%files mlnx-agent
#%defattr(-,root,root,-)
#%doc LICENSE
#%dir %{_sysconfdir}/%{component}/plugins/mlnx
#%config(noreplace) %{_sysconfdir}/%{component}/plugins/mlnx/mlnx_conf.ini
#%{_bindir}/%{component}-mlnx-agent
#%{_unitdir}/openstack-%{component}-mlnx-agent.service
#%{_sbindir}/rcopenstack-%{component}-mlnx-agent

#files ofagent-agent
#defattr(-,root,root,-)
#doc LICENSE
#{_bindir}/%{component}-ofagent-agent
#config %{_sysconfdir}/%{component}/rootwrap.d/ofagent.filters

%files linuxbridge-agent
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/%{component}-linuxbridge-agent
%{_bindir}/%{component}-linuxbridge-cleanup
%config %{_sysconfdir}/%{component}/rootwrap.d/linuxbridge-plugin.filters
%dir %{_sysconfdir}/%{component}/plugins/ml2/
%{_unitdir}/%{name}-linuxbridge-agent.service
%{_sbindir}/rcopenstack-%{component}-linuxbridge-agent

%files openvswitch-agent
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_sysconfdir}/%{component}/plugins/ml2/
%{_bindir}/%{component}-openvswitch-agent
%{_bindir}/%{component}-ovs-cleanup
%{_unitdir}/%{name}-ovs-cleanup.service
%{_sbindir}/rcopenstack-%{component}-ovs-cleanup
%config %{_sysconfdir}/%{component}/rootwrap.d/openvswitch-plugin.filters
%{_unitdir}/%{name}-openvswitch-agent.service
%{_sbindir}/rcopenstack-%{component}-openvswitch-agent

%files macvtap-agent
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_sysconfdir}/%{component}/plugins/ml2/
%config(noreplace) %{_sysconfdir}/%{component}/plugins/ml2/macvtap_agent.ini
%{_bindir}/%{component}-macvtap-agent
%{_unitdir}/%{name}-macvtap-agent.service
%{_sbindir}/rcopenstack-%{component}-macvtap-agent

%files server
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/%{component}-api
%{_bindir}/%{component}-server
%{_bindir}/%{component}-rpc-server
%{_bindir}/%{component}-db-manage
%{_unitdir}/openstack-%{component}.service
%{_sbindir}/rcopenstack-%{component}

%files -n python-neutron
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/%{component}/
%{python_sitelib}/%{component}-*.egg-info
# tempest test must be in python-neutron (because of entry point)
%exclude %{python_sitelib}/%{component}/tests/contrib
%exclude %{python_sitelib}/%{component}/tests/unit
%exclude %{python_sitelib}/%{component}/tests/retargetable
%exclude %{python_sitelib}/%{component}/tests/functional
%exclude %{python_sitelib}/%{component}/tests/fullstack

%files test
%defattr(-,root,root)
%{_localstatedir}/lib/%{name}-test/
%{python_sitelib}/%{component}/tests/contrib
%{python_sitelib}/%{component}/tests/unit
%{python_sitelib}/%{component}/tests/functional
%{python_sitelib}/%{component}/tests/fullstack
%config %{_sysconfdir}/%{component}/rootwrap.d/debug.filters

%files ha-tool
%defattr(-,root,root,-)
%{_bindir}/neutron-ha-tool
%{_bindir}/neutron-evacuate-lbaasv2-agent

%changelog
* Thu Feb  8 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b4.dev25:
  * Mock ipv6\_utils.is\_enabled\_and\_bind\_by\_default method
* Sun Feb  4 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b4.dev24:
  * Revert "[Fullstack] Mark test\_bw\_limit\_qos\_port\_removed as unstable"
* Sat Feb  3 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b4.dev22:
  * fix same mechanism driver called twice bug
  * Updated from global requirements
  * Move Linuxbridge ARP spoofing to nat table PREROUTING chain
* Fri Feb  2 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b4.dev16:
  * Add notification for floatingip update/delete
  * Zuul: Remove project name
  * This patch changes the CT zone allocation range
  * Revert "Integration of (Distributed) Port Binding OVO"
* Thu Feb  1 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b4.dev8:
  * ovsfw: Don't create rules if updated port doesn't exist
* Sun Jan 28 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b4.dev7:
  * Fix race condition with enabling SG on many ports at once
  * Fix Port OVO filtering based on security groups
  * Log warnings when test fails because of them
* Sat Jan 27 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b4.dev4:
  * Fix eventlet imports issue
  * Minor fix to remove legacy OVSDB IDL connection
  12.0.0.0b3
* Wed Jan 24 2018 dmueller@suse.com
- make user directory not world readable
* Wed Jan 24 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev191:
  * [Fullstack] SG test use not too many fake hosts
  * More efficiently clean up OVS ports
  * [Fullstack] Clean DSCP mark rule when port removed
  * Log radvd config contents on reload when debug is on
* Tue Jan 23 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev183:
  * Add log-tag to haproxy config file
  * Modify link address from http to https
* Mon Jan 22 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev180:
  * l3\_ha: only pass host into update\_port when updating router port bindings
* Sat Jan 20 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev178:
  * Fixes minor typo in neutron
  * Fix \_port\_arg for security rules with icmp/ipv6-icmp aliases
  * Use constant 'IS\_DEFAULT' from neutron-lib
  * Introduce rfe-confirmed and rfe-triaged tags
* Fri Jan 19 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev170:
  * log-api: Don't enable logging for linuxbridge
  * Add retry decorator update\_segment\_host\_mapping()
  * Remove deprecated nova\_metadata\_ip
  * Adding DSCP mark and inheritance in OVS and LB tunnels outer header
  * Update the gerrit dashboard
  * [Doc][L3][QoS] Enable floating IP qos
  * Use Router OVO in metering\_db
  * Fix ingress bw limit for OVS DPDK ports
  * Switch to use directly ovsdbapp.api module
  * Integration of (Distributed) Port Binding OVO
* Thu Jan 18 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev150:
  * remove neutron.callbacks package
  * Updated from global requirements
  * Configure log extension for ovs scenario job only
  * [OVS] Fix for cleaning after skipped\_devices
  * Support filtering port with IP address substring
* Wed Jan 17 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev140:
  * Speed up trunk MTU enforcement check
* Tue Jan 16 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev138:
  * Fix fwaas v2 configuration doc
* Tue Jan 16 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev136:
  * Revert "Use writer for trunk database operations"
* Mon Jan 15 2018 tbechtold@suse.com
- Update to version neutron-12.0.0.0b3.dev134:
  * ovs-lib: Pass string as udp port to ovsdb
  * Remove usage of deprecated idlutils module
  * broken HybridIptablesHelper function override
* Mon Jan 15 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev128:
  * [log]: Devstack plugin for logging api
* Sun Jan 14 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev126:
  * Fix mocking of ovsdb connection in UT
  * Remove deprecated method OVSBridge.set\_protocols()
* Sat Jan 13 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev122:
  * Treat device with no MAC address as not ready
  * [log] [doc] Include logging for security groups
  * Add missing iptable rule in snat ns for centralized fips
  * Switch rally job from q-\* to neutron-\* service names
  * [Fullstack] Mark test\_bw\_limit\_qos\_port\_removed as unstable
  * [log]: functional test for logging api
  * [log] ovs fw logging implementation
  * [Fullstack] Change how DSCP marking packets are tested
  * [OVS] Shut down the port on changing the admin-state to false
* Fri Jan 12 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev104:
  * Removed neutron-tempest-full
  * Cleaned up get\_session
* Tue Jan  9 2018 dmueller@suse.com
- switch dependency to openvswitch (openvswitch-switch is the
  old deprecated name)
* Sun Jan  7 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev100:
  * L3: prevent associating a FIP to a DHCP port
* Sat Jan  6 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev99:
  * Use same instance of iptables\_manager in L2 agent and extensions
  * [doc] Added update regarding URL difference based on deployment
  * FIP: update\_floatingip\_status() to return the updated object
  * Fix callers of get\_devices\_with\_ip() to pass addresses
* Thu Jan  4 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev92:
  * Switch to Subnet OVO in ipam\_backend\_mixin \_save\_subnet method
  * Moving legacy check and gate jobs
  * Remove deprecated cache\_url
* Tue Jan  2 2018 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev87:
  * [trivial fix]fix typos in neutron
  * test\_provisioning\_blocks: Network model to OVO
  * [Fullstack] Shutdown tcpdump process gracefully
  * Updated from global requirements
  * use callback payloads for BEFORE\_READ events
  * use callback payloads for REQUEST/RESPONSE events
  * use callback payloads for \_SPAWN events
  * ipam: don't commit IPAllocation while IpamAllocation is rolled back
  * Update gerrit dashboards
  * Fix NeutronPrimaryKeyMissing instantiation
  * Improve Qos Policy Rule test
  * ovsfw: Create tables for further consumption
  * [L3][QoS] L3 agent side Floating IP rate limit
  * Fix 1 doc typo
  * [log]: Change entry point name of logging plugin
  * Updated from global requirements
  * Switch to use \_get\_subnet\_object() in ipam\_backend\_mixin module
  * Ensure floating IP create does not break
  * use l3 api def from neutron-lib
  * l3\_agentschedulers\_db: convert from Agent model to OVO
  * Allow \_\_new\_\_  method to accept extra arguments
  * Use hexadecimal when adding DSCP rules
  * bugs.rst: Add rfe-postponed to the list of tags
  * doc: Clarify RFE Triaged state a bit
  * Checksum-fill proxied metadata replies
* Sat Dec 16 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev41:
  * Update some l3-agent log messages
  * Remove router\_ids argument to auto\_schedule\_routers()
* Fri Dec 15 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev38:
  * Remove \_get\_subnets\_by\_cidr from neutron/db/extraroute\_db.py
  * Fix URL in SR-IOV internals doc
  * [Qos] ingress bandwidth limit by ovs is not accurate
  * test\_dhcp\_rpc\_agent\_api: convert from Agent model to OVO
  * test\_l3\_agent\_scheduler: convert from RouterL3AgentBinding model to OVO
  * test\_l3\_agent\_scheduler: convert from Agent model to OVO
  * Add dns-integration setup to devstack plugin
* Thu Dec 14 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev27:
  * Update the documentation links
  * [Fullstack] Additional log of tcpdump stderr output
  * Honor both floating\_ip\_address and subnet\_id when creating FIP
  * Switch to use \_get\_subnet\_object in neutrondb\_ipam driver
  * Tags: harden validations
  * Allow port create/update by shared nw owners
  * Update network external attribute for RBAC change
  * Updated from global requirements
  * Prevent LBaaS VRRP ports from populating DVR router ARP table
* Wed Dec 13 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev9:
  * test\_metering\_plugin: convert from Agent model to OVO
* Tue Dec 12 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev7:
  * Switch to use subnet OVO object in get\_subnet
* Sun Dec 10 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev6:
  * Fix error when using protocol number in security groups
  * test\_l3\_dvr\_db: switch to OVO for Agent
  * Move segment deletion back to PRECOMMIT\_DELETE
* Sat Dec  9 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b3.dev2:
  12.0.0.0b2
  * test\_dhcp\_agent\_scheduler: Network model to OVO
  * Add RBAC access\_as\_external unit tests
* Fri Dec  8 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b2.dev251:
  * test\_timestamp: switch to Network OVO
  * [Qos] Fix residues of ovs in ingress bw limit
  * Add CREATE\_PRECOMMIT notification for Floating IPs
  * burst should be set near max-rate
  * Integration of Floating IP OVO
  * Remove the bundled intree neutron tempest plugin
* Thu Dec  7 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b2.dev239:
  * ovs-fw: catches exception from ovsdb
* Wed Dec  6 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b2.dev237:
  * Build metadata\_agent.ini reproducibly
  * FakeNotifier class 'topic' argument change to 'topics'
  * [Fullstack] Log tcpdump output lines in DSCP mark tests
  * Fix meter-label-rule creation
  * Fix missing backslashes in QoS docs
  * [Fullstack] Fix destroy of VM fixture
  * Revert "Revert "objects: get, update and delete converted to Subnet OVO usage""
  * Fix HA router initialization exception
  * use log api plugin const from neutron-lib
  * Correctly configure the IPv6 LLA address
  * Fix DNS connectivity issues with DVR+HA routers and DHCP-HA
  * [log]: Add driver api and rpc stuff for logging
  * [L3][QoS] Neutron server side Floating IP QoS
  * [QoS] Add info about rate limiting on router's ports
  * docs: Correct various mistakes in QoS doc
  * fullstack: disable all test\_connectivity test cases
  * Disable test\_dscp\_marking\_packets fullstack test case
  * clarify nova prereq for controller install docs
  * Call update\_all\_ha\_network\_port\_statuses on agent start
  * fullstack: Wait at least 3 minute for agents to report
  * Router to OVO
  * Remove the ensure\_dir
  * Remove unused variables ‘LOG'
  * [OVO] Switch to use own registry
  * use agent api def from neutron-lib
  * Added zuulv3 jobs for testing neutron tempest plugin
  * Remove neutron tempest plugin jobs from neutron project
  * Skip tempest plugin tests on releasenotes changes
  * use flavors api def from neutron-lib
  * Remove Rodolfo Alonso as QoS bug contact
  * use l3 ext gw mode api def from neutron-lib
  * Remove setting of version/release from releasenotes
  * Updated from global requirements
  * use dns domain ports api def from neutron-lib
  * Updated from global requirements
  * ovsfw: Use multiple priorities in RULES\_\*\_TABLE
  * ovsfw: Merge multiple conjunction flows
  * Add unit test to validate non DB base core plugin can be loaded
  * use logging api def from neutron-lib
  * Raise exception when synthetic field invalid
  * [L3][QoS] Adding L3 rate limit TC lib
  * Support that an extension extends a sub-resource
  * use net mtu api writable def from neutron-lib
  * use net mtu api def from neutron-lib
  * use PROVISIONAL\_IPV6\_PD\_PREFIX from neutron-lib
  * Donot run neutron-tempest-plugin-api job in gate pipeline
  * Tempest: Add availability-zone for agent
  * use network az api def from neutron-lib
  * use addr pairs api def from lib
  * use l3 flavors api def from neutron-lib
  * use dvr api def from neutron-lib
  * use qos api def from neutron-lib
  * use router az api def from neutron-lib
  * Added zuulv3 jobs for testing neutron tempest plugin
  * Revert "objects: get, update and delete converted to Subnet OVO usage"
  * Renamed ovs\_vsctl\_timeout into ovsdb\_timeout
  * Support protocol numbers in security group API
  * Remove DocImpact info from contributor docs
  * use ml2 driver api from neutron-lib
  * use l3 ext ha mode api def from neutron-lib
  * Skip IPv6 sysctl calls when IPv6 is disabled
  * Do not load default service plugins if core plugin is not DB based
  * use ip allocation api def from neutron-lib
  * tests: delete in-use security group
  * Change iptables-restore lock interval to 5 per second
  * Fix typo "extention" -> "extension"
  * Fix typo: allow\_address\_pair -> allowed\_address\_pair
  * use project id api def from neutron-lib
  * Remove neutron.common.ipv6\_utils.is\_enabled()
  * use core resource api defs from lib
  * Enable bridge command for openvswitch agent
  * Move check\_ha\_state\_for\_router() into notification code
  * test\_security\_groups: Randomize SG names
  * use pagination api def from neutron-lib
  * use net ip availability api def from neutron-lib
  * Update section with links to backport/RC potential bugs
  * Use Agent OVO in l3\_agentschedulers\_db
  * RPC callbacks: add hook to register additional resources
  * objects: get, update and delete converted to Subnet OVO usage
  * use metering api def from neutron-lib
  * Use Agent OVO in agents\_db and test\_agents\_db
  * [rally] Port input task to the new format
  * tests: Add decorator to mark unstable tests
  * Only create one IPWrapper class instance in \_arping()
* Tue Nov  7 2017 vuntz@suse.com
- Add missing /etc/neutron/neutron-metering-agent.conf.d directory.
* Mon Nov  6 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b2.dev74:
  * Update link to stable branch policy page
* Sat Nov  4 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b2.dev73:
  * use l2 adjacency api def from neutron-lib
  * Fullstack: init trunk agent's driver only when necessary
  * Add initialization in StringMatchingFilterObj class
  * Add some missing mocks in l3-agent tests
  * use extra route api def from lib
  * use FAULT\_MAP from neutron-lib
  * [Tempest] Testing remote\_ip\_prefix for security groups
  * Reorder checks in apply\_filters in db/\_model\_query
  * Stop arping when IP address gets deleted
  * Update get\_l3\_agents() scheduler tests
  * Change metering code to iterate through all L3 agents
* Fri Nov  3 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b2.dev54:
  * Updated from global requirements
  * Integration of L3HARouterAgentPortBinding in ml2/drivers/l2pop/db.py
  * fullstack: Remove ovsdb\_interface config opt
* Thu Nov  2 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b2.dev50:
  * Replace http with https for doc links
  * Adding OVS Offload documentation
  * docs: Update supported QoS rule types
  * use external net api def from lib
  * Refactoring db config options
* Wed Nov  1 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b2.dev41:
  * Fix the wrong usage of new style class in metering
  * Modify the wrong command in config qos doc
  * tempest: Sprinkle extension checks
* Tue Oct 31 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b2.dev35:
  * Correct link in config-ml2.rst
  * Change QoS configuration manual
  * Add NULL check before passing to in\_() column operator
* Mon Oct 30 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b2.dev30:
  * Remove the unused code
  * use availability zone api def from lib
* Sun Oct 29 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b2.dev26:
  * revert base extension unit test param removal
  * use qos constants from neutron-lib
* Fri Oct 27 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b2.dev23:
  * Revisit the process on how RFEs are handled
  * Always call iptables-restore with -w if done once
  * Change OVS agent to update skipped port status to DOWN
* Thu Oct 26 2017 cloud-devel@suse.de
- Update to version neutron-12.0.0.0b2.dev18:
  * shim l3 exceptions with neutron-lib
  * cleanup unit test usage of api extension maps
  12.0.0.0b1
  * shim ml2 driver\_api with neutron-lib's api
* Wed Oct 25 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev422:
  * Security Groups: Test all protocols names and nums
  * Updated from global requirements
  * Do not create fip agent port for dvr\_no\_external node
  * use dns api def from neutron-lib
  * Do not try and iterate [None] in l3-agent network\_update()
  * shim FAULT\_MAP from neutron-lib
  * Add API tests for Tag resource with standard attribute
* Mon Oct 23 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev408:
  * Add a new method get\_router\_info to L3 agent extension API
* Sun Oct 22 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev406:
  * consume load\_class\_by\_alias\_or\_classname from neutron-lib
  * use default subnetpool api def from lib
* Sat Oct 21 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev402:
  * create\_security\_group: Expunge an object selectively
  * Notify port\_update to agent for status change
* Fri Oct 20 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev398:
  * Redundant alias in import statement
  * Add a new method ha\_state\_change to L3 agent extension
  * Add network ip availability filtered by project\_id
* Thu Oct 19 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev392:
  * \_test\_security\_group\_precommit\_create\_event: Check the result of create
  * trunk: Fix init\_handler() agent parameter
* Wed Oct 18 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev388:
  * Add some debug logs to metadata agent
  * use plugin constants from neutron-lib
* Tue Oct 17 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev384:
  * consume common constants from lib
  * Remove release notes from reverted patch
  * Fullstack: add ability to specify router scheduler
  * Change join relationship between routerport and router
* Mon Oct 16 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev376:
  * Don't pass trailing dash (-) to rand\_name
  * Add additional tests for subnet filtering and count
  * Remove argument "watch\_log = "
  * Fullstack: Add l3\_agent\_mode for testing different agent types
  * iptables: don't log lock error if we haven't passed -w
  * Wrong path of rpc\_api.rst in class docstring
  * [log]: implement logging agent extension
  * Remove ip\_lib SubProcessBase.\_execute() as class method
  * Change ip\_lib network namespace code to use pyroute2
  * DVR: Fix unbound fip port migration to bound port
  * gate: don't configure linuxbridge jobs for geneve
* Fri Oct 13 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev354:
  * ovs-fw: Remove iptables rules on hybrid ports
* Thu Oct 12 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev352:
  * Add a test csnat port removing in DVR migration
* Wed Oct 11 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev350:
  * Fix wrong OS ENV type
  * tempest: check router interface exists before ssh
  * clarify deferred fixed IP assignment for ports on routed networks
  * clarify agent file name in config qos doc
  * use new payload objects for \*\_INIT callbacks
  * DVR: Fix centralized floatingip with DVR and HA
  * Fix missing content of neutron database creation
* Tue Oct 10 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev336:
  * use synchronized lock decorator from neutron-lib
* Sat Oct  7 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev334:
  * Switch test\_mtu.py to tempest.common.utils.requires\_ext
  * Allow to configure DHCP T1 and T2 timers in dnsmasq
  * use neutron-lib address scope apidef
  * Fix the incorrect doc for class SecurityGroupAgentRpcCallbackMixin
* Fri Oct  6 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev326:
  * Fullstack: add availability zone to host descriptor
  * Update the QoS bugs contact
  * Use port object in notifiers/test\_nova.py
  * br\_int: Make removal of DVR flows more strict
  * Remove unnecessary IPWrapper() creation
  * ml2: fix update\_device\_up to send lm events with linux bridge
  * DVR: Fix bad arping call in centralized floating IP code
* Thu Oct  5 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev312:
  * Refactor DVR HA migarations DB operations
  * Remove dead code in L3 HA scheduler
  * DVR: Always initialize floating IP host
  * Update config-sfc documentation
  * Fix documentation for DNS resolver config
  * Correct tag link in README
* Fri Sep 29 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev301:
  * Updated from global requirements
  * Update team and bug ownership info
  * Revert "Fix for race condition during netns creation"
  * DVR: handle unbound allowed\_address\_pairs added
  * ovs: log config options when all of them are registered
* Thu Sep 28 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev291:
  * of\_native: Use int for comparing datapath ID
  * Fix the link to the rally docs in README.rst
  * [Tempest] Scenarios for several sec groups on VM
  * Fix \_verify\_gateway\_port() in multiple subnets
  * [Tempest] Check connectivity between VM with different MTU size net
* Wed Sep 27 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev281:
  * Replace default subnetpool API tests with UT
  * Linux Bridge, remove unnecessary logic to retrieve bridge name
  * Ensure default security group before port update
  * add doc link validation to release checklist and tox
* Tue Sep 26 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev273:
  * ML2: remove method get\_locked\_port\_and\_binding
  * Update correct reference for tags
  * Remove translation of help messages from tests
  * Remove get\_ip\_version from ip\_lib
  * Remove deprecated get\_random\_mac()
  * Remove deprecated IpNeighCommand.show()
  * Updated links to dashboards
  * Remove security\_groups\_provider\_updated rpc code
  * rally: switch to new format for context name
  * make net\_helpers functions work on OpenSUSE
  * Deprecate ivs interface driver
  * Remove dead versions code
  * Allow fullstack to operate on dhclient-script for OpenSUSE
  * Dont log about skipping notification in normal case
  * Tweak configure\_for\_func\_testing to work on OpenSUSE
  * fix broken link in config-agents doc
  * Error in docs for configuring dvr router
* Fri Sep 22 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev240:
  * Fix device\_owner during DVR and HA migrations
  * Fix for race condition during netns creation
  * Don't assume RPC push object has an ID
  * Stop using subscribe in l3\_db
  * Updated from global requirements
  * Stop using is\_agent\_down in agents\_db
  * doc inherit segmentation type for trunking
  * doc for quota details extension
* Wed Sep 20 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev224:
  * tests: generate unique network ids for L3HARouterVRIdAllocation
* Sat Sep 16 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev222:
  * Update link for API extensions
  * Switch to tempest.common.utils.is\_extension\_enabled
  * Remove run\_tests.sh
  * Remove duplicated ICMPv6 RA rule from iptables firewall
  * ovs mech: bind only if user request switchdev
  * fix missing l2pop config option docs
* Fri Sep 15 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev210:
  * Fix missing super's skip\_checks()
  * gate\_hook: configure range of GRE ids
  * Switch to tempest.common.utils.requires\_ext
  * Delete dead API v2 router code
  * Switch to Pecan for unit tests
  * Drop the web\_framework option
  * gate\_hook: Switched to $NEUTRON\_CORE\_PLUGIN\_CONF
  * Fixing hyperlink issue
  * Fixing external hyperlink
  * Remove csnat port when DVR migrated to non-DVR
  * Treat lack of segment info in port object as unbound
* Thu Sep 14 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev189:
  * Updated from global requirements
  * Deprecate ovsdb\_interface option
  * Allow OS\_TEST\_TIMEOUT to be configurable from env
  * Refactoring config options for ml2 config opts
  * API test refactoring about create\_project
* Wed Sep 13 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev179:
  * Don't trigger DVR port update if status the same
  * Fix post gate hook to accommodate for new os-testr
  * Refactoring agent linux&ovsdb config
* Tue Sep 12 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev174:
  * Cleanup unused params
  * Remove gw\_port expire call
  * Pecan: fix logic of hiding authZ failures as 404s
  * Pecan: add plugin pagination/sorting validation
  * Pecan: Add missing body validations
  * CountableResource: try count/get functions for all plugins
  * DVR: Multiple csnat ports created when RouterPort table update fails
  * OVO for NetworkDhcpAgentBinding
  * doc br\_netfilter prereq for linux bridge
  * OVO for L3HARouter
  * Pecan: Add missing emulated bulk create method
  * Pecan: add calls to resync/dirty quota usages
  * l3 agent: stop expecting old server when fetching service plugins
* Sun Sep 10 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev148:
  * Update config-dns-res to use openstack CLI
  * [Tempest] Creating sec group rule with integer
* Sat Sep  9 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev144:
  * DVR: get\_router\_cidrs not returning the centralized\_floating\_ip cidrs
  * Allow to disable DNS server announcement per subnet
  * [Tempest] Testing default security group scenarios
  * Validate security group rules for port ranges
  * Avoid redundant HA port creation during migration
  * ovsfw: Fix up port\_range and ICMP type/code handling
  * Fix generation of thousands of DHCP tap interfaces
  * Pecan: strip duplicate and empty user fields
  * update static urls for pike
* Fri Sep  8 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev126:
  * ovsfw: Fix port\_ranges handling
  * DVR: Fix agent to process only floatingips that have a host match
  * fullstack: skip test\_mtu\_update when DHCP agent is not in rootns
* Thu Sep  7 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev120:
  * use qos DriverBase from neutron-lib
  * linuxbridge-agent: add missing sysctl rootwrap entry
  * Fix cleaning QoS rules for not existing port
  * Document dns\_domain for ports attribute
  * Fix port deletion when dns\_integration is enabled
  * Pecan: add missing body to delete notify payload
  * test\_ha\_router: wait until two agents are scheduled
  * Pecan: set tenant\_id field when project\_id set
  * Pecan: process filters at end of hook pipeline
  * Make use of -w argument for iptables calls
  * dvr: Don't raise KeyError in \_get\_floatingips\_bound\_to\_host
  * Revert "DVR: \_get\_floatingips\_bound\_to\_host throws KeyError"
  * Integration of Port OVO in db\_base\_plugin\_common.py
  * use neutron-lib's OVO exceptions
  * dhcp agent start md-proxy with vrouter id only when has metadata subnet
  * devstack: Adapt to lib/neutron
* Wed Sep  6 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev89:
  * Match load\_rc\_for\_rally logic to load\_rc\_hook
  * OVSBridge: use ovs-ofctl with at least OF protocol version x
  * Tempest: Fix cleaning of subnets
  * DHCP provisioning block only on port addr update
  * Fix to use . to source script files
  * functional: Remove ovsdb tests
* Mon Sep  4 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev77:
  * Remove vestigate HUDSON\_PUBLISH\_DOCS reference
  * update docs to use nova\_metadata\_host
* Fri Sep  1 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev74:
  * complete docs for revision number
  * Update link for contribution
* Thu Aug 31 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev71:
  * Prioritize tox environment executables for fullstack/functional tests
* Wed Aug 30 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev69:
  * update docs for stdattr tag support
  * Removed unnecessary setUp calls in tests
* Sat Aug 26 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev67:
  * Tempest: change way how QoS policies are cleaned
  * DVR: \_get\_floatingips\_bound\_to\_host throws KeyError
  * update contributor internals index
  * Tempest: Fix cleaning of networks after API tests
  * fix formatting in ubuntu controller install guide
  * Open Queens DB branch
  * Stop logging versions on every agent update
* Fri Aug 25 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev54:
  * Updated from global requirements
  * Fix default qos policy when creating network
  * Fix test\_keepalived\_ipv6\_support for Keepalived v1.2.20
  * Hook bandit security linter to pep8 target
* Thu Aug 24 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev48:
  * functional: Fix reference to ovsdb connection
* Wed Aug 23 2017 tbechtold@suse.com
- Update to version neutron-11.0.0.0rc2.dev47:
  * Log policy filters in one line
* Wed Aug 23 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev45:
  * Fixes input for netlink-lib functional tests
* Tue Aug 22 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev43:
  * add doc section for ml2 extension drivers
  * tests: Log spawned processes by RootHelperProcess
* Mon Aug 21 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev39:
  * Treat Filter as Dict in get\_policies
* Sun Aug 20 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev37:
  * DB migration checklist task for Pike
* Sat Aug 19 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev35:
  * Fix DefaultSubnetPool API test
* Fri Aug 18 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev33:
  * Stop using v2 identity API
  * Add stubs for new ovsdbapp API functions
  * Revert "functional: disable netlink tests"
* Thu Aug 17 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev27:
  * releasenotes: Move Pike ignore-notes to a proper file
  * Add documentation for Linux Bridge and OVS ingress QoS
* Wed Aug 16 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev24:
  * Stop logging full object in RPC push code
  * Add a target to Sinkhole so it's compatible
  * Fixing test\_convert\_default\_subnetpool\_to\_non\_default
  * fullstack: Actually run ovsfw tests
  * tests: don't set description in test\_blank\_update\_clears\_association
* Tue Aug 15 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev17:
  * Make code follow log translation guideline
  * Remove 'persisted dirty' log message
* Mon Aug 14 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev14:
  * Remove code to debug auto address allocation error
* Sun Aug 13 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev13:
  * Apply network MTU changes to dhcp ports
  * Apply network MTU changes to l3 ports
  * DVR: Provide options for DVR North/South routing centralized
  * Drop port\_delete and port\_update debug msgs
* Sat Aug 12 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0rc2.dev7:
  * Update reno for stable/pike
  11.0.0.0rc1
  * Allow unprivileged users to get their quota usage
  * Deprecate web\_framework option
  * Allow to set/modify network mtu
  * Reduce rally sub-port count
  * Add API test for port dns\_domain
  * Add unit tests for dns\_domain for ports
  * Add port dns\_domain processing logic
  * Allow extension driver to provide multiple aliases
  * ovs-fw: Handle only known trusted ports
* Fri Aug 11 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b4.dev63:
  * functional: disable netlink tests
  * tests: apply latest release milestone alembic scripts first
  * DVR: Fix router\_update failure when agent restarts
* Thu Aug 10 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b4.dev58:
  * DVR: Configure centralized floatingips to snat\_namespace
  * [log]: Add validator to logging api
  * [log]: add driver manager to LoggingPlugin
* Wed Aug  9 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b4.dev52:
  * Fill device\_info with port\_security\_enabled data
  * Don't check full subnet body in test\_filtering\_shared\_subnets
  * Do not use prelude section for individual release notes
  * Degrade log message for missing fanout exchange to debug
* Tue Aug  8 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b4.dev44:
  * doc: Fix non-existing URLs
* Sat Aug  5 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b4.dev43:
  * Exclude relnote from past releases from Pike relnotes
  * Remove configuration options max\_fixed\_ips\_per\_port
  * Sinkhole workaround for old topics
* Fri Aug  4 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b4.dev37:
  * Updated from global requirements
  * Bump network rev on RBAC change
  * ovo\_rpc: Avoid flooding logs with semantic violation warning
* Thu Aug  3 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b4.dev33:
  * devstack: fix ovs install on fedora like OS
  * Change ovsdbapp vlog to INFO
  * Don't log 'Exit code: 0'
  * Fix some pep8 errors under l3 unit tests
  * Catch exceptions for all rpc casts
* Wed Aug  2 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b4.dev24:
  * docs: clarify wording about how to use advanced glance image
  * Enable QoS scenario tests
  * ovsfw: fix allowed\_address\_pairs MAC issue
  * Add auto-generated config reference
  * Add bandit target to tox
  * Use push notification for security groups
* Tue Aug  1 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b4.dev12:
  * Check if record is stale after bulk pull
  * docs: Fix in TESTING.rst
  * use neutron-lib auto allocated topology apidef
  * RouterPort OVO integration
  * Fixed FlushError on subnet creation retry
  * ovs-fw: Update internal docs with TRANSIENT table
* Mon Jul 31 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b4.dev4:
  * Remove compat checks for psutil 1.x
* Sun Jul 30 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b4.dev3:
  * Log revision number in resource updated message
  11.0.0.0b3
  * Add segments service plug-in devref
  * Updated from global requirements
  * DVR: Fix binding info for DVR port not found error
  * Add netlink-lib to manage conntrack entries
  * [Tempest] Running Trunk test with advanced image only
  * Enforce ethertype with IPv6 integer protocols
* Fri Jul 28 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev399:
  * use neutron-lib.callback.events.AFTER\_SPAWN
  * Add project links to feature classification matrix
  * FloatingIP to OVO
  * Add specific values to specific fields in get\_random\_object\_fields()
  * ml2 plugin: add (PORT, BEFORE\_UPDATE) callback
  * Ignore duplicate record\_resource\_delete calls
  * Remove network\_id from network\_map on net delete
  * Add port dns\_domain to DB and object models
  * Do not respond to ARP on IPv6-only interfaces
  * of\_interface: allow install\_instructions to accept string actions
* Thu Jul 27 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev379:
  * Add datapath\_type to vif\_details in OVS driver
  * Remove neutron-fwaas specific policies
* Wed Jul 26 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev375:
  * Tag mechanism supports resources with standard attribute
  * neutron-teams.rst: Remove an orphan footnote
* Tue Jul 25 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev371:
  * Update the documentation link for doc migration
  * Always try to delete bridge for ID on network\_delete
  * Ignore cast exceptions in AgentNotifierApi
* Sun Jul 23 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev365:
  * Only ensure default security group exists if necessary
  * Remove deprecated prevent\_arp\_spoofing option
* Sat Jul 22 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev362:
  * Updated from global requirements
  * use APIExtensionDescriptor for plugins with defs in lib
  * hardware offload support for openvswitch
  * DistributedVirtualRouter mac address to OVO
  * ovsfw: Fix overlapping MAC addresses on integration bridge
  * neutron-teams.rst: Update the list of networking-midonet lieutenants
  * New RPC to set HA network port status to DOWN
* Fri Jul 21 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev349:
  * DVR: Server side patch to schedule an unbound port with Floating IP
  * hacking: Remove dead code
  * Log reserved cookies in cleanup\_flows method
  * Use context interface for constraint
  * import the admin guide content from openstack-manuals
  * Add dns\_domain attribute to ports in the API
* Thu Jul 20 2017 snica@suse.de
- Remove deprecated keystone_authtoken/signing_dir
  The keystone_authtoken/signing_dir configuration
  option is deprecated and can be removed (PKI token
  support has been deprecated in the Ocata release and
  will be removed in the Pike release).
* Thu Jul 20 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev338:
  * OVS firewall: do strip\_vlan in TRANSIENT\_TABLE
  * Add callback BEFORE\_DELETE for delete\_router
  * Stop using non-ascii characters
  * Updated from global requirements
  * Tempest: Fix DeprecationWarning for Read-only property
  * Adding option to check VM connectivity with packet of given size
* Wed Jul 19 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev327:
  * Imported Translations from Zanata
  * Extend Quota API to report usage statistics
  * Ensure that fault map translations work correctly
* Tue Jul 18 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev322:
  * Updated from global requirements
  * Fixed AttributeError in l2pop.delete\_port\_postcommit
  * Introduce trusted ports to firewall driver API
* Sun Jul 16 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev317:
  * Tempest: Adopt keystone api v3 for tests
  * Replace test.attr() with decorators.attr()
* Sat Jul 15 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev313:
  * Fix typo
  * [log]: implement logging plugin
  * import content from cli-reference in openstack-manuals
  * DVR: Fix neutron metering agent to notify hosts hosting DVR
  * Add support for list querying in resource cache
* Fri Jul 14 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev303:
  * SR-IOV: remove ml2\_conf\_sriov.ini from manual
  * tests: kill a bunch of unneeded mocks in l2pop unit tests
  * Fix alter\_enum\_add\_value
  * Removed ovsdbapp deprecation warnings
* Thu Jul 13 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev296:
  * ovs-fw: Use TRANSIENT table for traffic classification
  * TrivialFix: Remove only\_contrib argument
  * New API call to get details of supported QoS rule type
  * Remove unused exceptions
  * RouterPort to OVO
* Wed Jul 12 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev286:
  * stop ovs that installed from git on unstack
  * Enable an update test in UT of logging
  * Tempest: Add default-subnetpools tests
* Tue Jul 11 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev280:
  * Rearrange existing documentation to fit the new standard layout
  * Allow to set UDP ports for VXLAN in Linuxbridge agent
  * import installation guide pages from openstack-manuals
  * Integration of IPAllocation
* Mon Jul 10 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev272:
  * devstack ovs: get correct kernel rpm version on customed kernel
  * API compare-and-swap updates based on revision\_number
* Sun Jul  9 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev268:
  * Updated from global requirements
* Sat Jul  8 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev266:
  * Do not defer allocation if fixed-ips is in the port create request
  * Support object string field filtering on "LIKE" statement
  * Add QoS policy network binding OVO
  * releasenote: Specify openstackdocs as html\_theme
  * Switch from oslosphinx to openstackdocstheme
  * Make the HA router state change notification more faster
* Fri Jul  7 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev256:
  * Use \_is\_dns\_integration\_supported for \_delete\_floatingip
  * Updated from global requirements
  * Use flake8-import-order plugin
  * Add QoS policy port binding OVO
* Thu Jul  6 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev248:
  * Modify the execution of alter\_enum\_add\_value SQL
* Wed Jul  5 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev246:
  * use core resource attribute constants from neutron-lib
  * Use subqueryload in l2pop DB for binding ports
* Tue Jul  4 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev242:
  * Add "default" behaviour to QoS policies documentation
  * Make HA deletion attempt on RouterNotFound race
  * Use super to make \_build\_routers\_list safer
* Mon Jul  3 2017 tbechtold@suse.com
- Update to version neutron-11.0.0.0b3.dev236:
  * objects: support tenant\_id filter for get\_\* if project\_id is present
  * Change all config options in fullstack tests to be strings
  * Update after python-neutronclient doc rearrangement
  * Replace the usage of 'admin\_manager' with 'os\_admin'
  * Add fullstack-python35 testenv in tox.ini
  * import the networking guide content from openstack-manuals
  * use service type constants from neutron\_lib plugins
  * Remove 'description' attribute
  * Common Agent loop: Catch delete\_port extension failures
  * Fix list QoS rule\_types tempest API test
  * Add missing description of Linuxbridge egress bw limit
  * test\_floatingip: Add a case for SRC without FIP
  * Enable some off-by-default checks
  * Add new ovo field type class
  * Replaced assertTrue(False) with fail()
  * Fix tempest router creation
  * DHCP Agent: Set dhcp-range netmask property
  * tempest-api: Skip test if deployment has not enough agents
  * Ingress bandwidth limit rule in Linuxbridge agent
  * Correct the config group in check\_trunk\_dependencies
  * use attribute functions/operations from neutron-lib
  * Fix some tempest deprecation warnings
  * functional: Replace unicode() with six.u()
  * security group: pass update value to precommit\_update
  * Using constants in local
  * Fix bug when checking duplicated subnets for router interface
  * Add missing info about supported ingress bandwidth limit rule
  * functional-tests: Make addresses for tunneling unique
  * Add provider info to network for update
  * functional: Don't write strings to pipe
  * python3: use binary mode to open file in test
  * dvr: Move normal/output br-int flows to table TRANSIENT
  * Fix html\_last\_updated\_fmt for Python3
  * Updated from global requirements
  * Add revises\_on\_change to Binding DB models
  * Use objects instead of SQLA deep copies in PortContext
  * OVO: Allow port queries based on security\_group\_ids
  * Clean up test cases in test\_iptables\_firewall.py
  * tempest: Make \_create\_router\_with\_client obey enable\_snat=False
  * Fix SG callbacks notification
  * Fix race between create subnet and port requests
  * use six.u rather than unicode for py3 compat
  * DHCP Agent: Separate local from non-local subnets
  * DHCP RPC: Separate local from non-local subnets
  * Store segmentation\_id during segment create
  * Stop binding attempts when network has no segments
  * Pass the complete info in sg/rules db into PRECOMMIT\_XXX callback
  * Linuxbridge agent: detect existing IP on bridge
  * docs: Fix indent level
  * docs: reorganize developer reference for new theme
  * docs: switch to openstackdocstheme
  * DVR: Add forwarding routes based on address\_scopes
  * Add a missing \_LW()
  * Remove unreachable code in OVS mech driver
  * Add "default" behaviour to QoS policies documentation
  * Manually increment revision numbers in revision plugin
  * Fix linuxbridge ebtables locking
  * TC doesn't rise exception if device doesn't exist
  * Honor the common session options for the placement API
  * Add alter\_enum\_add\_value function
  * Fixes import\_modules\_recursively for Windows
  * Revert "Change list of available qos rules"
* Sat Jun 17 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev115:
  * OVO: ensure decomposed plugin do not break with OVO
  * Updated from global requirements
  * net\_helpers: Set process streams to text mode
  * replace WorkerSupportServiceMixin with neutron-lib's WorkerBase
  * use neutron-lib's callback fixture
  * Don't log ipam driver on every IP allocation
  * python3: Do not pass MagicMock as ConfigOpts
  * Split allowed ICMPv6 types into two constants
* Fri Jun 16 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev99:
  * Lazy load of resources in resource cache
  * functional: Add support for python35 flavor
  * Trigger port status DOWN on VIF replug
  * Fix test\_dvr\_gateway\_host\_binding\_is\_set
  * Decompose SG RPC API DB methods
  * python3: use a list of IPDevice objects in tests
  * Remove unnecessary debug statement from OVO push
  * Move info retrieval methods below notifier
  * Move db methods to bottom of SG RPC class
  * Add a dashboard for Infra reviews
  * Add myself to the list of our Infra liaison
  * Move retry decorator to DB methods
  * Integrate Security Groups OVO
  * Removed Mitaka times compatibility code from RPC callbacks
  * Switch to olso.messaging:get\_rpc\_transport
  * Send port ID in network-changed event to Nova
* Thu Jun 15 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev69:
  * Integration of Allocation/Endpoints OVO
  * Fix usage of registry.receives in Nova notifier
  * Add support for ingress bandwidth limit rules in ovs agent
  * Reduce extension logging on init
  * Retry ebtables lock acquisition failures
  * Add libffi-dev to bindep.txt
  * DVR: Fix DVR Router snat ports and gateway ports host binding issue
  * Stop using nested transactions in OVO get/delete
  * [log]: db models and migration rules
  * Stop arping when interface gets deleted
  * Drop IPv6 Router Advertisements in OVS firewall
* Wed Jun 14 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev48:
  * Switch to start\_all\_workers in RPC server
  * Don't log about no notification on GET requests
  * Mask password when logging request body
  * Remove unused class 'QoSPolicyDefaultNotFound'
  * Do not defer allocation if fixed-ips is in the port create request
  * Set HA network port to DOWN when l3 agent starts
  * Revert "Use vif\_type='tap' for LinuxBridge for consistency"
  * neutron-rpc-server fails with no plugins loaded
  * Fix html\_last\_updated\_fmt for Python3
* Tue Jun 13 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev30:
  * Use e.exc\_type instead of calling str on exception
  * Remove redundant code in QosServiceDriverManager
* Mon Jun 12 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev26:
  * Change allowed directions for QoS min-bw rule in SR-IOV
  * remove unused reraise\_as\_retryrequest
* Sun Jun 11 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev22:
  * Warn the admin of a potential OVS firewall\_driver misconfiguration
  * Checks if net\_dns is None and returns so that we don't attempt to load None objects
* Sat Jun 10 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b3.dev18:
  * Integration of IPAllocationPool
  * Don't iterate updated\_rule\_sg\_ids or updated\_sg\_members
  * objects: exclude revision\_number from updatable fields
  * Update pylint disable list to pass pylint 1.7.1 checks
  11.0.0.0b2
  * Provide fallback for disabled port security extension
  * Add missing unit test for segment db
* Fri Jun  9 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b2.dev458:
  * tests: use devstack-gate to deploy dstat for functional/fullstack
  * Use rootwrap for fullstack test runner
  * Updated from global requirements
  * Fix incorrect comments in ip availability test
  * api-tests: Common way to define required extensions
* Thu Jun  8 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b2.dev451:
  * Add libssl packages to bindep
* Wed Jun  7 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b2.dev450:
  * Extend QoS L2 drivers interface to handle ingress rule types
* Tue Jun  6 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b2.dev448:
  * use MechanismDriver from neutron-lib + shim
  * Update minimum tox version to 2.3.2
* Mon Jun  5 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b2.dev446:
  * Configure root\_helper and root\_helper\_daemon in fullstack tests
* Sat Jun  3 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b2.dev444:
  * l3\_ha\_mode: call bulk \_populate\_mtu\_and\_subnets\_for\_ports
  * Fix updating Qos policy to be default/not default
  * api: work around Routes cutting off suffix from resource id
  * Add relationship between QosPolicyDefault and QosPolicy
  * python3: fix log index for test case messages
  * Disable QoS scenario tests differently
  * Utils: make delete\_port\_on\_error more informative
* Fri Jun  2 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b2.dev430:
  * ovs: bubble up failures into main thread in native ofctl mode
  * Fix file permissions
  * Switched to pyroute2.config.asyncio.asyncio\_config
  * Update the host\_id for network:router\_gateway interfaces
* Thu Jun  1 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b2.dev424:
  * Change supported vif type in Linux Bridge
  * use extra\_dhcp\_opt api-def from neutron-lib
  * Fixed docs job failure
  * Switch to constant for 'tap' VIF\_TYPE
* Wed May 31 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b2.dev418:
  * Updated from global requirements
  * python3: convert range object to list before comparing with a list
* Tue May 30 2017 cloud-devel@suse.de
- Update to version neutron-11.0.0.0b2.dev414:
  * VXLAN multicast groups in linuxbridge
  * Add "default" behaviour to QoS policies
  * Bulk up port status updating in ML2 RPC
* Mon May 29 2017 tbechtold@suse.com
- Update to version neutron-11.0.0.0b2.dev408:
  * [OVO] Integration of RouterL3AgentBinding
  * Fix security group rules created for dhcpv6
  * Use push-notificates for OVSPluginAPI
  * Revert "DVR: Add forwarding routes based on address\_scopes"
  * python3: return str from read\_stdout
  * Drop 'notifies\_port\_ready' check for DHCP agents
  * Fixed python3 failure in functional tests using net\_helpers
  * objects: added update\_objects to OVO framework
  * objects: update fields\_no\_update to reflect models
  * Renamed tox targets for functional with python3
  * use is\_port\_trusted from neutron-lib
  * Add precommit calls to the QoSDriver class
  * objects: don't allow to update create\_at and update\_at
  * Updated from global requirements
  * Allow port security updates even without security-groups enabled
  * Fix functional test for ovsdbapp 0.4.0
  * Update team members according to latest events
  * Changing create\_server to be "non class method"
  * DVR: Do not check HA state on DVR-only routers
  * Send both gratuitous ARP REQUESTs and REPLYs
  * Fix nullable data\_plane\_status reference in port OVO
  * Use vif\_type='tap' for LinuxBridge for consistency
  * Move get\_vif\_type hook point into mech\_agent
  * Allow fip associate to different tenant port if admin
  * Add IPv6 default route to DHCP namespace
  * Update to support the ovdsbapp 0.4.0 API
  * Add "direction" parameter to QosBandwidthLimitRule
  * Separate port status update from getting details
  * Updated from global requirements
  * Add check for Bandwidth Limit Rules
  * Handle PortNotFound when deleting a network
  * Wait 2 seconds between gratuitous ARP updates instead of 1 second
  * Enable segments plugin in gate
  * Fix tempest test failing with segments extension
  * use worker from neutron-lib
  * Notify L2pop driver from update\_device\_(up|down)
  * Eliminate SUBNET\_GATEWAY resource
  * Use SUBNET instead of SUBNET\_GATEWAY event in L3
  * Add BEFORE\_UPDATE subnet event
  * Get orig subnet in precommit method
  * Move subnet event to db\_base\_plugin\_v2
  * Change PATH for "ip addr list" command so it could work with cloud-user
  * Add tempest test for l3-ha extension
  * Add QoS backend/rule support table to documentation
  * Adds an option to skip ports on ovs\_cleanup
  * ovsfw: followup cleanups for the conjunction patch
  * Updated from global requirements
  * service: add callback AFTER\_SPAWN
  * test\_dhcp: Use a safer host name
  * devstack: Add neutron-sriov-agent alias for lib/neutron
  * Fix: set IPv6 forwarding when there's an IPv6 gw
  * Trivial fix typos while reading doc
  * Fix tempest router migration test when HA enabled, v2
  * Revert "Fix tempest router migration test when HA enabled"
  * Remove deprecated eventlet TimeoutError exception
  * OVSBridge: add --strict to allow priority in delete\_flows
  * Add the parameter sub-resource-ID to the test show/update resource function
  * Updated from global requirements
  * Fix error getting segment\_id in linux DHCP driver
  * Change list of available qos rules
  * TrivialFix: Remove dead code in iptables\_firewall
  * tempest: Obey ssh\_timeout config option
  * Clean MissingAuthPlugin from unit tests
  * Move \_get\_marker\_obj() out of CommonDbMixin
  * Fix errors in PrefixDelegation.remove\_stale\_ri\_ifname
  * Fix tempest router migration test when HA enabled
  * tests: removed 'retargetable' framework
  * tempest: Obey identity\_feature\_enabled.api\_v2\_admin in a few tests
  * use neutron-lib port security api-def
  * DVR: Add forwarding routes based on address\_scopes
  * Add QoS bandwidth limit for instance ingress traffic
  * l3\_db: Fix a regression in the recent CommonDbMixin change
  * Metering to OVO
  * Make api\_all\_exntesions hook readable
  * use neutron-lib callbacks
  * Stop using CommonDbMixin
  * Update auto-addresses on MAC change
  * Only add "on-link" routes for L2 adjacent subnets
  * Refactor CommonDbMixin for removal
  * Use unused argument in dns extension
  * remove and shim callbacks
  * Remove unused parameter in test\_extension\_driver\_port\_security.py
  * Add Linuxbridge agent to no dhcp fullstack connectivity test
  * Creating subnet for tagged network without GW
  * Tempest: Edited bash commands to work with multiple OSes
  * Prevent regression of IP loss on MAC update
  * ProcessManager: honor run\_as\_root when stopping process
  * Add deperecated reference to impl\_idl.Transaction
  * [Pecan] Fix custom tenant\_id project\_id matching
  * Eliminate lookup of "resource extend" funcs by name
  * Register ovs config options before using them
  * Fullstack: enable DHCP agent
  * Monkey patch the os and thread modules on Windows
  * Replace subprocess.Popen with CreateProcess on Windows
  * Add network\_id in segment check log
  * Remove unused functions from devstack/lib/ovs
  * Use conjunction for security group rules with remote\_group\_id
  * Use the ovsdbapp library
  * fullstack: Compile openvswitch module for fullstack test
  * fullstack: Don't let dhcp agents failover
  * Use dirname in object recursive import
  * Use HostAddressOpt for opts that accept IP and hostnames
  * Stop extension warnings in UTs
  * Remove EXTERNAL\_NETWORK callbacks
  * Bulk up port context retrieval
  * Stop DHCP agent scheduler warnings in UTs
  * Fixup event transaction semantics for ML2 bulk ops
  * Set MTU on tap devices in Linux Bridge agent
  * Updated from global requirements
  * Revert "Update auto-addresses on MAC change"
  * docs: Update TESTING.rst about openvswitch requirements
  * Make QoS policy object compatible with versions 1.2 and higher
  * Correct param type description of supported\_rules of QoS driver
  * Eliminate mixin references in DVRResourceOperationHandler
  * Split out DVR DB into multiple classes
  * DVR: move snat and csnat functions
  * DVR: move delete\_floatingip\_agent\_gateway\_port
  * DVR: move \_get\_device\_owner and floatingip CUD
  * DVR: Move \_get\_floatingip\_by\_port to l3\_db
  * Use NETWORK callbacks in get-me-a-network code
  * sanity check: deprecate all version based checks
  * Disable new N537 hacking check from next neutron-lib
  * Ensure behavior of None for device\_id
  * Remove deprecated send\_arp\_for\_ha option
  * Add a skip check to make sure that vlan is actually in available\_type\_drivers
  * Add a new configuration variable for api links
  * Add devref for supporting use floatingip cross scopes
  * Replace six.iteritems with dict.items(Part-2)
  * Update auto-addresses on MAC change
  * Stop loading OVOServerRpcInterface in ML2 testcase
  * Agent-side receiver cache for ML2 OVO
  * Delete segments using OVO code
  * Don't load rels on detached objects
  * Add api test to create vxlan network
  * segments: make sure we pass lists into get\_objects
  * tests: allow database layer to generate id for standard attributes
  * Refactoring \_create\_test methods for OVO UTs
  * Revert "Rally: decrease SLA for avg list of ports and nets"
  * qos: removed silly tests validating that oslo.versionedobjects works
  * Remove deprecated support for QoS notification\_drivers
  * Rename method to better reflect what it does
  * ml2: Remove no longer necessary subtransaction workaround
  * Update operation dns notes url
  * Update release page url
  * devref: Remove resolved fullstack TODO items
  * Floating IP association without subnet gateway IP
  * Replace six.iteritems with dict.items(Part-1)
  * Expose neutron api application as a wsgi script
  * Allow to disable DVR api extension loading
  * Add IPAllocations to the port fixed\_ips
  * Integration of Router Extra Attributes OVO
  * Eliminate lookup of model query hooks by name
  * move make\_port\_dict back out of txn
  * Integrate NetworkSegment OVO
  * Add launchpad bug update support to abandon script
  * Implement '-F' option for 'net-ip-availability-\*' command respond
  * Exhaust VLAN allocations in physnet order
  * Check permutations of router migrations
  * Don't set use\_stderr to False for tests
  * Reduce rpc calls in SR-IOV agent
  * Dont try to apply iptables rules in a endless loop
  * Handle CIDR IP address in allowed address pairs
  * Allow self-sharing RBAC rules to be deleted without usage check
  * Remove unused variable
  * Use registry.receives decorator in neutron.db.l3\_db
  * Use 'segment' instead of 'network' in log
  * fix overaggressive 403->404 conversion
  * Updated from global requirements
  * ip\_lib: ignore gre and lo devices in get\_devices by default
  * Ignore gre devices in namespaces when cleaning up devices
  * Record queries for helpful failure msg in bounds test
  * Add string validation on security group's name
  * Pass MTU and AZ into network\_create\_precommit
  * Don't override default values for oslo.db options
  * tests: removed support for OS\_CHECK\_PLUGIN\_DEALLOCATION
  * Stop direct access to CONF.debug
  * Switch to neutron-lib hacking factory
  * Add some bulk lookup methods to ML2 for RPC handling
  * Allow offloading lookups in driver contexts
  * Don't mock registry in revision\_plugin test
  * Call expire\_all in revision tests before re-use
  * Pecan: /v2.0/ views response with resources
  * Deprecate watch\_log= argument for Daemon
  * Refactor the usage of save\_and\_reraise\_exception
  * docs: Update TESTING.rst with gate information about ovs
  * policies: Add policy for rechecking failed jobs on Gerrit
  * Adding missing neutron policies to policy.json
  * fullstack: Test vms are pingable before testing data plane
  * DVR: Create router to fip namespace connection based on gateway state
  * Port data plane status extension implementation
  * DVR: Don't clean snat-ns of DVR HA router when fullsync
  * Exit on failure to load mechanism drivers
  11.0.0.0b1
  * Add sanity check for conntrack
  * Fix some reST field lists in docstrings
  * New enginefacade for ports and sg groups
  * extraroute\_db: Remove \_get\_extra\_routes\_dict\_by\_router\_id
- Remove /usr/bin/openstack-ns-metadata-proxy . Removed upstream. Instead,
  a HAProxy process is launched.
- Adjust Requires and BuildRequires
* Thu Apr  6 2017 rhafer@suse.de
- Updated to latest version of neutron-ha-tool (ffb459e80cf) and include
  neutron-evacuate-lbaasv2-agent (from the same repository) into the
  neutron-ha-tool package.
* Tue Apr  4 2017 comurphy@suse.com
- Add python-keystonemiddleware to build requirements
* Sat Mar  4 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0rc2.dev203:
  * Stop killing conntrack state without CT Zone
  * Include metadata content for debugging
  * [Fix gate]Update test requirement
  * Use registry.receives decorator in neutron.db.dvr_mac_db
  * Convert gate_hook to devstack-tools
  * Remove unused enable_snat attribute
  * Use registry.receives decorator in neutron.db.l3_dvr_db
  * Enforce port QoS policies for all ports
* Fri Mar  3 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0rc2.dev187:
  * Don't use save_and_reraise_exception when we never reraise
  * Use @registry.receives in neutron.services.qos.drivers.base
  * Use registry.receives decorator in driver_controller
  * Fix has_registry_receivers when super.__new__ is object.__new__
  * Provide more useful repr for IPDevice
  * Scan for mac through all devices
  * LB Trunk: Stop matching MAC of subport to port model
  * Switch external network create event to precommit
  * Updated from global requirements
  * Fix has_registry_receivers for classes w/o __new__
  * Use registry.receives decorator in neutron.db.availability_zone.router
  * Use registry.receives decorator in neutron.db.l3_hamode_db
  * Fetch trunk port MTU only on trunk validation
  * Remove obsolete comment
  * Deprecate gateway_external_network_id option
  * Add some debug statements to root-cause 1666493
  * Remove deprecated methods supported by neutron_lib
  * Fix typo in blueprints.rst
* Wed Mar  1 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0rc2.dev151:
  * Use registry decorator in ML2 plugin
  * Prevent double-subscribes with registry decorator
  * functional: Stop compiling OVS from source
* Tue Feb 28 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0rc2.dev145:
  * Use registry decorator in external_net_db
  * Switch to use idempotent_id decorator from tempest.lib
  * Adding a code coverage threshold
  * Mark of_interface option deprecated
  * Clean up deprecated sqla model import paths
  * OpenFlowSwitchMixin: do not override delete_flows
  * Fix string case issue in rpc_api documentation
  * Avoid applying noop lambdas per object in db_api.get_objects
  * Stop handling interface drivers that don't support MTU
  * Macvtap: Check for no original port in is_live_migration
* Mon Feb 27 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0rc2.dev125:
  * Cleanup _find_related_obj
  * Fix OVSBridge.delete_flows when called with no args
  * Registry decorator to bring subscribes to methods
* Sun Feb 26 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0rc2.dev119:
  * Remove a NOTE that doesn't make sense anymore
  * Add bashate support
  * tiny refine: capitalize mod_name with string capitalize function
  * gate-hook: Accomodate devstack-gate local.conf changes
  * Allow no network to be passed into PortContext
* Thu Feb 23 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0rc2.dev111:
  * tempest: Skip QoS test until fixed
  * Skip segment checks during network delete operations
* Wed Feb 22 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0rc2.dev108:
  * Avoid segment DB lookup in _expand_segment on port
  * Make ML2 OVO push notification asynchronous
  * Avoid loading network and all rels for subnet query
  * Pass --concurrent flag to ebtables calls
  * Don't delete_port on binding deadlock
  * Remove test cases that moved to tempest
* Tue Feb 21 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0rc2.dev97:
  * Don't log about retrying failed devices if empty
  * Allow no network to be passed into subnet context
  * Remove ORM relationship between ports and networks
  * Revert "Don't disable Nagle algorithm in HttpProtocol"
* Sun Feb 19 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0rc2.dev91:
  * Pecan: Get loaded by paste deploy
  * Skip native DHCP notifications on status change
  * Add a tempest scenario for floating-ip
* Sat Feb 18 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0rc2.dev85:
  * Turn nova notifier into a proper rate limiter
* Fri Feb 17 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0rc2.dev84:
  * Move dhcp_release6_supported to runtime checks file
  * Move ovsdb_nested transaction to ovs_lib
* Thu Feb 16 2017 tbechtold@suse.com
- Update to version neutron-10.0.0.0rc2.dev81:
  * Flavors: move dict extend out of txn
  * Adding cleanup of floating ips
* Thu Feb 16 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0rc2.dev77:
  * Remove logging import unused
  * Invert device_owner to avoid filtering too much
  * Clean up ovsdb-native's use of verify()
  * For typo in sqlalchemytypes
* Wed Feb 15 2017 tbechtold@suse.com
- Update to version neutron-10.0.0.0rc2.dev69:
  * fullstack: Fix race between updating port security and test
  * Simplify the QoS bandwidth test to increase reliability
  * tempest: Log server console output of failed SSH
- Adjust Requires
* Wed Feb 15 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0rc2.dev64:
  * Simple logging de-dup logic to RPC version_manager
  * Only log IDs of callbacks in debug message
  * Enable dstat for in-gate functional and fullstack test runs
  * [TrivialFix]Remove the file encoding which is unnecessary
  * Don't configure neutron.conf as part of functional/fullstack gate
  * Switch to use test_utils.call_until_true
  * Clean up inconsistent syntax
  * trunk: Add tempest test validating subport connectivity
  * Update docstring for base OVO
* Tue Feb 14 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0rc2.dev49:
  * Updated from global requirements
  * Add helper for driver to check if it owns router
  * Remove dependency on memory heavy python-requests
* Mon Feb 13 2017 tbechtold@suse.com
- Update to version neutron-10.0.0.0rc2.dev43:
  * Revert "Linux Bridge: driver support for QoS egress minimum bandwidth"
  * Fix typo in .pylintrc file
  * Update devref for enhanced tag mechanism
  * Fix error in openvswitch firewall doc
  * Fix duplicated sg rules check for remote_ip_prefix
  * Typo fix: underlaying => underlying
  * Open Pike DB migration branch
  * Tag the alembic migration revisions for Ocata
  * Deprecate get_locked_port_and_binding
  * DVR: Look at all SNAT ports for a subnet match
  * Simplify notify transaction tests
  * Switch to 'subquery' for 1-M relationships
  * Add DBError to _is_nested_instance
  * Enhance tag mechanism
  * Update reno for stable/ocata
  10.0.0.0rc1
  * Use same session object for ml2 dict extend functions
  * Skip reading config files from neutron.conf.d for the namespace proxy
  * Add Loki service plugin for optional DB havoc
  * Use bytes for python3 friendly os.write
  * Updated from global requirements
  * Use addCleanup instead of tearDown
  * Remove --omit argument in run_tests.sh
  * Integration of Provisioning Block OVO
  * Pecan: Fix tags handling for pecan
  * Add support for Keepalived VRRP health check
  * Ensure that subnet update does not creat RPC client
  * Use socket.AF_INET6 in ip_lib tests
  * tempest: Pin Ubuntu image to one version
  * Update bug triaging policy for documentation
  * Remove duplicated and unused code in iptables_firewall
  * Terminate macvtap agent when physical_interface_mapping config not present
  * Add IPv6 Prefix Delegation support for DVR
  * Fix port update for service subnets
  * Update in-tree code to use new neighbour functions
  * functional: Check for processes only if there are any
  * Fix link in QoS devref
  * Clear conntrack entries without zones if CT zones are not used
  * Fix iptables rules for Prefix Delegated subnets
  * policies: Replace Joe's graphite graphs with Grafana
  * Init privsep on l3 agent start
  * Display deprecation warning in test only once
  * Kill the metadata proxy process unconditionally
  * Always acquire network.id lock in dhcp port update
  * Fix WaitTimeout string representations
  * Addressing L3 HA keepalived failures in functional tests
  * Stop passing datapath as 'may_exist' argument
  * DVR: Add static routes to FIP namespace
  * Refactor L3 scheduler (unify code paths)
  * Retry on routerport delete race
  * Do not raise an error deleting neighbour entry
  * [Live Migration] Extend ml2_port_binding table
  * Fix some pylint errors in IPAM tests
  * Use weakrefs for common_db_mixin callbacks
  * Add bulk pull OVO interface
  * Handle attempt to enable br_netfilter in namespace
  * Check arg type for SegmentTypeDriver functions
  * Add missing port UPDATE event to ML2
  * Fixes to allow OVO deserializion of ports/networks
  * Add missing module-level SUBNET ref
  * ovsfw: Refresh OFPort when necessary
  * Fix a bad docstring in provisioning blocks module
  * OVS: merge the required OpenFlow version rather than replace
  * Fix typo in test_l2_lb_agent.py
  * Set access_policy for messaging's dispatcher
  * Elminate join for network owner filter
  * Allow the other nic to allocate VMs post PCI-PT VM creation
  * Use plugin directory fixture
  * Pecan: Fix policy checks for lists
  * Fix broken Windows compatibility in ovs_lib
  * Add IPLink class to Windows ip_lib implementation
  * Include port_security check in fullstack tests
  * Revert "Setup firewall filters only for required ports"
  * test_l3: Enable native pagination and sort
  * Multiple tweaks for Ocata release notes
  * Use unique subnetpools in SubnetPoolPrefixDbObjectTestCase
  * Remove python 3.4 support
  * DB: remove deprecated oslo_db warnings
  * Add more protocols to the iptables module map
  * Use assertGreater(len(x), y) instead of assertTrue(len(x) > y)
  * configure_for_func_testing.sh: Remove neutron-legacy inclusion
  * TrivialFix: Modify the spelling mistake
  * Improve tunnel_sync
  * ML2: Lower log level of "Host filtering is disabled" message
  * Use only_contrib option for nova_client calls
  * Remove unused params named "context" in filter_attributes
- Adjust Requires
* Fri Jan 27 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b4.dev2:
  10.0.0.0b3
  * Transition qos notification driver into qos driver
  * Adjust psutil usage for psutil > 2
  * Always add unique sort keys when sorting
  * Linux Bridge: driver support for QoS egress minimum bandwidth
  * adds support for vhost user reconnect
* Wed Jan 25 2017 dmueller@suse.com
- fix ovs-cleanup script not reading non-default config dir
* Wed Jan 25 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b3.dev322:
  * Allow all migration of routers
  * Change neighbour commands to use pyroute2
  * Routed networks IPv4 inventory in Nova GRP
  * Correctly set project_name
  * Break circular import with use of common_types
  * ovsfw: Support protocol numbers instead of just tcp and udp
  * Add KillFilter for python 3.5
  * Register sqlalchemy events through hook for UT cleanup
  * Fix empty string check for python 3
  * Update docstring in validate_provider_segment
  * Modify docref commands to reflect OSC transition
  * Server-side push notifications for ML2
  * OVO for Ipam(Allocation,Subnet,Pool)
  * Remove get_router_cidrs method of dvr_edge_ha router
  * openvswitch agent: add OVS_RESTARTED event
  * Stop using legacy facade
  * XenAPI: Support daemon mode for rootwrap
  * Get rid of L3 HA override of _update_router_db
  * Get rid of create_router override in l3_ha mixin
  * Add OVO for AutoAllocatedTopology
  * Manually add pk for alembic_version table
  * Fix netns_cleanup interrupted on rwd I/O
  * Do not try and remove non-existent iptables chains
  * Add subprojects database migration
  * DVR: Fix IPtables driver for metering with DVR routers
  * Get rid of floating IP bgp next_hop query
* Fri Jan 20 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b3.dev272:
  * Allow 0 in port range for securitygrouprule object
  * Updated from global requirements
  * Fix importing old path for exceptions
  * Catch invalid subnet service_types on input
  * Add a ReST client for placement API
  * Support ovsdb-client monitor with remote connection
  * Protect against non-determinstic sort
  * Rename a test method
  * DHCP: enhance DHCPAgent startup procedure
  * Add check for ha state
  * Only migrate ports on DVR migration
  * Change the order of installing flows for br-int
  * Remove deprecated dhcp_domain from dhcp_agent.ini
  * Remove second -m protocol from iptables rules
  * Refactor OVSDB native lib to be more customizable
* Thu Jan 19 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b3.dev245:
  * Use ubuntu image for tempest scenarios from Neutron
  * Fullstack SG test for LinuxBridge agent
  * DVR: delete stale devices after router update
  * Use new enginefacade for dvr mac db
  * Use writer for trunk database operations
  * DVR: fix csnat port missing after router update
* Wed Jan 18 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b3.dev233:
  * Fix typos
  * Remove deprecated min_l3_agents_per_router
  * Flavor and Service Profile to OVO
* Tue Jan 17 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b3.dev228:
  * Revert "Protect against non-determinstic sort"
  * L3: Add in missing translation
  * ovsfw: Raise exception if tag cannot be found in other_config
* Mon Jan 16 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b3.dev223:
  * Use project_id instead of tenant_id in objects
  * Checking functionality of DVR
* Sat Jan 14 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b3.dev219:
  * Fix broken links in devref
  * Remove references to defunct Stadium docs
  * Don't emit SG rule AFTER events until TX closed
  * neutron-lib: use L3 constant
  * Centralize creation of security group test obj
  * Suppress annoying "Could not load" stevedore warnings
  * Don't create default SG in transaction
  * Add DictOfMiscValuesField in OVO for dict usage
  * Remove greenlet useless requirement
* Fri Jan 13 2017 rhafer@suse.de
- neutron-ha-tool requires paramiko
* Fri Jan 13 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b3.dev201:
  * Protect against non-determinstic sort
  * Decompose router extra attr processing
  * Updated from global requirements
  * Clean up _get_ports_query
  * Get rid of additional fixed_ip filter join
  * Change default exception in wait_until_true
  * Get rid of l3 ha delete_router inheritance
  * Allow to pass suite flavor to gate_hook to disable dvr tests
  * Refactors QosAgentDriver
  * iptables: don't enable arptables firewall
* Thu Jan 12 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b3.dev181:
  * Use the session loader in keystoneauth1 for designate
  * Fix delete_network to delete ports one by one
  * Cleanup unused helper function from test code
  * Added UT for floating ips with dns
  * Remove advertise_mtu config option
  * Get rid of _network_model_hook for external_net
  * Protect against '.delete()' for quota and revisions
  * Don't use .delete() on a port in unit test
  * Stop using .delete() in external net handling code
  * Revert "Add ALLOCATING state to routers"
  * Get rid of ml2 port model hook join
  * Add retry to _create_ha_port_binding
  * Correct the msg ipv6 enable in system
  * gate_hook: Add support for neutron-full with the ovs firewall
  * Use gate_hook to enable q-trunk for rally
  * of_interface: Revert patching ryu
  * Add agent object in router info
  * Removed deprecated tests function
* Mon Jan  9 2017 slunkad@suse.com
- adds/removes some files from the spec file
* Mon Jan  9 2017 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b3.dev146:
  * l3scheduler: create ha_vr_id more robustly
  * Kill neutron-keepalived-state-change gracefully
  * Add filter check for quering
  * Fix dir doc typo error
  * DHCP: "reserved_dhcp_port" not well managed during startup
  * Raise AssertionError instead of eventlet.timeout.Timeout when failing
  * Adding debug trace to IPWrapper.get_devices()
  * Update contacts and team list
  * Replaces uuid.uuid4 with uuidutils.generate_uuid()
  * Reduce IP link show calls for SR-IOV scan loop
  * SR-IOV: Remove physical_device_mappings depreciation warning
  * Fix a typo in iptables_manager.py
  * Fullstack tests for DHCP agent HA
  * Fix pylint warning in test_l3_hamode_db.py
  * Fix typo
  * Replace nc command with ncat
  * Updated from global requirements
  * [TrivialFix] Fix comment typo error
  * Don't create HA resources until needed
  * Fix ext alias in revision API test
  * Modify error word "procedence" to "precedence"
  * Updated from global requirements
  * [TrivialFix] Fix comment typo error
  * neutron-lib: use CORE from neutron lib constants
  * Use Port OVO in ml2/db and plugins/ml2/test_db
  * gate_hook: Add a no-op rally case
  * Remove Duplicate line in privsep.filters
  * Use DB field sizes instead of _MAX_LEN constants
  * Account for unwire failures during OVS trunk rewiring operations
  * Change passing session to context in segments db functions
  * Fix a bug in process_spawn binding on ports
  * team update: john-davidge doc liasion
  * OVO for FlatAllocation
  * Fix python3 issues with devstack
  * Pecan: Fix subresource policy check
  * Adopt privsep and read routing table with pyroute2
  * Change passing session to context for TypeDriver
  * Remove iptables nat and mangle rules for security group
  * SR-IOV: remove ml2_conf_sriov.ini from oslo-config-generator
  * Sort and Remove duplicate field types
  * Kill processes when cleaning up namespaces
  * Don't return content when we set HTTP 204
  * Set standard_attr_id as property in DeclarativeObject
  * Bump revision of resource on tag add/remove
  * Use subqueries for rbac_entries and subnets<->network
  * Use get_random_string from neutron-lib
  * Moving pyroute and oslo.privsep deps into requirements.txt
  * devref: suggest bug deputies to send brief reports to ML
  * Update comment about foreign keys
  * Document how to proceed with new platform features
  * Added log messages while creating neutron objects
  * Remove external_fixed_ips from Plural_mappings in l3.py
  * DVR: Fix race condition in creation of fip gateway
  * Bulk creation of SecurityGroups
  * Delete related conntrack when delete vm
  * Pecan: Change Quotas to use original controllers
  * Allow keystone v3 in the designate driver
  * configure_for_func_testing.sh: Source lib/neutron as well
  * revise doc: support_extension_aliases to supported_extension_aliases
  * Add notify for tag operations
  * Calculate IPv4 DHCP subnets once for metadata
  * ml2: Add original port to context on _bind_port
  * Fix typo in release note filename
  * Removed deprecated class LocalVLANMapping
* Tue Dec 20 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b3.dev31:
  * Proposing tidwellr and njohnston as service layer go-to contacts
  * Propose mlavalle as neutron core and L3 second in command
  * Update MTU on existing devices
  * Correctly print --limit value passed via API
  * Fix DHCP Port Creation on Service Subnets
* Mon Dec 19 2016 dmueller@suse.com
- fix ovs-cleanup start script
* Sat Dec 17 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b3.dev23:
  * Ensure random object unique constraints aren't violated
  * Clean-up L3 constant TODOs
  * Unittests improvement
  * tests: change order of assertion in _validate/compare_resource
  * Refactor ml2_db to pass context
  * Fix flake8 error in DHCPOptsTestCase class
  * Remove duplicated revises_on_change in qos db model
* Fri Dec 16 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b3.dev13:
  * Fullstack test for DHCP agent
  * get_random_object_fields() for setting object attr
  * Updated from global requirements
  10.0.0.0b2
  * Propose abhiraut as neutronclient core
  * OVO for Allocation and Endpoint
  * objects: add delete_objects public method
  * devref: don't suggest to manually request stable branches
  * Revert "lb-agent: ensure tap mtu is the same as physical device"
  * QoS: update the database before notifying the backend on delete
  * Include ovsdb_connection option into all interface_driver agents
* Thu Dec 15 2016 tbechtold@suse.com
- config cleanup
* Thu Dec 15 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev285:
  * Restore extraroute dict after OVO change
* Wed Dec 14 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev284:
  * Remove model_base deprecations
  * DSCP packet marking support in Linuxbridge agent
  * Unplug external device when delete snat namespace
  * OVO for VlanAllocation
  * Correctly configure IPv6 addresses on upgrades
  * Integration of RouterRoute OVO
* Tue Dec 13 2016 tbechtold@suse.com
- Use type=notify for neutron-server
* Tue Dec 13 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev273:
  * tempest: Fix qos extension check
  * Optimize trunk details extension hook
  * Get rid of DVR override of remove_router_interface
  * Check for unbound ports in L3 RPC handler
  * Make UUIDField actually validate UUIDs
  * Remove floatingip address ignores ha_state
* Mon Dec 12 2016 tbechtold@suse.com
- Fix --config-file params for neutron-db-manage
* Mon Dec 12 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev262:
  * Revert "Squash revert to breaking changes"
  * rally trunk port list
  * Add API test for tag
* Sat Dec 10 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev258:
  * Fix some slow unit tests
  * Get rid of DVR override of add_router_interface
  * Add filters support to constant queries test
  * Add janitor to cleanup orphaned fip ports
  * stadium guidelines: Document stable branch creation
  * Expose [agent] extensions option into l3_agent.ini
* Fri Dec  9 2016 tbechtold@suse.com
- Add conf.d dirs for specific services.
* Fri Dec  9 2016 tbechtold@suse.com
- Introduce /etc/neutron/plugin.ini which will be read by the
  neutron-server . This link should point to the used core plugin.
* Fri Dec  9 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev246:
  * Remove redundant "dvr" in test name
  * Pass context and resource_type in RPC callback
  * Tempest tests uses only supported QoS rule types
  * Get rid of DVR override of _port_has_ipv6_address
  * SRIOV: don't block report_state with device count
  * Convert filters to empty dict if None in DB's get_subnetpools()
  * Skip larger than /64 subnets in DHCP agent
  * Removed deprecated method
* Thu Dec  8 2016 aplanas@suse.com
- systemd: remove Wants from services.
* Thu Dec  8 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev230:
  * Use Query.column_descriptions instead of private property
  * Remove fallback functions in agent/rpc
  * Refactoring config opts for ml2 plugin openvswitch
  * Compare port_rule_masking() results with different approach
  * Delete conntrack when remote ipset member removed
  * Trivial Fix - Update code to use Pike as the code name
* Wed Dec  7 2016 tbechtold@suse.com
- Remove --config-file options from neutron-server . A user
  must explicit enable a ml2 plugin via a link into
  /etc/neutron/neutron-server.conf.d/ .
* Wed Dec  7 2016 johannes.grassler@suse.com
- Converted to systemd units
  * Added service files for neutron-server and all agents
  * Fixed path in openstack-neutron.conf
  * Removed legacy init scripts
  * Remove support for /etc/sysconfig/neutron . Use instead the
    /etc/neutron/$program.conf.d/ directories if extra config
    files are needed for different services.
* Wed Dec  7 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev218:
  * doc: Fix a warning
  * Eliminate DVR inheritance of router create/update_db
  * Support alembic 0.8.9 in test_autogen_process_directives
* Tue Dec  6 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev212:
  * Use ExtensionDescriptor from neutron-lib
  * Pecan: Remove get_resources() from get_pecan_resources()
  * Lock in DHCP agent based on network_id
* Sun Dec  4 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev206:
  * Renamed all [AGENT] config sections into [agent]
  * functional: Remove unused l3 config
* Sat Dec  3 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev202:
  * Use Port OVO object in test_l3_ext_gw_mode
  * Use to_policy_values for policy enforcement
  * Remove allow_pagination and allow_sorting config options
  * gate_hook: Remove a stale comment
* Fri Dec  2 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev194:
  * Don't compile OVS kernel modules for functional job
  * Update bug tag contacts due to absconsions
  * Functional tests: change assert to wait_until_true
  * Remove PLURALS
  * Improve performance of _modify_rules
  * policy: cache extracted parent fields for OwnerCheck
* Thu Dec  1 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev183:
  * Fix docs headers
  * Update DB lieutenant to Ann Taraday
  * Refactoring config options for mech_sriov opts
  * Migrate device_owner for router's interface
  * tests: introduce update_obj_fields method in base objects test class
  * Fix OSprofiler support
  * Pecan: Minor Fix in startup
* Wed Nov 30 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev169:
  * Reuse plugin's update method for changing trunk status
  * Introduce objects_exist method in neutron/objects/base.py
  * OVO: add SubnetServiceType object and code integration
  * Revert "Deprecate SR-IOV 'physical_device_mappings' config option"
  * Integrate Address Scope OVO into DB
  * Add missing revises_on_change attribute
  * Redirect ExtensionDescriptor to neutron-lib
  * ovs-agent: Close ryu app on all exceptions
  * Get rid of DVR inheritance of _delete_current_gw_port
  * ovsdb: don't erase existing ovsdb managers
  * OVO for Provisioning Block DB Model
  * Refactoring config options for plugin l2pop opts
  * Using a new security group in scenario tests
  * Disable 'accept_ra' in DHCP agent namespace
* Mon Nov 28 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev141:
  * L3: Only send notifications if l3 plugin exists
* Sat Nov 26 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev139:
  * Show team and repo badges on README
  * Solve unexpected NoneType returned by _get_routers_can_schedule
  * fullstack: add some more security group tests
  * Remove legacy oslo.messaging.notify.drivers
  * functional: Pass string tag to other_config
  * Speed-up iptables_manager remove_chain() code
  * Add check to address_pair that items in list are dict
* Fri Nov 25 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev126:
  * Update network dict with segment and mtu info in _create_subnet_db
  * Capture NotFound Exceptions in subnet postcommit
  * Revert "DHCP agent: advertise SLAAC prefixes"
  * Squash revert to breaking changes
  * Fix InvalidInput exception output
* Thu Nov 24 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev116:
  * Remove REVERSED_PLURALS and get_resource_info()
  * Revert "Fix file permissions"
  * Adopt neutron-lib plugin directory
  * DB: use get_unique_keys from oslo_db
  * ovs-agent: Catch exceptions in agent_main_wrapper
  * cors: update default configuration
  * functional: Use VLAN tags from range <1; 4094>
  * Get post-subnet actions out of transaction
  * Move DVR fip agent gw port create out of transaction
  * Separate floating IP port creation from transaction
  * Have qos object increment port/network revision
  * Handle db_add in transaction for new objects
* Wed Nov 23 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev94:
  * Updated from global requirements
  * Refactoring config options for plugin macvtap opts
  * Refactoring config options for l2 agent ext opts
  * Refactoring agent metadata config
  * Metering: sync only active routers hosted on the same host
  * Fix security_groups_provider_updated for linuxbridge
  * Fix file permissions
  * DB: remove deprecation warnings for BASEV2
  * Adjustment method execution order
  * Remove unused LOG
  * sanity check: Check that ip_nonlocal_bind works with namespaces
  * Use new enginefacade metering db
  * L3 scheduler: add retry indicators for bind_router
  * Move sysctl out of IPDevice class
  * Stop using osprofiler options as if they are part of public API
  * Deprecate run_tests.sh
  * Removed deprecated checks
  * Removed update_network from plugin.common.utils
  * Neutron lib adoption
  * Pecan: No fields to plugin on GET member actions
  * Forbid contract migration scripts for Ocata
  * DHCP agent: advertise SLAAC prefixes
  * Expose OVS bridge related options into metering agent config file
  * Fixes DBDeadlock race condition during driver initialization
* Tue Nov 22 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev56:
  * Add unit test in test_allowedaddresspairs_db
  * Replace create_test_segment with NetworkSegment object
  * ProviderResourceAssociation to OVO
  * Move SR-IOV VIF type constants to the portbindings extension
  * Pecan:Add functional test for QuotasController
  * Elimination duplication of lots of DVR tests
  * Fix typos in standard_attr.py & attributes.py
  * Replace assertEqual(None, *) with assertIsNone in tests
  * DVR: Fix func docstring and comments
  * ovsfw: small cleanups to improve readability
  * Change cfg.set_defaults into cors.set_defaults
  * Remove timeutils.clear_time_override in neutron
  * Removed deprecated methods for AgentSchedulers
  * Removed network_segment functions from ml2.db
  * Fix typo in comment
  * Fix test_unwatch_log() to cleanup after itself
  * Use assertItemsEqual to compare dicts
* Mon Nov 21 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev30:
  * Disallow specifying too long name and description for qos
* Sun Nov 20 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev28:
  * callbacks: Make the value of FLOATING_IP match with api resource
  * Use callbacks to create DVR floating GW port
* Sat Nov 19 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev24:
  * Move AgentStatusCheckWorker to PeriodicWorker
  * Typo on side_effect rendering the test useless
  * Fix reset/start methods on AgentStatusCheckWorker
  * Collect OVS Debt
  * Use new enginefacade for tag
  * Agent to OVO
* Fri Nov 18 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev14:
  * Update devref examples about alembic migrations
  * Only send string values to OVSDB other_config column
  * DVR: remove misleading error log
  * Add sg_id in the AFTER_DELETE event of sg_rule delete
* Thu Nov 17 2016 cloud-devel@suse.de
- Update to version neutron-10.0.0.0b2.dev10:
  * Stop using deprecated CORS.set_latent()
  * Install OVS from git if current version < 2.5.1
  * Clean up agent status check debt
  * Fix ML2, base db plugin update_subnet for transactions
  10.0.0.0b1
  * Parse the output of ip route more robustly
  * Add L3 HA test with linux bridge
  * Fix "failed unplugging ha interface" error when deleting router
  * Add a trunk rally test
  * Updated from global requirements
  * Use new enginefacade for servicetype_db
  * neutron-lib: complete usage of helpers
  * Avoid UnboundLocalErrors in _create_bulk_ml2
  * Pecan: Find subresource controllers by parent
  * Log OVS IDL library errors to neutron logs
* Mon Nov 14 2016 slunkad@suse.com
- Adds missing requirement
  * python-tenacity
* Sat Oct 22 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev329:
  * Updated from global requirements
  * Add functional tests for OVSDB Connection
  * objects: add validate_filters option for count() method
  * objects: Remove tenant_id from to_dict() when project_id is not set
  * Cleanup of SecurityGroup classes
  * objects: Removed project_id/tenant_id field translation
  * iptables: fail to start ovs/linuxbridge agents on missing sysctl knobs
* Fri Oct 21 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev315:
  * ovsfw: Add a dl_type match for action=ct flows
  * Generate OVSDB schema helper in a separate method
  * Fixed functional iptables firewall tests for newer kernels
* Thu Oct 20 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev309:
  * set_db_attribute differs between vsctl and native
  * test_routers_flavors: Skip if requirements are not met
  * Use BaseDbObjectTestCase in AddressScope UT
  * Devref: fix repeated 'testing documentation' text
* Tue Oct 18 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev301:
  * Updated from global requirements
  * Cleanup coverage configuration
  * Fix spelling errors
  * Make ovs functional tests mutually isolated
  * Add http_proxy_to_wsgi to api-paste
  * Only emit deprecation warning when deprecated value read
  * neutron-lib: use dict methods from helpers
  * Fix typos in test_ipam_pluggable_backend.py & base.py
  * Clean import in code
* Mon Oct 17 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev285:
  * Added trailing slash in link to Networking API v2.0
* Sat Oct 15 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev283:
  * Drop MANIFEST.in - it's not needed by pbr
  * Updated from global requirements
  * Add db_add to OVSDB API
  * Integrate SubnetRoute OVO
  * Fix IPv6 PD with pluggable IPAM
  * OVO for Router Route
* Fri Oct 14 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev271:
  * Swap the order of arguments to _check_equal
  * Remove deprecation warnings for agents_db
  * Have RouterRoute object increment Router revision
  * Allow to override Idl class in OVSDB Connection
  * fullstack: Add security group tests
  * neutron-lib: use get_hostname
  * neutron-lib: use cpu_count
  * Fix callers of _make_port_dict()
  * Objects: Add README for neutron/objects directory tree
  * Fix typo in comment
* Thu Oct 13 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev252:
  * Extend project_id in object dicts (Newton only)
  * Remove deprecation warnings for l3_hamode_db
  * neutron-lib: start using neutron-lib helpers
  * Add api test for create update network and port with dns
  * Add sample_default for state change server config
  * Fix typo overriden => overridden
* Wed Oct 12 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev240:
  * Fix periodic jobs: Add databases to bindep.txt
  * ovsfw: Fix warning message when fetching port's other_config
  * Refactor code to deprecate get_interface_mac
  * Use more specific asserts in tests
* Tue Oct 11 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev233:
  * Improved readibility and fixed indentation
  * Cleanup Newton Release Notes
  * Updated from global requirements
  * Relocate Agent DB model
* Sun Oct  9 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev225:
  * Relocate DNS db models
  * Get rid of double-join to rbac_entries without filter
* Sat Oct  8 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev221:
  * Ignore gre0 and gretap0 devices in netns cleanup script
  * Deterministic ordering of fixed_ips
  * Account for Py2/Py3 differences in fcntl.ioctl return value
  * Enable release notes translation
  * Add required extension to trunk_details descriptor
  * Relocate Segment DB Models
  * Disallow specifying too long name for meter-label
  * Fix misleading error trace in trunk fullstack life cycle test
  * Added bindep.txt to the project
  * Don't swallow ImportError from load_class_by_alias_or_classname
* Fri Oct  7 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev201:
  * Make Jakub Libosvar contact for ovs-fw tag
* Thu Oct  6 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev199:
  * Relocate Flavor and ServiceProfile DB models
  * L3 DVR: always notify on ROUTER_INTERFACE AFTER_CREATE
  * Relocate dvr model
  * Replace create_test_network with network object
  * Relocate Tag DB model
  * Enable OVSDB Connection unit tests for py3
  * Handle uuid references within an ovsdb transaction
  * Fix SR-IOV qos extension calls to clear_rate functions
* Wed Oct  5 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev184:
  * Fix _list_availability_zones for PostgreSQL
  * Relocate L3HARouter DB model
  * Refactoring config options for ml2 plugin drivers
  * Refactoring config options for l3 ha agent opts
  * Relocate SegmentHostMapping DB model
  * Don't try to delete non-existent namespace
  * Darek (@dasm) is our new release liaison for Ocata
  * Lower concurrency on rally port job
* Tue Oct  4 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev168:
  * Fix the 'port_id' attribute not exist error
  * Remove deprecation warning for l3_agent_scheduler
  * Relocate Router Extra Attributes DB Model
  * Make HenryG the Magnificent responsible for 'oslo' LP tag
* Sun Oct  2 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev160:
  * Remove old oslo.messaging transport aliases
  * Relocate router route DB model
* Sat Oct  1 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev156:
  * Relocate Geneve DB models
  * TestSanityCheck: drop test tables during cleanup
  * Relocate external network db models
  * fullstack: VLAN aware VMs test
  * Relocate ProviderResourceAssociation DB models
* Fri Sep 30 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev146:
  * Introduce ovo objects for networks
  * Schedulers: use consistent plugin, context args
  * Introduce ovo objects for ports
  * Relocate VlanAllocation DB model
  * Relocate Metering DB models
  * Relocate RouterL3AgentBinding DB model
  * Relocate Provisioning Block DB Model
  * tests: Move testtools to 3rd party libraries section
  * Include entity in provisioning block logs
* Thu Sep 29 2016 tbechtold@suse.com
- Move tempest tests to python-neutron package
* Thu Sep 29 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev128:
  * Ignore NULL fixed_ips for duplicate floating_ip check
  * Updated from global requirements
  * Relocate L3 DB Models
  * Process OVS trunk bridges associated to VM deletes
  * Correct fix for IPv6 auto address interfaces
  * New option for num_threads for state change server
  * Relocate VxlanAllocation/VxlanEndpoints DB model
  * Keepalived global_defs configuration entries required to avoid DNS lookup
* Tue Sep 27 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev113:
  * Refetch subnet/network from DB in ML2 update ops
  * Send a callback before attaching a subnet to a router
  * Add missing revision number altercations
  * Fixes for missing IPs on subnets in DHCP agent
  * Fullstack: Add helper FakeFullstackMachinesList
  * trunk: Log RPC communication
  * Relocate PortBindingPort DB Model
  * Reduce log level for extensions not being supported
  * Disallow specifying too long description for meter-label
  * Removing unused file neutron/agent/l3/config
  * Check for l3 agents count before router update
* Mon Sep 26 2016 tbechtold@suse.com
- Update to version neutron-9.0.0.0rc2.dev94:
  * Remove requests-mock from test-requirements
  * Retry port update on IpAddressAllocationNotFound
  * Handle add/remove subports events loss due to agent failures
  * Fix pep8 E501 line too long
  * Fix dhcp_release6 error when not supported
  * Fix ML2 revision_number handling in port updates
  * Fix ML2 test extension driver API test cases
  * API tests: Check MTU sanity of trunk/subport
  * Fix wrong use of six.moves.queue.get()
  * Allow more time for DB migration tests
  * Update trunk metadata during wire/unwire operations
  * Ensure trunk status is acknowledged during OVS subport operations
  * Clean-up Tempest test networks with project_id
  * Add MAC address to subports in trunk_details
  * Updated from global requirements
  * Install dibbler.filters rootwrap file
  * tests: catch eventlet.Timeout exception
  * Add basic status transition trunk scenario test
  * Remove deprecated class NeutronController
  * Do not retry default security group creation
  * Fix a release note typo for implicit provider loading deprecation
  * Revert "Do not retry default security group creation"
  * Try to reuse existing IPs when a port update specifies subnet
  * Make DHCP agent use 'revision_number'
  * Stop oslo_messaging from error logging CallbackNotFound
  * Don't immediately restart in DHCP agent on port change
  * Always cleanup stale devices on DHCP setup failure
  * Add admin api tests for project-id
  * Add to rally quotas to handle worst case quota race
  * Garbage collect HasStandardAttributes subclasses in StandardAttrTestCase
  * Don't raise RetryRequest for port in delete_subnet
  * Raise level of message to info
  * tests: Don't raise TimeoutError when waiting for ping
  * ovsfw: fix troublesome port_rule_masking
  * Not check subnet with dhcp disabled when get_isolated_subnets
* Wed Sep 21 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0rc2.dev30:
  * Do not retry default security group creation
  * Fix linuxbridge trunk subport RPC event handler
  * OVS agent: configure both OF10 and OF13
  * Disable DHCP on agent port removal
  * fullstack: execute qos tests for all ovsdb/of interface permutations
  * Change the prefix for trunk subports device_owner
  * Fix devref typo
  * DHCP: enhance DHCP release log
  * Make neutron-db-manage ready for ocata development
  * Update reno for stable/newton
  * Fix useless use of _nxm variant in an OVS field name
  9.0.0.0rc1
  * Added missing translation marker for an error
  * Add metadata proxy router_update callback handler
  * Fix events misnomer in callback registry debug trace
  * Fix metering-agent iptables restore failure
  * Add fullstack test with OVS arp_responder
  * Retry setting mac address on new OVS port 10 times
  * Forbid importing neutron.tests.* from outside tests subtree
  * ovs agent, native ARP response: set Eth src/dst
  * Expire DB objects in ML2 infinity loops
  * Stop olso_messaging from error logging CallbackNotFound
  * Add API test to ensure IPs can be added by subnet
  * Revert "Don't allocate IP on port update when existing subnet specified"
  * Add common way to extend standard attribute models
  * Fix migration of legacy router to DVR
  * Catch DBReferenceError in IPAM and convert to SubnetNotFound
  * Don't warn in VLAN Plumber on tagless children
  * Skip warnings during DHCP port actions if no error is raised
  * Include timezone in timestamp fields
  * Demote error trace to debug level for auto allocation operations
  * of_interface: Use vlan_tci instead of vlan_vid
  * stadium: remove neutron-release from release job for stadium projects
  * Mark agents db mixin operations retriable
  * devref: cleaning up release guidelines for stadium subprojects
  * objects: use correct object class name in NeutronPrimaryKeyMissing
* Fri Sep 16 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b4.dev220:
  * Correct floating IP extra attributes updating issues
  * Refactor for floating IP updating checks
  * Catch RPC errors in trunk skeleton
  * Capture SubnetNotFound from update_port call
  * tests: don't override base object test class attributes
  * Add release note for blueprint vlan-aware-vms
* Thu Sep 15 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b4.dev208:
  * LinuxBridge: Use ifindex for logical 'timestamp'
  * Prevent use filter(lambda obj: test(obj), data)
  * Make DHCP notifier use core resource events
  * Disable DHCP on test_create_port_when_quotas_is_full
  * Add retry decorator to provisioning blocks module
  * Tag the alembic migration revisions for Newton
  * Utilize retry_if_session_inactive in dvr_mac_db
  * Handle racey teardowns in DHCP agent
  * Fix TypeError in sanity check logging format
  * Don't allocate IP on port update when existing subnet specified
  * Prevent duplicate LLA iptables rules
  * Remove erroneous newton milestone tag
  * Preventing iptables rule to be thrashed
  * Mark quota operations as retriable
  * Pass not IPDevice but port_name into OVSBridge's add_port()
  * devstack: the last fix of is_kernel_supported_for_ovs25 condition
  * Ensure there are fdb_entries before iterating
  * Fix Rollback port's device_owner
  * Protect security group operations with the retry decorator
  * Don't work with native DB port objects in DVR code
  * Set device_owner for trunk subports
  * Only do deferred ip allocation on deferred ports
  * Accept and return project_id for API calls
  * trunk: Remove ovs constants from trunk utils module
  * Skip can_be_trunked validation for subports
  * ovsdb-handler: Follow up patch
  * Make l2/l3 operations retriable at plugin level
  * Reduce log level for ryu in OVS agent log
  * Use ConfigParser instead of SafeConfigParser
  * Replace assertEqual(None, *) with assertIsNone
  * Emit router payload only during failures
  * objects: expose database model for NeutronDbObject instances
  * Defer setting 'ha'/'distributed' flags in L3 code
  * Make optional the validation of filters
  * LinuxBridge: Pass host into get_devices_details_list
  * Downgrade binding skip in mech_agent
  * Use singleton for Nova notifier
  * objects: don't call DeclarativeObject's __init__ twice for rbac objects
  * Move retry decorator in auto allocate
  * Add retry decorator to RBAC module
  * Add sanity pings to restart tests to ensure connection
  * Implementation of vlan-aware-vms for Linux Bridge
  * devstack: finally fix the is_kernel_supported_for_ovs25 condition
  * tests: remove self.db_obj from objects tests
  * Neutron versions api now has its own middleware pipeline
  * pylint: remove 'openstack' from ignore list
  * Be more clear about DOWN_STATUS for trunk resources
  * Remove availability range code and model
  * Retain port info from DSCP rule creation
  * fix port address allocation for auto-addr subnet
* Sun Sep 11 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b4.dev111:
  * Updated from global requirements
  * Mark unaddressed ports with none in ip_allocation field
  * Add Trunk Plumber module for Linux Bridge
  * Move 'get_tap_device_name' to utils module
  * Quotas: add in missing translation
  * DHCP: device manager: two new methods - plug and unplug
* Sat Sep 10 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b4.dev99:
  * Fix sudo errors in test__set_trunk_metadata_with_None_params
  * Fix misnomer in _set_trunk_metadata
  * trunk: Handle subports notification in ovs agent side
  * l2pop fdb flows for HA router ports
  * OVSDBHandler for trunk ports
  * devstack: fix kernel version matching to detect ovs compilation support
  * Use correct exception in L3 driver controller
  * Don't use nested transaction in provisioning blocks
  * DHCP: remove deprecated config dhcp_lease_time
  * tests: refactor objects test cases to use db models instead of dicts
  * objects: remove support for multiple db models in from_db_object
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b4.dev79:
  * Add missing index on inserted_primary_key in migration
  * Prepare retry decorator to move to plugin level
  * Detect DBReferenceError when deleting flavor
  * Fix wrong HA router state
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b4.dev71:
  * Rollback port after failed to add it to router
  * Ensure UnknownProvisioningError can be printed
  * Standardize release note page ordering
  * Add API test for L3 Flavors
  * Reduce the number of debug traces emitted by registry callbacks
  * Add a composite unique key to floatingip table in Neutron database
  * Don't return ext net DB object in auto allocate
  * Include timestamps in trunk API test comparisions
  * Except if tracked resource registered as countable
  * Update L3 agent extensions devref
  * gate_hook: Compile ovs only with supported kernels
  * macvtap: Mech driver detects invalid migration
* Thu Sep  8 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b4.dev47:
  * Convert OVO fields to primitives for to_dict()
  * Config: change deprecation for max_fixed_ips_per_port to Ocata
  * Only schedule routers from drivers that need it
  * Remove FWaaS policy.json entries
  * l3 ha: don't send routers without '_ha_interface'
* Wed Sep  7 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b4.dev37:
  * Expose revision_number to trunk API
  * Add timestamp fields for neutron ext resources
* Tue Sep  6 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b4.dev33:
  * Check MTU sanity of trunk port subports
  * QOS-DB: remove deprecation warning
  * Revisit support for trunk segmentation types
  * Set trunk status to DOWN when parent port is unbound
* Mon Sep  5 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b4.dev25:
  * Use bridge_lib's FdbInterface calls instead of execute util
  * Change 'revision' to 'revision_number'
* Sat Sep  3 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b4.dev22:
  * Remove workaround for bug/1543094
  * Deal with unknown exceptions during auto allocation
  * db migration: Alter column before setting a FK on column
  * Switch order for cleanup in NamespaceFixture
  * Add binding_index to RouterL3AgentBinding
  * Make L3 agent use different request-id for each request
  * Refactor _ipam_get_subnets
  * Fix AddrFormatError in DHCPv6 lease release code
  * Add name and desc to networksegments table
  * Add the l3 agent 'host' when logging routers
  * Use revision to discard stale DHCP updates
* Thu Sep  1 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b4.dev4:
  9.0.0.0b3
  * Fix QoS standardattr migration foreign key step
  * Ignore extra subnet IPs in DHCP agent
  * Truncate microseconds before DB insertion
  * Updated from global requirements
  * Make milestone-review-dash script pull all Stadium projects
  * Adding support of releasing DHCPv6 leases
  * qos: require min_kbps parameter for minimum bandwidth rule
  * Mock call to sysctl for test_get_free_namespace_port
  * split out l3-ha specific test from TestMl2PortsV2
  * Add L3 agent extension API object
  * Switch to neutron-lib for model_base
  * Do not warn under normal network circumstances
  * Narrow down DBError to DBReferenceError in DHCP action handler
  * Expose timestamp attributes on trunk API
  * Remove non-pluggable IPAM implementation
  * Expose description attribute on trunk API
  * DVR: SNAT redirect rules should be removed only on Gateway clear
  * Implement state management for trunks
  * debtcollector for globals
  * Use method get_ipv6_addr_by_EUI64 from oslo.utils
  * Use plugin obj from neutron manager in the TestMl2PortsV2 unit test
  * Add new configuration test in sanity check: vf_extended_management
  * IPAM: fix the mode of ipam_backend_mixin.py
  * Pecan: Handle member actions
  * Get rid of flush() in create_segment()
  * Remove FWaaS entries from neutron setup.cfg
  * DVR: Cleanup the stale snat redirect rules in router namespace
  * Check for ha port to become ACTIVE
  * Fix ipam_driver config help
  * Auto allocation: ensure that networks and subnets are cleaned up
  * Handle fullstack oslo deprecations
  * fullstack: Use ovs-2.5 for tests
  * Relocate Flat Allocation DB model
  * Relocate subnet_service_types db models
  * Remove unnecessary setUp and resource_setup
  * Delete unused pom.xml file from doc
  * Remove unused config.CONF
  * Remove unused logging import
  * Add test cases for Invalid exception type
  * Allow SR-IOV agent to start when number of vf is 0
  * Add standard attributes to qospolicy
  * Enable create and delete segments in ML2
  * Use MultipleExceptions from neutorn-lib
  * Move standard attr out of model_base
  * SR-IOV: add agent QoS driver to support egress minimum bandwidth
  * Add QoS minimum bandwidth rule for instance egress traffic
  * Remove vpn service plugin stevedore aliases
  * Remove lbaas v1 service plugin stevedore aliases
  * Generate new context for each DHCP RPC call
  * Fix unbalanced-tuple-unpacking pylint error in conn_testers
  * Don't catch DBError in DHCP action handler
  * Catch InvalidInput in DHCP port actions
  * Wait for ovsdb_monitor to be active before use it
  * Fix deprecation warnings
  * spelling error
  * Make addbr safe to bridge add races
  * Add Unit Test for Foreign Keys Not Found Error
  * functional: Make trunk tests more robust
  * Set L3 agent standby if admin_state_up=False
  * Using revision_number to ensure no overlap in *one* network
  * Implement check_vlan_transparency to return True in SR-IOV mech driver
  * Update README to reflect ML2 Exception in Dir Tree
  * Increase default packet count to 3 in assert_ping
  * Increase rally network/port count and add quotas
  * Reduce DB hit when checking for trunk-able ports
  * Include db_models document to avoid errors
  * Remove deprecated default subnetpools
  * Replaced this with "get-me-a-network"
* Sat Aug 27 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev526:
  * Updated from global requirements
  * Remove useless line for tenant_id
  * Implement check_vlan_transparency to return True in L2population mech driver
  * Catch SubnetAllocationError during auto-allocated-topology provisioning
  * Revisit the Stadium section of the developer guide
  * Implement the DELETE method for get-me-a-network
  * Add mechanism driver error details to MechanismDriverError
  * Check target_tenant when create rbac policy
  * Do not remove the HA/legacy router gateway secondary IPs
  * ml2 lb: do not program arp responder when unused
* Fri Aug 26 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev507:
  * Deprecate allow_sorting and allow_pagination options
  * Fix passing error physical network for get_mtu
  * Fix indent
  * Security group call back need cascading delete the related rules
  * Fix internal server error during updating QoS rule
  * Make OVS and LinuxBridge trunk drivers' is_loaded() property more robust
  * IP allocation with Service Subnets
  * Include [agent] extensions option into ovs/linuxbridge agent files
  * Fix the QoSPluginBase methods signature
  * TrivialFix: Remove logging import unused
  * TrunkManager for the OVS agent
  * SR-IOV: remove unused supported_pci_vendor_info variable
  * objects: add support for per parent type foreign keys
  * Fix bug in L3 agent extension manager
  * Added the appropriate links in developer guide
  * L3 DVR: use fanout when sending dvr arp table update
  * Fix the attribute name: _flavor_plugin_ref
  * Revert "Fix NoSuchOptError on identity config option lookup"
  * Use row.uuid as getattr works for inserted row
  * Make auto allocate cleanup retry
  * Updated from global requirements
  * L2 Agent Extensions handle unimplemented methods
  * Relocate GRE Db models
  * docs: Small Open vSwitch devref tweaks
  * Filter out external networks in NetworksSearchCriteriaTest
  * Remove useless deprecation warning for tenant_id
  * Fix init method for HasStandardAttributes
  * Imported Translations from Zanata
  * TrunkStub.trunk_deleted is called with NULL trunk object
  * Fix NoSuchOptError on identity config option lookup
  * Fix bridge assertion error when times are equal
  * Avoid KeyError when accessing "dns_name" as it may not exist
  * Add tool to list moved globals
  * Introduce ovo objects for network segments
  * Add agent-side driver scaffolding for trunk functionality
  * Revert "Publish segment id in port responses"
  * Extensions: fix file mode permissions
  * Update the homepage with developer documentation page
  * Don't create another plugin instance in ML2 tests
  * Relocate AddressScope DB model
  * Enable ra on gateway when add gateway to HA router
  * Remove override of _compare_server_default in _TestModelsMigrations
  * Make callback manager Object Oriented friendly
  * Switch to pluggable IPAM implementation
  * Update "devref/quality_of_service" with QoS DSCP rule reference
  * Adjust spacing in METADATA_PROXY_HANDLER_OPTS
  * Refactoring config options for plugin agent opts
  * Added tests for checking expand/contract branch upgrade
  * Don't pass argument sqlite_db in method set_defaults
  * SR-IOV: deprecate supported_pci_vendor_devs
  * Add error informations for users when value is invalid in database
  * Implement L3 Agent Extension Manager
  * Correct floating IP updating with same port_id issue
  * Fixed neutron-db-manage without neutron/tests installed
  * Clean imports in code
  * Prevent duplicate SG rules in 'concurrent requests' case
  * Relax bound constraint for trunk parent ports
  * Fix potential problem in test_router_add_interface_port
  * Fix test_router_add_interface_delete_port_after_failure
  * Remove stale configuration l3_agent_manager
  * Add RPC layer for Trunk Plugin and driver plumbing
  * Make auto-allocate plugin handle sneaky DB errors
  * Broken extensions should not show up in the extension list
  * Introduce ovo objects for security groups
  * Add debug option to verify iptables rules
  * Avoid IPAM driver reusing a session that has been rolled back
  * Fix neutron_lib.constants DeprecationWarning from db.models_v2
  * Use dispose_pool() from oslo.db
  * Get rid of get_engine() in db/api.py
  * models: move AllowedAddressPair model under neutron/db/models
  * Refactor setting OSprofiler for db calls
  * Raise 501 instead of 500 when updating meter-lebel and rule
  * Updated from global requirements
  * Constrain remaining tox targets
  * Check content type by completely match instead of partial match
  * Allow bound ports to be trunked if the driver can support it
  * Publish segment id in port responses
  * Fix some spelling errors in net_helpers.py
  * Refactoring config options of l3 agent keepalived
  * Fix check_asserttruefalse syntax validator
  * Relocate Security Group DB models
  * Fix a spelling error
  * Adds a default reload callback to ProcessManager
  * Set secure fail mode for physical bridges
  * Add flush command to iproute in ip_lib
  * Check the router gateway IPs prefixlen existence
  * Refactoring config options for extension opts
  * Refactoring security group config options
  * Add RouterPort bindings for all HA ports
  * Use neutron-lib add_validator for registration
  * objects: introduce a util function to handle tenant_id filter
  * Add a callback registry event for the init process - before spawning
  * Deprecate implicit loading of service_providers from neutron_*.conf
  * Add support for Python 3.5
  * Hacking: add unit test for LOG.warn validations
  * Use context from_environ to load contexts
  * Use from_dict to load context params
  * Run 'ip netns list' according to 'AGENT/use_helper_for_ns_read'
  * l3_db: Make gw port in-use check overridable
  * devref doc config option separation
* Fri Aug 26 2016 aplanas@suse.com
- Revert generate PID file for systemd (bsc#991985)
* Thu Aug 25 2016 aplanas@suse.com
- Add use_ssl check in wait_for_neutron_api
* Thu Aug 25 2016 aplanas@suse.com
- Remove the PIDFile header for neutron service
* Mon Aug 22 2016 aplanas@suse.com
- Generate PID file for systemd (bsc#991985)
* Fri Aug 12 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev317:
  * Add floating IP test to ensure backwards compat
  * Always start transactions in quota cleanup methods
  * Refactoring config options for services opts
  * ovs-agent: Seperate VLAN mapping outside of the agent
  * Add linux bridge trunk server side driver
  * Make revision bump robust to concurrent removals
* Thu Aug 11 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev305:
  * isolate test_db_find_column_type_list
  * tests: added missing space in a skip test message
  * Avoid allocating ports from ip_local_port_range
  * lb-agent: handle exception when bridge slave already removed
  * Ensure ML2's create/update_port methods not in transaction
  * Better utilize the L3 Namespace class
  * Fix typo in l3-agent namespace code
  * Updated from global requirements
  * Handle deleted ports when creating a list of fdb entries
  * Set bridge_name in OVS trunk port's vif_details
  * Enable DeprecationWarning in test environments
  * Enable CRUD for Subnet Service Types
  * Fix duplicate routerport handling
  * Cleanup DB retry logic in ML2
  * Consider baremetal device_owner as compute for nova notify
  * Refactoring config options for wsgi opts
  * Add a unique key to port_id in routerports table
  * Change external_network_bridge default to ''
* Thu Aug 11 2016 tbechtold@suse.com
- Fix Require for python-ovs
* Wed Aug 10 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev270:
  * pep8: fixed F821 violation in a unit test
  * Add devref for Relocating DB models
  * ml2: allow retry on retriabable db error by precommit
  * Delete HA network if last HA router is migrated
  * Log full exception before retry in decorator
  * L3 agent: check router namespace existence before delete
  * Delete conntrack entry with remote_ip on the other direction
  * Ensure most of ML2's core methods not in transaction
  * Add scaffolding for trunk plugin/server-side driver integration
  * Fix link reference in OVS agent devref
  * Fixes the midonet test_l3 unit test failures
  * Suppresses a warning when no agents are configured
  * ML2 remove extra checks in ovs_dvr_neutron_agent
* Tue Aug  9 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev245:
  * Rollback router intf port update if csnat update fails
* Sat Aug  6 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev243:
  * Don't use versions in _DeprecateSubset
* Fri Aug  5 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev241:
  * DHCP Auto Scheduling for routed provider networks
  * Restore old assert_ping behavior
  * DVR: Clean stale snat-ns by checking its existence when agent restarts
  * Remove neutron-lib warnings
  * Remove neutron lib warnings from ipv6_utils
  * Updated from global requirements
  * Introduce state management for trunk resources
  * Add a space after openvswitch error message
  * Remove local subports validator
  * objects: introduce count() API to count matching objects
  * Rename DB columns: tenant -> project
  * Fix indexerror in delete_csnat_port
  * Refactoring cfg opts for ml2 plugin linuxbridge
  * Support callbacks for L3 plugins without an agent
  * Enable sorting and pagination by default
  * Added API extensions to detect sorting/pagination features
* Thu Aug  4 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev209:
  * Fix for creation of network environment twice
  * tests: check that trunk sub_ports field is properly populated
  * Port device events for common agent
  * Fix module import for ovs_vsctl_timeout option
  * fixed a typo in src code
  * L2-Adjacency support
  * corrected the link in README.rst
  * Fix a typo in neutron/services/trunk/rules.py
  * Refactoring config options of agent/common/ovs_lib
  * Don't use file() to write object hashes
  * Add in missing translations for exceptions
  * Set prefix on floating_ip_mangle rules
  * Print out specific filter that failed in object filtering unit test
  * objects: forbid updates for project_id field for subnets
  * DVR: Fix ItemAllocator class to handle exceptions
* Tue Aug  2 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev180:
  * Introduce bulk push to rpc callback mechanism
  * stadium: adopt openstack/releases in subproject release process
  * Neutron-lib: use the L3_AGENT* definitions from neutron-lib
  * Fix updating allocation_pools on subnet update
  * trunk: avoid redundant refetch of subports on create
  * bug tag: Add 'api-ref' for API reference
  * Add API tests for router and DHCP port status
* Sun Jul 31 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev166:
  * Refactoring config options for cmd
* Sat Jul 30 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev164:
  * Fix L3 NAT DB signature mismatch
  * Fix that api_workers=0 doesn't spawn any api workers
  * Filter HA router without HA port bindings after race conditions
  * tests: enable test_get_objects_queries_constant for trunk ports
  * Don't use exponential back-off for report_state
  * Remove 'released-neutronclient' tag from official bug tags
  * Increment revision numbers on object changes
  * objects: loading synthetic fields from defined ORM relationships
  * Skip DHCP provisioning block for network ports
  * Wait for vswitchd to add interfaces in native ovsdb
  * Add flavor/service provider support to routers
  * Add some negative policy router interface tests
  * Refactoring config options for common config opts
  * Fix for check_vlan_transparency on mech drivers not called
  * Remove deprecated network_device_mtu option
  * Make create_object_with_dependency cleanup
  * devref: Remove stale description about network_ip_availability
  * Update testing coverage document
  * Added test cases for DVR L3 schedulers
* Thu Jul 28 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev130:
  * Add link in README.rst
  * Pass timeout in milliseconds to timer_wait
  * Add subresources support for PECAN
* Thu Jul 28 2016 dmueller@suse.com
- allow neutron rootwrap daemon mode
* Wed Jul 27 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev125:
  * tests: stop using ml2 plugin full import paths in tests
  * Add notifications for trunk CRUD and standardize payload
  * Prevent port update from binding a host where IPs won't work
  * Fix typo in method description
  * Filter out subnets on different segments for dhcp
  * Add callbacks for networks and subnets in ML2
  * Only ports on routed networks are deferred
* Tue Jul 26 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev111:
  * policies: Add tempest tag for launchpad bugs
  * Refactor DNS integration out of DB core plugin
  * Add information about using file based sqlite for unit tests
  * objects: Add update_fields method in base class
  * Remove unused code in neutron/agent/linux/utils.py
  * Refactoring config options for l3 agent config
  * Use is_valid_port from oslo.utils
  * Validate device to mac instead of port id to mac
  * Notify nova with network-vif-plugged in case of live migration
  * Removed invalid test due to invalid mocking
  * Fix spelling mistake
* Sun Jul 24 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev92:
  * Mark DBConnectionError as retriable
* Sat Jul 23 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev90:
  * Prohibit deletion of ports currently in use by a trunk
  * objects: Adjust Subnet fields, add tenant_id and segment_id
* Fri Jul 22 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev86:
  * Improve the segmentation ID validation logic
  * Revisit (add|remove)_subports request body
  * Calculate MTU on every network fetch instead of on create
  * fullstack: Add hybrid plug support
  * objects: better apply filters for objects/db/api/get_object query
  * objects: Convert filters to string for list values
  * objects: Add RBAC to Subnet OVO
  * Add function to return all hosts with mapped segments
  * Handle non existing network in segment creation
  * Allow auto-addressed ips deletion on port update
  * objects: introduce NetworkPortSecurity object
  * Fixes port device_id/device_owner change in failed operation
* Fri Jul 22 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev65:
  * Updated from global requirements
  * Don't interrupt device loop for missing device
  * Enable passive deletes on trunk deletion
  * Add information about contract creation exceptions in devref
  * Release note: fix a typo in add-time-stamp-fields
* Wed Jul 20 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev58:
  * Removed smoke tags from *SearchCriteriaTest test cases
  * Fix wait_until_true condition in dhcp test
  * Check compatibility when auto schedule ha routers
  * Remove execute permission which is added by mistake in midonet
  * Ensure test_cleanup_stale_devices fails gracefully
  * Add new attributes to trunk model
  * Use DEVICE_OWNER_COMPUTE_PREFIX from neutron-lib
  * Add RouterPort binding to ha interface creation
  * Delete gw port on exceptions
* Tue Jul 19 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev42:
  * Generalize agent extension mechanism
  * Use db_api.retry_db_errors in quota engine
  * Imported Translations from Zanata
  * Fix misuse of assertTrue in L3 DVR test case
  * Fill in trunk_details on port resource
  * Fix a pylint error in an L3 agent unit test
  * Avoid duplicate ipset processing for security groups
  * Fixes a link error
  * Create segment_host mapping after new network
* Mon Jul 18 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev27:
  * Update ovsdb release notes re: new OVS ports
  * Refactor usage of dict.values()[0]
* Sat Jul 16 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev25:
  * Pecan: Define plugin crud methods in base class
  * Improve cleanup logic for trunk tests
* Fri Jul 15 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev21:
  * Fix broken URLs in bugs.rst (core-reviewers.html -> neutron-teams.html)
  * fullstack: Log testrunner again
  * QoSTest: skip if qos extension is not available
* Thu Jul 14 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev17:
  * Updated from global requirements
  * delete event payload
  * Replace device owners hard coded strings to neutron_lib constants
  * Add dhcp to Fdb extension's permitted device owners
  * qos basic scenario
  * Incorporate tweaks to subport validator
  * Pecan: Implement pagination
  * cache_utils: fixed cache misses for the new (oslo.cache) configuration
* Wed Jul 13 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b3.dev7:
  * Add retry decorator to dhcp_ready_on_ports
  9.0.0.0b2
  * DVR: handle floating IP reassociation on the same host
  * Ensure deferred IP fails when host is provided no IP allocated
  * ML2: don't use IntegrityError for duplicate detection
  * Add an independent function to map segment to hosts
* Wed Jul 13 2016 abel.navarro@suse.com
- Removed !pam_setcred from sudoers because bcn#988014
* Wed Jul 13 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b2.dev445:
  * Allow unique keys to be used with get_object
  * Add object versioning to QoS DSCP
  * Add function to remove constraints from database
  * Add a hacking rule for string interpolation at logging
  * Delete default route if no gateway in external net
* Tue Jul 12 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b2.dev435:
  * Add check that factory started in dispose
  * Check for provisioning blocks before updating port up
  * Rename dvr portbinding functions
  * Emit registry events on subport addition/removal
  * Extension to tell when deferred binding is in effect
  * Address outstanding TODO for callback event
  * Refactoring config options for dhcp agent
  * Stable Branch URL Fixed
* Mon Jul 11 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b2.dev419:
  * Deprecate option min_l3_agents_per_router
* Sun Jul 10 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b2.dev417:
  * Fix typo in message string causing server exception
  * Don't catch DBDuplicate in default SG creation
* Sat Jul  9 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b2.dev413:
  * Allow tox to be run with python 3
  * Grammar error fixed
  * Pull stadium projects from governance.o.o in utility script
  * Remove the deprecated config "quota_items"
* Fri Jul  8 2016 cloud-devel@suse.de
- Update to version neutron-9.0.0.0b2.dev405:
  * Fixed Typo in contribute.rst
  * List only admin_state_up auto-allocated resources
  * Change tunnel MTU calculation to support IPv6
* Thu Jul  7 2016 tbechtold@suse.com
- Update to version neutron-9.0.0.0b2.dev399:
  * Revert "Support unique labels for alembic branches"
  * DVR: Ensure that only one fg device can exist at a time in fip ns
  * New engine facade from oslo_db: Step 2
  * When deleting floating IP catch PortNotFound
  * Skip TrunksSearchCriteriaTest if the extension is not available
  * Catch missing binding record in provision handler
  * Fix broken link
  * Updated from global requirements
  * Fixed typos
  * next() is incompatible in test_network_ip_availability.py
  * Remove unused LOG
  * Fix order of arguments in assertEqual
  * Reuse common code in securitygroups_rpc module
  * Imported Translations from Zanata
  * Update the template for model sync test docs
  * Add sorting and pagination tests for trunk resources
  * Enable CRUD for trunk ports
  * OVS-agent: Switch the default to "native" of_interface
  * Use tempest.lib tenants_client
  * Support unique labels for alembic branches
  * create_router: Report the original exception
  * ml2: postpone exception logs to when retry mechanism fails to recover
  * Fix OVSBridge.set_protocols arg
  * Fix spelling mistakes in the docs
  * Adding the appropriate log hints where needed
  * Lower ML2 message severity
  * spelling error:   modify assocations -> associations in files as follows:   neutron/agent/l3/link_local_allocator.py:38
  * Restore MySQL and Postgresql functional testing
  * functional: Use assertItemsEqual for db_find outputs
  * Adding FDB population agent extension
  * pep8: Register checks with their code
  * sriov: Fix macvtap vf interface regex pattern
  * Mock threading.Thread to prevent daemon creation by unit tests
  * Fix some typos
  * Register the dict extend function when service plugin starts
  * Remove notification for process event
  * Add two more callbacks registry events
  * Do not depend on Python error strings in parse_network_vlan_range()
  * Fix code that's trying to read from a stale DB object
  * Remove 'origin/' in OVS_BRANCH
  * Only update SegmentHostMapping for the given host
  * Move Nova notification logic out of API controller
  * Create segment_host mapping after new segment
  * Skip INVALID and UNASSIGNED ofport in vlan restore
  * objects: Introduce the DNSNameServer OVO in the code
  * Implementation details to support trunk ports
  * Move wait_until_true to neutron.common.utils
  * Imported Translations from Zanata
  * Agent extension: fix comment
  * enable OVSDB native interface by default
  * Not auto schedule router when sync routers from agent
  * Updated from global requirements
  * Fix simple typos
  * Create auto allocated networks in disabled state
  * Move DHCP notification logic out of API controller
  * Pecan: move fields and filters logic to hooks
  * DHCP Agent scheduling with segments
  * Remove the deprecated config 'router_id'
  * Separate exception class for retriables in callbacks
  * Revert "OVS: don't throw KeyError when duplicate VLAN tags exist"
  * Updated from global requirements
  * Add revision_number to standard attr for OVO
  * Check for RetryRequest in MultipleException types
  * Remove IP availability range recalculation logic
  * Rename ml2_dvr_port_bindings to make it generic
  * Override 'create' for Trunk and SubPort
  * Retry DBDuplicate errors in retry decorator
  * Complete removing support for unsplit alembic branches
  * Revert "move import to top and rename to make more readable"
  * Make pep8 job great again
  * Disable warnerrors=True in setup.cfg
  * Move state reporting initialization to after worker forking
  * Do not rewrite original exception for IPAM part 2
  * Change addCleanup create_tenant to delete_tenant, fix gate
  * Obsolete mac_generation_retries and deprecate the option
  * Remove unnecessary flush for duplicate address detection
  * Fix minor spelling error in debug log
  * tests: clean up designate client session mock on test exit
  * Remove unnecessary import from segment plugin
  * OVS: UnboundLocalError on switch timeout fixed
  * ovsfw: Fix variable names in UT
  * ovs: set device MTU after it's moved into a namespace
  * Syntax fix
  * Remove deprecated TODO notes in L2 agent extension manager
  * Fix pep8 violations in fullstack qos test
  * Don't return marker item when paginating backwards
  * Fix release name in deprecating message for agent status checks
  * Typo fix
  * Fix bug with mac generation
  * Mark port as ready after enabling dhcp at agent
  * Add exponential gap to retry decorator
  * Fix designate dns driver for SSL based endpoints
  * Update Neutron documentation with `project`
  * Provide DB isolation for WalkMigrations tests
  * Refactor NetworkDhcpAgentBinding
  * Tempest: fix a typo
  * qos: support native sorting/pagination for policies and rules
  * qos: added api sorting/pagination tests for policies
  * Check for alembic Add/DropColumn exceptions in migrations
  * objects: switch base plugin class to using subnetpool object
  * l3: support native sorting/pagination for routers
  * Added sorting/pagination tests for routers
  * Added sorting/pagination tests for subnets
  * DHCP: delete config option dnsmasq_dns_server
  * Refactor update_segment_host_mapping_for_agent for agentless topology
  * OVS agent: remove unused variables
  * Updated from global requirements
  * Remove the plugin import from auto_alloc extension
  * Use neutron-lib constants
  * qos: fix shared filter for policies
  * objects: Add filter query hook to NeutronDbObject
  * Extend utils create methods to accept check_allow_post
  * tests: fetch unshared subnetpools only
  * Cleanup Liberty to Mitaka upgrade corner cases not necessary anymore
  * Fixes variable name confusion
  * Use StringField for tenant_id fields
  * Remove useless str()
  * Add router precommit events
  * Allow self-unsubscribing callbacks
  * Add data model for standard attr revision numbers
  * DVR: Fix allowed_address_pair port binding with delayed fip
  * Update networking-ovn project functionality
  * Revert "Add index on trunk_id in the subports model"
  * Update Neutron server to use only keystoneauth
  * Make segment aware IPAM compatible with ML2
  * Fix of ping usage in net_helpers.async_ping()
  * Remove MAC duplicate detection for generated macs
  * Pecan: handle single fields query parameter
  * Compute IPAvailabilityRanges in memory during IP allocation
  * Clean up subports model
  * After a migration clean up the floating ip on the source host
  * Check for mysql SAVEPOINT error in retry decorator
  * Check for StaleData errors in retry decorator
  * Use session delete for IPs to trigger events
  * Fix update of shared QoS policy
  * Fixed variable shadowing in ipam_backend_mixin.py
  * Add type information to ObjectNotFound message
  * Add README for api-ref
  * Use next available address for dhcp ports
  * objects: in get_object(s), filter by fields, not model attributes
  * Refactor the rpc callback version discovery mechanism
  * Add index on trunk_id in the subports model
  * Support for MultipleExceptions in db_api decorators
  * Convert multiple exception types in the API
  * Add sanity check for idempotent id's in tempest tests
  * Remove some options from neutron-db-manage
  * tests: added sorting/pagination api tests for subnetpools
  * Drop neutron/i18n.py in favor of neutron/_i18n.py
  * QoS DSCP fullstack tests
  * Hacking: make use of neutron lib
  * Return fixed_ips from port update
  * Deprecate the functions map after segment moving out of ml2
  * Use callback to update SegmentHostMapping
  * Match filter criteria when constructing URI for href based iteration
  * Make service plugins' get_plugin_type classmethods
  * OVS: don't throw KeyError when duplicate VLAN tags exist
  * Revert "DVR: Clear SNAT namespace when agent restarts after router move"
  * objects: Use common plugin _model_query in get_object
  * Tox: Remove neutron/openstack/common from excludes list
  * Fix missing availability_zone in dhcp and l3 conf
  * qos: Add API test for shared policy
  * Imported Translations from Zanata
  * Fix server_default comparison for BigInteger
  * Update ml2 delete_subnet to deallocate via ipam
  * Make IPAM segment aware on port update
  * Make sure AZAwareWeightScheduler base on weight of agent
  * Provide router-id for ROUTER_INTERFACE/BEFORE_DELETE event
  * L3 DB: only read dns 'dns-integration' once
  * Force "out-of-band" controller connection mode
  * Devref: Add inline codeblock to upgrade command
  * oslo.cache: Remove memory alias for cache
  * devref: remove references to oslo incubator
  * Revert "Revert "Remove threading before process forking""
  * Use IPv[46]_BITS instead of IPV[46]_MAX_PREFIXLEN
  * Adding basic connectivity scenario to Neutron
  * Switch to oslo.cache
  * [TrivialFix] Deprecate unused NeutronController class
  * remove unused rpc method get_active_networks
  * Added API tests for page_reverse and href next/previous links
  * Correct hyperlinks to sub_projects documentation
  * DB base plugin: correct typo id to subnet_id
  * Devstack support for macvtap agent
  * Segments: remove log message indicating segments are not supported
  * Updated from global requirements
  * Move dragonflow to affiliated project list
  * Fix getting dhcp agents for multiple networks
  * Pass ha_router_port flag for _snat_router_interfaces ports
  * objects: stop using internal _context attribute
  * Fix get_free_namespace_port to actually avoid used ports
  9.0.0.0b1
  * DVRHA interfaces should be created in all cases
  * Make IPAM segment aware on port create
  * Updated from global requirements
  * Guard against config_dirs not defined on ConfigOpts
  * Macvtap: Allow noop alias as FW driver
  * Generalise the logic of resource auto rescheduling
  * objects: support advanced criteria for get_objects
- Adjust Requires and BuildRequires
- Remove bgp-dragent related configs and packages
* Mon Jun 27 2016 jsuchome@suse.com
- Add systemd service macros (bnc#986415)
  systemd v228 has a separate generator for generating the service
  files from the init scripts, and daemon-reload is needed during
  package installation
* Wed May 25 2016 dmueller@suse.com
- create rundir on start
* Mon May  9 2016 cloud-devel@suse.de
- Update to version neutron-8.0.1.dev278:
  * Add device_id index to Port
  * Revert "Improve performance of ensure_namespace"
  * Data models for vlan-aware-vms
  * Use converters and validators from neutron-lib
  * Use constants from neutron-lib
* Mon May  9 2016 cloud-devel@suse.de
- Update to version neutron-8.0.1.dev268:
  * Updated devref documents for neutron-dynamic-routing
  * Revert "ML2: Configure path_mtu to default to 1500 bytes"
* Mon May  9 2016 cloud-devel@suse.de
- Update to version neutron-8.0.1.dev264:
  * Revert "Switch to inheriting hacking checks from neutron-lib"
  * Decorate AvailabilityZonePluginBase properly
  * Remove functional migration script about external tables
  * Switch to inheriting hacking checks from neutron-lib
  * Use exceptions from neutron-lib
  * Modify an option for delete-port as recovery
  * Don't update DHCP ports in a transaction
* Thu Apr 21 2016 cloud-devel@suse.de
- Update to version neutron-8.0.1.dev251:
  * Add a missing address-scope extension check
  * Address Scope added to OVO
  * Mark remaining negative subnetpool tests with 'negative' tag
  * Add check that external gw port exist when metering-agent adds a rule
  * Fetch router port subnets in bulk
  * DHCP: remove update_lease_expiration
  * Optimize get_ports query by filtering on subnet
  * Avoid calling _get_subnet(s) multiple times in ipam driver
  * Fix doc build if git is absent
* Wed Apr 20 2016 cloud-devel@suse.de
- Update to version neutron-8.0.1.dev233:
  * policies: changed owner for release-subproject tag to @ihrachyshka
  * Tests: correcting typo in get_random_cidr
  * Updated from global requirements
  * Removed smoke tags from all -api job tests
  * Remove two exceptions already in neutron-lib
  * Don't log warning for missing resource_versions
  * tempest: enable hacking rule checks
  * Return a 404 on quota delete if entry not found
  * Move class properties to instances for dhcp/test_agent.py
  * LinuxBridge agent's QoS driver bw limit for egress traffic
  * Port allowed address pairs to OVO
  * Neutron objects test: correct the db_obj to obj_fields where needed
  * QUOTAS: add in missing space to help text
  * Revert "Deprecate 'ovs_use_veth' and 'veth_mtu' options"
  * Imported Translations from Zanata
  * release note to deprecate prevent_arp_spoofing option
  * Move class properties to instances for dhcp tests
  * Support interface drivers that don't support mtu parameter for plug_new
  * Make tunnel_sync logging less verbose
  * Add semaphore to ML2 create_port db operation
* Mon Apr 18 2016 cloud-devel@suse.de
- Update to version neutron-8.0.1.dev193:
  * Use switch-case instead of if-then-elif
  * Match job name for scenario tests
  * Delete conntrack entry on the other direction
* Sun Apr 17 2016 cloud-devel@suse.de
- Update to version neutron-8.0.1.dev187:
  * Revert "Add instrumentation devref, Part I"
* Sat Apr 16 2016 cloud-devel@suse.de
- Update to version neutron-8.0.1.dev185:
  * Add support for building ovs from git sources on stacking
  * Reuse to_utf8() and jsonutils.dump_as_bytes()
  * Clear DVR MAC on last agent deletion from host
  * Add quota tests in unit tests
* Fri Apr 15 2016 cloud-devel@suse.de
- Update to version neutron-8.0.1.dev177:
  * Be explicit about the APIs tested in the gate
  * Move away from invoking api tests explicitly
  * Updated from global requirements
  * Make gate-hook structure more readable and extensible
  * Avoid referencing code from master branch
  * Added initial release check list
* Thu Apr 14 2016 cloud-devel@suse.de
- Update to version neutron-8.0.1.dev167:
  * Use tempest plugin interface
  * Change wrong word "propogated" to "propagated"
  * Add ALLOCATING state to routers
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version neutron-8.0.1.dev162:
  * Skip l2_ovs_agent functional tests
  * Add an option for WSGI pool size
  * Always call ipam driver on subnet update
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version neutron-8.0.1.dev157:
  * Skip firewall blink test for ovs-fw
  * Updated from global requirements
  * Revert "Add 169.254.169.254 when enable force_metadata"
  * Fix broken Tempest conf options in API tests
  * Cleanup override of compare_type from oslo_db
  * Only load timestamp service plugin in timestamp tests
  * Get rid of unnecessary _ha_routers_present check
* Tue Apr 12 2016 cloud-devel@suse.de
- Update to version neutron-8.0.1.dev144:
  * Notify resource_versions from agents only when needed
  * Remove Openflow Agent(OFAgent) mechanism driver
  * Add RECLONE support for ovs
  * Add 169.254.169.254 when enable force_metadata
  * RPC: remove unused parameter
  * Fullstack connectivity: test interface scenario added
  * Deprecate 'ovs_use_veth' and 'veth_mtu' options
  * Use new DB context when checking if agent is online during rescheduling
  * Refactor IPAM ip allocation method
  * Fix Windows IPDevice.device_has_ip racefulness
  * Define context.roles with base class
  * milestone-review-dash detect current milestone
  * Improves the  description string for the config parameter metadata_workers
  * Test to verify  shared attribute of network
  * Add some useful notes in  devref/db_layer.rst
  * Fix 500 error  during router-update for dvr routers
  * bp: pxeboot-port, provide  pxeboot on ports
  * Arista ML2 Mechanism driver
  * Fix case error in qpid exchange name.  s/Direct/direct/
  * Copy the RHEL6 eventlet workaround from Oslo
  * Make sure floating IPs  + gateways must be on external nets
  * fix bug lp:1025526,update iniparser.py to accept  empty value
  * lp834694 fix integrity error when deleting network with unattached ports.  Add unit test
  * Merging lp:~danwent/quantum/lp834491 Fixing Bug #834491: api alignment merge broke ovs plugin 	(Critical)
  * merge with  lp:~cisco-openstack/quantum/l2network-plugin-extensions
  * Making the client raise the appropriate exception if needed.  Also increasing the pylint score to above 8
  * added network and port models similar to quantum with following changes -  - InnoDB as storage engine to allow foreign key constraints  - joinedLoad operation on the queries to make use of relation between Network and Port Moved out the network and port code to make l2network contain vlanbinding, portprofile and portprofile bindings
  * merged the latest changes from plugin-framework branch - revision 39 conforming to the new cisco plugin directory structure and moving all db related modules into cisco/db folder updated db_test_plugin.py  - added import of cisco constants module  - added LOG.getLogger for logging component name  - updated import module paths for l2network_models/db and ucs_models/db to use the new directory structure  - updated (rearranged) imports section to obey openstack alphabetical placement convention updated db_conn.ini  - updated database name from cisco_naas to quantum_l2network unit test cases ran successfully and pep8 checks done again
  * merge Salvatore's api branch with fixes for tests.  Tweaking branch to remove unwanted bin/quantum.py as part of merge
  * bug 817813: default provider in plugins.ini accidentally changed.  Changing it back to FakePlugin
  * Merging pep8 and functional test related changes lp:~santhom/network-service/quantum_testing_framework branch
  * Fix merge indentation errors
  * Merged Brad's ovsplugin code
  * 1) Added a bare-bones framework for quantum plugins. 2) Created demo quantum plugin that conforms to QuantumPluginBase     Abstract class specification. 3) Demonstrated plugin registration and invocation using the demo     plugin called "QuantumEchoPlugin" 4) Created the initial file structure for a quantum CLI 5) Seeded the utils module that will contain frequently used Quantum utilities. 6) Modified the manager module to initialize and register the quantum plugin     defined in a configuration file. I have hard-coded the path to plugin for now     but this will move to a quantum.conf file
  * Fixing issues discussed in merge prop.  The UCS Inventory clears the DB on teardown.  The multiblade tests now check to see if a port exists in the db before deleting it.  It checks to make sure the UCSInventory is set in the config
* Tue Apr 12 2016 cloud-devel@suse.de
- Update to version neutron-8.0.1.dev121:
  * ovsfw: Load vlan tag from other_config
  * Postgresql: add do_drop arg in alter_enum function
  * ovo: Introduce standard attributes to objects
  * When checking if there is a duplicate rule ignore the id field
  * Values for [ml2]/physical_network_mtus should not be unique
  * Integrate the Extra Dhcp Opt VersionedObject in Neutron
  * Move all link-local cidr constants to a central location
  * Fixes typo
* Sat Apr  9 2016 cloud-devel@suse.de
- Update to version neutron-8.0.1.dev106:
  * Tempest 11.0.0 is released
  * Imported Translations from Zanata
  * Switched from fixtures to mock to mock out starting RPC consumers
  * Fix regexp for ss output
  * ADDRESS_SCOPE_MARK_IDS should not be global for L3 agent
  * Instantiate Enum() rather than subclassing
  * objects: avoid validation in stringify for custom field types
  * Add custom OVO field type for MAC address
  * Make auto allocate plugin safe for unit/func tests
  * Ignore timestamp fields in model update
  * Iptables firewall prevent IP spoofed DHCP requests
  * Wrap all update/delete l3_rpc handlers with retries
  * Add API test ensure tenant can't delete other ports
* Fri Apr  8 2016 aspiers@suse.com
- Add missing requirement on crudini (bsc#974411)
* Fri Apr  8 2016 cloud-devel@suse.de
- Updated to latest version of neutron-ha-tool (42541341):
  * Fix help message for --l3-agent-evacuate option (bsc#974420)
- Update to version neutron-8.0.1.dev83:
  * Fix keepalived functional tests
  * Remove unused PolicyFileNotFound exception
  * ovo: Update object with data from db on update()
  * Fix race conditions in IP availability API tests
  * DVR: Increase the link-local address pair range
  * standard attributes: expose created_at/updated_at on models
  * QoS DSCP use mod_flow instead of mod_flows
  * Simplify chained comparison
  * devref: Update ovs-firewall
  8.0.0
  * Support Routes==2.3
  * Constraint requirements using mitaka upper-constraints.txt file
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * api tests: Check correct extensions
  8.0.0.0rc2
  * Imported Translations from Zanata
  * Fix setting peer to bridge interfaces
  * Updated from global requirements
  * Skip fullstack L3 HA test
  * Imported Translations from Zanata
  * Fix reference to uninitialized iptables manager
  * conn_testers: Bump timeout for ICMPv6 echo tests
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Ovs agent can't start on Windows because of validate_local_ip
  * Imported Translations from Zanata
  * Accept icmpv6 as protocol of SG rule for backward compatibility
  * Outerjoin to networks for port ownership filter
  * Imported Translations from Zanata
  * Update devstack plugin for dependent packages
  * Remove test_external_network_visibility
  * Update .gitreview for stable/mitaka
  * Return oslo_config Opts to config generator
* Thu Apr  7 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev217:
  * Updated from global requirements
  * Define localstatedir for ovs compilation
  * OVS: Add mac spoofing filtering to flows
  * ovo: Make return values from objects db api consistent
* Wed Apr  6 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev210:
  * Don't drop 'protocol' from client supplied security_group_rule dict
  * L3 agent: match format used by iptables
  * Updated from global requirements
  * Fix invalid mock name in test_ovs_neutron_agent
  * lb: interface name hashing for too long vlan interface names
  * Change get_root_helper_child_pid to stop when it finds cmd
  * API tests: Check extensions with proper functions
  * Cleaned up tox_install.sh
  * ovsfw: Remove vlan tag before injecting packets to port
  * De-dup user-defined SG rules before iptables call
  * Ensure bridge names are shorter than max device name len
  * Linux Bridge: Add mac spoofing filtering to ebtables
* Tue Apr  5 2016 jsuchome@suse.com
- Updated to latest version of neutron-ha-tool:
  * Retry on errors, not just NeutronExceptions (bsc#965886)
* Tue Apr  5 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev187:
  * Improve handle port_update and port_delete events in ovs qos agent
  * Increase ports per network and add SLA for rally
* Mon Apr  4 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev183:
  * Updated from global requirements
* Sun Apr  3 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev181:
  * Use right class method in IP availability tests
  * Fix zuul_cloner errors during tox job setup
  * Fix typos in Neutron documentation
* Sat Apr  2 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev175:
  * objects: SubnetPool, SubnetPoolPrefix
  * Don't disconnect br-int from phys br if connected
  * Avoids logging error on ML2 OVS agent start
  * Switches metering agent to stateless iptables
  * Remove deprecated methods from migration CLI file
* Fri Apr  1 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev166:
  * Improve error when exclusive resource allocation fails
  * Cleanup stale OVS flows for physical bridges
  * Log fullstack allocation and release of exclusive resources
  * Hacking rule to check i18n usage
  * Rename first argument to extend_dict hook correctly
* Thu Mar 31 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev156:
  * Allow to use several nics for physnet with SR-IOV
  * Fix error format message
  * Refactor and fix dummy process fixture
  * Don't delete br-int to br-tun patch on startup
  * Delete Devref Enable Service for Network IP Availability
  * Support Routes==2.3
  * Retry updating agents table in case of deadlock
  * test_network_ip_availability: Skip IPv6 tests when configured so
  * Add fullstack logging
* Wed Mar 30 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev138:
  * l3: Send notify on router_create when ext gw is specified
  * Remove obsolete keepalived PID files before start
  * SG protocol validation to allow numbers or names
  * Remove redundant FLOATINGIPS declaration
  * Add fullstack cross-process port/ip address fixtures
  * DVR: rebind port if ofport changes
  * QOS: Provide get methods for policy & network/port binding
  * objects: minor cleanup in base class
  * Use context manager in bind NetworkDhcpAgent
  * Make DHCP agent scheduler physical_network aware
* Tue Mar 29 2016 jsuchome@suse.com
- Added python-retrying requirement for neutron-ha-tool.
- Updated to latest version of neutron-ha-tool:
  * Don't try to log an exception before logger is setup
  * Make migrate_router() raise exceptions on error
  * Fix handling of cases where no L3 agents are alive
  * Fix handling of invalid agent to evacuate
  * Require exactly one action to be specified
  * Make neutron-ha-tool recovery operations retry (bsc#965886)
  * Add metavar for --l3-agent-evacuate
  * Make return values and exit codes consistent
* Tue Mar 29 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev120:
  * Make L3 HA interface creation concurrency safe
  * Effective Neutron: some notes about deprecation
  * Add db migrations test framework with data
  * ovs-fw: Mark conntrack entries invalid if no rule is matched
  * Remove stale ofport drop-rule upon port-delete
* Sun Mar 27 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev111:
  * api tests: Check correct extensions
* Sat Mar 26 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev109:
  * Make network segment table available for standalone plugin
  * Remove unnecessary executable permissions
  * Removes redundant "and", "this" and "the"
  * Add fullstack connectivity test with ovsdb native interface
  * firewall: don't warn about a driver that does not accept bridge
  * Ignore exception when deleting linux bridge if doesn't exist
* Fri Mar 25 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev97:
  * Tweak process to improve handling of RFEs
  * port security: gracefully handle resources with no bindings
  * Fix fullstack LB agent not connecting to rabbit
  * Fix setting peer to bridge interfaces
  * Note fullstack depends on released neutronclient
  * Clean imports in code
  * Add OVS flow tests
  * Adopt oslo.log default_log_levels
  * Common utils: remove deprecated methods
  * use separate device owner for HA router interface
* Thu Mar 24 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev78:
  * Adds Enum fields for different types
* Thu Mar 24 2016 aspiers@suse.com
- Make neutron server startup synchronous i.e. blocking until
  neutron really is ready, otherwise services which depend on it
  (e.g. neutron-ha-tool) could fail unexpectedly. (bsc#965886)
* Thu Mar 24 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev76:
  * Fix test failure against latest oslo.* from master
  * AGENTS: remove deprecated methods
  * Fix reference to uninitialized iptables manager
  * DVR: Fix issue of SNAT rule for DVR with floating ip
  * Remove deprecated method from agent utils file
  * Fix alembic 'No handlers could be found for logger...'
  * Port Security added to OVO
  * Removing 'force_gateway_on_subnet' option
  * Fix a couple of problems with random hex string generation
  * functional: Update ref used from ovs branch-2.5
  * Ensure metadata agent doesn't use SSL for UNIX socket
* Wed Mar 23 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev56:
  * Fix latest doc error
  * Remove deprecated methods from common file
  * DB: remove method _get_tenant_id_for_create
  * neutron-db-manage: revision: fail for --autogenerate and branch
  * objects: introduce object for extra dhcp options
  * Watch for 'new' events in ovsdb monitor for ofport
  * Removes host file contents from DHCP agent logs
  * linuxbridge: added missing space in option help text
* Tue Mar 22 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev43:
  * Enforce alembic branch when creating scripts manually
  * Fix wrong use of list of dict in _check_driver_to_bind
  * Fixed typos in wsgi.py
  * Imported Translations from Zanata
  * Ovs agent can't start on Windows because of validate_local_ip
  * conn_testers: Bump timeout for ICMPv6 echo tests
  * objects: fixed base to_dict implementation
  * Move db query to fetch down bindings under try/except
  * DVR: Handle unbound allowed_address_pair port with FIP
  * Fix dict.keys() incompatibility in py34 in dhcp test
* Mon Mar 21 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev26:
  * Update reno for stable/mitaka
* Sun Mar 20 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev24:
  * Close XenAPI sessions in neutron-rootwrap-xen-dom0
  * Add IPAllocation object to session info to stop GC
* Sat Mar 19 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev21:
  * Skip fullstack L3 HA test
  * Remove local variable named 'meh'
  * Move qos_dscp migration to the Newton alembic branch
  * Add Newton branch to neutron-db-manage
  * Accept icmpv6 as protocol of SG rule for backward compatibility
  * DSCP QoS rule implementation
  * Updated from global requirements
  * Outerjoin to networks for port ownership filter
  * Add uselist=True to subnet rbac_entries relationship
  * Fixes force to set ondelete=CASCADE in create_foreign_keys()
  * Update Neutron with temporary registry pattern from VersionedObjectRegistry
  * fullstack: use SIGTERM when stopping ovs agents
* Fri Mar 18 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev3:
  * Handle synthetic fields in NeutronDbObject
* Thu Mar 17 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc2.dev2:
  * Update devstack plugin for dependent packages
  * Remove test_external_network_visibility
* Thu Mar 17 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0rc1:
  8.0.0.0rc1
  * tests: register all objects before validating their hash versions
  * Prevent all primary keys in Neutron OVOs from being updated
  * De-dup conntrack deletions before running them
  * Imported Translations from Zanata
  * Fix auto_allocated_topology migration with PostgreSQL
  * Fix add_is_default_to_subnetpool migration
  * Add custom SQLAlchemy type for MACAddress
  * Improve release notes for dvr fixes
  * Add custom SQLAlchemy type for CIDR
  * Add custom SQLAlchemy type for IP addresses
* Wed Mar 16 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0b4.dev168:
  * Fixes "OVS Agent doesn't start on Windows"
  * DVR: Agent side change for live migration with floatingip
  * DVR:Pro-active router creation with live migration
* Tue Mar 15 2016 tbechtold@suse.com
- Remove Provides/Obsoletes for openstack-quantum-* packages.
* Tue Mar 15 2016 tbechtold@suse.com
- Update to version neutron-8.0.0.0b4.dev162:
  * RBAC: Fix port query and deletion for network owner
  * Reset RNG seed with current time and pid for each test started
  * Create a hook in base object to modify the fields before DB operations
  * SG PRECOMMIT_CREATE should be triggered only once
  * Extend dicts with original model in create/update
  * Imported Translations from Zanata
  * Update network object in DHCP agent with router interface changes
  * Block delete_(network|subnet) transactioned calls
  * Imported Translations from Zanata
  * ADD API tests for network ip availability
  * Pecan: Allow unauthenticated version listing
  * L3HA: Do not wrap create/delete in transaction
  * Add metrics notifier to Pecan
  * Fix latest doc errors that crept in
  * Add remote vs local FAQ for callbacks
  * Revise deputy instructions to include deprecation warnings
  * Add deprecation tag
  * register the config generator default hook with the right name
  * Stops update_network handling updates it shouldn't
  * Fix PUT tag failure
  * Remove unused pngmath Sphinx extension
  * fullstack: increase test timeout
  * DHCP: Downgrade 'network has been deleted' logs
  * Fix the context passed to get_subnets in _validate_routes
  * Add reno for deprecation of max_fixed_ips_per_port
  * ML2: Downgrade 'no bound segment' warning
  * Delete 118~ API tests from Neutron
  * Using LOG.warning replace LOG.warn
  * policies: add an official 'l3-bgp' bug tag
  * Check tap bridge timestamps to detect local changes
  * Remove unused Tempest AdminManager
  * Construct exceptions before passing to retryrequest
  * Copy tempest.common.tempest_fixtures in to Neutron
  * Queries for DVR-aware floating IP next-hop lookups
  * Adds unit tests for external DNS integration
  * Fixes external DNS driver failure with Python 3.4
  * Updates external DNS service if IP address changes
  * Add logging statements to help debug L3 sync
  * Only clear dns_name when user specifies parameter
  * Catch DB reference errors in binding DVR ports
  * Add BGP Callback and agent RPC notifcation implementations
  * Set DEFAULT_NETWORK_MTU to 1500 and use it
  * Downgrade network not found log in DHCP RPC
  * Downgrade "device not found" log message
  * Add global_physnet_mtu and deprecate segment_mtu
  * Ensures DNS_DRIVER is loaded before it is checked
  * Add Nova notifier hook calls to pecan
  * Add fip nat rules even if router disables shared snat
  * Add timestamp changed-since for core resources
  * Security groups: ensure correct ID is passed to exception
  * Pecan routing for agent schedulers
  * Use testscenarios for OVS flow tests
  * Tag the alembic migration revisions for Mitaka
  * Remove unused -constraints tox targets
  * constraints: fixed typo in tox_install.sh
  * security-groups: Add ipv6 support to ovs firewall
  * Fix tempest lib import in API tests
  * Delay description association proxy construction
  * Release notes: fix broken release notes
  * Fix API test for external subnet visibility
  * Release notes: prelude items should not have a - (aka bullet)
  * Use floating IP to connect different address scopes
  * Add a description field to all standard resources
  * Add timestamp for neutron core resources
  * Skip racey BGP tests
  * Continue the fwaas decoupling and cleanup
  * Remove obsolete todo
  * Nit: Occurances of OpenStack
  * Make all tox targets constrained
  * reno: Fix bad yaml in reno that ruins html output
  * Mock out database access for QoS policy object interface tests
  * Fix branch order when upgrading to alembic milestone
  * Fix pecan collection->plugin map for extensions
  * Autogenerate macvtap agent config file
  * Updates to Bug Deputy section of Bugs DevRef
  * hacking: remove oslo.* import check
  * devref: added details on the new l2 agent API mechanism
  * Revert "Revert "Functional test for address scope""
  * Correct Pecan extensions test
  8.0.0.0b3
  * Add Queries For BGP Route Lookups
  * Fix docs tox target for local runs
  * Improve logging for port binding
  * Allow auto-allocate's dry-run API call to work for regular users
  * Make OVS agent tunnel configuration logging less scary
  * make/update_subnetpool_dict call _dict_extend
  * Check if plugin supports starting rpc listeners
  * Make run_ofctl check for socket error
  * unbreak unit test caused by c5fa665de3173f3ad82cc3e7624b5968bc52c08d
  * Add filter for resource tag
  * Add tag mechanism for network resources
  * Make API framework more flexible for various extensions
  * Moved CORS middleware configuration into oslo-config-generator
  * Objects DB api: added composite key to handle multiple primary key
  * IP Availability: remove unused imports
  * BGP: remove unnecessary configuration setting
  * Add support for QoS for LinuxBridge agent
  * RPC Callback rolling upgrades reporting, and integration
  * Set veth_mtu default to 9000
  * Provide dry-run flag to validate deployment requirements
  * Use network RBAC feature for external access
  * Deprecate network_device_mtu
  * Catch DBDuplicateEntry errors in RBAC code
  * DVR:Remove unwanted check in _get_dvr_service_port_hostid
  * Make agent interface plugging utilize network MTU
  * Removed static reference to LinuxBridge in logging
  * Add API extension for reporting IP availability usage statistics
  * Updated from global requirements
  * Filter HA routers without HA interface and state
  * Translations: use neutron._18n instead of neutron.18n
  * Collect details on ARP spoof functional failures
  * Revert "Functional test for address scope"
  * Remove effectively empty directories
  * Added agent specific API support to L2 extensions
  * Qos policy RBAC DB setup and migration
  * macvtap: Macvtap L2 Agent
  * ML2: Increase segment_mtu from 0 to 1500 bytes
  * Switch to using in-tree tempest lib
  * Catch DBReferenceError in HA router race conditions
  * Catch PortNotFound after HA router race condition
  * Change the exception type from ValueError to IpamValueInvalid
  * Fix test_get_device_id() failure on OSX
  * Make __table_args__ declarative in RBACColumns
  * Fix tox -e docs
  * Override addOnException to catch exceptions
  * BGP Dynamic Routing: introduce BgpDriver
  * Update default gateway in the fip namespace after subnet-update
  * Update docstring in test/tools.py
  * Pecan: filter items need type conversion
  * Pecan: use reservations in quota enforcement hook
  * Add use_default_subnetpool to subnet create requests
  * Ensure DVR unit tests use '/tmp' directory
  * API test for get-me-network
  * ovs-fw: Enhance port ranges with masks
  * Fix sanity check --no* BoolOpts
  * Correlate address scope with network
  * Fix generate_records_for_existing in migrations
  * Revert "tests: Collect info on failure of conn_tester"
  * Updated from global requirements
  * Revert the unused code for address scope
  * Deprecate 'force_gateway_on_subnet' configuration option
  * Fix 'TypeError: format requires a mapping' in OVS agent
  * Allow non-admins to define "external" extra-routes
  * Don't assume simplejson in pecan exception catch
  * IPAM: add missing translation
  * Functional test for address scope
  * deprecated: Raise message
  * Allow address pairs to be cleared with None
  * Document the ability to load service plugins at startup
  * .testr.conf: revert workaround of testtools bug
  * Add fullstack resources for linuxbridge agent
  * Pecan: get rid of member action hook
  * Pecan: replace dashes with underscores on controller lookup
  * Fix for adding gateway with IP outside subnet
  * Allow other extensions to extend Securitygroup resources
  * Adopt Grafana to plot Neutron Failure Rates
  * BGP Dynamic Routing: introduce BgpDrAgent
  * Add missing character
  * stadium: revise the introduction to the document
  * stadium: Add a guideline about contributor overlap
  * Security group: use correct logging format
  * Update devstack hooks to work with pecan jobs
  * Fix typo error for wrong msg format when CallbackFailure
  * Stop using non-existent method of Mock
  * Fix GROUP BY usage for PostgreSQL in migrations
  * Add bug tag for auto allocated topology
  * macvtap: ML2 mech driver for macvtap network attachments
  * Don't disable Nagle algorithm in HttpProtocol
  * Preserve subnet_create behavior in presence of subnet pools
  * Open vSwitch conntrack based firewall driver
  * Add VLAN tag info to port before applying SG initial setup
  * QOS: get rid of warnings for unit tests
  * Remove NEC plugin tables
  * DHCP: release DHCP port if not enough memory
  * Cleanup unused conf variables
  * Deprecate ARP spoofing protection option
  * tests: Use constants for icmp and arp in conn_testers
  * Add to the neutron bug deputy directions
  * L3 agent: log traceback on floating ip setup failure
  * Add the rebinding chance in _bind_port_if_needed
  * Pecan: implement DHCP notifications in NotifierHook
  * Pecan: Always associate plugins with resource
  * Remove deprecation warnings
  * Get rid of UnionModel for RBAC
  * Add necessary executable permission
  * Updated from global requirements
  * Add precommit_XXX event for security group and rules
  * Give the qos extension a friendly name
  * tests: Collect info on failure of conn_tester
  * Address masking issue during auto-allocation failure
  * Fix typo 'indepedent' in alembic_migration.rst
  * BGP Dynamic Routing: introduce BgpDrScheduler model
  * macvtap: Common functions and constants
  * Fix typo of dnsmasq
  * add arp_responder flag to linuxbridge agent
  * Switch "dsvm-functional:" into same pattern as constraints
  * Add BGP Dynamic Routing DB Model and Basic CRUD
- Adjust Requires and BuildRequires
- Remove 0001-Improve-logging-for-port-binding.patch . Applied upstream
- Remove /usr/bin/neutron-dev-server . No longer shipped upstream
- Remove plugin-cisco package. it's out of tree now
- Add subpackage openstack-neutron-bgp-dragent and
  openstack-neutron-macvtap-agent-agent
- Fix sample config generation
* Mon Mar 14 2016 jsuchome@suse.com
- Take neutron-ha-tool source from more recent SUSE-Cloud repo
* Fri Mar 11 2016 dmueller@suse.com
- fix typo in buildrequires
* Tue Mar  1 2016 aplanas@suse.com
- Set umask to 0022 in the plugin init script
  Fix bsc#963938
* Mon Feb 29 2016 johannes.grassler@suse.com
- Ensure neutron services are started after openstack-keystone (bsc#955786)
* Mon Feb  8 2016 rsblendido@suse.com
- Added 0001-Improve-logging-for-port-binding.patch to improve
  logging and debug tempest failures
* Mon Feb  8 2016 psalunke@suse.com
- Update URL pointing to migrated repository from stackforge to
  openstack for cookbook-openstack-network URL.
* Fri Jan  8 2016 cloud-devel@suse.de
- Update to version neutron-8.0.0.0b2.dev272:
  * Allow get_unused_ip method to skip v6 and fix iter
  * Revert "Revert "Revert "Remove TEMPEST_CONFIG_DIR in the api tox env"""
  * Fix meter label rule creation
  * Remove l2pop _get_port_infos method
  * Add test for Neutron object versions
  * SR-IOV agent: display loaded extensions
  * Imported Translations from Zanata
  * Add extension_manager and support for extensions in linuxbridge agent
  * Fix API tests
  * Remove openstack.common._i18n from Neutron
  * Updated from global requirements
  * Misspelling in message
  * Mitigate restriction for fixed ips per dhcp port
  * dhcp: Default to using local DNS resolution
  * Remove unused variable use_call in ovs-agent
  * Wrong usage of "an"
  * Wrong usage of "a"
  * Trival: Remove unused logging import
  * Allow to control to use constraint env for functional jobs
  * Change log level from error to warning
  * Add constant to L3 extension for floating ips
  * dibbler: fix import order
  * Add address scope to floating IPs in RPC response to L3 agent
  * Ignore non rules related qos_policy changes
  * Run functional gate jobs in a constrained environment
  * update docstring for get_ports_on_host_by_subnet
  * Correct state_path option's help string
  * Updated from global requirements
  * Delete test_restart_l3_agent_on_sighup
  * DVR: Remove get_port call from dvr_update_router_addvm
* Wed Dec 23 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.0b2.dev199:
  * Restore _validate_subnet/uuid_list not to break subproject gates
  * DVR:Fix _notify_l3_agent_new_port for proper arp update
  * Don't raise if polling manager is running when stopped
  * Add abstractmethod to FirewallDriver abstract class
  * Corrected wrong ethertype exception message
  * Misspelling in message
  * Use the constant HOST_ID instead of 'binding:host_id'
  * Add notes on loading strategies for ORM relationships
  * Enable Guru Meditation Reports for other refarch agents
  * Updated from global requirements
  * Catch known exceptions during deleting last HA router
  * Add new troubleshooting bugs tag
  * Add to deprecate OFAgent in release note
  * Clean up code for bug1511311
  * Kill the vrrp orphan process when (re)spawn keepalived
  * Remove duplicated code in attribute.py
  * QOS: add in missing translation
  * Fix comparison of Variant and other type in test_model_sync
  * Add check that list of agents is not empty in _get_enabled_agents
  * Remove unused parameter from _update_router_db method
  * Use a joined relationship for AZ info on routers
  * Cleanup all the release notes
  * Improve tox to show coverage report on same window
  * Tune _get_candidates for faster scheduling in dvr
  * Correct return values for bridge sysctl calls
  * Adding a VNIC type for physical functions
  * Add functional test for availability_zone support
  * L3 DB: set get_assoc_data to be an internal method
* Wed Dec 16 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.0b2.dev145:
  * Updating devref for networking-onos project
  * Use a joined relationship for AZ info on networks
  * Batch db segment retrieval
  * Separate rbac calculation from _make_network_dict
  * Add explicit address family to AddressScope
  * DVR: handle dvr serviceable port's host change
  * Deprecated tox -downloadcache option removed
  * Removing adv svcs dependencies on neutron
  * Decompose OFAgent mechanism driver from neutron tree completely
  * Ignore possible suffix in iproute commands
  * Add option for nova endpoint type
  * Force service provider relationships to load
  * Add linuxbridge job to the dashboard
  * ML2: Add tests to validate quota usage tracking
  * Updated from global requirements
  * Add explanations and examples to TESTING.rst
  * Added CORS support to Neutron
  * Refactor OVS-agent tunnel config validate
  * Make keepalived add_vip idempotent
  * Fix timestamp in RBAC extension
  * Document relationship between ways of documenting new stuff
  * lb: Correct String formatting to get rid of logged ValueError
  * Skip keepalived_respawns test
  * Add release note covering keystoneauth and v3
  * Pull project out of request in addition to tenant
  * Don't emit confusing error in netns-cleanup
  * Add address scope to ports in RPC response to L3 agent
  * Updated from global requirements
  * Avoid full_sync in l3_agent for router updates
  * move usage_audit to cmd/eventlet package
* Fri Dec  4 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev559:
  * Make port binding message on dead agents clear
* Thu Dec  3 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev557:
  * Optimize "open" method with context manager
  * L3: add missing space to log message
  * Move i18n to _i18n, as per oslo_i18n guidelines
  * Add native of_interface fullstack tests
  * Support for IPv6 RDNSS Option in Router Advts
* Wed Dec  2 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev547:
  * DVR:don't reschedule the l3 agent running on compute node
  * l3_db: it updates port attribute without L2 plugin
  * Change check_ports_exist_on_l3agent to pass the subnet_ids
  * lb: avoid doing nova VIF work plumbing tap to qbr
  * Update 'Contributing Extensions' devref for Mitaka
  * Remove transparent VLAN support from base plugin
  * Support Unicode request_id on Python 3
  * Correct unwatch_log to support python <= 2.7.5
  * Move a note to bridge_lib
  * Add UnionModel support to filter query generator
  * Refactor OVS-agent init-method
* Mon Nov 30 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev525:
  * Imported Translations from Zanata
  * Update toctree of neutron document
* Sat Nov 28 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev522:
  * Automatically generate neutron core configuration files
  * Stop using deprecated timeutils.total_seconds()
* Fri Nov 27 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev519:
  * Fix alignment in message and remove unused module
  * Don't drop ARP table jump during OVS rewiring
  * force releasenotes warnings to be treated as errors
  * Add Incomplete state to list of acceptable states for RFE bugs
  * Wait for the watch process in test case
  * Use diffs for iptables restore instead of all rules
* Thu Nov 26 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev508:
  * Delete HA network when last HA router is deleted
  * Change instances of Openstack to OpenStack
  * Add availability_zone support for network
  * fix some misspellings
  * Freescale ML2 driver code complete decomposition
  * Fix typo for OVSDB
  * Clarify how we milestones are assigned
  * Optimize router delete execution
  * Remove duplicate deprecation messages for quota_items option
  * ovs: Make interface name hashing algorithm common and extend it
* Wed Nov 25 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev488:
  * tox: pass TEMPEST_CONFIG_DIR envvar into api target environment
  * Minor doc fix in alembic_migrations.rst
  * Deprecate l3-agent router_id option
  * Make Neutron resources reference standard attr table
  * devref: add upgrade strategy page
  * Check gateway ip when update subnet
  * Remove BigSwitch plugin and driver
  * Make sure we return unicode strings for process output
  * Add hosted agents list to dhcp agent scheduler
- restproxy-agent dropped
* Tue Nov 24 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev471:
  * Log error instead of exception trace
  * neutron-db-manage: mark several options as deprecated
  * IPAM: add in missing exception translations
  * Make fullstack test_connectivity tests more forgiving
  * Fix get_subnet_ids_on_router in dvr scheduler
  * Fix the end point test for client
  * IPAM: fix 'enable-dhcp' with internal driver
* Mon Nov 23 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev457:
  * neutron-db-manage: expose alembic 'heads' command
  * Keep reading stdout/stderr until after kill
  * Fix alignment in message
* Sun Nov 22 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev451:
  * Add Access Control bug tag
  * Switch to using neutron.common.utils:replace_file()
* Sat Nov 21 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev448:
  * Add index entry to vhost documentation
  * Remove misplaced copyright attribution
  * Fix misspelled word in docstring
  * Reorganize and improve l3_agent functional tests
  * Use compare-and-swap for IpamAvailabilityRange
  * Fix use of fields argument in get_rbac_policies
  * Add vhost-user support via ovs capabilities/datapath_type
* Fri Nov 20 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev434:
  * Replace neutron-specific LengthStrOpt with StrOpt
  * Updated from global requirements
  * Fix Neutron flavor framework
  * Use SIGUSR1 to notify l3 agent of changing prefix file
  * Ensure l3 agent receives notification about added router
* Fri Nov 20 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev424:
  * Fix dashboard graphite URLs
  * Updated from global requirements
  * Send 50%% less debug information when executing cmd
  * Datapath on L2pop only for agents with tunneling-ip
  * Remove deprecated use_namespaces option
* Thu Nov 19 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev415:
  * Resync L3, DHCP and OVS/LB agents upon revival
* Thu Nov 19 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev413:
  * Updated from global requirements
  * Elaborate how priorities are assigned to blueprints
  * Add a better description for notification_driver
  * Update networking-powervm sub-project docs
  * Add fullstack testing doc content
  * Remove SysV init script for neutron-server
  * Disable IPv6 on bridge devices in LinuxBridgeManager
  * Use get_interface_bridge instead of get_bridge_for_tap_device
* Wed Nov 18 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev397:
  * Add networking-infoblox sub-project
  * Firewall: fix typo
  * Fix the indentation issue
  * Don't add default route to HA router if there is no gateway ip
  * Use DEVICE_OWNER_* for 'network:*' constants
  * Add the missing arg of RetryRequest exception in _lock_subnetpool
  * Remove unused delete_dvr_mac_address method
  * Fix releasenotes/../unreleased.rst
  * Avoid race condition for reserved DHCP ports
  * Revert "Move dhcp_lease_duration into DHCP agent config options list"
  * Remove the useless l3plugin check in l3_rpc.py
  * Use admin context when requesting floating ip's router info
  * Check missed IPSet utility using neutron-sanity-check
  * Fix dvr_local_router.floating_ip_added_dist failure after agent restart
* Tue Nov 17 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev369:
  * sub_projects.rst: Update midonet functionalities
  * Switch to using neutron.common.utils:replace_file()
  * Trivial fix in ml2 conf
  * Fix some reST field lists in docstrings
  * Fix broken references in doc
  * Remove MidonetInterfaceDriver
  * Fix notification driver package
* Mon Nov 16 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev355:
  * Use DEVICE_OWNER_COMPUTE constant everywhere
* Sun Nov 15 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev353:
  * Skip bindings with agent_id=None
  * Undeprecate force_gateway_on_subnet option
* Sat Nov 14 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev349:
  * Updated from global requirements
  * Cleanup dhcp namespace upon dhcp setup
  * Last sync from oslo-incubator
  * Refactor test_server functional tests
  * Move dhcp_lease_duration into DHCP agent config options list
  * Add transaction for setting agent_id in L3HARouterAgentPortBinding
  * Change the repos from stackforge to OpenStack
  * Revert "Revert "Remove TEMPEST_CONFIG_DIR in the api tox env""
  * Require tox >= 2.0
  * Use assertFalse(observed) instead of assertEqual(False, observed)
  * Don't use duplicate filter names for functional testing
  * Replace get_all_neutron_bridges by get_deletable_bridges
  * Final decomposition of opendaylight driver
  * Adding security-groups unittests
  * move import to top and rename to make more readable
  * Replace subnetpool config options with admin-only API
* Fri Nov 13 2015 vuntz@suse.com
- Add ebtables Requires to openstack-neutron-linuxbridge-agent,
  since it's using it.
* Fri Nov 13 2015 cloud-devel@suse.de
- dropped neutron-mlnx-agent
- dropped neutron-ovsvapp-agent
- Update to version neutron-8.0.0.dev318:
  * Fix heading markers for better docment toc view
  * Clarify that RFE bug reports should not have an importance set
  * Remove TEMPEST_CONFIG_DIR in the api tox env
  * Revert "Remove TEMPEST_CONFIG_DIR in the api tox env"
  * Lower l2pop "isn't bound to any segement" log to debug
  * DVR: remove redundant check
  * More graceful ovs-agent restart
  * sriov: add extensions option to configuration file
  * Revert "OVS agent reacts to events instead of polling"
  * configure_for_func_testing.sh: Fix arguments for get_packages
  * Add call to pluggable IPAM from ml2 delete_subnet
  * Add "unreleased" release notes page
  * Update internal snat port prefix for multiple IPv6 subnets
  * Move LinuxBridge related features to bridge_lib
  * Reduce duplicated code in test_linuxbridge_neutron_agent
  * Document the neutron-release team
  * Updated from global requirements
  * Trivial fix in l3 agent
  * IPAM: make max fixed IP validations DRY
  * Fix misuse of log marker functions in neutron
  * More instructions for neutron-db-manage revision --autogenerate
  * Add in missing spaces at end of line
  * Do not use log hints for exceptions
  * Adding a function prefix before parenthesis
  * Make command log in neutron utils.execute() a single line
  * Move update_fip_statuses to Router class
  * Add new config option for IPv6 Prefix Delegation
  * Correction and clarification to subproject stable guidelines
  * Make '*' the default ml2 flat_networks configuration
  * Add PyPI link for networking-calico
* Thu Nov 12 2015 rhafer@suse.com
- Fix ovs-cleanup dependency for openvswitch (use the systemd unit
  "openvswitch" instead of "openvswitch-switch")
* Sat Oct 31 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev181:
  * Add text for deprecated parameter
* Fri Oct 30 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev179:
  * Clarify with example mentioning gratuitous whitespace changes
  * Fix usage of mutable object as default value
  * Make the Neutron Stadium documentation toplevel
  * Add notes about stable merge requirements for sub-projects
  * Fix incorrect capitilization of PyPI
  * Updated from global requirements
  * Log end of router updates for PD and delete branches
  * Imported Translations from Zanata
  * Optimize interface_exists_on_bridge
* Thu Oct 29 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev164:
  * Log the exception in linuxbridge_neutron_agent as exception
  * Replace utils.exec for IpNeighComm LinuxBridge drv
  * Fix iptables modules references in rule generation
* Wed Oct 28 2015 rhafer@suse.com
- add conntrack-tools dependency for ovs and linuxbridge agents
* Mon Oct 26 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev159:
  * Correct indentation in linuxbridge_neutron_agent
* Mon Oct 26 2015 bwiedemann@suse.com
- dropped plugins embrane midonet opencontrail oneconvergence/nvsd
- Update to version neutron-8.0.0.dev158:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Support migrating of legacy routers to HA and back
  * Use string formatting instead of string replace
  * Better tolerate deleted OVS ports in OVS agent
  * Remove GBP as a Neutron sub-project
  * get_device_by_ip: don't fail if device was deleted
  * Allow to specify branch for creating new migration
  * Mark for removal deadcode in neutron.common.utils
  * Fix _restore_local_vlan_map race
  * DVR: notify specific agent when deleting floating ip
  * Move test_extend_port_dict_no_port_security to where it belongs to
  * Fix the latest glitches that broke docs generation
  * Add effective note on DB exception to be aware of
  * Minor improvement in port_bound operation
  * Clarify what gerrit repositories can target neutron-specs
  * Fix error code when L3 HA + DVR router is created or updated
  * Spawn dedicated rpc workers for state reports queue
  * Fix l2pop regression
  * Remove deprecated sriov agent_required option
  * Remove deprecated namespace deletion options
  * Deepcopy port dict in dhcp rpc handler
  * Don't remove ip addresses if not master
  * Include alembic versions directory to the package
  * Fix formatting of hyperlinks provided in the office-hours doc
  * Remove IBM SDN-VE left-overs
  * Remove the port-forwarding sub-project from the list
  * Set security group provider rule for icmpv6 RA in DVR
  * Properly handle segmentation_id in OVS agent
  * ovs: remove several unneeded object attributes from setup_rpc()
* Thu Oct  1 2015 dmueller@suse.com
- don't create pam session for neutron-rootwrap to avoid
  excessive logging
* Thu Oct  1 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev360:
  * Fix the bug of "Error spelling of 'accomodate'"
  * Just call set-manager if connecting fails
  * Add compatibility with iproute2 >= 4.0
* Wed Sep 30 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev355:
  * Fix URL target problem
  * Check idl.run() return value before blocking
* Wed Sep 30 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev351:
  * Tag the alembic migration revisions for Liberty
  * Remove zombie pecan hook
  * Devref for authorization policies enforcement
  * Revert "Remove address scopes from supported extensions"
  * usage_audit: Fix usage_audit to work with ML2
* Tue Sep 29 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev343:
  * Adding trailing underscores to devref links
  * Python 3: use "open" instead of "file"
  * Imported Translations from Zanata
  * Handle empty bridge case in OVSBridge.get_ports_attributes
  * Fixing traces of "Replace prt variable by port"
  * Kill HEADS file
  * Move ConfigDict and ConfigFileFixture to neutron.tests.common
  * Turn device not found errors in to exceptions
  * Forbid more than one branch point in alembic dependency chains
  * Fixes 'ovs-agent cannot start on Windows because root_helper opt is not found'
  * SubnetPoolsTest: Skip IPv6 tests appropriately
* Mon Sep 28 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev321:
  * Fixes 'ovs-agent fails to start on Windows beacause of SIGHUP'
* Sun Sep 27 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev319:
  * Cleanup of Translations
  * SimpleInterfaceMonitor: get rid of self.data_received flag
  * Fix quota usage tracker for security group rules
  * Imported Translations from Zanata
  * Fix a few nits with the dashboard pages
  * Change router unbinding logic to be consistent with data model
  * Don't write DHCP opts for SLAAC entries
  * Add --verbose to subset of cmds in neutron-db-manage
  * Remove _extract_roles method from neutron.policy
* Thu Sep 24 2015 cloud-devel@suse.de
- Update to version neutron-8.0.0.dev301:
  * Open Mitaka development
  * Fix the broken link in devref docs
  * Eliminate autoaddress check for DNS integration
  * Only get host data for floating ips on DVR routers
  * Add neutron subproject & stable branch gerrit review links
  * Adds configurable agent type
  * Remove early yields in _iter_hosts in dhcp agent
* Wed Sep 23 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b4.dev288:
  * Link dashboards into generated documentation
  * Add neutron/master review link to dashboard/index.html
  * Create dashboard page with gate jobs statistics
  * ml2: don't consider drivers with no bind_port for qos supported rule types
  * Imported Translations from Zanata
* Tue Sep 22 2015 tbechtold@suse.com
- Update to version neutron-7.0.0.0b4.dev280:
  * Updated from global requirements
  * Relax service module check on service providers
  * Get rid of ConfigParser code in ProviderConfiguration
  * Rename check pipeline dashboards
  * tests: don't validate respawn as part of ovsdb monitor functional test
  * ovsdb monitor: get rid of custom _read_stdout/_read_stderr methods
  * Change ignore-errors to ignore_errors
  * delete_port: ensure quota usage is marked as dirty
  * Fix hostname roaming for ml2 tunnel endpoints
  * Fix adding tap failure if bridge mapping is not provided
  * Use pecan controllers for routing
  * Re-adds VIF_TYPE_VHOST_USER to portbindings extension
  * Introduce a separate RPC server
  * Remove pecan branch reference from .gitreview file
  * Revert "Revert "Pecan WSGI: prevent plugins from opening AMQP connections""
  * Revert "Pecan WSGI: prevent plugins from opening AMQP connections"
  * Add constraint target to tox.ini
  * Remove plural param to QUOTAS.count
  * Return version info on version controller
  * Log exception.msg before exception.message
  * Fix pecan policy enforcement for GET requests
  * Add missing resource discriminator in update resp
  * Fix missing check for admin/adv_service
  * Clarify and add a TODO in the controller
  * Set expected HTTP codes for create and delete
  * Add basic bulk support to collection controller
  * Remove duplicated API server
  * OVSAgentTestFramework: Remove _bind_ports
  * Allow only GET on Root controller
  * Rename 'newapi' to 'pecan_wsgi'
- Adjust Requires according to requirements.txt
- Install %%{_bindir}/neutron-dev-server and %%{_bindir}/neutron-rpc-server
* Sun Sep 20 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b4.dev223:
  * Remove an invalid comment
  * Fixes SNAT port not found for internal port
  * Update _TestModelMigration
* Sat Sep 19 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b4.dev217:
  * Imported Translations from Zanata
  * Add skeleton to 'Effective Neutron' devref
  * Optimize if statement in dvr_local_router.py
  * Fix log statement to log correct variable first_ip
  * Remove restriction of adding constraints to expand
* Fri Sep 18 2015 tbechtold@suse.com
- Update to version neutron-7.0.0.0b4.dev207:
  * Introduce kill_signal parameter to AsynProcess.stop()
  * ipam: Prevent none from being passed to delete
  * Delete unused file tests/unit/database_stubs.py
  * No network devices on network attached qos policies
  * Use tempest-lib's token_client
  * Fix establishing UDP connection
  * ovsdb: Fix a few docstring
  * Remove requirements.txt for the ofagent mechanism driver
  * Always return iterables in L3 get_candidates
  * Prevent full sync in dhcp_agent when possible
  * Add QoS fullstack test
  * QoS agent extension and driver refactoring
  * Add IPv6 Address Resolution protection
  * Revert "AsyncProcess: try to kill tender"
  * Remove out-of-tree vendor AGENT_TYPE_* constant
  * func: Don't use private method of AsyncProcess
  * Remove unused ovs_lib method reset_bridge
  * Fix TypeError caused by delete_agent_gateway_port()
  * sub_project_guidelines: Add richer documentation
  * Fix typo: Large Ops, not Large Opts
  * Fix query in get_l3_agent_with_min_routers
  * Do not specify host for l2population topics
  * Add utility function for checking trusted port
  * Fix typo in error message in NetcatTester
  * docstring fix
  * AsyncProcess: try to kill tender
  * Enable servicing lbaasV2 vip by DVR
  * Switch scheduler drivers to load based schedulers
  * Fix BadRequest error on add_router_interface for DVR
  * Fix missing value types for log message
- Install %%{_sysconfdir}/%%{component}/plugins/ml2/sriov_agent.ini
* Sat Sep 12 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b4.dev112:
  * ovs: don't use ARP responder for IPv6 addresses
  * Remove useless log from periodic_sync_routers_task
  * Add l2pop support to full stack tests
  * Add tunneling support to full stack tests
  * Descheduling DVR routers when ports are unbound from VM
  * Updated from global requirements
  * Make ip address optional to add_route and delete_route
  * Add list routes
  * Remove hack for discovery novaclients extension
  * Check ICMP codes in range [0,255]
  * Add test to check that correct functions is used in expand/contract
  * Don't setup ARP protection on OVS for network ports
* Fri Sep 11 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b4.dev89:
  * Reduce the chance of random check/gate test failures
  * Fix dvr update for subnet attach multi subnets
  * Make ip rule comparison more robust
  * Remove address scopes from supported extensions
  * SR-IOV: devstack support for SR-IOV agent
  * Fix test_external_tables_not_changed
  * Updated from global requirements
  * Add non-model index names to autogen exclude filters
  * Implement expand/contract autogenerate extension
  * Delete FIP agent gateway port with external gw port
  * Remove ebtables_driver/manager dead code
  * Stop device_owner from being set to 'network:*'
  * Add oslo rootwrap daemon logging during functional tests
  * ovs agent resync may miss port remove event
  * tests: disable process monitor before managers
  * Retry metadata request on connection refused error
  * Add ability to use custom config in DHCP-agent
  * Improve DB operations for quota reservation
  * Qos SR-IOV: Refactor extension delete to get mac and pci slot
  * Adds support to provide the csum option for the OVS tunnels
  * Delete the useless variable agent_host
  * Handle process disappearing before we ask for its PPID
  * OVS agent: handle deleted ports on each rpc_loop iteration
  * Final decomposition of Cisco plugin
  * Remove Cisco Meta and N1KV monolithic plugins
  * Workaround test stream corruption issue
  * Updated from global requirements
  * Fixed functional test that validates graceful ovs agent restart
  * _bind_devices query only existing ports
  * OVS agent: flush firewall rules for all deleted ports at once
* Sat Sep  5 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b4.dev18:
  * Enable most unit tests for py34 job
  * Changed filter field to router_id
  * Fix a wrong condition for the _purge_metering_info function
  * Make sure service providers can be loaded correctly
  * Retain logs for functional test cases
  7.0.0.0b3
  * Add support for PluginWorker and Process creation notification
  * Avoid DB errors when deleting network's ports and subnets
  * Better message on allowed address pairs error
  * OVS-agent: Introduce Ryu based OpenFlow implementation
  * Deprecate external_network_bridge option in L3 agent
  * Add constraint target to tox.ini
  * OVS agent add functional tests of OVS status
  * check_changed_vlans doesn't need registered_ports as param
* Fri Sep  4 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b3.dev644:
  * Add info to debug test_keepalived_respawns gate failure
  * Enable to update external network subnet's gateway-ip
  * Make Neutron service flavor save service_type
  * Add tenant_id to flavor service profiles attributes
  * Deprecate --service option for neutron-db-manage
  * DHCP agent: allow using gateway IPs instead of uniquely allocated
* Thu Sep  3 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b3.dev632:
  * Catch errors on 'port not found' while deleting subnet
  * Do not track active reservations
* Wed Sep  2 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b3.dev628:
  * Enable py34 tests for pluggable ipam backend
  * Python 3: use a hash to sort dictionaries
  * Remove duplicated codes in two test cases
* Wed Sep  2 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b3.dev622:
  * [rpc] pull: removed a hack to avoid object backport triggered
  * Updated from global requirements
  * Fix import path in neutron-sanity-check for ml2_sriov opts
  * Decentralize the managemement of service providers
  * Remove requirements.txt for decomposed plugins/drivers
  * Linuxbridge-agent: fix bridge deletion
  * Correct neutron-ns-metadata-proxy command when watch_log is False
  * Split SR-IOV configuration file into driver and agent pieces
  * Add lieutenants contact for networking-calico
  * Fix misnomer on network attribute
  * Refactor IpRouteCommand to allow using it without a device
  * Fixed the typo in the doc string of the class SubnetPoolReader
  * Add flows to tunnel bridge with proper cookie
  * Add policy and policy rule belongs check
  * Process update_network in the openvswitch agent
  * [neutron-db-manage] Introduce contract and expand commands
  * Fix DBDuplicateEntry when creating port with fixed_ips on PD subnet
  * DHCP agent: add 'bridged' property to interface driver
  * SR-IOV: deprecate agent_required option
  * SimpleInterfaceMonitor handle case when ofport is an empty set
  * Use directly neutron.common.constants constants in l3_dvr_db
  * Remove out-of-tree vendor VIF_TYPE_* constants
  * Defer freeing of conntrack zone ids until allocation fails
  * Only mark metadata packets on internal interfaces
  * Add network to SubnetContext
* Tue Sep  1 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b3.dev572:
  * Fix usage of netaddr '.broadcast'
  * Adding networking-calico to sub_projects document
  * Make delete-vlan-bridge and delete-vlan functions clear
* Mon Aug 31 2015 tbechtold@suse.com
- Update to version neutron-7.0.0.0b3.dev567:
  * Fixes wrong neutron Hyper-V Agent name in constants
  * Updated from global requirements
  * Revert "Add support for unaddressed port"
  * Improve logging upon failure in iptables functional tests
  * handle gw_info outside of the db transaction on router creation
  * Remove ml2 resource extension success logging
  * Replace "prt" variable by "port"
  * Add optional file permission argument to replace_file()
  * Add lieutenants contact for networking-onos
  * Adding networking-onos to sub_projects document
  * Base on SqlTestCase to init db tables correctly
  * Stops patching an object method which could be gone at cleanup
  * Add enable_new_agents to neutron server
  * Document prefix delegation testing issues
  * Fix Prefix delegation router deletion key error
  * Add Geneve type driver support to ML2
  * Fix DVR log strings in agent
  * devref: Add sub-project release notes
  * Removing the SDN-VE monolithic plugin
  * Update template for ModelMigrationSync test
  * Fix py34 No sql_connection parameter is established error
  * Switch to using os-testr's copy of subunit2html
  * Validate router admin_state_up on upgrade to distributed
  * PLUMgrid plugin decomposition part II
  * Quota enforcement: remove locks on _dirty_tenants
  * Move in-tree vendor AGENT_TYPE_* constants
  * devref: added guidelines on how to maintain sub-projects
  * Stop logging STDOUT and STDERR on every shell out
  * Add empty policy rule to get_rule_type action
  * IPv6 display suitable message when MTU is invalid on iface
- Removed 0001-Add-z-VM-mechanism-driver-definitions-to-support-IBM.patch
  Doesn't apply and abandoned
- Adjust Requires according to requirements.txt
- Removed %%{_sysconfdir}/%%{component}/plugins/plumgrid/plumgrid.ini
  No longer available upstream
- Remove package neutron-ibm-agent. No longer provided upstream.
* Thu Aug 27 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b3.dev497:
  * Run py34 tests with testr
  * Make a couple of methods private
  * Add IPv6 Prefix Delegation compatibility to ipam_pluggable_backend
  * Fix AttributeError in _clean_updated_sg_member_conntrack_entries()
  * Add dns_label processing for Ports
* Wed Aug 26 2015 tbechtold@suse.com
- Rebased patches:
  + 0001-Add-z-VM-mechanism-driver-definitions-to-support-IBM.patch (manually)
- Install neutron-pd-notify
- Update Requires according to requirements.txt
- Remove nec-agent (removed upstream)
* Sat Aug  1 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b3.dev26:
  * Python 3: pass bytes to base64.encode{string,bytes}
  * Python3: pass bytes to binascii.crc32
  * Fix order of calls in update_port
  * Initialize port_info dict as blank in OVS agent
  * Ensure non-overlapping cidrs in subnetpools with galera
  * SR-IOV: Fix SR-IOV agent to run ip link commands as root
  * Python 3: Use '//' instead of '/'
  * Moved out cisco n1kv mech driver and db models
  * Updated from global requirements
  * sriov: implement spoofchecking configuration
  * Update dhcp agent cache for network:dhcp ports
  * Keep dns nameserver order consistency
  * Add plural names for quota resources
  * Introduce usage data tracking for Neutron
  * test_db_base_plugin_v2: Improve DBReferenceError generation
* Fri Jul 31 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b3.dev2:
  7.0.0.0b2
  * Create packages for quota modules
  * Python 3: fix test_attributes
  * Allow overriding of the neutron endpoint URL in metadata agent
  * Moving out cisco n1kv extensions
  * Correct fcntl.flock use in Pidfile.unlock
* Thu Jul 30 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b2.dev420:
  * Add FUJITSU vendor plugin in sub_projects
  * Python 3: fix test_dhcp
  * Updated from global requirements
  * Fix inconsistency of if/return logic in attributes.py
  * Imported Translations from Transifex
  * [neutron-db-manage] revision: properly bootstrap a new branch
* Wed Jul 29 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b2.dev408:
  * Python 3: fix test_context
  * Fix KeyError: 'L3_ROUTER_NAT' in l3 scheduler functional test
  * Cleanup IPAM tests
  * Add DB support for resource usage tracking
  * Python 3: do not index dict_values objects
* Tue Jul 28 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b2.dev398:
  * L2 agent RPC add new RPC calls
* Sun Jul 26 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b2.dev396:
  * Decompose Apic ML2 mechanism driver
  * Remove duplicate DHCP agent registration in unit test
  * Add Cathy Zhang as networking-sfc Lieutenant
  * Add error message when migrate from distributed router to centralized
  * Avoid printing log options multiple times
  * Add Pluggable IPAM Backend Part 2
  * Python 3: fix neutron.tests.unit.agent.dhcp.test_agent
  * Metaplugin removal
  * Fix a property comment in metadata_agent files
  * Stop use of oslo_utils.timeutils.strtime()
  * Adds garp_master_repeat and garp_master_refresh to keepalived.conf
* Sat Jul 25 2015 seife+obs@b1-systems.com
- fix spec file conditions for non-suse distributions
- fix initscript replacement for non-suse distributions
* Fri Jul 24 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b2.dev374:
  * Updated from global requirements
  * Fix handling of port-range-min 0 in secgroup RPC and agent
  * Add address scope API tests
  * Python 3: enable more tests
  * Add new ovs DB API to inquire interfaces name list in a bridge
  * Tweak wording for project inclusion process
  * Define fullstack router/network/subnet management fixture
  * Fix race condition by using lock on enable_radvd
  * ensure_dir: move under neutron.common.utils
  * Remove deprecated OVS and LB plugin DB tables
  * ovs_lib: Fix native implementation of db_list
  * Port help text for dvr_base_mac from neutron.conf
  * Python 3: fix neutron.tests.unit.agent.linux.test_async_process
  * Always use BridgeDevice to manage linuxbridges
  * neutron-db-manage: fix check_migration for branch-less migration directories
  * Use only the lower 16 bits of iptables mark for marking
  * Add address_scope_db to neutron/models/head.py
  * OVS agent factor our port stats processing
  * Alter unit test to match bug and cleanup ext logic
  * Allow passing table argument to construct IpRouteCommand
  * [devref] db_layer: expand on how new migration scripts look like
  * Fixed L3 agent manual scheduling for HA routers
  * Ensure that update_fip_statuses gets called
  * Just use {0,1,2} rather sys.std*.fileno()
  * Fullstack testing devref follow up
* Wed Jul 22 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b2.dev325:
  * Fix note in devref/contribute.rst
  * Added functional tests for L3 schedulers
  * Python 3: fix test_provider_configuration
* Tue Jul 21 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b2.dev319:
  * Add documentation for SRIOV NIC agent (previously missing)
  * Unplug the VIF if dhcp port is deleted
  * Change prefix for namespace fixture
* Mon Jul 20 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b2.dev313:
  * Updated from global requirements
  * Add constants for vhost-user vif
* Sun Jul 19 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b2.dev309:
  * Validate that context exists
  * Python 3: Wrap map() in a list call
  * Make external_gateway_nat_rules easier to understand
  * Add oslo db retry decorator to non-CRUD actions
  * Add another Lieutenant contact for Dragonflow
  * Add sub-project lieutenant for networking-midonet
* Sat Jul 18 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b2.dev297:
  * Python3: Do not compare NoneType and integers
  * Use oslo_log.helpers.log_method_call
  * Devref documentation for client command extension support
  * Remove perform_snat_action indirection
  * Flavor Framework implementation
  * Add breakages in public API of devref
  * Network RBAC DB setup and legacy migration
  * Imported Translations from Transifex
  * OVS-agent: Fix a docstring typo
  * Lower log level for extending network/subnet/port
  * Lower log level of errors caused by user requests to INFO
  * Fix bug that resources in attr_map may point to same object
  * Introduce connection testers module
  * Make Daemon pidfile arg optional
  * Add sanity_check for keepalived ipv6 support
* Fri Jul 17 2015 dmueller@suse.com
- add 0001-Add-z-VM-mechanism-driver-definitions-to-support-IBM.patch
* Fri Jul 17 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b2.dev271:
  * Python 3: do not use types.ClassType
  * Create dvr base class and stop passing around snat_ports
  * Correct two spelling mistakes in Neutron devrefs
  * Improve check_migration command error message
  * Avoid using logging in signal handler
  * Galera multi-writers compliant sync_allocations
  * Fix SR-IOV mechanism driver tests directory
  * Switch to the oslo_utils.fileutils
  * Fix a regression in a recent IPAM change
  * Fix update_port_postcommit and port not found with DVR
  * Tighten exception handler for import_object
  * Updated from global requirements
  * bugs: Update info about current bug czar
  * [neutron-db-manage] support separate migration branches
  * Fix typo of 'receive' in test_dhcp_ipv6.py
  * Cleanup unused method get_plugin_version
  * Remove db-access semaphore in ML2
  * Move pylint dep from tox.ini to test-requirements
  * Register extraroute extension
  * populate port security default into network
  * Abstract sync_allocations
  * Different approach to indicate failure on SystemExit
* Wed Jul 15 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b2.dev227:
  * Disable python3 tests failing due to Routes < 2.0
  * Fix typo 'adress'
  * Include comment in DHCP ip6tables rules
  * Add Pluggable IPAM Backend Part 1
* Tue Jul 14 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b2.dev219:
  * Remove self.snat_ports, a dvr thing, from router base class
  * Ensure floating IPs only use IPv4 addresses
  * Reject router-interface-add with a port which doesn't have any addresses
  * Enforce specific order for firewall.(un)filtered_ports and devices
  * Use _is_this_snat_host and remove _get_gw_port_host
  * Move more snat code to dvr class that does snat
  * get_vif_ports: ignore non-Interface ports
  * Add sub-project lieutenant for networking-plumgrid
  * Add extra subnet route to ha router
  * DVR: cleanup stale floating ip namespaces
  * Install more-specific ICMPv6 rule in DVR routers
* Mon Jul 13 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b2.dev197:
  * Fix duplicate entry catch for allowed address pairs
  * Make IPAM more pythonic
* Sun Jul 12 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b2.dev193:
  * Imported Translations from Transifex
* Sat Jul 11 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b2.dev192:
  * Fix failures introduced by the new version of mock
  * Arista ML2 driver should ignore non-vlan networks
  * Move DVR related method to proper class
  * Allow IPAM backend switch
  * Python 3: Fix a TypeError in policy.py
* Fri Jul 10 2015 rsblendido@suse.com
- Update Linuxbridge and OVS config file path
- Include ipset cleanup tool
* Fri Jul 10 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0b2.dev183:
  * Move update_security_group_on_port to SecurityGroupDbMixin
  * In Arista ML2 driver Reconfigure VLAN on VM migration
  * Fix issues with allocation pool generation for ::/64 cidr
  * Remove lingering traces of q_
  * Make sure path_prefix is set during unit tests
  * Add IP_ANY dict to ease choosing between IPv4 and IPv6 "any" address
  * Python3: cast the result of zip() to list
  * Track allocation_pools in SubnetRequest
  * Add ARP spoofing protection for LinuxBridge agent
  * COMMON_PREFIXES cleanup - patch 5/5
  * Refactor init_l3 to separate router port use case
  * Devref for out-of-tree plugin/driver contribution
  * Python3: do not add dict_values objects
  * portsecurity_db_common: Access db columns in a consistent way
  * Python 3: do not index dict_keys objects
  * Update DVR agent to use get_vifs_by_id
  * COMMON_PREFIXES cleanup - patch 1/5
  * Fall back on empty path if prefix is missing
  * Refactor IpRuleCommand to take more arguments
  * Start documenting potential API breakages in devref:neutron_api
  * devref: document API status for neutron.openstack.common.*
  * Python3: do not use urllib.urlencode
  * DVR: remove unused method
  * OVS native DBListcommand if_exists support
  * Collapse create_subnet into single method
  * Downgrade log level for gone port on status update
  * Support Basic Address Scope CRUD as extensions
  * Use EXT_TO_SERVICE_MAPPING instead of ALLOWED_SERVICES
  * Change the half of the bridge name used for ports
  * Fix log traces induced by retry decorator
* Wed Jun 24 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0a1.dev66:
  * Python3: do not set Request.body to a text string
  * Fix subnet creation failure on IPv6 valid gateway
  * Decompose _create_subnet_from_pool
  * Move _delete_port
  * Decompose create_port and save_subnet
  * Fix l3 agent to not create already deleted router
  * VMWare NSXv: Add distributed URL locking to ini
* Tue Jun 23 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0a1.dev53:
  * Prepare for full stack CI job
  * Disable keepalived process in keepalived func test
  * NSX QoS ext: RXTX factor can be decimal
  * read_hosts_file_leases shouldn't parse stateless IPv6
  * fix rootwrap debug filter for ping all
  * Fixes bulk insertion of data to ml2_port_binding
* Mon Jun 22 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0a1.dev43:
  * Allow setting Agents description to None
  * Fix RPC version to be a string
  * Decompose DVR CSNAT L3 Agent from Compute Node L3 Agent
  * cleanup openstack-common.conf and sync updated files
* Sat Jun 20 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0a1.dev35:
  * Python3: do not use '+' on dict_items objects
  * Python3: do not use im_self/im_func/func_closure
  * Add request factory for pluggable IPAM
  * Python3: use dict.keys() instead of dict.iterkeys()
  * Move _add_auto_addrs_on_network_ports
  * DHCP agent: Set an "ipxe" tag to work with Ironic
  * Remove _check_ip_in_allocation_pool
  * Updated from global requirements
  * Fix 'router_gateway' port status can't be updated
  * Fix cisco_csr_identifier_map.ipsec_site_conn_id
  * Change ensure_dir to not check directory exists first
  * fix DHCP port changed when dhcp-agent restart
  * Ensure tests run under python2.7
* Fri Jun 19 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0a1.dev14:
  * Fixed the only sphinx warning in docs
  * Move get_inteface_by_ip from LinuxBridge class to ip_lib
  * Refactor rpc_loop() in ovs neutron agent
  * Remove duplicated debug logging around locking
  * API Extensions: inherit from the ExtensionDescriptor
  * Put output of docs job into doc/build/html
  * Ensure no "db" related functional/fullstack tests are skipped in the gate
  * Use PyMySQL in MySQL related functional/fullstack tests
  * Decompose db_base_plugin_v2.py with changes
  * Remove from BridgeDevice homemade execute in namespace
  * Add devices to update in RPC call security_groups_provider_updated
* Thu Jun 18 2015 cloud-devel@suse.de
- Update to version neutron-7.0.0.0a1.dev2:
  * Update version for Liberty
  7.0.0a0
  * Add networking-sfc to the list of affiliated Neutron projects
  * Minor improvements to sub_projects document
  * Python 3: do not use cmp(), nor sorted(..., cmp=...)
  * ovsdb: session.rpc never initialized
  * Refactor scan_ports() and update_ancillary_ports() in OVS Neutron Agent
  * Refactor _update_subnet_allocation_pools
  * Ensure netfilter is enabled for bridges
* Wed Jun 17 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev522:
  * Python3: do not change the size of a dict while iterating over it
  * Refactor TestRpcWorker and TestWorkerService
  * Juno_initial migration
  * docs: added job to well known tox envlist
  * Revert "Revert "Set default of api_workers to number of CPUs""
* Tue Jun 16 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev512:
  * Python 3: use dict.values instead of dict.itervalues
  * Add get_events to OVSDB monitor
* Tue Jun 16 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev508:
  * Remove fossilized remains
  * Refactor update_port in db_base_plugin_v2
  * Refactor _update_ips_for_port
  * Skip rescheduling networks if no DHCP agents available
  * Reflect project moves from stackforge to openstack
  * Remove meaningless no_delete from L3 test
  * OVSNeutronAgent pass the config as parameter
  * Stop sending gratuitous arp when ip version is 6
  * Fix Enum usage in 589f9237ca0e_cisco_n1kv_ml2_driver_tables
  * Imported Translations from Transifex
  * power grab
  * Document existence of br-tun and br-int in the OVS agent
  * Correct indentation in neutron.api.v2.attributes
  * Python3: replace 'unicode' with 'six.text_type'
  * Moving out the cisco n1kv section to stackforge
  * Ensure no "agent" functional tests are skipped in the gate
  * Remove useless pass from methods in type_tunnel.py
  * Make Vlantransparent extension inherit from ExtensionDescriptor
  * Actually allow to pass TRACE_FAILONLY to ostestr
  * Switch to os-testr to control testr
  * Introduce functions using arping executable
  * Revert "Defer segment lookup in NetworkContext object"
  * Added networking-plumgrid in plugin requirements
  * Switch from MySQL-python to PyMySQL
  * Context: Remove logic for read_deleted and deprecate it
  * Python 3: use next() instead of iterator.next()
  * Consume oslo.policy
  * policy: cleanup deprecation code to handle old extension:xxx rules
  * Fix a regression in "Separate ovs-ofctl using code as a driver" change
  * Break Pinger class to functions
* Mon Jun  8 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev624:
  * ML2: Remove TYPE_MULTI_SEGMENT
  * Add a "light" base test class for DB tests
  * Make _val_to_py and _py_to_val not private
  * Decompose db_base_plugin_v2.py part 2
  * Start linuxbridge neutron agent using a launcher
  * Handle SIGHUP in ovs neutron agent
  * test_ovs_neutron_agent: Remove useless ofport=10 arguments
  * test_l3: Don't assume the order of subnets
  * versionutils: switch from incubator version to oslo.log
  * Run RootHelperProcess always as root
  * Changes in rally-jobs/README.rst
  * Add more API tests for port-security extension:
  * Decompose the NCS ML2 Mechanism Driver
  * Remove reference to non-existent fullstack fixture
  * Decompose db_base_plugin_v2.py
  * Add a non-mixin function for model queries
  * Refactor mlnx mechanism driver to support infiniband only
* Fri Jun  5 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev590:
  * test_db_base_plugin_v2: Don't assume the order of fixed_ips
  * pylint: enable `duplicate-key` check
  * Enhance utils.ensure_dir to be resilient to concurrent workers
  * Use a single method to remove an address with its conntrack state
  * Remove hack for sending gratuitous arp from fip ns
  * When disabling dhcp, delete fixed ip properly
* Thu Jun  4 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev578:
  * Add sub-project lieutenants
  * Fix confusing parameters names
  * Extra indent in test_ovs_neutron_agent
  * Make MockFixedIntervalLoopingCall class as a helper class
  * Revert "Add VIF_DELETED notification event to Nova"
  * Wrap ML2 delete_port with db retry decorator
  * Remove extra indent in testcases
  * Check for 'removed' in port_info before reference
  * Catch broad exception in methods used in FixedIntervalLoopingCall
  * Refactor type_tunnel/gre/vxlan to reduce duplicate code
  * Python3: use six.iteritems() instead of dict.iteritems()
  * Move full-stack logs post-tests
* Wed Jun  3 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev555:
  * Add devref that explains fullstack testing and its direction
  * Remove get_dhcp_port RPC method
  * Imported Translations from Transifex
  * Update rootwrap.conf to add /usr/local/bin
  * Add route to metadata IP by default
  * Modify ipset functional tests to pass on older machines
  * Remove unused _uuid function alias from test_iptables.py
  * Don't update floating IP status if no change
  * Don't delete port from bridge on delete_port event
  * Move pool dispose() before os.fork
  * Add VIF_DELETED notification event to Nova
* Tue Jun  2 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev533:
  * Implement IPAM Driver loader
  * Remove comment about hash seed in tox.ini
  * test_ovs_neutron_agent: Remove unnecessary mocking
  * Refactor type_gre.vxlan tests to reduce duplicate code
  * OVS-agent: Remove optional flags from br_tun.deferred() method
  * Create bridges in ovsdb monitor functional tests
  * Add use_slave DB api support
  * Use accessors instead of private attributes for Ml2 plugin
* Mon Jun  1 2015 aspiers@suse.com
- Change neutron-ha-tool to read password from
  /etc/neutron/os_password (bsc#922751)
* Mon Jun  1 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev519:
  * Removed duplicate keys in dicts in test
  * Enable random hash seeds
* Sun May 31 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev515:
  * Fix formatting of core-reviewers doc
  * Get completely rid of contextlib.nested
  * Fix indentation errors in tests
  * Improve test_set_members_deleting_less_than_5
  * Addressing follow up comments for OVS_LIB fail_mode setting API
* Sat May 30 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev505:
  * Rename test_periodoc_resync_helper to test_periodic_resync_helper
  * Sort _get_new/deleted_set_ips responses in unittests
  * Cleanup stale metadata processes on l3 agent sync
  * Imported Translations from Transifex
  * Fix ovs agent restore local_vlan_map failed
  * Use correct time delta function
  * py34: don't run any tests except unit tests
  * Switch to dictionary for iptables find
  * Persist DHCP leases to a local database
  * Remove use of contextlib.nested (api-tests)
  * Use os._exit after forking
  * test_fork_error: Fix incorrect test mock
  * Fix dhcp _test_sync_state_helper asserting calls wrong
  * Fix port creation verification of the port-security extension
* Fri May 29 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev477:
  * Do not assume order of security group rules
  * ML2: Incorrect commented cisco mechanism driver name
  * Fix PYTHONHASHSEED bugs in test_security_groups_rpc
  * Add RFE submission guidelines
  * Process port IP requests before subnet requests
  * Remove time formatting in agent clock error
  * Flesh out the new RFE process and set deadlines for it's use
  * Introduce the Lieutenant system into Neutron
  * Isolate use of fixed_ips[0] to avoid confusion
  * Use the correct name for the "Repository Creator's Guide"
  * OVS_LIB support API for setting fail mode 'standalone'
  * Fix a typo in _schedule_network method
* Thu May 28 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev453:
  * Do not assume order of dictionary elements in init_l3
  * Do not assume order of convert_kvp_list_to_dict method responses
  * Do not assume order of iptables_firewall method responses
  * Do not assume order of get_sync_data_metering response elements
  * Skip external tables for neutron-db-manage --autogenerate
  * Add port-security extension API test cases
* Wed May 27 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev443:
  * Force order of dhcp.needs_resync_reasons dictionary elements
  * Add callback prior to deleting a subnet
  * OVS-agent: Separate ovs-ofctl using code as a driver
  * Remove unnecessary brackets
  * Ensure mac address added to iptables is always in unix format
  * OVS-DVR: Suppress a confusing error log about csnat port
  * VMware: update supported plugins
  * Reduce prefix and suffix length in ipsets
  * Register ibm-db-alembic import for DB2 migrations
* Tue May 26 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev425:
  * Imported Translations from Transifex
  * Support for concurrent full-stack tests
* Sun May 24 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev422:
  * Remove use of contextlib.nested
  * IPAM reference driver
  * ovs-agent: prevent ARP requests with faked IP addresses
  * Use namespace names in NetcatTester
* Sat May 23 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev414:
  * OVS-DVR: Improve an error log about csnat port
* Fri May 22 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev412:
  * Adding loadbalanacerv2 device owner constant to neutron constants
  * Python 3: use six.string_types instead of basestring
  * Fix minor errors in the Vyatta L3 Plugin:
  * Remove middleware oslo-incubator module
  * Match order of iptables arguments to iptables-save
  * VMware NSXV: update configuration file
  * Python 3: Use six.moves.range
  * Refactor initialize() of sriov mech driver
  * Centralized register_OVS_agent in tests
  * Block subnet create when a network hosts subnets allocated from different pools
  * Catch ObjectDeletedError and skip port or subnet removal
  * Reuse caller's session in ML2 DB methods
  * Non-json body on POST 500's
* Thu May 21 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev386:
  * Use convenience method from db api to create nested transaction
* Wed May 20 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev384:
  * Remove a unused Context class
  * Optimize IptablesManager._find_last_entry
  * Take Daemon stdin/stdout/stderr args as file objects
  * Add unit tests for ML2 DVR port binding and fix PortContext inconsistencies
* Mon May 18 2015 dmueller@suse.com
- Use correct lock_path section
* Mon May 18 2015 dmueller@suse.com
- add conntrack-tools dependency for l3 agent
* Sun May 17 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev377:
  * ml2: remove stale _filter_nets_l3 in get_networks
* Fri May 15 2015 dmueller@suse.com
- Update to version neutron-2015.2.0.dev376:
  * Replace ci.o.o links with docs.o.o/infra
  * Don't pass namespace name in disable_isolated_metadata_proxy
  * Add client id option support to dhcp agent
  * Remove use of contextlib.nested
  * Allow updating port 'binding:host_id' be None
  * Fix neutron tests
  * Allow unit tests to be run independently
  * SystemExit is ok for child processes
  * Update build hooks
  * Append @randtoken to L3 agent namespaces in full stack tests
  * setup port filters when sg rules change
  * mlnx MD: mlnx_direct removal
  * Deprecate quota_items, register resources upon REST initialization
  * Randomize tunnel id query to avoid contention
  * Remove skip of service-type management API test
  * Add capability to wait for IPv6 address in ip_lib
  * Extenuate register_dhcp_agent code duplication in tests
  * Refactor checks for device existence
  * ARP spoofing patch: Data structures for rules
  * Fix routerid constraint migration
  * Consider all address scopes in init_l3
* Wed May 13 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev336:
  * tests: don't allow oslo.config to autodiscover config files
  * l2pop UT: Reduce code duplication in migration tests
  * Make it clear the rfe tag is lower-case
  * Remove H305 from tox.ini pep8 ignore list
  * Allow users to run 'tox -epy34'
  * Support BP:ipv6-router in Neutron HA Router
  * Move test_get_user_allocation*returns_none test to a proper class
  * Two api tests for 'firewall insertion mode' feature
* Mon May 11 2015 dmueller@suse.com
- Update to version neutron-2015.2.0.dev320:
  * Imported Translations from Transifex
  * remove router interface on Arista L3 plugin fails
  * Fix typos related to IPv6 use-cases
  * Updated from global requirements
  * Check for missing network in _bind_devices
  * Limit router gw ports' stateful fixed IPs to one per address family
  * VMWare NSXv: Metadata for distributed router
  * Update the specs process for Liberty
  * Remove use of contextlib.nested
  * Fix fetching prevent_arp_spoofing from cfg in neutron-sanity-check
  * lb-agent: ensure tap mtu is the same as physical device
  * Kill hostname validation for subnet:dns_nameservers
- remove neutron-ha-tool_python26-ordereddict.patch: We're requiring 2.7
* Fri May  8 2015 dmueller@suse.com
- remove commented out lbaas-agent parts
- remove commented out vpn-agent parts
- reenable support for FWaaS
* Fri May  8 2015 dmueller@suse.com
- add 0001-L3-agent-migration-should-only-choose-enabled-agent.patch
* Fri May  8 2015 dmueller@suse.com
- fix upstream link of neutron-ha-tool.py
* Fri May  8 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev298:
  * Add missed actions into policy.json
  * Allow to define enable_snat default value
  * changes log level to debug for help calls
  * VMware: add in router types for NSXv
  * Use iptables zone to separate different ip_conntrack
  * Refactoring to adhere to coding convention
* Wed May  6 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev286:
  * Add test for security groups
  * Deprecate config-based Quota Driver
* Wed May  6 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev282:
  * Updated from global requirements
  * OVS-agent: Ignore IPv6 addresses for ARP spoofing prevention
  * Fix mock return settings in test_full_uuids_skip_port_id_lookup
  * Router test enhancements
* Tue May  5 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev276:
  * Enhance configure_for_func_testing.sh for *aaS use
* Mon May  4 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.0.dev274:
  * Add IP version support to all ip_lib code
  * Imported Translations from Transifex
  * remove metadata_proxy_local filters for rootwrap
* Mon May  4 2015 vuntz@suse.com
- Move neutron-cisco-apic-host-agent and
  neutron-cisco-apic-service-agent to plugin-cisco subpackage, as
  they are cisco-specific.
* Mon May  4 2015 dmueller@suse.com
- Update to version neutron-2015.2.0.dev268:
  * Get all interfaces for get_snat_sync_interfaces
  * Remove un-used keys in keepalived tests
  * Clarify stackforge/vmware-nsx is for VMware NSX suite
  * Updated from global requirements
  * l3 agent: fix grammar in router info not found warning
  * Finally let L3 and DHCP agents cleanup namespaces by default
  * Context: is_admin==True implies is_advsvc=True
  * Add some tests for floating ips
  * Add notes about official sub-projects
  * Updated ovsvapp_agent.ini in neutron
  * Don't use iterator in search for tunnel type
  * Remove is_active property from SimpleInterfaceMonitor
  * Updated from global requirements
  * Disembowel register_l3_agent code duplication in tests
  * Ensure mocks for lla allocator _write in test_agent
  * Fix _device_to_port_id for non-tap devices
  * Imported Translations from Transifex
  * Rename delete_gateway method name
  * Drop use of 'oslo' namespace package
  * Remove 'IP' from device exception message
  * Add icmpv6 to sg_supported_protocols
  * Suppress exception when trying to remove non existing device in SNAT redirect
  * Run radvd as root
  * Support multiple IPv6 prefixes on internal router ports for an HA Router
  * Not creating HA router when not enough l3 agents
  * Eliminate extra queries used to retrieve gw_ports
  * Don't update port with host id of None
  * fix l3-agent restart with last runtime fip for dvr
  * Replace unnecessary call to get_sync_routers
  * Replace BaseLinuxTestCase by BaseSudoTestCase
* Sun Apr 12 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.dev18:
  * Handle non-index lookups in native OVSDB backend
* Fri Apr 10 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.dev16:
  * Add logging to dangling port to ml2 delete_subnet
  * Update L3 Agent Scheduler API tests
  * Improves the description string for the config parameter metadata_workers
* Thu Apr  9 2015 cloud-devel@suse.de
- Update to version neutron-2015.2.dev10:
  * Remove L3 report_state logging
  * Double functional testing timeout to 180s
  * OVSDB python binding should use row.delete() to remove rows
  * Imported Translations from Transifex
  2015.1.0rc1
  * Open Liberty development
  * Add simple ARP spoofing protection
* Wed Apr  8 2015 cloud-devel@suse.de
- Update to version neutron-2015.1.dev294:
  * Revert "IPv6 SLAAC subnet create should update ports on net"
  * Add missing config parameters in neutron.conf
  * Moving VLAN Transparency support from core to extension
  * Re-use context session in ML2 DB get_port_binding_host
  * Fix intermittent UT failures in test_utils
  * Return from check_ports_exist_on_l3agent if no subnet found
  * Remove tests from HA routers test framework
  * linuxbridge UT: Fix a regression of the recent ip_lib change
  * Add ipset element and hashsize tunables
* Tue Apr  7 2015 cloud-devel@suse.de
- Update to version neutron-2015.1.dev276:
  * Enhance TESTING.rst
  * Remove check for bash usage
  * Fix dynamic arp populate error for dvr routers
  * Reorganize plugin test modules
  * Reorganize unit test tree
  * Stop using deprecated DEFAULT group for lock_path
* Mon Apr  6 2015 cloud-devel@suse.de
- Update to version neutron-2015.1.dev265:
  * Allow metadata proxy running with nobody user/group
  * Skip example retargetable functional test
  * Prepare for unit test reorg
  * Fix docstring for l3_dvr_db.dvr_vmarp_table_update
* Sun Apr  5 2015 cloud-devel@suse.de
- Update to version neutron-2015.1.dev258:
  * Always run dnsmasq as root
  * Store and log correct exception info
* Sat Apr  4 2015 cloud-devel@suse.de
- Update to version neutron-2015.1.dev254:
  * Refactoring cleanup for L3 agent callbacks
  * Move network MTU from core REST API to extension API
* Fri Apr  3 2015 cloud-devel@suse.de
- Update to version neutron-2015.1.dev250:
  * Remove orphaned nuage unit test module
  * Add API tests for subnet-create with subnetpool
  * Imported Translations from Transifex
  * Support multiple IPv6 prefixes on internal router ports
  * Fix functional test using local timeout value
  * Add index for port
  * IPv6 SLAAC subnet create should update ports on net
  * Add API tests for Neutron DVR extension
  * Make L3 agent honor periodic_interval setting
* Thu Apr  2 2015 cloud-devel@suse.de
- Update to version neutron-2015.1.dev234:
  * Refactoring of L3 agent notifications for router
  * Treat all negative quota values as -1
  * Move orphaned api test - deux
  * Remove auto deletion of routers in unit tests
  * No IPv6 SLAAC addrs for create router intf without fixed_ips
* Thu Apr  2 2015 bwiedemann@suse.com
- big overhaul: added ovsvapp, dropped lbaas, fwaas, vpnaas
- Update to version neutron-2015.1.dev224:
  * Add missing neutron/tests/unit/agent/common/__init__.py
  * Allow metadata proxy to log with nobody user/group
  * Move orphaned api test
  * Implement default subnet pool configuration settings
  * Define bridge/port fixtures for OVS/LinuxBridge/Veth backends
  * Update core reviewer responsibilities
  * Remove "Arguments dropped when creating context" logging
  * Fix reference to non-existent setup_dvr_flows_on_integ_tun_br
  * Modify a different agent in test_update_agent_description
  * Move API tests to neutron.test.api
  * Simple subnetpool allocation quotas
  * Subnet allocation from a subnet pool
  * Simplify retargetable test framework
  * Add API tests for subnetpool allocation
  * Update .coveragerc after the removal of Cisco Nexus monolithic plugin
  * Make floatingip reachable from the same network
  * Fix functional configure script
  * Support IPv6 Router
  * Move final remnants of router processing to router classes
  * tests: don't rely on configuration files outside tests directory
  * Set floating IP port status to "N/A"
  * Imported Translations from Transifex
  * Add tests for the l3 agent namespaces manager
  * Fix error raising in security groups method
  * Update NEC plugin decomposition status
  * Auto-update gateway port after subnet-create
  * Allow update of ext gateway IP's w/out port delete
  * Support Dual-Stack Gateway Ports on Neutron Routers
  * No allocation needed for specific IPv6 SLAAC addr assignment
  * Remove neutron.tests.sub_base
* Fri Feb 13 2015 dmueller@suse.com
- update logrotate.conf
* Thu Jan 22 2015 rhafer@suse.com
- Don't source /etc/sysconfig/neutron in the plugin/agent init
  scripts. The agents don't need the plugin configuration.
* Thu Jan 22 2015 rhafer@suse.com
- Don't generate and package hyperv agent init script, it's not
  needed on linux
* Fri Jan  9 2015 dmueller@suse.com
- fix requires
* Wed Jan  7 2015 cloud-devel@suse.de
- Update to version neutron-2015.1.dev135:
  * Revert "Revert "Add metadata proxy L3 agent driver""
  * moving vxlan module check to sanity checks and making practical
  * Drop functional/contrib directory
  * refactor l3-agent to include dvr.py
  * VMWare-NSXv: VMWare NSXv database models
  * print error when no match mapping found in check_segment_for_agent
  * Tweak gate hooks scripts to handle both functional and api jobs
  * Add help text for 'host' parameter in neutron.conf file
  * Removed spurious check for ip version
  * Enable the "not-callable" pylint check
  * Stale VXLAN & GRE tunnel endpoint deletion from DB
  * Fix neutron hang for IPv6 allocation pool update
  * Check metadata iptables chains during functional test
* Tue Jan  6 2015 cloud-devel@suse.de
- Update to version neutron-2015.1.dev110:
  * Ensure test_metaplugin handles random hashseeds
  * Do not run neutron-ns-metadata-proxy as root on L3 agent
* Mon Jan  5 2015 cloud-devel@suse.de
- Update to version neutron-2015.1.dev107:
  * Ignore non-existent ports during OVS intf list
* Thu Jan  1 2015 cloud-devel@suse.de
- Update to version neutron-2015.1.dev106:
  * ovs_dvr: Use lazy logging interpolation
  * Add a constant for router interface device owners
  * Do not count dvr agents while creating HA ports
  * csr1kv_hd_driver: Improve exception handling
  * Cisco: logging incorrectly called with (fmt, arg) tuple
* Wed Dec 31 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev96:
  * Add support for flat networks in SRIOV Mechanism Driver
  * Retry on unassigned ofport instead of treating it as a failure
  * Eventlet green threads not released back to pool
  * Set type=internal as part of port creation
  * Option for root_helper when checking namespace
* Tue Dec 30 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev86:
  * VMware: fix security group check on port create
  * Allow to specify IP address of floating ip
  * brocade: Use lazy logging interpolation
  * linuxbridge: Use lazy logging interpolation
  * Allow setting a tenant router's external IP
* Mon Dec 29 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev76:
  * Don't unnecessarily loop through all ports/interfaces
  * Correct invalid indentation in is_dvr_serviced
  * Enable pylint checks for "anomalous" string escapes
  * Tighten dnsmasq version regex
  * Remove unnecessary regex grouping
  * embrane: Use lazy logging interpolation
  * bigswitch: Use lazy logging interpolation
* Mon Dec 29 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev62:
  * Combine author_tag and log_translation_hint regexes
  * Use lazy logging interpolation
* Fri Dec 26 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev58:
  * Remove useless parameter from l3_dvr_db.py
* Thu Dec 25 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev56:
  * Clean-up sanity checks done via shell scripts
  * Add validation for the dvr router l3agent binding
* Wed Dec 24 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev52:
  * Fixes spelling error
  * get_binary_name should returns strings without spaces
  * validate L3 HA min/max _l3_agents_per_router
  * ML2 UT: Fix incorrect mock return value
  * ml2: remove superfluous %%s in LOG.debug() format
  * Prevent symlinks to be added to the tree
* Tue Dec 23 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev40:
  * ipv6: set OtherConfig flag for DHCPv6 stateless subnets
  * PLUMgrid plugin: Fix for delete subnet with admin context
  * Fix typo'd format parameter in midonet_lib.py
  * Update L3 agent drivers singletons to look at new agent
* Mon Dec 22 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev3:
  * Minor lbaasv2 things from the feature branch, needed in neutron
* Sun Dec 21 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev30:
  * Copy the contrib directory instead of moving it
  * Revert "Add metadata proxy L3 agent driver"
  * Scope dhcp rpc api using a messaging namespace
  * Remove NSX 'service' plugin
  * Imported Translations from Transifex
  * Move DB TestModelsMigrations from unit to functional
  * tests: drop unit tests that only check default configuration values
  * Add metadata proxy L3 agent driver
  * Move contrib directory to base test directory
  * IpsetManager refactoring
* Sat Dec 20 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev12:
  * Update heal_script for alembic 0.7.1
  * Avoid unnecessary explicit str() conversion around exceptions
  * Fix AttributeError during startup of ovs agent in DVR mode
* Fri Dec 19 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev6:
  * Backward compatibility for advanced services
  2015.1.0b1
  * Updated from global requirements
  * Add OVS status and fix OVS crash
  * Cleanup req_format in test_api_v2_resource
  * Imported Translations from Transifex
  * Cisco: unsupported format character in log format
  * Advanced services support in neutron-db-manage
  * Remove locking from network and subnet delete op
  * Removed unused iso8601 dependency
  * Improve performance of get_active_networks_info
  * openvswitch/ofagent: Remove OVS.enable_tunneling option
  * L3 Agent restructure - observer hierarchy
  * Simplify L3 HA unit test structure
* Thu Dec 18 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev739:
  * Correct arguments to logging function
* Wed Dec 17 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev737.ge7ac942:
  * Add functional test for l3-agent metadata proxy
  * Remove mlnx plugin
  * Set timeout for functional job
  * Enable test_migration
  * tests: initialize admin context after super().setUp call
  * Fixed test test_update_port_security_off_address_pairs
  * Replace non-ovs_lib calls of run_vsctl with libary functions
  * ofa_test_base: Fix NoSuchOptError in UT
  * Update rpc_api docs with example version update
* Tue Dec 16 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev719.gfffc6e4:
  * Imported Translations from Transifex
  * Don't restore stopped mock that is initialized in setUp()
  * Migrate to oslo.context
  * Have L3 agent catch the correct exception
  * Remove broad exception catch from periodic_sync_routers_task
  * Switch to using subunit-trace from tempest-lib
  * Auto allocate gateway_ip even for SLAAC subnets
  * Strip square brackets from IPv6 addresses
  * run_tests.sh OS X script fixes
* Mon Dec 15 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev701.g817956e:
  * Remove unused dependencies
  * Mock up time.sleep to avoid unnecessary wait in test_ovs_tunnel
  * Enforce log hints
* Sun Dec 14 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev695.ge6f7ed5:
  * Generate testr_results.html for neutron functional job
  * Separate wait_until to standalone function
  * Imported Translations from Transifex
  * Not nova but neutron
  * Fix race condition in ProcessMonitor
  * Refactor process_router method in L3 agent
  * Fix IPv6 RA security group rule for DVR
  * Reduce code duplication in test_linux_dhcp
  * radvd: pass -m syslog to avoid thread lock for radvd 2.0+
    to avoid L3 agent denial of service (bnc#913369, CVE-2014-8153)
* Sat Dec 13 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev677.g8a8eb21:
  * Catch duplicate errors scheduling SNAT service
  * Fix for KeyError: 'gw_port_host' on l3_agent
* Fri Dec 12 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev673.g3ead85a:
  * Updated from global requirements
  * Move classes out of l3_agent.py
  * Disallow log hints in LOG.debug
* Thu Dec 11 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev668.g764619d:
  * Prettify tox output for functional tests
  * Services split, pass 2
  * Imported Translations from Transifex
  * Add lbaasv2 extension to Neutron for REST refactor
  * Use comments rather than no-op string statements
  * Refactor test_migration
* Wed Dec 10 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev657.ge55e715:
  * Remove TODO for H404
  * Updated from global requirements
  * Split services code out of Neutron, pass 1
  * Move set_override('root_helper', ...) to base functional class
* Tue Dec  9 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev650.g8844759:
  * Print version info at start
  * Enforce log hints in ofagent and oneconvergence
  * Make sudo check in ip_lib.IpNetnsCommand.execute optional
* Mon Dec  8 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev644.gfcb4e82:
  * Imported Translations from Transifex
  * Update i18n translation for IBM plugin log msg's
* Sat Dec  6 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev641.gccdff95:
  * Update i18n translation for NEC plugin log msg's
  * return the dict of port when no sec-group involved
  * Imported Translations from Transifex
  * Workflow documentation is now in infra-manual
  * tox.ini: Prevent casual addition of bash dependency
  * Updated from global requirements
  * Cleanup recent generalization in post mortem debugger
  * Get rid of py26 references: OrderedDict, httplib, xml testing
  * Fix program name in --version output
  * Enforce log hints in neutron.plugins.plumgrid
  * Updated the README.rst
  * pretty_tox.sh: Portablity improvement
* Fri Dec  5 2014 rhafer@suse.com
- Include ml2 config in neutron-ovs-cleanup (remaining bit for
  bnc#902452)
* Fri Dec  5 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev618.gda7bc35:
  * Remove RpcCallback class
  * Convert several uses of RpcCallback
  * Fix up an old RpcProxy assumption
  * Remove RpcProxy class
  * Imported Translations from Transifex
  * Fix enable_metadata_network flag
  * Enforce log hints in opencontrail
  * Update i18n translation for Metaplugin plugin
  * Update i18n translation for Brocade plugin log msg's
  * Update i18n translation for Nuage plugin
  * Update i18n translation for Embrane plugin
  * Remove ovs-vsctl call from OVSInterfaceDriver
  * Alter execute_alembic_command() to not assume all commands
  * Fix hostname validation for nameservers
* Thu Dec  4 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev590.geffa36e:
  * Update i18n translation for Midonet plugin
  * Enforce log hints in neutron.plugins.sriovnicagent
  * Enforce log hints in neutron.plugins.hyperv
  * Imported Translations from Transifex
  * Drop RpcProxy usage from DhcpAgentNotifyAPI
  * test_dhcp_agent: Fix no-op tests
  * BSN: Add network to ext_gw_info sent to backend
  * Adds macvtap support
* Wed Dec  3 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev574.gbf0612d:
  * Fix base test class for functional api testing
  * Use oslo function for parsing bool from env var
  * Don't block on rpc calls in unit tests
  * Update i18n translation for BigSwitch plugin log msg's
  * iptables_manager: Fix get_binary_name for eventlet
  * Delete FIP namespace when last VM is deleted
* Wed Dec  3 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev562.gc684711:
  * Imported Translations from Transifex
  * Change description of default security group
* Tue Dec  2 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev559.gab8d675:
  * Drop old code from SecurityGroupAgentRpcApiMixin
  * Drop RpcProxy usage from ml2 AgentNotifierApi
  * Update i18n translation for Mellanox plugin and agent log msg's
  * Drop RpcProxy usage from L3AgentNotifyAPI
  * Update i18n translation for VMware NSX plugin log msg's
  * hacking: Check if correct log markers are used
  * NSX: Fix foreign key constraint delete provider network
  * Stop exception log in Big Switch unit tests
* Mon Dec  1 2014 dmueller@suse.com
- Update to version neutron-2015.1.dev543.g4bdee18:
  * Removed python2.6 rootwrap filters
  * Imported Translations from Transifex
  * MeteringPluginRpc: Fix crash in periodic_task
  * Enable undefined-loop-variable pylint check
  * Remove unused variables from get_devices_details_list
  * Fix incorrect exception order in _execute_request
  * Migrate to oslo.i18n
  * Migrate to oslo.middleware
  * Remove unused xml constants
  * Drop RpcProxy usage from MeteringAgentNotifyAPI
  * Drop RpcProxy usage from l2population code
  * Drop RpcProxy usage from cisco apic ml2 plugin
  * Drop RpcProxy usage from oneconvergence plugin
  * Synced processutils and periodic_task modules
  * Migrate to oslo.utils
  * Fix floating-ips in error state in dvr mode
  * Reject trailing whitespaces in IP address
  * Imported Translations from Transifex
  * CSCO:Tenants not to access unshared n/w profiles
  * Drop sudo requirement from a unit test
  * Remove Python 2.6 classifier
  * Update i18n translation for Cisco plugins and cfg agent log msg's
  * Remove ryu plugin
  * Imported Translations from Transifex
  * Drop RpcProxy usage from nec plugin
  * Drop RpcProxy usage from mlnx plugin
  * Drop RpcProxy usage from ibm plugin
  * Drop RpcProxy usage from hyperv plugin
  * Drop RpcProxy usage from cisco.l3
  * Drop RpcProxy usage from cisco.cfg_agent
* Mon Dec  1 2014 dmueller@suse.com
- fix requires
* Fri Nov 28 2014 rhafer@suse.com
- openstack-neutron-plugin.init: add missing NEUTRON_SYSCONFIG
* Fri Nov 21 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev400.g1004c7f:
  * Updated from global requirements
  * Check for default sec-group made case insensitive
  * Update i18n translation for neutron.server/scheduler log msg's
  * Update i18n translation for neutron.notifiers log msg's
  * Update i18n translation for neutron.common/debug log msg's
  * Imported Translations from Transifex
  * Drop RpcProxy usage from FWaaS code
  * Drop RpcProxy usage from neutron.agent.rpc.PluginApi
  * NSX: Validate gateway device list against DB
  * linuxbridge-agent: make vxlan unicast check more efficent
  * Big Switch: Send notification after port update
  * Ignore top-level hidden dirs/files by default
* Thu Nov 20 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev376.g6065411:
  * Fix a race condition adding a security group rule
  * Fix a copy/pasted test mistake
  * Drop test code copied from nova
  * Drop several uses of RpcCallback
  * Add some basic rpc api docs
  * Drop RpcCallback usage from DhcpRpcCallback
  * Drop RpcProxy usage from PluginReportStateAPI
  * Fix hostname regex pattern (bnc#905104, CVE-2014-7821)
  * Update i18n translation for neutron.api log msg's
  * Catch DBReferenceError exception during binding a router
  * Imported Translations from Transifex
  * ofagent: Remove obsolete bridge_mappings (agent side)
  * Drop RpcProxy usage from MetadataPluginApi
  * Drop usage of RpcProxy from L3PluginApi
  * Use a string multiplier instead of 59 repetitions
  * Convert all incoming protocol numbers to string
  * Updated from global requirements
  * Correct raw table regex in test_security_groups_rpc
  * BSN: Set inconsistency record on delete failure
  * Subnet delete for IPv6 SLAAC should not require prior port disassoc
  * Fix client side versions in dhcp rpc API
  * Drop usage of RpcProxy from DhcpPluginApi
  * Moved out common testcases from test_type_vxlan.py
  * Update i18n translation for neutron.extension log msg's
  * Update i18n translation for neutron.db log msg's
  * Update i18n translation for neutron.cmd log msg's
  * Update i18n translation for neutron.agents log msg's
  * enable F812 check for flake8
  * Decrease policy logging verbosity
  * Cleanup and refactor methods in unit/test_security_groups_rpc
* Sat Nov 15 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev308.g693cd76:
  * enable F811 check for flake8
  * switch to oslo.serialization
  * Updated policy module from oslo-incubator
  * Resolving some spelling mistakes
  * Drop neutron.common.rpc.MessagingTimeout
  * Remove neutron.common.rpc.RemoteError
  * Remove neutron.common.rpc.RPCException
  * Cisco VPNaaS and L3 router plugin integration
* Fri Nov 14 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev293.g2ca0f64:
  * Fix for FIPs duplicated across hosts for DVR
  * Fix missing allowed command in openvswitch xenapi agent
  * fix event_send for re-assign floating ip
  * Update default value for agent_required attribute
* Thu Nov 13 2014 dmueller@suse.com
- openstack-neutron-plugin.init: always include the configured base
  driver for ML2 support
* Thu Nov 13 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev285.g817e543:
  * Purge use of "PRED and A or B" poor-mans-ternary
* Wed Nov 12 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev283.gc9bea66:
  * Remove openvswitch core plugin entry point
  * rootwrap config files reference deleted quantum binaries
  * Enable assignment-from-no-return pylint check
* Tue Nov 11 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev277.g8f09283:
  * Fix L3 HA network creation to allow user to create router
  * SRIOV: Fix Wrong Product ID for Intel NIC example
  * Updated from global requirements
  * Replace "nova" entries in iptables_manager with "neutron"
  * Imported Translations from Transifex
  * Remove duplicate ensure_remove_chain method in iptables_manager
  * Add assertion to test_page_reverse method
  * NEC plugin: Allow to apply Packet filter on OFC router interface
  2014.2
  * Remove two sets that are not referenced
  2014.2.rc2
  * Add Juno release milestone
  * Add database relationship between router and ports
  * Disable PUT for IPv6 subnet attributes
  * Skip IPv6 Tests in the OpenContrail plugin
  * Removed kombu from requirements
  * Updated from global requirements
  * Imported Translations from Transifex
  * Forbid update of HA property of routers
  * Allow reading a tenant router's external IP
  * Raise exception if ipv6 prefix is inappropriate for address mode
  * Retry getting the list of service plugins
  * Add missing methods to NoopFirewallDriver
  * Don't fail when trying to unbind a router
* Mon Nov 10 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev259.gea2cc99:
  * Fix sneaky copypaste typo in ovs agent scheduler test
* Sun Nov  9 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev257.gb61fdf7:
  * Remove single occurrence of lost-exception warning
  * Guard against concurrent port removal in DVR
* Sat Nov  8 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev253.g028f897:
  * Make L2 DVR Agent start successfully without an active neutron server
  * Validate network config (vlan)
  * neutron-db-manage finds automatically config file
* Fri Nov  7 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev247.g7e6f3ef:
  * Allow to add router interface to IPv6 SLAAC network
* Thu Nov  6 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev245.g11473c4:
  * Remove some duplicate unit tests
* Mon Nov  3 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev243.g7ff98a9:
  * Imported Translations from Transifex
  * Use stop() method on MessageHandlingServer
  * Stop ignoring 400 errors returned by ODL
* Sat Nov  1 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev238.gd810707:
  * ML2: fix file permissions
  * Batch ports from security groups RPC handler
  * ML2 Cisco Nexus MD - not overwriting existing config
* Thu Oct 30 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev233.g0fb5b68:
  * Big Switch: Fix SSL version on get_server_cert
* Thu Oct 30 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev231.g1721b31:
  * Neutron metering does not check overlap ip range
* Thu Oct 30 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev229.g1d5f154:
  * Detect if iproute2 support SR-IOV commands
  * Rename constant to a more appropriate name
  * Check for concurrent port binding deletion before binding the port
  * Imported Translations from Transifex
  * Use RPC instead of neutron client in metadata agent
  * Only resync DHCP for a particular network when their is a failure
  * tox.ini: Avoid using bash where unnecessary
  * l2population_rpc: docstring improvements
  * Create DHCP port for IPv6 subnet
* Wed Oct 29 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev211.g6bb791d:
  * Reorder operations in (l3_dvr) update floating ip
  * Add advsvc role to neutron policy file
  * NSX: allow multiple networks with same vlan on different phy_net
  * Fix 'Length too long' error in neutron-dsvm-functional tests
  * Remove XML support
  * enable F402 check for flake8
  * Hyper-V: Remove useless use of "else" clause on for loop
  * Enable no-name-in-module pylint check
  * Ensure test_agent_manager handles random hashseeds
* Tue Oct 28 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev194.ge7c2e61:
  * Adds an option to enable broadcast replies to Dnsmasq
  * _update_router_db: don't hold open transactions
* Mon Oct 27 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev190.g8cd633a:
  * Imported Translations from Transifex
  * Remove use_namespaces from RouterInfo Property
  * Updated from global requirements
  * enable E713 in pep8 tests
  * Big Switch: Switch to TLSv1 in server manager
  * Imported Translations from Transifex
  * Move disabling of metadata and ipv6_ra to _destroy_router_namespace
  * Updated from global requirements
  * Remove duplicate import of constants module
  * Fix race condition on processing DVR floating IPs
  * Ensure ofagent unit tests handles random hashseeds
  * Moves the HA resource creations outside of transaction
  * Modify docstring on send_delete_port_request in N1kv plugin
  * Empty files should not contain copyright or license
  * Remove superfluous except/re-raise
  * Schema enhancement to support MultiSegment Network
  * Remove redundant initialization and check from DVR RPC mixin
  * Improve performance of security group DB query
  * Optimize query in _select_dhcp_ips_for_network_ids
  * Updated cache module and its dependencies
  * Updated service.py and its dependencies
  * Updated fileutils and its dependencies
  * Cisco N1kv: Fix update network profile for add tenants
  * DB: Only ask for MAC instead of entire port
  * Only fetch port_id from SG binding table
  * NSX: Make conn_idle_timeout configurable
  * l3_agent: avoid name conflict with context
  * Refactor _make_subnet_dict to avoid issuing unnecessary queries
  * openvswitch: Remove no longer used options
  * VPNaaS Cisco unit test clean-up
* Thu Oct 16 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev112.gfd37ce7:
  * nsx plugin: keep old priority when reconnecting bad connection
  * Fix KeyError in dhcp_rpc when plugin.port_update raise exception
  * Minor: remove unnecessary intermediate variable
* Wed Oct 15 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev107.g7cb6ca0:
  * Call DVR VMARP notify outside of transaction
  * remove E251 exemption from pep8 check
  * Remove sslutils from openstack.common
* Wed Oct 15 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev101.g6c587a5:
  * Race for l2pop when ports go up/down on same host
  * Use EUI64 for IPv6 SLAAC when subnet is specified
  * Avoid constructing a RouterInfo object to get namespace name
  * ofagent: Fix a possible crash in arp responder
  * Properly handle empty before/after notifications in l2pop code
* Tue Oct 14 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev91.g68e165e:
  * Catch exceptions in router rescheduler
  * Handle unused set_context in L3NatTestCaseMixin.floatingip_with_assoc
  * Arista L3 Ops is success if it is successful on one peer
  * Add unique constraints in IPAvailabilityRange
  * Update VPN logging to use new i18n functions
  * Remove an argument that is never used
  * Do not assume order of lvm.tun_ofports set elements
  * Big Switch: Don't clear hash before sync
* Mon Oct 13 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev75.g72fa1e9:
  * Updated from global requirements
  * update the relative path of api_extensions_path
  * NSX: drop support to deprecated dist-router extension
  * Forbid update of HA property of routers
  * Teach DHCP Agent about DVR router interfaces
* Sun Oct 12 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev66.g53c9104:
  * Fix quota limit range validator
* Sat Oct 11 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev64.ge95c76b:
  * Imported Translations from Transifex
  * nit : missing a "%%s" in a log message
* Fri Oct 10 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev60.gc38f68c:
  * Refactor _process_routers to handle a single router
  * Add Juno release milestone
  * Add database relationship between router and ports
  * Remove all_routers argument from _process_routers
  * update ml2_migration to reflect optional methods
  * Remove two sets that are not referenced
  * Modify the ProcessMonitor class to have one less config parameter
  * ML2 Cisco Nexus MD: Fix UT to send one create vlan message
  * Cisco N1kv: Remove vmnetwork delete REST call on last port delete
* Thu Oct  9 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev42.g665790e:
  * Disable PUT for IPv6 subnet attributes
  * Skip IPv6 Tests in the OpenContrail plugin
  * Imported Translations from Transifex
  * Updated from global requirements
  * Add comments to iptables rules to help debugging
  * Pythonified sanity_check.all_tests_passed
* Wed Oct  8 2014 dmueller@suse.com
- fix install of ipset firewall rules
* Wed Oct  8 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev32.g1d142cc:
  * Fix setup of Neutron core plugin in VPNaaS UT
  * Allow reading a tenant router's external IP
  * Add admin tenant name to nova notifier
  * Raise exception if ipv6 prefix is inappropriate for address mode
  * Retry getting the list of service plugins
* Tue Oct  7 2014 dmueller@suse.com
- fix requires of openvswitch subpackage
* Mon Oct  6 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev22.g895c969:
  * Divide _cleanup_namespaces for easy extensibility
  * L3 Agent should generate ns_name in a single place
  * Iterate over same port_id if more than one exists
  * Implement ModelsMigrationsSync test from oslo.db
* Sat Oct  4 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev14.gfb1a466:
  * Don't fail when trying to unbind a router
  * Add missing methods to NoopFirewallDriver
  * Removed kombu from requirements
* Fri Oct  3 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev8.g4475c81:
  * L3 agent should always use a unique CONF object
  2014.2.rc1
  * Fix sleep function call
  * Disallow unsharing used firewall policy
* Thu Oct  2 2014 cloud-devel@suse.de
- Update to version neutron-2015.1.dev265.g26a17cc:
  * remove openvswitch plugin
  * Fix pid file location to avoid I->J changes that break metadata
  * remove linuxbridge plugin
  * Open Kilo development
  * Update migration scripts to support DB2
* Wed Oct  1 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev256.ga1fdaee:
  * ML2: move L3 cleanup out of network transaction
  * fix dvr snat bindings for external-gw-clear
* Tue Sep 30 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev252.g302331b:
  * Imported Translations from Transifex
* Mon Sep 29 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev251.gdd238d0:
  * Do not assume order of report list elements
  * Imported Translations from Transifex
  * Rename workers to api_workers and simplify code
* Mon Sep 29 2014 tbechtold@suse.com
- Update to version neutron-2014.2.dev246.gff9745c:
  * Fix broken port query in Extraroute test case
  * Revert "Cleanup floatingips also on router delete"
  * Fix KeyError when getting secgroup info for ports
  * Deletes floating ip related connection states
  * Do not lookup l3-agent for floating IP if host=None, dvr issue
  * Remove RPC notification from transaction in create/update port
  * Do not assume order of body and tags elements
  * Remove the translation tag for debug level logs in vmware plugin
  * Fix entrypoint of OneConvergencePlugin plugin
  * Forbid regular users to reset admin-only attrs to default values
    (bnc#896780, CVE-2014-6414)
  * Security groups: prevent race for default security group creation
  * Stop admin using other tenants unshared rules
  * Eliminate OrderedDict from test_api_v2.py
  * Add logging for enforced policy rules
  * Imported Translations from Transifex
  * Fix 500 error on retrieving metadata by invalid URI
  * Fix to delete user and group association in Nuage Plugin
  * Supply missing cisco_cfg_agent.ini file
  * Add unit tests covering single operations to ODL
- Add /etc/neutron/plugins/cisco/cisco_cfg_agent.ini
* Fri Sep 26 2014 dmueller@suse.com
- add dependency on ipset/iptables
* Wed Sep 24 2014 dmueller@suse.com
- Update to version neutron-2014.2.dev208.g61762fe:
  * Finish small unit test refactor of API v2 tests
  * Mock out all RPC calls with a fixture
  * Remove unnecessary _make_port function in BSN UTs
  * Use dict_extend_functions to populate provider network attributes
  * Fix foreign key constraint error on ml2_dvr_port_bindings
  * Some clean up of code I'm preparing to modify
  * Indicate the begin and end of the sync process to EOS
  * DVR to delete router namespaces for service ports
  * Do not assume order of device_ids set elements
  * Only setup dhcp interface if dhcp is not active on network
  * HA routers master state now distributed amongst agents
  * Rework and enable VPNaaS UT for Cisco CSR REST
  * Update URL of Ryu official site in ofagent README files
  * Set dsvm-functional job to use system packages
  * Delete a broken subnet delete unit test
  * Deletes FIP agent gw port when last VM is deleted
  * Delete DB records instead of tables to speedup UT
  * Separate Configuration from Freescale SDN ML2 mechanism Driver
  * NSX plugin: set VNIC_TYPE port binding attribute
  * Access correct key for template name
  * Fix DVR to service DHCP Ports
  * Tunnel ID range validation for VXLAN/GRE networks
  * Remove @author(s) from copyright statements
  * BSN: Add context to backend request for debugging
  * Don't create unused ipset chain
  * Imported Translations from Transifex
  * Avoid an extra database query in schedule_snat_router
  * Add HA support to the l3 agent
  * Fix a test_db_plugin unit test side_effect usage
  * Imported Translations from Transifex
* Sat Sep 13 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev86.gc7a0196:
  * Imported Translations from Transifex
  * ofagent: Remove broken XenAPI support
  * Passing admin tenant name to EOS
  * Remove useless check in _rpc_update_firewall
  * Use renamed _fail_second_call() in cisco nexus tests
  * Add L3 VRRP HA base classes
  * ofagent: Clean up logging
  * UTs: Disable auto deletion of ports/subnets/nets
  * Remove binding:profile update from Mellanox ML2 MD
* Fri Sep 12 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev68.g4287463:
  * Fix comments in api.rpc.handlers
  * Remove second call to get_subnets in delete_subnet
  * Changes to support FWaaS in a DVR based environment
  * NSX: Correct allowed_address_pair return value on create_port
  * Add the unit tests for ml2.rpc module
  * Avoid auto-scheduling for distributed routers
  * Remove absolute path in KillFilter for metadata-proxy
* Wed Sep 10 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev54.g4283b16:
  * Imported Translations from Transifex
  * Call unbind_snat_servicenode from schedule router
  * Neutron should not use the neutronclient utils module for import_class
  * Fix AttributeError when setting external gateway on DVR router
  * ofagent: Remove @author tags and update copyright notices
* Tue Sep  9 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev44.gef03f88:
  * Removed direct access to MessagingServer
  * Remove subnet_id from check_ports_exist_on_l3agent
  * Fix metadata agent's auth info caching
  * Throw exception instances instead of classes
  * Add scheduler unit tests to enable bug fixes and refactoring
  * Stop tracking connections in DVR FIP Namespace
  * Fixes formatting for debug output in neutron/agent/l3_agent.py
  * Avoid testing code duplication which introduced testing bugs
  * Reset IPv6 detection flag after IPv6 tests
  * Remove unused arg to config.setup_logging()
  * Updated from global requirements
  * Revert "Skip functional l3 agent test"
  * Fix leftover Timeout effecting most eventlet calls
  * Cleanup rename of get_compute_ports_on_host_by_subnet
  * BSN: Bind external ports in ML2 driver
  * Remove SELECT FOR UPDATE use in delete_firewall
  * Implements sync mechanism between Neutron and Nuage VSD
  * Big Switch: Bind IVS ports in ML2 driver
  * Fix a bug in Mellanox plugin RPC caused by secgroup RPC refactoring
  * Layer 3 service plugin to support hardware based routing
  * Update DVR Binding when router_id changes
* Thu Sep  4 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev2.ga47c6cf:
  2014.2.b3
  * Revert "Cisco DFA ML2 Mechanism Driver"
  * Refactor security group rpc call
  * Don't spawn metadata-proxy for non-isolated nets
  * Fixes Hyper-V agent issue on Hyper-V 2008 R2
* Thu Sep  4 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev528.gb6afc3c:
  * Fix interface IP address for DVR with gateway
  * ofagent: Implement physical_interface_mappings
  * Implements ProcessMonitor to watch over external processes
  * Skip functional l3 agent test
  * Big Switch: Separate L3 functions into L3 service
  * Cisco VPN with in-band CSR (interim solution)
  * Fixed template of IPsecSiteConnectionNotFound message
  * Remove status initialization from plugin's create_firewall
* Wed Sep  3 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev512.geab2a21:
  * Make log level in linux.utils.execute configurable
* Tue Sep  2 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev510.g735d677:
  * ofagent: Enable local arp responder for TYPE_LOCAL
  * ofagent: Enable local arp responder for TYPE_FLAT
  * ofagent: Local arp responder for VLAN
  * Prevent SystemExits when running tests
  * Apic drivers enhancements (second approach): Topology
  * Add functional test for IptablesManager
  * ML2: Fix release of network segments to allocation pools
  * Fix a recent ipv6 UT regression
  * Imported Translations from Transifex
  * Remove chain for correct router during update_routers()
  * Improve some plugins help strings
  * Remove SELECT FOR UPDATE use in update_firewall
* Tue Sep  2 2014 bwiedemann@suse.com
- Update to version neutron-2014.2.dev486.g622b3ca:
  * Remove reference to cisco_cfg_agent.ini from setup.cfg again
  * l2pop: Allow network types overridable
  * ofagent: Enable local arp responder for local VMs
  * ofagent: merge br-tun into br-int
  * Apic drivers enhancements (second approach): Sync
  * Apic drivers enhancements (second approach): L3 refactor
  * ML2 Type Driver refactor part 2
  * Adds router service plugin for CSR1kv
  * Introduces a keepalived manager for HA
  * Support for extensions in ML2
  * Cisco DFA ML2 Mechanism Driver
  * Provide a quick way to run flake8
  * Apic drivers enhancements (second approach): L2 refactor
  * Make SecurityGroupsRpcCallback a separate callback class
  * Adding mechanism driver in ML2 plugin for Nuage Networks
  * remove explicit include of the ovs plugin
  * NSX: log request body to NSX as debug
  * Datacenter moid should not be tuple
  * Remove ovs dependency in embrane plugin
  * Remove old policies from policy.json
  * Inline "for val in [ref]" statements
  * Networks are not scheduled to DHCP agents for Cisco N1KV plugin
  * metering driver default value is different in code and config file
* Sun Aug 31 2014 cloud-devel@suse.de
- Rebased patches:
  + 0001-Check-for-IPv6-file-before-reading.patch dropped (merged upstream)
* Sun Aug 31 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev442.gc04bdd0:
  * Fix state_path in tests
  * Add functional test for l3_agent
  * Block downgrade from icehouse to havana
  * Check for IPv6 file before reading
  * Fix heal_script for MySQL specifics
  * Fix IpNetnsCommand to execute without root_wrapper when no netns
* Sat Aug 30 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev430.gd07b175:
  * Apic drivers enhancements (second approach): Backend
  * Make DvrServerRpcCallback a separate callback class
  * Make DhcpRpcCallback a separate callback class
  * Adding support of DNS nameserver and Host routes for the Nuage Plugin
  * Use lockutils module for tox functional env
  * Do not use auto_schedule_routers to add router to agent
  * Fix func job hook script permission problems
  * Fix l3 agent scheduling logic to avoid unwanted failures
  * Fix InvalidRequestError in auto_schedule_routers
  * Heal script: Drop fks before operating on columns
  * Refactor test_type_gre/vxlan to reduce duplicate code
  * Increase ovsdb_monitor.SimpleInterfaceMonitor start timeout
  * Set firewall state to CREATED when dealing with DVR
  * Add config for visibility of cisco-policy-profile
  * Change nexus_dict to accept port lists
  * Fix config option names in ml2_conf_sriov.ini
* Fri Aug 29 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev398.ge7d44d8:
  * Raise NotImplementedError instead of NotImplemented
  * Ensure assertion matches dict iter order in test
* Thu Aug 28 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev394.g68a13b0:
  * Add support for provider-network extension in nuage Plugin
  * One Convergence: Skip all tests with 'v6' in name
* Thu Aug 28 2014 dmueller@suse.com
- add 0001-Check-for-IPv6-file-before-reading.patch to fix
  no-ipv6 regression (lp#1361542)
* Wed Aug 27 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev390.g6454ce0:
  * Fix incorrect number of args to string format
  * Make L3RpcCallback a separate callback class
  * Minor refactoring for add_router_to_l3_agent
  * Predictable iptables chains output order
  * Prefer "val !=/== ref" over "val (not) in [ref]" in conditions
  * Fix DVR to service LBaaS VIP Ports
  * Increase the default poll duration for Cisco n1kv
* Tue Aug 26 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev376.g3f16a69:
  * Imported Translations from Transifex
  * ext-gw update on dvr router improperly handled by l3-agent
  * Fix for floatingip-delete not removing fip_gw port
  * Change autogenerate to be unconditional
  * Add template attr. for subnet, router create in Nuage plugin
  * Implement ip_lib.device_exists_with_ip_mac
  * Add _store_ip_allocation method
  * Updated from global requirements
  * Do not explicitly set mysql_engine
  * Removing sorted() function from assertEqual()
  * Minor refactoring of auto_schedule_routers
  * Add ipv6 forwarding for router namespaces
  * VPNaaS: Enable UT cases with newer oslo.messaging
  * Do not log WARN messages about lack of L3 agents for DVR routers
  * Add specific docs build option to tox
  * Fix policy rules for adding and removing router interfaces
  * Refactor type_tunnel/gre/vxlan to reduce duplicate code
  * Assign Cisco nw profile to multi-tenants in single request
  * Arista Layer 3 Sevice Plugin
  * Use oslo.db create_engine instead of SQLAlchemy
  * Ignore http_proxy while connecting to test WSGI server
  * Do not assume order of parameters in OVSBridge.add_flow call
  * Log exceptions inside spawned functions
* Mon Aug 25 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev330.g0453144:
  * Refactor plugin setup helpers out of test.base
  * Raise proper exception in case duplicate ipv6 address is allocated
  * Add hook scripts for the functional infra job
  * ML2 Type driver refactor part 1
  * Refresh rpc_backend values in unit tests to those from oslo.messaging
  * Fix migration set_length_of_description_field_metering
  * Set InnoDB engine for all existing tables
  * Reorder operations in create_vip
  * Use openstack.common.lockutils module for locks in tox functional tests
* Mon Aug 25 2014 bwiedemann@suse.com
- use %%_rundir if available, otherwise /var/run
* Sat Aug 23 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev313.g00d3af4:
  * Support Stateful and Stateless DHCPv6 by dnsmasq
  * Implements securitygroup extension for nuage plugin
  * Send HTTP exceptions in the format expected by neutronclient
* Fri Aug 22 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev307.gecb296b:
  * Join tables in query for down L3 agents
  * Fixes Hyper-V issue due to ML2 RPC versioning
  * Remove invalid or useless initialization in test_type_vxlan
  * NSX: Avoid floating IP status reset
* Thu Aug 21 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev299.g5bbb22a:
  * A10 Networks LBaaS v1 Driver
  * Ensure ip6tables are used only if ipv6 is enabled in kernel
* Thu Aug 21 2014 tbechtold@suse.com
- Fix directories not owned by a package
* Thu Aug 21 2014 tbechtold@suse.com
- Update to version neutron-2014.2.dev295.g702967e:
  * Rename range to avoid shadowing the builtin
  * Remove unused network parameter from _allocate_ips_for_port
  * corrects the typos in l3_router_plugin's comments
  * Fix bigswitch setup.cfg lines
  * Imported Translations from Transifex
  * Remove auto-generation of db schema from models at startup
  * Cisco N1kv plugin to send subtype on network profile creation
  * Implement namespace cleanup for new DVR namespaces
  * correct getLoggers to use __name__ in code
  * Skip FWaaS config mismatch check if RPC method is unsupported
  * NSX: lift restriction on DVR update
  * Updated from global requirements
  * Remove INACTIVE status from FWaaS
  * Fix PortNotFound error during update_device_up for DVR
  * Option to remove routers from dead l3 agents
  * Fix duplicate function: test_getattr_unallowed_attr
  * SecurityGroupRuleExists should point out rule id inseand of group id
  * Opencontrail plug-in implementation for core resources
  * Do not assume order of new_peers list elements
  * Fixing neutron-db-manage with some options other than upgrade/downgrade
  * Replace nullable from primary keys in tz_network_bindings with default
  * Define some abstract methods in VpnDriver class
  * Expand arp_responder help text
- Add config plugins/opencontrail/contrailplugin.ini
- Update plugins/bigswitch README paths
* Thu Aug 14 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev252.gf9981d0:
  * Use jsonutils instead of stdlib json
  * Fix interface add for dvr with gateway
  * l2pop: get_agent_ports: Don't yield (None, {})
  * ML2: Make get_device_details report mac address as well
  * Delete DVR namespaces on node after removing last VM
  * Remove SELECT FOR UPDATE use in ML2 tunnel driver add_endpoint
  * Fix KeyError during sync_routers
  * Fix PortNotFound exception during sync_routers
  * VPNaaS: Cisco fix validation for GW IP
  * Preserve link local IP allocations for DVR fip ns across restart
  * Predictable field and filter ordering
  * Fix session's InvalidRequestError because of nested rollback
  * Remove ignored do_request timeout argument
* Wed Aug 13 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev226.gd10a909:
  * Imported Translations from Transifex
  * Fix 404 error fetching metadata when using DVR
  * Raise exception for network delete with subnets presents
  * Make plugin and l3plugin available as mixin's properties
  * add auth token to context
  * Fixes an issue with FIP re-association
  * NSX: unify the two distributed routing extensions
  * NSX: fix wording for configuration option
  * MLNX Agent: ensure removed ports get treated on resyncs
  * Add delete operations for the ODL MechanismDriver
  * Removes extra indents from TestSubresourcePlugin
  * ofagent: Upgrade note about firewall_driver
  * Return port context from _bind_port_if_needed
  * MLNX Agent: Process port_update notifications in the main agent loop
  * Remove unneeded device_owner field from l2pop tuple
  * Enabled Cisco ML2 driver to use new upstream ncclient
  * Remove duplicated check for router connect to external net
  * Implement Midonet Juno Network Api calls
  * ofagent: Update a comment in port_bound
* Sat Aug  9 2014 tbechtold@suse.com
- Update to version neutron-2014.2.dev189.gec4f861:
  * ofagent: Remove network_delete method
  * Fix to throw correct error code for bad attribute
  * Improve external gateway update handling
  * Do not assume order of pci slot list
  * DeferredBridge to allow add_tunnel_port passthru
  * Fix to enable L2pop to serve DVR
  * ofagent: Add a missing normalized_port_name
  * Return 403 instead of 404 on attr policy failures
  * Proper validation for inserting firewall rule
  * Imported Translations from Transifex
  * Fix 500 error during router-update for dvr routers
  * Simple refactor to stop passing around an unused parameter
  * Make _build_uri_path output predictable
  * Radware: When a pip is needed, reuse the Port
  * Remove redundant topic from rpc calls
  * l3_db: refactor L3_NAT_DB_mixin
  * OVS flows apply concurrently using a deferred OVSBridge
  * Do not assume order of network_uuid's
  * Big Switch: Only update hash header on success
  * ofagent: Stop monitoring ovsdb for port changes
  * ofagent: Desupport ancillary bridges
  * Add a tox test environment for random hashseed testing
  * OFAgent: Implement arp responder
  * Updated from global requirements
  * Do not assume order of quotas dictionary elements
  * Move Cisco VPN RESTapi URI strings to constants
  * Move from Python logging to Openstack logging
  * Imported Translations from Transifex
  * NSX: remove duplicate call to set_auth_cookie()
  * NSX: Correct default timeout params
- Add missing /usr/bin/neutron-cisco-cfg-agent file
* Fri Aug  1 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev95.gf32c0eb:
  * Add missing ml2 plugin to migration 1fcfc149aca4
* Thu Jul 31 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev93.g4ab8740:
  * Add L3 Scheduler Changes for Distributed Routers
  * Pass filters in arrays in get_agent_gw_ports_exist_for_network
  * Do not schedule network when creating reserved DHCP port
  * Check that router info is set before calling _update_arp_entry
  * Move ARP responder test to sanity command
  * neutron.conf does not have the definition of firewall quotas
  * Fix deprecated opt in haproxy driver
  * Race condition of L3-agent to add/remove routers
  * Replaced the strings with respective constants
  * Make dvr_vmarp_table_update call conditional to dvr extension
  * Functional tests work fine with random PYTHONHASHSEED
  * Call config_parse in base test setup
  * Fix ML2 Plugin binding:profile update
  * Bump hacking to version 0.9.2
* Wed Jul 30 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev65.ga43f74d:
  * Fix wrong order of tables in downgrade
  * Set nullable=False on tenant_id in apic_contracts table
* Tue Jul 29 2014 dmueller@suse.com
- Update to version neutron-2014.2.dev61.g30556c4:
  * Updated from global requirements
  * Set promote_secondaries when creating namespaces
  * ML2 additions to support DVR
  * Make test_l3_agent._prepare_router_data a module function
  * Remove redundant code in tests/unit/test_l3_agent
  * Set python hash seed to 0 in tox.ini
  * Add definition for new VIF type
  * Handle bool correctly during _extend_extra_router_dict
  * Encapsulate some port properties in the PortContext
  * Changes to remove the use of mapping tables from Nuage plugin
  * Updated from global requirements
  * Correct misspelled variable name
  * Avoid RequestURITooLong exception in metadata agent
  * Move loadbalancer vip port creation outside of transaction
  * ML2 mechanism driver for SR-IOV capable NIC based switching, Part 2
  * Modify L3 Agent for Distributed Routers
  * OFAgent: Share codes of l2-population in OVS agent
  2014.2.b2
  * This patch changes the name of directory from mech_arista to arista
  * ML2 mechanism driver for SR-IOV capable NIC based switching, Part 1
  * Add rule for updating network's router:external attribute
  * L2 Agent-side additions to support DVR
  * Imported Translations from Transifex
  * NSX: fix router ports port_security_enabled=False
  * Add partial specs support in ML2 for multiprovider extension
  * Add partial specs support in ML2 for gre/vxlan provider networks
  * call security_groups_member_updated in port_update
* Wed Jul 23 2014 rhafer@suse.com
- Fix plugin init script's description
- Execute db migrations before starting the daemon
* Mon Jul 21 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev357.g2f7a2ae:
  * Move plugin.delete_port call out of transaction
* Sun Jul 20 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev356.gc82e6a4:
  * Dnsmasq config files syntax issue when dhcp_domain is empty
  * Validate expected parameters in add/remove router interfaces
  * Mock out tunnel_sync in test to avoid sleeping
  * Add a gate-specific tox env for functional tests
* Sat Jul 19 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev348.ged8905f:
  * Fix DVR regression for ofagent
  * Allow to import _LC, _LE, _LI and _LW functions directly
  * Fix incorrect default paramater in migration
* Fri Jul 18 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev342.g68713c9:
  * RPC additions to support DVR
  * no quota for allowed address pair (bnc#887348, CVE-2014-3555)
  * L2 Model additions to support DVR
  * Fix a log typo in ML2 manager.bind_port()
  * VPNaaS: separate out validation logic for ref impl
* Thu Jul 17 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev333.ga173668:
  * Big Switch: Remove consistency hash on full sync
  * Add L3 Extension for Distributed Routers
  * VPNaaS Cisco REST client enhance CSR create
  * Fixes port update failure when device ID is not updated
  * Use auth_token from keystonemiddleware
  * Shamelessly removing commented print line
  * L3 agent prefers RPC messages over full sync
  * Database healing migration
  * Fixed audit notifications for l3-agent-router ops
  * Send network name and uuid to subnet create
  * ML2: Bind ports outside transactions
  * Freeze models for healing migration
  * ofagent: Handle device name prefixes other than "tap"
  * Add -s option for neutron metering rules
  * Security groups extension for PLUMgrid plugin
  * Change all occurences of no_delete to do_delete
  * Add BSN plugin to agent migration script
  * Added support for NOS version 4.1.0, 5.0.0 and greater
  * Refactor 'if false do nothing' logic in l3 scheduler db
  * Add CONTRIBUTING.rst
  * ofagent: Fix an argument mismatch bug in commit 9d13ea88
  * l2-pop : removing a TODO for the delete port use case
* Mon Jul 14 2014 mjura@suse.com
- Remove unnecessary openstack-neutron-vmware-agent package
* Mon Jul 14 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev290.g59da928:
  * Use integer server_default value for multicast_ip_index
* Sat Jul 12 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev289.g60f2967:
  * Revert "VPNaaS REST Client UT Broken"
  * Add 'server_default' parameter
  * Remove dead helper function from test_l3_plugin
  * Remove reference to setuptools_git
  * NSX: neutron router-interface-add should clear security-groups
  * Fix missing migration default value
* Fri Jul 11 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev277.gcbd89e7:
  * Extract CommonDBMixin to a separate file
* Thu Jul 10 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev276.g1cf3b80:
  * Imported Translations from Transifex
  * Do not mark device as processed if it wasn't
  * Fix 'server_default' parameter usage in models
  * Add a link to a blog post by RedHat that discusses GRE tunnels in OVS
  * Updated from global requirements
  * Fixed spelling mistake in securitygroups_rpc
  * Fix UnboundLocalError raised during L3 router sync task
* Wed Jul  9 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev262.g8e600ec:
  * Avoid notifying while inside transaction opened in delete_port()
  * Omit mode keyword when spawning dnsmasq with some ipv6 subnets
  * Fix isinstance assertions
* Tue Jul  8 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev256.ga7f7378:
  * VPNaaS REST Client UT Broken
  * NSX: properly handle floating ip status
  * Fix example for running individual tests
* Sun Jul  6 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev250.g6e87794:
  * Trigger provider security group update for RA
* Sat Jul  5 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev248.g74daab5:
  * Remove SELECT FOR UPDATE use in ML2 type driver release_segment
* Thu Jul  3 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev246.g5933161:
  * OVS agent: fix a comment on CANARY_TABLE
  * Updated from global requirements
  * Imported Translations from Transifex
  * Allow setting a rootwrap cmd for functional tests
  * Fix OVSBridge.get_port_ofport to handle empty output
  * Ignore variable column widths in ovsdb functional tests
  * Add configurable http_timeout parameter for Cisco N1K
  * NSX: fix indentations
* Wed Jul  2 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev230.gd27e1d1:
  * BSN: Remove db lock and add missing contexts
  * Updated from global requirements
  * Stop the dhcp-agent process when dnsmasq version is not determined
  * lb-agent: ensure removed devices get treated on resyncs
  * LBaaS new object model logging no-op driver
  * validate flat networks physical name
* Tue Jul  1 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev218.gb5cd4c7:
  * Switch to using of oslo.db
  * Replace occurences of 'test_tenant' with 'test-tenant' in tests
  * Imported Translations from Transifex
  * changes ovs agent to get bridges via ovs_lib
  * Fix re-creation of the pool directory
  * Big Switch: Lock consistency table for REST calls
* Sat Jun 28 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev206.g3006ed1:
  * Add sanity check for nova notification support
  * Synced log module and its dependencies from olso-incubator
  * Pass newly created router to _update_router_gw_info
  * Updated neutron.conf to reflect new RPC options
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev198.g52e281c:
  * Use correct MAX_LEN constant in agent functional tests
  * remove unsupported middleware
  * Add config for performance gate job
  * Exit rpc_loop when SIGTERM is recieved in ovs-agent
  * ofagent: Use port desc to monitor ports on br-int
  * Fixed dhcp & gateway ip conflict in PLUMgrid plugin
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev186.g997f261:
  * Use patch ports to interconnect integration/physical bridges
  * Introduce bulk calls for get device details
  * Remove __init__ method from TunnelCallback mixin
  * OVS agent: Correct bridge setup ordering (bnc#883986)
* Thu Jun 26 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev179.gb3063ed:
  * Revert "Revert "ovs-agent: Ensure integration bridge is created""
  * Imported Translations from Transifex
  * don't ignore rules that are already enforced
  * Moved rpc_compat.py code back into rpc.py
  * ofagent: move main module from ryu repository
  * NSX: return 400 if dscp set for trusted queue
  * NSX sync cache: add a flag to skip item deletion
  * Don't use root_helper when it's not needed
* Wed Jun 25 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev163.gf6c32ba:
  * Updated from global requirements
  * Updated from global requirements
  * Don't convert numeric protocol values to int
  * Imported Translations from Transifex
  * Revert "Check NVP router's status before deploying a service"
  * Remove the useless vim modelines
  * Imported Translations from Transifex
  * Changing the poll_duration parameter type to int
  * Add test cases for plugins/ml2/plugin.py
  * Removed local modification in incubator code
  * Pass serializer to oslo.messaging Notifier
  * Fix auto_schedule_networks to resist DBDuplicateEntry
  * Control active number of REST calls from Cisco N1kv plugin to VSM
  * ValueError should use '%%' instead of ','
  * Big Switch: Stop watchdog on interval of 0
  * Ensure entries in dnsmasq belong to a subnet using DHCP
  * Adding static routes data for members
  * Improve vxlan type driver initialization performance
  * Brocade mechanism driver depends on the brocade plugin templates
  * changes ovs agent_id init to use hostname instead of mac
* Sat Jun 21 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev124.g431937c:
  * Removed 'rpc' and 'notifier' incubator modules
  * Removed create_rpc_dispatcher methods
  * Revert "ovs-agent: Ensure integration bridge is created"
  * NSX: propagate network name updates to backend
  * Renamed argument for create_consumer[s]
  * Renamed consume_in_thread -> consume_in_threads
  * Renamed start_rpc_listener -> start_rpc_listeners
  * Port to oslo.messaging
  * Imported Translations from Transifex
  * Pass 'top' to remove_rule so that rule matching succeeds
  * Remove old quantum scripts
  * Move _filter_non_model_columns method to CommonDbMixin
  * Check port value when creating firewall rule with icmp protocol
  * linuxbridge-agent: process port updates in the main loop
  * Consistently use jsonutils instead of specific implementation
  * Change default netpartition behavior in nuage plugin
  * Allowed address pair: Removing check for overlap with fixed ips
  * Fix NVP FWaaS occurs error when deleting a shared rule
* Fri Jun 20 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev88.g54104eb:
  * Imported Translations from Transifex
* Thu Jun 19 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev87.g24718e6:
  * Updated from global requirements
  * Ignore emacs checkpoint files
  * Improve docstring for OVSNeutronAgent constructor
  * Big Switch ML2: sync detection in port-update
  * Imported Translations from Transifex
  * Add vlan type driver unittests
  * Make sure we call BaseTestCase.setUp() first
  * Don't explicitly call .stop() on mock.patch objects
  * Don't instantiate RPC clients on import
  * Configure agents using neutron.common.config.init (formerly .parse)
  * NSX: revert queue extension name change
  * Fix pool statistics for LBaaS Haproxy driver
  * remove pep8 E122 exemption and correct style
  * Big Switch: Remove unnecessary initialization code
  * Big Switch: Import DB module in unit test
  * Brocade mechanism driver should be derived from ML2 plugin base class
* Wed Jun 18 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev56.g551d5a4:
  * Notify systemd when starting Neutron server
  * Added missing core_plugins symbolic names
  * Imported Translations from Transifex
  * Add missing keyword raise to get_profile_binding function
  * Add logging for NSX status sync cache
  * ovs-agent: Ensure integration bridge is created
* Tue Jun 17 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev44.gd379170:
  * Introduced rpc_compat.create_connection()
  * Copy-paste RPC Service class for backwards compatibility
  * Introduce RpcCallback class
  * Fix opt helpstring for dhcp_lease_duration
  * Fix invalid IPv6 address used in FakeV6 variables
  * Control update, delete for cisco-network-profile
  * Big Switch: Catch exceptions in watchdog thread
  * Increase default metadata_workers, backlog to 4096
  * Big Switch: Add missing data to topology sync
  * Return no active network if the agent has not been learnt yet
* Mon Jun 16 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev24.gdbedfb7:
  * Add 'ip rule ...' support to ip_lib
* Sun Jun 15 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev22.ge3725e8:
  * When l2-pop ON, clean stale ports in table0 br-tun
  * Check NVP router's status before deploying a service
  * Removes unnecessary Embrane module-level mocks
* Sat Jun 14 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev16.g8d268d7:
  * remove E112 hacking exemption and fix errors
  * Updated from global requirements
  * NeutronManager: Remove explicit check of the existence of an attribute
  * Added note to neutron.conf
  * Sync service module from oslo-incubator
  * Big Switch: Don't use MagicMocks unnecessarily
* Fri Jun 13 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev4.g83461ee:
  2014.2.b1
  * Floatingip extension support for nuage plugin
  * Big Switch: Call correct method in watchdog
  * Cisco APIC Layer 3 Service plugin
  * Use list copy for events in nova notifier
* Thu Jun 12 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev658.gb5d6c5e:
  * multiprovidernet: fix a comment
  * extensions: remove 'check_env' method
  * Replace XML with JSON for N1kv REST calls
  * OVS Agent: limit veth names to 15 chars
* Wed Jun 11 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev650.g5c62a1a:
  * Imported Translations from Transifex
  * Fix race condition with firewall deletion
  * Check the validation of 'delay' and 'timeout'
  * Ensure routing key is specified in the address for a direct producer
  * Support Subnets that are configured by external RAs
  * Refactor code in update_subnet, splitting into individual methods
  * Make allocation_pools attribute of subnet updateable by PUT
  * Monkey patch threading module as early as possible
  * Introduced transition RPC exception types
  * Added RpcProxy class
  * ofagent: Fix VLAN usage for TYPE_FLAT and TYPE_VLAN
  * Use import from six.moves to import the queue module
  * Start an unstarted patch in the hyperv unit tests
  * Imported Translations from Transifex
  * Add an option to turn off DF for GRE and VXLAN tunnels
  * Freescale SDN Mechanism Driver for ML2 Plugin
  * ovs, ofagent: Remove dead code
  * Default to setting secure mode on the integration bridge
  * Allow neutron-sanity-check to check OVS patch port support
  * Remove run-time version checking for openvswitch features
  * Add flat type driver unittests
  * Changed DictModel to dict with attribute access
  * Pass object to policy when finding fields to strip
  * Allow L3 base to handle extensions on router creation
  * Refactor some router-related methods
  * Add local type driver unittests
  * add engine parameter for offline migrations
  * Check DB scheme prior to migration to Ml2
  * Improve module-level mocks in midonet tests
  * Big Switch: fix capabilities retrieval code
* Fri Jun  6 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev564.gac9c986:
  * NSX: fix invalid docstring
* Thu Jun  5 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev562.g68a9191:
  * Add 'secret' property for 'connection' option
  * ofagent: Add a missing push_vlan action
* Tue Jun  3 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev558.g53b701a:
  * LBaaS add missing rootwrap filter for route
  * Remove function replacement with mock patch
  * Remove unnecessary MagicMocks in cisco unit tests
  * Make linux.utils.execute log error on return codes
  * NSX: replace strong references to the plugin with weakref ones
* Tue Jun  3 2014 dmueller@suse.com
- enable namespace deletion in dhcp_agent
* Sat May 31 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev548.ge65b06f:
  * Handle errors from run_ofctl() when dumping flows
  * Sync periodic_task from oslo-incubator
* Fri May 30 2014 dmueller@suse.com
- Update to version neutron-2014.2.dev544.g446b13b:
  * Added missing plugin .ini files to setup.cfg
  * Imported Translations from Transifex
  * FWaaS plugin doesn't need to handle firewall rule del ops
  * Reprogram flows when ovs-vswitchd restarts
  * Updated from global requirements
  * Fix KeyError exception while updating dhcp port
  * NSX: fix bug for flat provider network
  * Restore ability to run functional tests with run_tests.sh
* Thu May 29 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev529.gf131d65:
  * Revert "fix openvswitch requirement check"
  * Disallow regular user to update firewall's shared attribute
  * Support 'infinite' dhcp_lease_duration
  * NEC plugin: Bump L3RPC callback version to 1.1
  * Synced jsonutils from oslo-incubator
  * Install SNAT rules for ipv4 only
  * Disallow 'timeout' in health_monitor to be negative
  * Remove redundant default=None for config options
  * OFAgent: Fixing lost vlan ids on interfaces
  * Set onlink routes for all subnets on an external network
  * Log iptables rules when they fail to apply
  * OFAgent: Avoid processing ports which are not yet ready
  * Fix some typos in neutron/db and IBM SDN-VE plugin
  * Delete DHCP port without DHCP server on a net node
* Wed May 28 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev502.ga657c06:
  * Imported Translations from Transifex
  * fix openvswitch requirement check
  * Fix for multiple misspelled words
* Tue May 27 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev496.g9a7a5c7:
  * Fixes bugs for requests sent to SDN-VE controller
  * Imported Translations from Transifex
  * Cisco APIC ML2 mechanism driver, part 2
  * Allowed Addresspairs: Removing check for overlap with fixed ips
  * Fix non-existent 'assert' calls to mocks
  * Reorg table ml2_port_bindings when db migration
  * Add physical_network to binding:vif_details dictionary
* Mon May 26 2014 dmueller@suse.com
- enable/configure fwaas driver
* Mon May 26 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev482.gf69db60:
  * Remove all mostly untranslated PO files
* Sun May 25 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev480.gdd6f865:
  * Extraroute extension support for nuage plugin
* Sat May 24 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev478.g423ca75:
  * Metadata agent caches networks for routers
* Fri May 23 2014 bwiedemann@suse.com
- Update to version neutron-2014.2.dev476.gfc832a0:
  * NSX: get rid of the last Nicira/NVP bits
  * Common decorator for caching methods
  * Do not defer IPTables apply in firewall path
  * Metaclass Python 3.x Compatibility
  * NSX: allow net-migration only in combined mode
  * NSX: Do a single query for all gateway devices
  * NSX: Do not extend fault map for network gateway ext
* Thu May 22 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev462.g797fa55:
  * Make pid file locking non-blocking
  * Remove hard dependency on novaclient
  * Imported Translations from Transifex
  * Add missing translation support
  * Restore GARP by default for floating IPs
* Wed May 21 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev453.gd5c0a37:
  * Provide way to reserve dhcp port during failovers
  * Implement local ARP responder onto OVS agent
* Tue May 20 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev450.g2930f42:
  * Fix typos in ovs_neutron_agent.py
  * Allow vlan type usage for OpenDaylight ml2
  * NSX: do not raise on missing router during migration step
  * NSX: fix error when creating VM ports on subnets without dhcp
  * Remove unused parameter
  * Add mailmap entry
  * Ensure tenant owns devices when creating a gateway
  * Fix issubclass() hook behavior in PluginInterface
  * LBaaS VIP doesn't work after delete and re-add
  * Adding tenant-id while creating Radware ADC service
  * Unit test cases for quota_db.py
* Sun May 18 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev429.gf80c2b8:
  * Corrected the syntax of port_update call to NVSD agent
  * OVS lib defer apply doesn't handle concurrency
  * Performance improvement of router routes operations
* Wed May 14 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev423.gff22dc1:
  * Upgrade failure for DB2 at ml2_binding_vif_details
  * Perform policy checks only once on list responses
  * NSX: pass the right argument during metadata setup
  * Improve ODL ML2 Exception Handling
* Tue May 13 2014 dmueller@suse.com
- remove amqp/amqplib dependency
* Mon May 12 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev415.gfab50bd:
  * Imported Translations from Transifex
  * Allow DHCPv6 solicit from VM
* Sat May 10 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev412.g7021443:
  * Make plugin deallocation check optional
  * ML2 VxlanTypeDriver: Synchronize of VxlanAllocation table
  * eswitch_neutron_agent: Whitespace fixes in comments
* Fri May  9 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev406.g00d8785:
  * Ensure core plugin deallocation after every test
  * Updated from global requirements
  * Big Switch: Check source_address attribute exists
  * Revert "Big Switch: Check source_address attribute exists"
  * NSX: ensure that no LSN is created on external networks
  * Make VPNaaS 'InUse' exception more clear
  * Revert "Disable debug messages when running unit tests"
  * Add support to dynamically upload drivers in PLUMgrid plugin
* Thu May  8 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev390.gd61006d:
  * Start ping listener also for postgresql
  * Remove explicit dependency on amqplib
  * Remove duplicate module-rgx line in .pylintrc
  * Fix H302 violations
  * lbaas on a network without gateway
  * Reference new get_engine() method from wsgi.py
  * Database exception causes UnboundLocalError in linuxbridge-agent
  * Drop service* tables only if they exist
* Wed May  7 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev374.g6f68598:
  * Disable debug messages when running unit tests
  * Big Switch: Check source_address attribute exists
  * L3 RPC loop could delete a router on concurrent update
  * Allow test_l3_agent unit test to run individually
* Tue May  6 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev366.g61edb74:
  * Fix importing module in test_netscaler_driver
* Tue May  6 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev365.gae3e92f:
  * Fix H302 violations in plugins package
  * Fix H302 violations in unit tests
  * Optimize querying for security groups
* Mon May  5 2014 mjura@suse.com
- Change dependency on python-amqp instead of python-amqplib
* Mon May  5 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev359.g098e50f:
  * Imported Translations from Transifex
* Sun May  4 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev358.g26182d6:
  * Improve help strings for radware LbaaS driver
  * LBaaS: Set correct nullable parameter for agent_id
* Sat May  3 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev354.g8d2634f:
  * Fix network profile subtype validation in N1kv plugin
  * tests/unit: refactor reading neutron.conf.test
  * Cisco VPN device driver - support IPSec connection updates
  * Allow ML2 plugin test cases to be run independently
  * Segregate the VSM calls from database calls in N1kv plugin
  * Vmware: Set correct nullable for lsn_id, nsx_port_id
* Fri May  2 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev342.gea61aaa:
  * Don't print duplicate messages on SystemExit
  * OVS and OF Agents: Create updated_ports attribute before setup_rpc
  * Imported Translations from Transifex
  * Removed signing_dir from neutron.conf
  * NSX: fix API payloads for dhcp/metadata setup
* Thu May  1 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev332.g48647fd:
  * Updated from global requirements
  * Synced jsonutils from oslo-incubator
  * Imported Translations from Transifex
  * NSX: fix migration for networks without a subnet
  * Wrong key router.interface reported by ceilometer
  * Fix protocol value for SG IPV6 RA rule
* Wed Apr 30 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev320.gffd0774:
  * Imported Translations from Transifex
  * Cisco APIC ML2 mechanism driver, part 1
  * Use set_gateway from ip_lib
  * Sync db code from oslo-incubator
  * Fix incorrect change of Enum type
  * Fix uninitialized variable reference
  * Invalid ovs-agent test case - test_fdb_add_flows
* Mon Apr 28 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev306.g930e18e:
  * Imported Translations from Transifex
* Sun Apr 27 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev304.g77a4451:
  * NSX: change api mapping for Service Cluster to Edge Cluster
  * NSX: add nsx switch lookup to dhcp and metadata operations
* Sat Apr 26 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev300.ge8114d1:
  * LBaaS: remove orphan haproxy instances on agent start
  * Fixed floating IP logic in PLUMgrid plugin
  * Re-submit "ML2 plugin should not delete ports on subnet deletion"
  * Remove List events API from Cisco N1kv Neutron
  * Exclude .ropeproject from flake8 checks
* Fri Apr 25 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev290.g03176c1:
  * Fix incorrect usage of sa.String() type
  * IBM: set secret=True on passwd config field
  * Fix H302 violations in extensions package
  * Replace loopingcall in notifier with a delayed send
  * Add 2-leg configuration to Radware LBaaS Driver
  * Fix migration that breaks Grenade jobs
  * Remove unused variable
  * Fix unshortened IPv6 address caused DHCP crash
* Thu Apr 24 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev274.gbd25dd1:
  * Imported Translations from Transifex
  * NSX: Fix fake_api_client to raise NotFound
  * Fix H302 violations in db package and services
  * Make help texts more descriptive in Metaplugin
  * OFAgent: Improve handling of security group updates
  * OFAgent: Process port_update notifications in the main agent loop
  * Check if bridge exists and make sure it's UP in ensure_bridge
  * Fix Metering doesn't respect the l3 agent binding
  * Enable flake8 E711 and E712 checking
  * Delete disassociated floating ips on external network deletion
* Wed Apr 23 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev254.gbfeb053:
  * ip-lib : use "ip neigh replace" instead of "ip neigh add"
  * Cisco: Set correct nullable for switch_ip, instance_id, vlan_id
  * Ml2: Set correct nullable for admin_state_up
  * Updated from global requirements
  * ML2 Cisco Nexus MD: Improve Unit Test Coverage
  * Add nova_ca_certificates_file option to neutron
  * gw_port should be set as lazy='join'
  * Validate IPv6 modes in API when IP version is 4
  * Remove RPC to plugin when dhcp sets default route
  * ofa_neutron_agent: Fix _phys_br_block_untranslated_traffic
  * Add support for https requests on nova metadata
* Tue Apr 22 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev232.gf350f1a:
  * allow delete_port to work when there are multiple floating ips
  * NSX: sync thread catches wrong exceptions on not found
  * Register LBaaS resources to quotas engine
* Sat Apr 19 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev226.g7305ace:
  * netaddr<=0.7.10 raises ValueError instead of AddrFormatError
  * Imported Translations from Transifex
  * netaddr<=0.7.10 raises ValueError instead of AddrFormatError
  * Add 'ip neigh' to ip_lib
  * Notifier: Catch NotFound error from nova
  * Switch over to FixedIntervalLoopingCall
  * ML2 Cisco Nexus MD: Remove unnecessary Cisco nexus DB
* Fri Apr 18 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev214.g9a1af60:
  * Validate CIDR given as ip-prefix in security-group-rule-create
  * Support enhancements to Cisco CSR VPN REST APIs
  * Remove workaround for bug #1219530
  * Use different name for the same constraint
* Wed Apr 16 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev206.gf89d3fe:
  * Nuage Plugin: Delete router requires precommit checks
  * Improved quota error message
  * Remove device_exists in LinuxBridgeManager
  * Add support for multiple RPC workers under Metaplugin
  * Security Group rule validation for ICMP rules
  * Add functional tests to verify ovs_lib VXLAN detection
  * Fixes Hyper-V agent security groups disabling
  * Start using oslosphinx theme for docs
* Tue Apr 15 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev191.g5ec4ec5:
  * DHCP agent should check interface is UP before adding route
  * Fix LBaaS Haproxy occurs error if no member is added
  * Add nova_api_insecure flag to neutron
  * Allow combined certificate/key files for SSL
  * Reschedule router if new external gateway is on other network
* Mon Apr 14 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev181.g3073496:
  * Verify ML2 type driver exists before calling del
  * Fix dangling patches in Cisco and Midonet tests
  * Make default nova_url use a version
  * Properly apply column default in migration pool_monitor_status
  * Edge driver: Improve exception handling
  * Typographical correction of Arista ML2 help
* Sun Apr 13 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev169.g55fcddc:
  * Edge firewall: improve exception handling
* Sat Apr 12 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev167.g89b26ed:
  * NSX plugin: fix get_gateway_devices
  * Remove mock.patch.stop from tests that inherit from BaseTestCase
  * Update ensure()/reconnect() to catch MessagingError
  * Fix typo in comment
  * VMware: log backend port creation in the right place
  * BigSwitch: Create router ports synchronously
  * lb-agent: fix get_interfaces_on_bridge returning None
* Thu Apr 10 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev153.g2ddc62d:
  * Remove "reuse_existing" from setup method in dhcp.py
  * Fixes Hyper-V agent security group ICMP rules
  * Fix typo in ml2 configuration file
  * Set correct columns' length
  * ML2 Cisco Nexus MD: Support portchannel interfaces
* Wed Apr  9 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev144.gce7e53e:
  * NSX: Fix KeyError in sync if nsx_router_id not found
  * Revert "Hide ipv6 subnet API attributes"
  * BSN: Remove module-level ref to httplib method
  * Set the log level to debug for loading extensions
  * Add common base class for agent functional tests
  * OFAgent: Avoid re-wiring ports unnecessarily
  * Clean out namespaces even if we don't delete namespaces
  * Remove duplicated tests for check_ovs_vxlan_version
  * Add support for router scheduling in Cisco N1kv Plugin
* Tue Apr  8 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev127.g69c99d2:
  * NSX: ensure dhcp port is setup on metadata network
  * Hide ipv6 subnet API attributes
  * Enforce required config params for ODL driver
  * Add L2 Agent side handling for non consistent security_group settings
  * BigSwitch: Stop HTTP patch before overriding
  * Fix wrong section name "security_group" in sample config files
  * Updated from global requirements
  * set api.extensions logging to ERROR in unit tests
  * OFA agent: use hexadecimal IP address in tunnel port name
  * Deals with fails in update_*_postcommit ops
  * Fix _validate_mac_address method
  * Correctly inherit __table_args__ from parent class
* Tue Apr  8 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev105.g26857d5:
  * Imported Translations from Transifex
  * Call policy.init() once per API request
  * Sync service and systemd modules from oslo-incubator
  * Delete routers that are requested but not reported as active
* Mon Apr  7 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev97.g815e0ea:
  * Add missing comma in nsx router mappings migration
  * BigSwitch: Improves server manager UT coverage
* Sun Apr  6 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev93.g0eb3a10:
  * Fixed TypeError when creating MlnxException
* Sat Apr  5 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev91.g908599a:
  * BigSwitch: Don't import portbindings_db until use
  * Don't emit log for missing attribute check policy
  * Imported Translations from Transifex
  * Move bash whitelisting to pep8 testenv
  * Fix test MAC addresses to be valid
  * Redundant SG rule create calls in unit tests
  * fixes broken neutron-netns-cleanup
  * Cisco VPN driver correct reporting for admin state chg
* Fri Apr  4 2014 dmueller@suse.com
- Update to version neutron-2014.2.dev75.gf8ee7b0:
  * ML2: ODL driver sets port status
  * Add a note that rpc_workers option is experimental
  * Fix Jenkins translation jobs
  * Set ns_name in RouterInfo as attribute
  * Replace HTTPSConnection in NEC plugin
  * ignore build directory for pep8
  * Imported Translations from Transifex
  * Explicitly import state_path opt in tests.base
  * fixes tests using called_once_ without assert
  * Remove invalid copyright headers under API module
  * Permit ICMPv6 RAs only from known routers
  * use floatingip's ID as key instead of itself
  * Use os.uname() instead of calling uname in subprocess
  * Restore NOT NULL constraint lost by earlier migrations
  * Remove last parts of Quantum compatibility shim
  * Fix quota_health_monitor opt name in neutron.conf
  * Changed the message line of RouterInUse class
  * De-duplicate unit tests for ports in Big Switch
  * Advanced Services documentation
* Thu Apr  3 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev39.gb3b4335:
  * update doc string - correct typo
  * Revert changes removing OVSBridge return
  * Return 409 for second firewall creation
  * Fixing Arista CLI command
  * Use a temp dir for CONF.state_path
  * Enable hacking H301 check
  * Stop using portbindings_db in BSN ML2 driver
  * NSX: Fix pagination support
  * Removing vim header lines
  * Only send notifications on uuid device_id's
  * Update BigSwitch Name to its correct name
  * NSX plugin: return 400 for invalid gw certificate
  * Log configuration values for OFA agent
* Wed Apr  2 2014 cloud-devel@suse.de
- Update to version neutron-2014.2.dev14.g69c3892:
  * Fix function parsing the kernel version
  * Updated from global requirements
  2014.1.rc1
  * BigSwitch: Semaphore on port status update
  * Imported Translations from Transifex
  * Add missing DB migrations for BSN ML2 plugin
  * Invoke _process_l3_create within plugin session
  * Move test_ovs_lib to tests/unit/agent/linux
  * Open Juno development
  * Add unit test for add_vxlan in test_linux_ip_lib
* Tue Apr  1 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev355.g64128cb:
  * Add Icehouse no-op migration
  * Imported Translations from Transifex
  * Add missing parameters for port creation
  * Cancelling thread start while unit tests running
  * Delete duplicate external devices in router namespace
  * UT: do not hide an original error in test resource ctxtmgr
  * Disable XML tests on Py26
  * Synced rpc and gettextutils modules from oslo-incubator
  * Delete subnet fails if assoc port has IPs from another subnet
* Sun Mar 30 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev337.g10ce2f2:
  * Fix namespace exist() method
* Sat Mar 29 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev335.g7782739:
  * BigSwitch: Move attr ref after error check
  * Migrate data from cap_port_filter to vif_details
  * Include cisco plugin in migration plugins with ovs
  * Fix segment allocation tables in Cisco N1kv plugin
* Fri Mar 28 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev327.g721830c:
  * Make dnsmasq aware of all names
  * Prevent cross plugging router ports from other tenants
  * Adds OVS_HYBRID_PLUG flag to portbindings
  * Subnets should be set as lazy='join'
  * nec plugin: allow to delete resource with ERROR status
  * Import request_id middleware bug fix from oslo
  * Correct OVS VXLAN version check
  * LBaaS: make device driver decide whether to deploy instance
  * VPNaaS support for VPN service admin state change and reporting
  * Big Switch Plugin: No REST port delete on net del
* Thu Mar 27 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev309.g96c0928:
  * Imported Translations from Transifex
* Wed Mar 26 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev308.g7443fdb:
  * ML2 Cisco Nexus MD: Remove workaround for bug 1276395
  * Replace a usage of the deprecated root_helper option
  * Add enable_security_group to BigSwitch and OneConvergence ini files
* Tue Mar 25 2014 dmueller@suse.com
- fix agent/plugin config ordering
* Tue Mar 25 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev302.g4599e80:
  * Add script to migrate ovs or lb db to ml2 db
  * Remove extra space in help string
  * Add nec plugin to allowed address pairs migration
  * NEC plugin: Rename quantum_id column to neutron_id
  * Return meaningful error message on pool creation error
  * Log dnsmasq host file generation
  * ML2 Cisco Nexus MD: VM migration support
* Mon Mar 24 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev288.gda177ab:
  * Imported Translations from Transifex
* Sun Mar 23 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev287.g7d8fdae:
  * Imported Translations from Transifex
  * Updated from global requirements
  * Log received pool.status
  * NEC plugin: Allow to add prefix to OFC REST URL
  * NEC plugin: Remove a colon from binding:profile key due to XML problem
  * rename ACTIVE_PENDING to ACTIVE_PENDING_STATUSES
  * Use save_and_reraise_exception when reraise exception
  * Avoid creating FixedIntervalLoopingCall in agent UT
  * Add enable_security_group option
  * Fix typo in lbaas agent exception message
  * Fix duplicate name of NVP LBaaS objs not allowed on vShield Edge
  * Added config value help text in ns metadata proxy
  * Cisco Nexus: maximum recursion error in ConnectionContext.__del__
  * NSX: lower the severity of messages about VIF's on external networks
  * Fix bug:range() is not same in py3.x and py2.x
  * Remove unnecessary call to get_dhcp_port from DeviceManager
* Sat Mar 22 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev255.gf1c7054:
  * Don't set priority when calling mod_flow
  * Imported Translations from Transifex
  * Get rid of additional db contention on fetching VIP
  * Fix usage of save_and_reraise_exception
  * Cisco VPN device driver post-merge cleanup
  * Sync excutils from oslo
  * Fixes Hyper-V agent security groups enable issue
  * cisco: Do not change supported_extension_aliases directly
  * NSX: Make replication mode configurable
  * Add missing ondelete option to Cisco N1kv tables
  * Delete duplicate internal devices in router namespace
* Fri Mar 21 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev233.g386aa20:
  * ML2: Remove validate_port_binding() and unbind_port()
  * Imported Translations from Transifex
  * tests/unit: clean up notification driver
  * add HEAD sentinel file that contains migration revision
  * Fixes the Hyper-V agent individual ports metrics
  * BigSwitch ML2: Include bound_segment in port
  * Add update binding:profile with physical_network
  * Enable to select an RPC handling plugin under Metaplugin
  * LBaaS: small cleanup in agent device driver interface
  * Ignore PortNotFound exceptions on lockless delete
  * Fix misleading error message about failed dhcp notifications
  * Bugfix and refactoring for ovs_lib flow methods
* Fri Mar 21 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev209.g0ad5c04:
  * Add a semaphore to some ML2 operations
  * NEC plugin: Honor Retry-After response from OFC
  * return false or true according to binding result
  * Ensure to count firewalls in target tenant
  * Mock agent RPC for FWaaS tests to delete DB objs
  * Allow CIDRs with non-zero masked portions
  * Cisco plugin fails with ParseError no elem found
  * Don't use root to list namespaces
  * ML2 BigSwitch: Don't modify parent context
  * Change report_interval from 4 to 30, agent_down_time from 9 to 75
  * Stop removing ip allocations on port delete
  * Imported Translations from Transifex
  * Show neutron API request body with debug enabled
  * Add session persistence support for NVP advanced LBaaS
  * NSX: Fix router-interface-delete returns 404 when router not in nsx
  * BigSwitch: Watchdog thread start after servers
  * Remove individual cfg.CONF.resets from tests
  * BigSwitch: Sync workaround for port del deadlock
  * Process ICMP type for iptables firewall
  * Kill 'Skipping unknown group key: firewall_driver' log trace
  * API layer documentation
  * BigSwitch: Use eventlet.sleep in watchdog
  * BigSwitch: Widen range of HTTPExceptions caught
  * NSX: Sync do not pass around model object
* Wed Mar 19 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev161.g0009e47:
  * NSX: Ensure gateway devices are usable after upgrade
  * Added missing l3_update call in update_network
  * Validate multicast ip range in Cisco N1kv Plugin
* Tue Mar 18 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev155.g43ccae0:
  * Calculate stateless IPv6 address
  * Create new IPv6 attributes for Subnets
  * Imported Translations from Transifex
  * ML2 plugin involves in agent_scheduler migration
  * Check vxlan enablement via modinfo
  * NVP LBaaS: check for association before deleting health monitor
* Mon Mar 17 2014 rhafer@suse.com
- switch over to non-openstack-prefix'ed users
* Mon Mar 17 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev143.gcde3da2:
  * Imported Translations from Transifex
  * Avoid long transaction in plugin.delete_ports()
* Sun Mar 16 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev140.gb76c9e8:
  * Fix KeyError except on router_info in FW Agent
  * NSX: fix intermetting UT failure on vshield test_router_create
  * NSX: Propagate name updates for security profiles
* Sat Mar 15 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev134.g8c86961:
  * NSX: remove last of unneed quantum references
  * Send fdb remove message when a port is migrated
  * Imported Translations from Transifex
  * Send network-changed notifications to nova
  * Notify nova when ports are ready
  * Skip radware failing test for now
  * Fix in admin_state_up check function
  * Fix ml2 & nec plugins for allowedaddresspairs tests
  * Fixing lost vlan ids on interfaces
  * Adds state reporting to SDN-VE agent
  * NSX: nicira_models should import model_base directly
  * Remove legacy quantum config path
  * Add extraroute_db support for Cisco N1kv Plugin
* Fri Mar 14 2014 rhafer@suse.com
- Install neutron-ha-tool without the .py suffix
* Fri Mar 14 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev111.gc989fc1:
  * Imported Translations from Transifex
  * Embrane LBaaS Driver
  * Fix unittest failure in radware lbaas driver
  * Removes calls to mock.patch.stopall in unit tests
  * Create agents table when ML2 core_plugin is used
  * Fix usage of sqlalchemy type Integer
* Thu Mar 13 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev100.g3067748:
  * Stop mock patches by default in base test class
  * Query for port before calling l3plugin.disassociate_floatingips()
  * Optimize floating IP status update
  * NSX: Allow multiple references to same gw device
  * VPNaaS Device Driver for Cisco CSR
  * Updated from global requirements
  * Call target plugin out of DB transaction in the Metaplugin
  * After bulk create send DHCP notification
  * NSX: Add ability to retry on 503's returned by the controller
* Wed Mar 12 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev82.g288e312:
  * BigSwitch: Fix certificate file helper functions
  * Fix ml2 db migration of subnetroutes table
  * N1kv: Fixes fields argument not None
* Tue Mar 11 2014 speilicke@suse.com
- Update to version neutron-2014.1.dev77.ge17a903:
  * Updated from global requirements
  * Imported Translations from Transifex
  * Fix lack of extended port's attributes in Metaplugin
  * BigSwitch: Fix rest call in consistency watchdog
  * Fixed Spelling error in Readme
  * Fix unittest failure in radware lbaas driver
  * Cisco Neutron plugin fails DB migration
  * One Convergence Neutron Plugin l3 ext support
- New sub-package nvsd-agent for the One Convergence NVSD Controller
  pluging agent. The plugin is still part of the base package (same
  as with most other plugins)
* Mon Mar 10 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev62.ga3e7e26:
  * Migration support for Mellanox Neutron plugin
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Updated from global requirements
  * Add support for tenant-provided NSX gateways devices
  * NSX: fix nonsensical log trace on update port
  * BigSwitch: Fix cfg.Error format in exception
  * BigSwitch: Fix error for server config check
  * Floatingip_status migration not including Embrane's plugin
  * Nuage plugin was missed in floatingip_status db migration script
  * Drop old nvp extension file
  * Makes the Extension loader behavior predictable
  * Enhance GET networks performance of metaplugin
  * Developer documentation
* Fri Mar  7 2014 rhafer@suse.com
- Add neutron-ha-tool.py and create the openstack-neutron-ha-tool
  subpackage for it.
* Fri Mar  7 2014 speilicke@suse.com
- Update to version neutron-2014.1.dev36.g005fec6:
  * One Convergence Neutron Plugin Implementation
  * NEC plugin: delete old OFC ID mapping tables
  * Imported Translations from Transifex
  * Fix typo in migration script
  * BigSwitch: Add SSL Certificate Validation
  * BigSwitch: Auto re-sync on backend inconsistencies
  2014.1.b3
  * Add OpenDaylight ML2 MechanismDriver
  * Replaces network:* strings by constants
  * NSX: passing wrong security_group id mapping to nsx backend
  * ovs-agent: use hexadecimal IP address in tunnel port name
  * Fix DetachedInstanceError for Agent instance
- Drop unused python-coverage and python-pyudev requirements
- Package /etc/neutron/plugins/ml2/ml2_conf_odl.ini and
  /etc/neutron/plugins/oneconvergence/nvsdplugin.ini
* Thu Mar  6 2014 bwiedemann@suse.com
- Update to version neutron-2014.1.dev458.g17698d6:
  * Adds the missing migration for gw_ext_mode
  * VPNaaS Service Driver for Cisco CSR
  * Updated from global requirements
  * Do fip_status migration only for l3-capable plugins
  * Fix race condition in update_floatingip_statuses
  * Implementaion of Mechanism driver for Brocade VDX cluster of switches
  * Avoid unnecessarily checking the existence of a device
  * Refactor netns.execute so that it is not necessary to check namespace
  * Minor refactoring for Hyper-V utils and tests
  * Adds Hyper-V Security Groups implementation
  * Adds multiple RPC worker processes to neutron server
  * NEC plugin: PFC packet fitler support
  * Remove unused method update_fixed_ip_lease_expiration
  * NSX: make sync backend run more often
  * Use database session from the context in N1kv plugin
  * ML2 mechanism driver access to binding details
  * Reset the policy after loading extensions
  * L3 agent fetches the external network id once
* Wed Mar  5 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev422.g9c47fa1:
  * Rename migration lb_stats_needs_bigint to match revision number
  * Imported Translations from Transifex
  * Different class names for VPNaaS migrations
  * ML2: database needs to be initalized after drivers loaded
  * replace rest of q_exc to n_exc in code base
  * Fix NVP/Nicira nits
  * Embrane Plugin fails alembic migrations
  * Implement Mellanox ML2 MechanismDriver
  * Remove unused 'as e' in exception blocks
  * Improves Arista's ML2 driver's sync performance
  * Remove pyudev dependency
  * Fix class name typo in test_db_rpc_base
* Tue Mar  4 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev398.g78366ad:
  * Remove nvplib and move utility methods into nsxlib
  * BigSwitch: Add address pair support to plugin
  * Support advanced NVP IPsec VPN Service
  * Fix NVP FWaaS errors when creating firewall without policy
  * Avoid using "raise" to reraise with modified exception
  * BigSwitch: Stop using external locks
  * Make sure dnsmasq can distinguish IPv6 address from MAC address
  * Move db migration of ml2 security groups to havana
* Mon Mar  3 2014 bwiedemann@suse.com
- Update to version neutron-2014.1.dev383.ge99f84c:
  * Remove vim line from db migartion template
  * Imported Translations from Transifex
  * Implement OpenFlow Agent mechanism driver
  * Log configuration values for OVS agent
  * BigSwitch: Asynchronous rest calls for port create
  * Openvswitch update_port should return updated port info
  * Change tenant network type usage for IB Fabric
* Mon Mar  3 2014 bwiedemann@suse.com
- add ibm-agent and restproxy-agent subpackages
- Update to version neutron-2014.1.dev369.g4e4c894:
  * Remove call to addCleanup(cfg.CONF.reset)
  * nec plugin: Avoid long transaction in delete_ports
  * Imported Translations from Transifex
  * Finish off rebranding of the Nicira NVP plugin
  * Introduce status for floating IPs
  * BigSwitch: Add agent to support neutron sec groups
  * Adds the new IBM SDN-VE plugin
  * Imported Translations from Transifex
  * Nuage Networks Plugin
  * Fixes spelling error Closes-Bug: #1284257
  * Updated from global requirements
  * Change firewall to DOWN when admin state down
  * NSX: add missing space 'routeron'
  * Imported Translations from Transifex
  * Update License Headers to replace Nicira with VMware
  * Renaming plugin-specific exceptions to match NSX
  * Imported Translations from Transifex
  * DB Mappings for NSX security groups
  * NSX: port status must reflect fabric, not link status
  * Typo/grammar fixes for the example neutron config file
  * NSX: Pass NSX uuid when plugging l2 gw attachment
  * stats table needs columns to be bigint
  * Remove import extension dep from db migration
  * Fix get_vif_port_by_id to only return relevant ports
  * Fix NSX migration path
  * Add user-supplied arguments in log_handler
  * Imported Translations from Transifex
  * NSX: Fix newly created port's status should be DOWN
  * Rename/refactoring of NVP api client to NSX
  * Rename DB models and related resources for VMware NSX plugin
* Mon Feb 24 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev253.g07a467d:
  * Updated from global requirements
  * Imported Translations from Transifex
  * Raise max header size to accommodate large tokens
  * NSX: get_port_status passed wrong id for network
  * remove pointless test TestN1kvNonDbTest
  * Use "!=" instead of "is not" when comparing two values
  * ML2/vxlan/test: remove unnecessary self.addCleanup(cfg.CONF.reset)
  * Adds https support for metadata agent
  * wsgi.run_server no longer used
  * Implements an LBaaS driver for NetScaler devices
  * Improve unit test coverage for Cisco plugin model code
  * ipt_mgr.ipv6 written in the wrong ipt_mgr.ipv4
  * Update help message of flag 'enable_isolated_metadata'
  * Fix invalid facilities documented in rootwrap.conf
  * Remove dependent module py3kcompat
  * Use six.StringIO/BytesIO instead of StringIO.StringIO
  * remove unused imports
  * Ensure that session is rolled back on bulk creates
  * add router_id to response for CRU on fw/vip objs
  * Sync latest oslo.db code into neutron
  * Extending quota support for neutron LBaaS entities
* Sun Feb 23 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev211.gbd55a52:
  * Reset API naming scheme for VMware NSX plugin
  * Rename Security Groups related methods for VMware NSX plugin
  * Rename L2 Switch/Gateway related methods for VMware NSX plugin
  * Rename Router related methods for VMware NSX plugin
  * Plugins should call __init__ of db_base_plugin for db.configure
  * Fixes broken documentation hyperlinks
  * Imported Translations from Transifex
  * Add support to request vnic type on port
  * Fix typo in service_drivers.ipsec
  * Add additional unit tests for the ML2 plugin
  * Don't document non-existing flag '--hide-elapsed'
  * Removes an incorrect and unnecessary return
  * L3 Agent restart causes network outage
* Sat Feb 22 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev186.g4d72fe0:
  * Imported Translations from Transifex
  * Don't require passing in port_security=False if security_groups present
  * Use different context for each API request in unit tests
  * Sync minimum requirements
  * Copy cache package from oslo-incubator
  * BigSwitch: Move config and REST to diff modules
  * tests/unit: Initialize core plugin in TestL3GwModeMixin
  * Fix request timeout errors during calls to NSX controller
  * Fix ValueError in ip_lib.IpRouteCommand.get_gateway()
  * LBaaS: move agent based driver files into a separate dir
  * Refactor to remove _recycle_ip
* Fri Feb 21 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev165.g9f1bdec:
  * vshield task manager: abort tasks in stop() on termination
  * Revert "Skip a test for nicira service plugin"
  * Validate rule uuids provided for update_policy
  * Add update from agent to plugin on device up
  * Parse JSON in ovs_lib.get_vif_port_by_id
* Thu Feb 20 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev155.gf0182a1:
  * Imported Translations from Transifex
  * Remove unused RPC calls from n1kv plugin code
* Wed Feb 19 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev151.g7fb2d57:
  * Imported Translations from Transifex
  * Add and update subnet properties in Cisco N1kv plugin
* Tue Feb 18 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev148.g40832a9:
  * Skip a test for nicira service plugin
  * Remove DEBUG:....nsx_cluster:Attribute is empty or null
* Mon Feb 17 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev144.gb2ac45e:
  * Imported Translations from Transifex
* Sun Feb 16 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev143.g6e8aeba:
  * Avoid processing ports which are not yet ready
* Fri Feb 14 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev141.gb70dce2:
  * Add DB mappings with NSX logical routers
  * Use save_and_reraise_exception when reraise exception
  * nec plugin: Compare OFS datapath_id as hex int
  * Rename Queue related methods for VMware NSX plugin
  * Lowercase OVS sample config section headers
  * Fix log-related tracebacks in nsx plugin
  * mailmap: update .mailmap
  * Remove unused code
* Thu Feb 13 2014 dmueller@suse.com
- update dependencies
* Thu Feb 13 2014 cloud-devel@suse.de
- Update to version neutron-2014.1.dev128.g4d63a13:
  * Add DB mappings with NSX logical switches
  * NSX: Fix possible deadlock in sync code
  * Raise an error from ovs_lib list operations
  * Imported Translations from Transifex
* Wed Feb 12 2014 dmueller@suse.com
- add dependency to openvswitch-switch
* Wed Feb 12 2014 speilicke@suse.com
- Update to version neutron-2014.1.dev120.gc900327:
  * Imported Translations from Transifex
  * Add migration support from agent to NSX dhcp/metadata services
  * NSX plugin: fix floatingip re-association
  * Re-enable lazy translation
  * Do not append to messages with +
  * Remove psutil dependency
  * Fix binding:host_id is set to None when port update
  * Return request-id in API response
  * Skip extra logging when devices is empty
  * Improve handling of security group updates
  * ML2 plugin cannot raise NoResultFound exception
  * Fix typo in rootwrap files: neuton -> neutron
  * Imported Translations from Transifex
  * Prepare for multiple cisco ML2 mech drivers
  * ML2 Cisco Nexus MD: Create pre/post DB event handlers
  * Support building wheels (PEP-427)
  * NVP plugin:fix delete sec group when backend is out of sync
  * Use oslo.rootwrap library instead of local copy
  * Fix misspellings in neutron
  * Allow multiple DNS forwarders for dnsmasq
  * Fix passing keystone token to neutronclient instance
  * Fix race condition in network scheduling to dhcp agent
  * add quota support for ryu plugin
  * Imported Translations from Transifex
  * Enables BigSwitch/Restproxy ML2 VLAN driver
  * Fix error message typo
  * Configure floating IPs addresses after NAT rules
  * Add an explicit tox job for functional tests
- Rebased patches:
  + 0001-Only-enable-IP6Tables-managing-if-IPv6-is-available.patch (manually)
- Dropped patches:
  + unlimited-psutil.diff (doesn't make sense anymore)
- Remove python-psutil dependency
- Replace git_tarballs source service with download_files and set_version
  + Use upstream URL as source (enables verification)
- Don't install /var/run/neutron twice
- Add /etc/neutron/plugins/ml2/restproxy.ini and /usr/bin/neutron-nsx-manage
* Sun Feb  9 2014 dmueller@suse.com
- set firewall_driver also in linuxbridge ini
* Fri Jan 31 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev3.gba12cc8:
  + Fix the migration adding a UC to agents table
* Thu Jan 30 2014 dmueller@suse.com
- move lock_path to /var/run
* Wed Jan 29 2014 dmueller@suse.com
- configure signing_dir / lock_path
* Wed Jan 29 2014 vuntz@suse.com
- Package /var/lock/neutron.
- Use correct group name for directory ownerships.
- Do not make /var/{cache,run}/neutron readable by others.
* Mon Jan 27 2014 dmueller@suse.com
- adjust logrotate script
* Mon Jan 27 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev1.gb78eea6:
  + Remove and recreate interface if already exists
* Thu Jan 23 2014 vuntz@suse.com
- Allow specifying multiple additional config files in
  /etc/sysconfig/neutron. This is e.g. needed when using
  ml2_conf_cisco.ini for the cisco_nexus mechanism driver
* Wed Jan 22 2014 dmueller@suse.com
- set interface_driver for LoadBalancer
* Tue Jan 21 2014 dmueller@suse.com
- set state_path to /var/lib/neutron
* Sun Jan 19 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev209.g49efd60:
  + VMware NSX: add sanity checks for NSX cluster backend
  + Clean up ML2 Manager
* Fri Jan 17 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev205.g06a2684:
  + Fix negative unit test for sec group rules
  + Configure plugins by name
  + Update RPC code from oslo
* Thu Jan 16 2014 dmueller@suse.com
- remove flake8/pep8 requires, they come from hacking now
* Thu Jan 16 2014 bwiedemann@suse.com
- fix openstack.neutron.init to not start before DB and rabbitmq
* Thu Jan 16 2014 dmueller@suse.com
- fix ovs-cleanup being run without config file
* Thu Jan 16 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev199.gf89cf12:
  + LBaaS: synchronize haproxy deploy/undeploy_instance methods
  + Add binding:host_id when creating port for probe
* Tue Jan 14 2014 cloud-devel@suse.de
- Rebased patches:
  + 001-Fix-pip-install-failure-due-to-missing-nvp-ini-file.patch dropped (merged upstream)
* Tue Jan 14 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev195.gab1f474:
  + Imported Translations from Transifex
  + Imported Translations from Transifex
  + VMware NSX: Fix db integrity error on dhcp port operations
  + Make timeout for ovs-vsctl configurable
  + L3 Agent can handle many external networks
  + Fix pip install failure due to missing nvp.ini file
* Mon Jan 13 2014 dmueller@suse.com
- switch to ML2 network plugin by default (with linuxbridge)
- add unlimited-psutil.diff
- also load loadbalance and vpn plugin
* Mon Jan 13 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev185.gd739291:
  + Remove FWaaS Noop driver as default and move to unit tests dir
  + Fix race condition on ml2 delete and update port methods
  + Fix mistake in usage drop_constraint parameters
  + Update lockutils and fixture in openstack.common
* Sun Jan 12 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev177.gc9bfbbd:
  + Add test to port_security to test with security_groups
  + Add VXLAN example to ovs_neutron_plugin.ini
  + Remove extra whitespace
  + Fix extension description and remove unused exception
* Sat Jan 11 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev169.ga848204:
  + Fix Migration 50e86cb2637a and 38335592a0dc
  + Remove dupl. for get_resources in adv. services
* Fri Jan 10 2014 dmueller@suse.com
- add 0001-Only-enable-IP6Tables-managing-if-IPv6-is-available.patch
- fix check_migration call on start
* Fri Jan 10 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev165.gffa8f68:
  + Update the descriptions for the log cfg opts
* Thu Jan  9 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev163.g641e7c6:
  + Add security groups tables for ML2 plugin via migration
  + neutron-rootwrap-xen-dom0 handles data from stdin
  + Remove plugin_name_v2 and extension_manager in test_config
* Tue Jan  7 2014 mjura@suse.com
- Add 001-Fix-pip-install-failure-due-to-missing-nvp-ini-file.patch
* Tue Jan  7 2014 dmueller@suse.com
- remove 0001-Fix-install-after-nicira-vmware-folder-rename.patch
- adjust obsoletes to 2014.1
* Tue Jan  7 2014 speilicke@suse.com
- Update to version 2014.1.dev157.g9ebb84c:
  + Corrects broken format strings in check_i18n.py
* Tue Jan  7 2014 mjura@suse.com
- Add Provides: and Obsoletes: for %%package vmware-agent
* Tue Jan  7 2014 dmueller@suse.com
- Update to version 2014.1.dev155.g59c078f:
  + Rename nicira configuration elements to match new naming structure
  + Enables quota extension on BigSwitch plugin
  + Use base.BaseTestCase in NVP config test
- add 0001-Fix-install-after-nicira-vmware-folder-rename.patch
- rename subpackage to vmware-agent
* Sun Jan  5 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev151.g5317b9e:
  + Fix race in get_network(s) in OVS plugin
* Sat Jan  4 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev149.g9f4ba03:
  + Start of new developer documentation
  + Mock looping_call in metadata agent tests
* Thu Jan  2 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev145.g40210e5:
  + Add post-mortem debug option for tests
  + Remove redundant codes
  + Rename check_nvp_config utility tool
  + nicira: fix db integrity error during port deletion
  + Fix NoSuchOptError in lbaas agent test
  + Add missing quota flags in the config file sample
  + Remove unused imports
  + Fix empty network deletion in db_base_plugin for postgresql
  + Imported Translations from Transifex
* Tue Dec 24 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev128.g84aeb9a:
  + BigSwitch: Fixes floating IP backend updates
  + Send DHCP notifications regardless of agent status
  + Imported Translations from Transifex
* Mon Dec 23 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev122.g8d13b71:
  + Fixes missing method in Hyper-V Utils (Metering)
* Sun Dec 22 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev120.g2f49d05:
  + extra_dhcp_opt add checks for empty strings
* Fri Dec 20 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev118.gf7dc0ca:
  + Remove start index 0 in range()
  + Do not trigger agent notification if bindings do not change
* Thu Dec 19 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev114.ga7bdec1:
  + fix --excluded of meter-label-rule-create is not working
  + ml2: gre, vxlan type driver can leak segment_id
  + Change default eswitchd port to avoid conflict
  + Imported Translations from Transifex
  + Midonet plugin: Fix source NAT
  + ml2/type_gre: Adds missing clear_db to test_type_gre.py
  + Add support for NSX/NVP Metadata services
* Wed Dec 18 2013 dmueller@suse.com
- Update to version 2014.1.dev100.gdcad22f:
  + Updated from global requirements
  + Updates tox.ini to use new features
  + Revert "move rpc_setup to the last step of __init__"
  + Imported Translations from Transifex
  + NVP plugin: Do backend router delete out from db transaction
  + Nicira: Fix core_plugin path and update default values in README
  + Switch to using spawn to properly treat errors during sync_state
  + Update common network type consts to same origin
  + Imported Translations from Transifex
  + NVP plugin: Avoid timeouts if creating routers in parallel
  + Include lswitch id in NSX plugin port mappings
  + NVP: propagate net-gw update to backend
  + Imported Translations from Transifex
- remove sqlalchemy-08x.diff, not needed atm
* Thu Dec 12 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev77.g60b43ce:
  + Fix a race condition in agents status update code
  + move rpc_setup to the last step of __init__
  + Add X-Tenant-ID to metadata request
* Wed Dec 11 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev71.gdbd6d45:
  + change variable name from plugin into agent
  + Imported Translations from Transifex
  + Fix str2dict and dict2str's incorrect behavior
  + LBaaS: unify haproxy-on-host plugin driver and agent
  + Sync global requirements to pin sphinx to sphinx>=1.1.2,<1.2
* Tue Dec 10 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev63.gaa5b4f6:
  + Add vpnaas and debug filters to setup.cfg
  + Imported Translations from Transifex
  + Fix misspells
  + Handle exceptions on create_dhcp_port
  + Imported Translations from Transifex
  + atomically setup ovs ports
  + Fix metering iptables driver doesn't read root_helper param
  + Improve unit test coverage for Cisco plugin base code
  + Fix bad call in port_update in linuxbridge agent
  + metaplugin: use correct parameter to call neutron client
  + Midonet to support port association at floating IP creation
  + Improve unit test coverage for Cisco plugin nexus code
  + Fix MeteringLabel model to not clear router's tenant id on deletion
  + Ensure NVP API connection port is always an integer
  + Fix downgrade in migration
  + Change to improve dhcp-agent sync_state
  + Imported Translations from Transifex
  + Sync dhcp_agent.ini with the codes
  + Handle failures on update_dhcp_port
  + Fix a typo in log exception in the metering agent
  + Sync rpc fix from oslo-incubator
  + Do not concatenate localized strings
  + Fix unable to add allow all IPv4/6 security group rule
  + Improve unit test coverage for Cisco plugin common code
  + Add request timeout handling for Mellanox Neutron Agent
  + Removed erronus config file comment
  + Imported Translations from Transifex
  + Add fwaas_driver.ini to setup.cfg
  + Preserve floating ips when initializing l3 gateway interface
  + Remove dead code _arp_spoofing_rule()
  + l3_agent: make process_router more robust
  + Add LeastRouters Scheduler to Neutron L3 Agent
  + Imported Translations from Transifex
  + Remove root_helper config from plugin ini
* Wed Dec  4 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev384.g0b2d56c:
  + Move MidonetInterfaceDriver and use mm-ctl
  + update error msg for invalid state to update vpn resources
  + Sync Log Levels from OSLO
  + Adds id in update_floatingip API in PLUMgrid plugin driver
  + Fix downgrade in migration
  + Cisco nexus plugin fails to untrunk vlan if other hosts using vlan
* Tue Dec  3 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev372.gfbfa21e:
  + Improve OVS agent logging for profiling
  + Pass in certain ICMPv6 types by default
  + Updates .gitignore
  + Imported Translations from Transifex
* Sun Dec  1 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev364.g426ada7:
  + Revert "ML2 plugin should not delete ports on subnet deletion"
  + Add support for NSX/NVP DHCP services
* Sat Nov 30 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev360.g512b4e7:
  + Mock the udevadm in the TunnelTestWithMTU test
* Fri Nov 29 2013 dmueller@suse.com
- fix requires
* Fri Nov 29 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev358.g771f4fa:
  + Avoid dhcp agent race condition on subnet and network delete
  + Handle IPAddressGenerationFailure during get_dhcp_port
  + Fwaas can't run in operating system without namespace feature
  + Stop logging unnecessary warning on context create
  + Fix showing nonexistent NetworkGateway throws 500 instead of 404
  + Optionally delete namespaces when they are no longer needed
  + Rebind allowed address pairs only if they changed
  + Add test_handle_router_snat_rules_add_rules
  + Do not add DHCP info to subnet if DHCP is disabled
  + Fix random unit-test failure for NVP advanced plugin
  + Avoid loading policy when processing rpc requests
* Thu Nov 28 2013 dmueller@suse.com
- add init script for neutron-ovs-cleanup (bnc#848790)
- always run neutron-ovs-cleanup first
* Thu Nov 28 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev336.g8f361a6:
  + Enforce unique constraint on neutron pool members
  + Call _destroy_metadata_proxy from _destroy_router_namespaces
  + Update Zhenguo Niu's mailmap
  + fixes test_kill_pids_in_file conflicts
  + Send only one agent notification on port update
  + Fix format errors seen in rpc logging
  + Mocking ryu plugin notifier in ryu plugin test
  + Fix downgrade in migration
  + Rebind security groups only when they're updated
  + Added check on plugin.supported_extension_aliases
  + Apply six for metaclass
* Wed Nov 27 2013 dmueller@suse.com
- add sqlalchemy-08x.diff
* Wed Nov 27 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev315.g4b47717:
  + Sync openstack.common.local from oslo
  + Imported Translations from Transifex
* Tue Nov 26 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev311.g15d5f16:
  + remove repeated network type definition in cisco plugin
  + Replace stubout with fixtures
  + Imported Translations from Transifex
  + Imported Translations from Transifex
* Mon Nov 25 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev304.gc655156:
  + MidoNet: Added support for the admin_state_up flag
* Sun Nov 24 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev302.g75ac6c1:
  + NVP plugin:fix connectivity to fip from internal nw
  + Imported Translations from Transifex
* Sat Nov 23 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev298.gf0bd2dd:
  + Use correct device_manager member in dhcp driver
  + Correct handling mock.patch.stop method
  + Linux device name can have '@' or ':' characters
  + Catch PortNotFound exception during get_dhcp_port
  + Add request-id to log messages
  + Adds tests, fixes Radware LBaaS driver as a result
  + LBaaS UT: use constants vs magic numbers for http error codes
  + Adds delete of a extra_dhcp_opt on a port
  + Fix OVS agent reclaims local VLAN
  + Fix sqlalchemy DateTime type usage
  + Add state reporting to the metadata agent
  + Imported Translations from Transifex
  + ML2 plugin should not delete ports on subnet deletion
* Fri Nov 22 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev272.g67f4c6c:
  + LBaaS: when returning VIP include session_persistence even if None
  + Imported Translations from Transifex
* Thu Nov 21 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev268.gac260f0:
  + LBaaS: fix reported binary name of a loadbalancer agent
  + Replace mox in unit tests with mock
  + Reduce the severity of dhcp related log traces
  + Ensure get_pid_to_kill works with rootwrap script
  + Move Loadbalancer Noop driver to the unit tests
  + Add configurable ovsdb monitor respawn interval
  + Enable polling minimization
* Mon Nov 18 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev256.gbc18247:
  + Add log statements for policy check failures
  + Imported Translations from Transifex
  + Removes unused nvp plugin config param
  + Round-robin SVI switch selection fails on Cisco Nexus plugin
  + Do not run "ovs-ofctl add-flow" with an invalid in_port
* Sun Nov 17 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev247.g313fdd1:
  + Lower severity of log trace for DB integrity error
* Sat Nov 16 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev245.gec5ed3e:
  + Refactor configuring of floating ips on a router
  + Imported Translations from Transifex
* Fri Nov 15 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev241.g836d2d5:
  + Fix DB integrity issues when using postgres
  + Tune up report and downtime intervals for l2 agent
  + Arista ML2 mech driver cleanup and integration with portbindings
  + Replace a non-existing exception
  + Remove deprecated fields in keystone auth middleware
  + Cleanup HACKING.rst
  + Fix import log_handler error with publish_errors set
* Thu Nov 14 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev227.g0e2198e:
  + Remove the warning for Scheduling Network
* Wed Nov 13 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev225.g1fa79ce:
  + Updated from global requirements
  + Remove database section from plugin.ini
* Tue Nov 12 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev221.g5392ec0:
  + ExtraRoute: fix _get_extra_routes_by_router_id()
  + Don't shadow str
  + Simplify using external routers and metadata
  + Remove confusing comment and code for LBaaS
  + DHCP agent scheduler support for BigSwitch plugin
* Sat Nov  9 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev211.gad97c96:
  + Support uncompressed ipv6 address and abbreviated ipv4 address
* Thu Nov  7 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev209.gb1d56ed:
  + Fix segment range in N1KV test to remove overlap
* Sat Nov  2 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev207.gcdad785:
  + sync log from oslo
  + Fix query error on dhcp release port for postgresql
* Fri Nov  1 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev203.g97308f1:
  + Creates multiple worker processes for API server
  + Avoid dhcp agent race condition on subnet and network delete
* Thu Oct 31 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev199.gac545c5:
  + Imported Translations from Transifex
* Tue Oct 29 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev198.g919f688:
  + Modified configuration group name to lowercase
  + Fix required enum's name in migration
* Tue Oct 29 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev194.g99da250:
  + Fix incorrect indentations found by Pep 1.4.6+
* Mon Oct 28 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a192.ga8c3c0c:
  + Fix TypeError: <MagicMock name='LinuxBridgeManager().local_ip'
  + Updated from global requirements
  + Fix argument mismatch failure for neutron-check-nvp-config
  + Handle 405 error codes correctly in NVP plugin
  + Enable one disabled tests in NEC plugin that blocked by 1229954
  + Fix update_device_up method of linuxbridge plugin
  + Imported Translations from Transifex
  + Remove uneeded variable AGENT_NAME
  + Fix a copy&paste typo
  + Make test_nvp_sync.SyncLoopingCallTestCase reliable
  + fix nvp version validation for distributed router creation
  + Removing workflows from the Radware driver code
  + Utilizes assertIsNone and assertIsNotNone
  + NVP: Correct NVP router port mac to match neutron
  + Ensure OVS plugin is loaded in OVS plugin test
  + LBaaS: Fix incorrect pool status change
  + Fix error while creating l2 gateway services in nvp
* Sun Oct 27 2013 dmueller@suse.com
- remove 0001-Fix-update_device_up-method-of-linuxbridge-plugin.patch
* Thu Oct 24 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a158.gd7ee301:
  + change assertEquals to assertEqual
  + Imported Translations from Transifex
* Wed Oct 23 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a155.g30ba5b3:
  + Spawn arping in thread to speed-up floating IP
* Tue Oct 22 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a153.g7ce5368:
  + Update send_arp_for_ha default in l3_agent.ini
  + change NetworkVxlanPortRangeError to base NeutronException
* Mon Oct 21 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a149.g0dd9315:
  + change seld into self
* Sun Oct 20 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a148.ga04e91d:
  + Imported Translations from Transifex
  + Fix to not send fdb updates when no port changes
  + Updated from global requirements
  + Add error log for SystemExit in dhcp-agent
  + Fix lb doesn't remove vxlan int. if no int. map
* Sat Oct 19 2013 dmueller@suse.com
- fix requires of vpn-agent
* Sat Oct 19 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a139.g71b5ccf:
  + Fix L2pop to not send updates for unrelated networks
  + Set wsgi logger to use __name__
  + Imported Translations from Transifex
  + avoid changing the rule's own action
* Fri Oct 18 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a132.g1db88c3:
  + Detect and process live-migration in Cisco plugin
  + nvp:log only in rm router iface if port not found
* Thu Oct 17 2013 dmueller@suse.com
- update requires
- add 0001-Fix-update_device_up-method-of-linuxbridge-plugin.patch
* Thu Oct 17 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a129.gb94b4b0:
  + Imported Translations from Transifex
* Wed Oct 16 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a128.g85e798d:
  + Removing rpc communication from db transaction
  + Handle VLAN interfaces with Linux IP wrapper
  + Add port bindings to ports created in Midonet
  + use proxy mode on vxlan interface only when l2-population is activated
  + Fix IP recycling on exhausted pool
  + Update Cisco N1KV plugin to VSM REST api calls
  + Cleanup and make HACKING.rst DRYer
* Tue Oct 15 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a114.gd63ef8e:
  + Updating address pairs with xml doesn't work
  + Remove obsolete redhat-eventlet.patch
  + Improve ovs_lib bridge management
  + Add the option to minimize ovs l2 polling
  + Avoid suppressing underlying error when deploy.loadapp fails
  + Imported Translations from Transifex
  + Fix access to lifetime dict in update_ipsecpolicy method
* Tue Oct 15 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a101.g8ed9b2c:
  + Imported Translations from Transifex
  + cisco/nexus plugin doesn't create port for router interface
  + Add support for managing async processes
* Mon Oct 14 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a96.g6e71f90:
  + Raise ConfigFilesNotFoundError if CONF.api_paste_config not found
  + Utilizes assertNotIn
  + Imported Translations from Transifex
  + Utilizes assertIn
  + Add quota table in PLUMgrid plugin
  + BigSwitch: correct net to backend on floating IP disassociation
  + Correct the typo %%{edge_id)s
  + Fix dhcp_release lease race condition
  + Correct the exception message
  + Imported Translations from Transifex
  + Fixes port status hanging to build status
  + Imported Translations from Transifex
  + Fix migration
  + Fix auto-deletion of ports when deleting subnets in ML2
  + Fallback to Quota Conf Driver if Quotas table is not defined
  + DB migration upgrade/downgrade not employed for brocade-plugin
  + Use L3 api from vpn ipsec driver via service plugin
  + Imported Translations from Transifex
  + Imported Translations from Transifex
* Wed Oct  9 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a61.gc7db907:
  + Imported Translations from Transifex
  + Disassociate floating IPs from port on terminate
  + Prevent L3 agent looping calls from hanging
* Sat Oct  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.rc1:
  + Cisco plugin should check for switch - vlan bindings
  + Disable lazy translation
  + Imported Translations from Transifex
  + Should not add metadata filter rules if disable metadata proxy
  + add greenthread.sleep to increase yields
  + Updated from global requirements
  + create milestone migration for Havana release
* Wed Oct  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a780.gb94a602:
  + Increase number of concurrent_connections to nvp
* Tue Oct  1 2013 dmueller@suse.com
- set log to verbose by default
- require dnsmasq-utils on 13.1 or newer
* Tue Oct  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a778.g6d089df:
  + Fixes Hyper-V agent RPC calls for ML2 support
  + Fix auto-deletion of ports and subnets in ML2
  + Add error log for SystemExit in l3-agent
  + Add missing migration for fields in Cisco Nexus table
  + ML2 Cisco Nexus mech driver portbinding support
  + Imported Translations from Transifex
  + Ensure that security group agent is bound prior to accessing
  + Reverse the order of interface update and DNAT rule config
  + Fix to enable delete of firewall in PENDING_CREATE state
  + Improve ml2_conf.ini
  + Imported Translations from Transifex
* Sun Sep 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a757.g5527e76:
  + Add host routes and dns nameservers to Midonet DHCP
  + Fix adding identical metering rules on two labels
  + Pythonic method names for l3_agent unit tests
  + Imported Translations from Transifex
* Sat Sep 28 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a750.g4f14217:
  + Sync rootwrap with code from oslo
  + Ensure router exists when auto_schedule_routers
  + Add an option for always synchronizing status
  + Allowed Address Pairs support in NEC plugin
  + Send proper exception info as expected by the neutron client
  + Redefine behavior for NvpAdvancedPlugin during network creation
  + Raise an exception if no router_id provided
* Fri Sep 27 2013 dmueller@suse.com
- switch to crudini
* Fri Sep 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a736.gbf7a895:
  + Imported Translations from Transifex
  + Allow sharing of firewall rules and policies in policy.json
* Thu Sep 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a732.gae56b4e:
  + Ensure nullable=False for netid in packetfilters table
* Thu Sep 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a730.g0836aab:
  + Properly synchronize status for ports deleted from backend
  + Port Cisco nexus subplugin UT to ML2 mech driver UT
  + Require oslo.config 1.2.0 final
  + Fix FWaaS plugin to allow one firewall per tenant
  + Imported Translations from Transifex
  + add portbinding host into vip port
  + Remove code that bypasses some midonet plugin unit tests
  + Fix port deletion in NEC Plugin
  + Sync gettextutils from oslo
  + Change hard coded numbers to constants in security group tests
* Wed Sep 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a711.g81f69ca:
  + LBaaS: include inactive members when retrieving logical config
  + Apply VPN migration to correct plugin
  + Neutron network delete fails with brocade plugin
  + Imported Translations from Transifex
* Tue Sep 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a703.g868fcea:
  + Handle long integer conversion in NEC portinfo validation tests
  + Use built-in print() instead of print statement
  + Flip to pythonic method names for context unit tests
  + Imported Translations from Transifex
  + Fix usage of _fields method in provider_configuration.py
  + Ensure names are truncated to accommodate NVP limit
  + Port Cisco nexus and network db UT to ML2 mech driver UT
  + Fix for status always in PENDING_CREATE for Edge service router
* Sun Sep 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a687.g4fa69a1:
  + Imported Translations from Transifex
* Sun Sep 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a686.gd000a92:
  + Imported Translations from Transifex
  + Remove ununsed method update_providers
  + Fix URL used in NCS mechanism driver sync_full() operation
  + NVP plugin: Set default max_lp_per_bridged_ls to 5000
* Sat Sep 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a679.g76112fe:
  + Imported Translations from Transifex
  + Allow non-admin user to list service providers
* Fri Sep 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a676.g177bfb0:
  + Imported Translations from Transifex
  + Fix bridge logical chaining
  + FWaaS - fix reordering of rules in policy
  + Sync gettextutils from oslo
  + Cisco plugin portbinding extension support
  + Change header from LLC to Foundation
  + Fix ovs-vsctl call in add_tunnel_port()
  + Fix handling of floating IP association info in Nicira plugin
  + Do not apply security groups to logical ports
  + Change daemon Pidfile class to not use root_helper
* Wed Sep 18 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a657.g289d353:
  + Support for NVP advanced FwaaS service
  + Support advanced NVP LBaaS Service
  + BigSwitch plugin: passes context to all update_network calls
  + Fixing two comments regarding bind_port in ml2
  + Prevent update_port ip_address from matching address_pair
  + Port binding registration with NeutronDbPlugin causes Neutron crash
  + Imported Translations from Transifex
  + Make router-interface-delete work in N1kv plugin
  + BigSwitch plugin: allow 'external' keyword in router rules
  + Dynamically adjust max number of leases
  + Fix KeyError for NVP plugin during portbinding update
* Tue Sep 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a636.g6aa2312:
  + Fix failure in multi-chunk state sync for nicira plugin
  + Fixes hyperv neutron agent test, and removes exit
  + Imported Translations from Transifex
  + Increase size of peer_address attribute in VPNaaS
  + Fix error raised when router-interface-delete on no-snat routers
* Mon Sep 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a626.gcabcabd:
  + Don't need to init testr in run_tests.sh
  + Enhance exception translation to better handle NeutronExceptions
  + Fix haproxy agent unit test to be runnable alone by tox
  + Imported Translations from Transifex
  + FWaaS - fix policy association of firewall rule
  + _validate_network_tenant_ownership must be less strict
* Sun Sep 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a614.g289524b:
  + Stop popen patch correctly in test_agent_linux_utils
  + Don't add neutron metadata_nat_rules if disable metadata proxy
  + Imported Translations from Transifex
  + Using constant error codes instead of hard-coded
  + Add router ownership check on vpnservice creation
* Sat Sep 14 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a604.g28b52f8:
  + Prevent stale DHCP directories for dhcp agent nodes
  + Imported Translations from Transifex
  + Use same hostname function as nova
  + Add new L3 RPC topic support to Ryu plugin
* Fri Sep 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a597.g932e5b5:
  + pass default l3_gateway_service_uuid if not specified
  + Fix ovs_lib's issue of parsing flow proto field
  + Fix error code for deletion of router which is in use by vpnservice
  + Fix incorrect NotImplementedError
  + Imported Translations from Transifex
  + Hash device_id only if it is longer than the allowed MAX size for NVP
  + Fix incorrect comment re:distributed router in nicira plugin
  + Add NvpPluginV2 to migration 4a666eb208c2
  + Fixes Hyper-V agent unsopported network_type issue
* Fri Sep 13 2013 dmueller@suse.com
- fix package requires
* Fri Sep 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a579.g497a9a6:
  + Add l2 population base classes
  + OVS agent implementation of l2-population
  + Vxlan / L2population support to Linuxbridge Agent
  + Imported Translations from Transifex
  + Fixed typo defult_tz_uuid
  + Fix LinuxBridge test name from Openvswitch
  + Add (useful) missing headlines to nvp unit test files
  + Clean up code of virt_phy_sw_v2 module
  + Avoid performing extra query for fetching qos bindings
* Thu Sep 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a563.gdbf051d:
  + Adds help text to brocade configuration options
  + Register an extend_dict function for ext_gw_mode extension
  + Imported Translations from Transifex
  + Adds support for L3 routing/NAT as a service plugin
  + Ensure pid file is removed when metadata ns daemon receives SIGTERM
  + Support for NVP advanced service router
  + bp: pxeboot-port, provide  pxeboot on ports
  + Fix unable to ping floating ip from internal_ip
* Wed Sep 11 2013 dmueller@suse.com
- fix linux bridge plugin name
* Wed Sep 11 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a550.g72c969f:
  + Avoid KeyError 'distributed' exception when using NVP <3.x
  + add missing comma to supported alias string list
  + Imported Translations from Transifex
* Mon Sep  9 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a546.gd785562:
  + Move declaration of int_br_device_count earlier
  + LBaaS: Fix healthmonitor disassociation for non-admin
  + Fix message i18n error
  + Enhance unittest for hyperv_neutron_agent
  + Imported Translations from Transifex
  + Make neutron.common.log.log print module path
* Sun Sep  8 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a534.g57ce39f:
  + Fix IF checks on spawned green thread instance
  + Imported Translations from Transifex
  + Enclose command args in with_venv.sh
* Sat Sep  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a528.g0f81818:
  + Load ML2 mech drivers as listed in ml2_conf.ini
  + Replace assertEquals with assertEqual
  + Prevents 400 NVP errors caused by a None display_name
  + Mock midonetclient in test_midonet_lib
* Fri Sep  6 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a522.g394741c:
  + VCNS driver implementation
  + Imported Translations from Transifex
  + Ensure unit tests do not let looping calls roam freely
  + Allow None for binding:profile attribute
  + Add method to get iptables traffic counters
  + Iptables metering driver
  + Implement MidoNet Neutron plugin for Havana
  + Use admin context to retrieve metadata ports in NVP plugin
  + Implement Allowed Address Pairs
  + Add sub-type field to VXLAN network profiles for Cisco N1KV plugin
  + Fix NVP plugin to send notifications for gateway-less subnets
  + fix conversion type missing
  + LBaaS: make haproxy stats parsing more safe
  + Install metering_agent.ini and vpn_agent.ini
  + Allow default network and policy profiles
  + vArmour gateway agent and FWaaS driver
  + Imported Translations from Transifex
- Drop 0001-Install-metering_agent.ini-and-vpn_agent.ini.patch: merged upstream
* Thu Sep  5 2013 speilicke@suse.com
- Add 0001-Install-metering_agent.ini-and-vpn_agent.ini.patch:
  Install config files for metering and vpn agents
- Update sub-packages accordingly
* Thu Sep  5 2013 dmueller@suse.com
- add vpn/metering-agent subpackages
- Update to version 2013.2.a489.g61a0574:
  + Adding more unit tests for the FWaaS agent
  + Introduce periodic state synchronization with backend
  + Add Neutron l3 metering agent
  + LBaaS: add status of pool-monitor association to the pool return dict
  + Fixes formatting exception from logging in BigSwitch plugin
  + OpenFlow distributed router support in NEC plugin
  + Embrane Neutron Plugin
  + Reference driver implementation (IPsec) for VPNaaS
  + Add jump to float-snat chain after clearing snat chain
  + ensure that Arista test destroys the database
  + Add support for the multiprovider API to ML2
  + ML2 Mechanism Driver for Cisco Nexus
* Wed Sep  4 2013 dmueller@suse.com
- Update to version 2013.2.a466.g0f35cdd:
  + LBaaS: update status of members according to health statistics
  + Sync rpc fix from oslo-incubator
  + Allow subclasses to modify dict_extend hooks
  + Export portinfo thru portbinding ext in NEC plugin
  + ML2 Mechanism Driver for Tail-f Network Control System (NCS)
  + Arista ML2 Mechanism driver
  + ML2 type and mech managers should use instance vars for drivers lists
  + LBaaS integration with service type framework
  + Default to not capturing log output in tests
  + Refactoring for nicira plugin to support NVP DHCP/Metadata services
  + Implement ML2 port binding
  + Verify MTU is valid for ipsec_site_connection
* Mon Sep  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a444.g795155c:
  + Multi-segment and trunk support for the Cisco N1Kv Plugin
  + Use system locale when Accept-Language header is not provided
  + Deal with 501 errors from NVP correctly
  + Fix port creation issue appeared with postgresql backend
  + Enable authentication between PLUMgrid Director and Plugin
  + Imported Translations from Transifex
  + subnet calls of ml2 mechanism driver
  + Make Neutron NVP plugin future-versions friendly
  + BigSwitch plugin - add portbinding info in requests to controller
  + Support for Floating IPs in PLUMgrid plugin
  + Fix script to build rpm required for L2 OVS agent for XenServer
  + Adds support for the Hyper-V WMI V2 namespace
  + Remove trailing comma
  + Minimize ovs l2 agent calls to get_vif_port_set()
  + Fix DHCP agent to work without extra_dhcp_opt extension
  + Adds metrics collection support in Hyper-V
* Mon Sep  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a440.g9928edb:
  + Fix 500 error on invalid security-group-rule creation for NVP
  + Correct VPNaaS limit checks in extension
  + Add missing match in OVS agent tunnel mac leaning
  + Analyze re-raised exceptions in Cisco Plugin
  + Add extra_dhcp_opt extension to BigSwitch/Floodlight plugin
  + Refactor BigSwitch error handling to use db rollbacks
* Sat Aug 31 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a429.g6902013:
  + bp: pxeboot-port, provide pxeboot on ports
  + Return 400 if creating a distributed router on old NVP platforms
* Sat Aug 31 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a426.g9c34ac6:
  + Imported Translations from Transifex
  + Fix comment typo s/no/so
  + Create RPC connection before modifying OVS bridges
* Fri Aug 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a421.g0f3750c:
  + Fix unsuitable assertTrue/assertFalse in api ut
  + Support for NVP distributed router
  + Load tables of service plugins when migration auto generation
  + Corrects error in ml2 rpc log message formatting
* Fri Aug 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a413.g828601f:
  + Imported Translations from Transifex
  + Add recent neutron extentions and IB support
  + Fix a race condition in add_tunnel_endpoint()
  + Use assertEqual instead of assertEquals
  + Imported Translations from Transifex
  + Add list of pool ids to HealthMonitor dict
  + Fix incorrect usage of assertTrue()
  + Improve dhcp agent structure to support multiple dhcp models
  + Forbid update of subnet gateway ip when in use by a port
* Thu Aug 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a396.gc2f819d:
  + Use system locale when Accept-Language header is not provided
  + Deal with 501 errors from NVP correctly
  + Fix port creation issue appeared with postgresql backend
  + Enable authentication between PLUMgrid Director and Plugin
  + Imported Translations from Transifex
  + subnet calls of ml2 mechanism driver
  + Make Neutron NVP plugin future-versions friendly
  + BigSwitch plugin - add portbinding info in requests to controller
  + Support for Floating IPs in PLUMgrid plugin
  + Fix script to build rpm required for L2 OVS agent for XenServer
  + Adds support for the Hyper-V WMI V2 namespace
  + Remove trailing comma
  + Minimize ovs l2 agent calls to get_vif_port_set()
  + Allow for skipping admin roles loading on context creation
  + Avoid performing extra query for fetching mac learning binding
  + Correct spelling mistake
* Tue Aug 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a364.g3b929a8:
  + Imported Translations from Transifex
  + Separate l3 db tests for l3 agent into their own test case
* Mon Aug 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a361.g855a4aa:
  + Enable GRE and VXLAN with the same ID
* Sun Aug 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a359.g5a55dff:
  + Add metadata_proxy_socket into configuration files
  + Imported Translations from Transifex
* Thu Aug 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a355.g1c2e111:
  + make neutron-ns-metadata-proxy configurable
  + Use subnet id instead of wrong built-in id()
  + Syslog support for neutron metadata proxy
  + Fix typos and code style check
  + Fix auth_url in metadata_agent.ini
  + Remove calls to policy.check and policy.enforce from plugin code
  + Adding VPC support to the Cisco plugin
  + Disallow non-admin to specify binding:profile
* Wed Aug 21 2013 bwiedemann@suse.com
- Add neutron-usage-audit
- Update to version 2013.2.a339.g6d00e70:
  + Add multiple provider network extension
  + Imported Translations from Transifex
  + remove binaries under bin
  + Add ext-gw-mode support to ML2
  + Add missing ForeignKeyConstraint to Cisco providernet migration
* Tue Aug 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a331.g589071a:
  + Fix ML2 VXLAN TypeDriver DB migration
  + Remove global DB_ENGINE from Neutron
  + Update mailmap
  + Imported Translations from Transifex
* Mon Aug 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a323.g7a79ea4:
  + Fix wrong example in HACKING.rst
  + Imported Translations from Transifex
  + Set BigSwitch plugin to use existing host database model
  + Enable SNAT by default in L3 agents
  + Ensure nvp resources are tagged with an up-to-date version of Neutron
* Mon Aug 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a313.gfc3ab14:
  + Fixes Windows setup dependency bug
  + Imported Translations from Transifex
* Sat Aug 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a309.g4e94646:
  + Imported Translations from Transifex
* Fri Aug 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a308.g438b2f3:
  + Imported Translations from Transifex
  + Fixes typos in midonet_lib.py
  + Include PLUMgrid plugin in some alembic migration files
  + Handle nvp default l3 gw service misconfiguration appropriately
  + Returns 503 if the NVP cluster is in maintenance mode
  + Revert "Refactor configuring of floating ips on a router."
  + Bumps hacking to 0.7.0
  + Fix case error in qpid exchange name.  s/Direct/direct/
* Fri Aug 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a293.gd6e9767:
  + Add metering extension and base class
  + LBaaS: throw proper exception on duplicating monitor association
  + Restore Babel to requirements.txt
  + Fixes typos in comments
  + Imported Translations from Transifex
  + Mock os.makdirs to avoid directory creation in unit tests
  + Do not call remove_router_lport in remove_router_interface
  + Remove long db transaction for metadata access network
  + Unify exception thrown in l3-agent-scheduler fails
  + Fixes files with wrong bitmode
* Wed Aug 14 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a273.g1bf2724:
  + Add wrap_name param to the iptables_manager class
  + Fix test_update_status unit test in Loadbalancer test suite
* Wed Aug 14 2013 dmueller@suse.com
- hide sudo messages from syslog by default, they can be numerous
* Wed Aug 14 2013 speilicke@suse.com
- Update to version 2013.2.a269.g748c58d:
  + Sync rpc/impl_qpid.py from oslo-incubator.
  + Imported Translations from Transifex
  + Fix some NVP tests do not do cleanup of nvp ports
  + Remove DHCP lease logic
  + fix up inadevertant octal to make hacking pass
  + Revert "Sync rpc/impl_qpid.py from oslo-incubator."
  + Remove references to enable_metadata_access_network_option
  + Fix copy and paste error in docstring.
  + Nicira plugin: Reduce message severity to DEBUG from INFO
  + make assertRaises() test for specific exceptions
  + Updated from global requirements
  + Remove last vestiges of nose
  + Refactor configuring of floating ips on a router.
  + allow subclasses to modify the parents model hooks
  + Drop quantum dhcp lease update bin
  + Firewall as a Service (FWaaS) Iptables Driver
  + Enable conversion for composite attribute items
  + Imported Translations from Transifex
- No need to require shadow-utils anymore, even SLE_11_SP3 has pwdutils
- Refreshed dependencies
- Drop 0001-Updated-from-global-requirements.patch: Merged upstream
- Drop outdated binaries:
  + {neutron,quantum}-dhcp-agent-dnsmasq-lease-update
* Tue Aug 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a234.gf3c016d:
  + Imported Translations from Transifex
  + sync some configuration items with codes
  + Cleanup remaining code that used 'status' fields of HealthMonitor
  + Firewall as a Service (FWaaS) Agent
  + Fix resource status in NEC Plugin
  + Add missing space in the message produced by @log
  + Add support for the Nexus 1000V into the Cisco Plugin.
* Mon Aug 12 2013 naehring@b1-systems.de
- added python-babel as requirement for the server
* Sat Aug 10 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a221.g6eae300:
  + Fix H102, H103 Apache 2.0 license hacking check error
  + LBaaS: pass the complete healthmonitor object to driver
  + Add support for service plugins to the migration framework
  + Make DbPlugin accept status in create_network().
  + Fix broken database migration for Cisco plugin
  + Imported Translations from Transifex
* Fri Aug  9 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a209.g3021cf1:
  + Fix BigSwitch plugin to handle device_id re-use in porttracker code
  + Enable localizable REST API responses via the Accept-Language header
  + Fix two typos in routing table configuration
  + Change decorator to webob as doesn't need to be wsgi
  + Fix path for the linuxbridge plugin in folsom initial DB structure
  + Separate packet filter activation from port operation in NEC Plugin
  + Sync oslo gettextutils
  + Fix lbaas_pool_scheduler db migration
  + Imported Translations from Transifex
  + Imported Translations from Transifex
  + Externalize error messages in the API
  + Remove unused *AlreadyAttached exceptions
  + Make SubnetMismatchForPort extend BadRequest rather than Conflict
  + Ignore pbr*.egg directory
* Fri Aug  9 2013 dmueller@suse.com
- add 0001-Updated-from-global-requirements.patch
* Thu Aug  8 2013 dmueller@suse.com
- switch to python-setuptools
- remove python-d2to1
* Wed Aug  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a183.gd4fe7a7:
  + Imported Translations from Transifex
  + refactor port binding codes
  + Delete useless and wrong comments in NEC Plugin
  + Cisco plugin db code cleanup, part II
  + Do not alter test_config global in test_extension_ext_gw_mode
  + Correct NVP license header files
  + Remove openstack.common.exception usage
  + Imported Translations from Transifex
  + Fix wrong column name in db migration script of ryu plugin
* Wed Aug  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a168.gf27fba3:
  + Imported Translations from Transifex
  + Make NEC Plugin ignore duplicated messgae from the agent
* Mon Aug  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a166.g537674c:
  + Imported Translations from Transifex
* Mon Aug  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a165.g3313448:
  + VPNaaS datamodel IKEPolicy lifetime unit typo
  + Adds Babel dependency missing from 555d27c
  + Avoid overwrite value of deprecated name in conf.
* Sat Aug  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a161.g6004fbe:
  + Fix the alphabetical order in requirement files
  + Fix enum definition in FWaaS DB schema migration
  + Fix typo in FK name in VPNaaS DB schema migration
  + Remove status* fields from HealthMonitor model
* Sat Aug  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a153.gefc9a15:
  + LBaaS: add status field to PoolMonitorAssociation table
  + Rename a variable name _ENGINE to _DB_ENGINE in metaplugin.
  + Sync gettextutils from oslo
  + Fix branch in db migrations
  + Remove comments from requirements.txt (workaround pbr bug)
  + Fix alias for ext-gw-mode extension in nicira plugin
  + Imported Translations from Transifex
* Fri Aug  2 2013 dmueller@suse.com
- fix dependencies
* Fri Aug  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a141.g688338a:
  + PLUMgrid plugin v2
  + Fix lbaas db migration
  + Followup fixes to FWaaS API patch
  + Imported Translations from Transifex
  + Fix docstring to reflect what the method actually does.
* Wed Jul 31 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a132.g4e16ed9:
  + Fixing some typos found during translation
  + Fix logic for building field_list in update
  + defer firewall updates to iptables data structures
  + Remove last of assertEquals
  + Make NEC Plugin keep error resources
  + VPN as a Service (VPNaaS) API and DataModel
  + Fix test fail in neutron.tests.unit.test_security_groups_rpc
  + Dhcp agent sync_state may block or delay configuration of new networks.
  + Create peer router port in appropriate port driver function
  + Prompted error message is not correct for PortNotFound
  + Imported Translations from Transifex
  + Sync latest gettextutils from oslo-incubator
  + Avoid performing extra query for fetching port security binding
* Tue Jul 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a107.gef0405a:
  + Update to latest oslo rootwrap
  + Firewall as a Service (FWaaS) APIs and DB Model
  + Fix ill-formed column definition in migration downgrade step.
  + Imported Translations from Transifex
  + Add default route to dhcp agent netns.
  + Separate NVP create lport operation and neutron db transaction
* Tue Jul 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a96.gc0d3c58:
  + Clean-up in the unit tests for NVP plugin
* Mon Jul 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a94.g48f214c:
  + Fix l3_agent unit tests
  + Sync dhcp agent configuration items
  + Fix creation of trusted queues for the NVP plugin.
  + Imported Translations from Transifex
* Mon Jul 29 2013 speilicke@suse.com
- Split out plugin-cisco sub-package. To avoid general dependency on
  python-nccclient. We will split out other plugins similarly once
  support for them is implemented properly
* Mon Jul 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a88.ge12ed79:
  + Update references with new Mailing List location
* Fri Jul 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a87.g52e0631:
  + Allow to clear extra routes from router
  + do not raise exception on ip address recycle operation
  + Fix migration branch appeared after recent commit
  + Ensure that L3 managed port have status ACTIVE
  + Deal with intermittent OverflowError in gate-neutron-python26
  + NVP sample config option should match code.
  + ML2 tunnel drivers validate provider networks correctly
* Thu Jul 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a74.g473a9b5:
  + Fixed miss spelled updated in test name
  + Add support to the port binding extension for the NVP plugin.
  + Imported Translations from Transifex
  + Passing the error message as keyword argument
  + Allow OVS default veth MTU to be configured.
  + Service Type Framework refactoring
* Thu Jul 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a64.g60bd299:
  + remove netifaces dependency of ryu-agent
  + Remove use_namespaces option from etc/lbaas_agent.ini
  + remove "get_agents" rule in policy.json
  + set static route for windows 2003
  + Imported Translations from Transifex
  + Fix DHCP agent to work with latest dnsmasq
  + Imported Translations from Transifex
  + Providernet extension support for the Cisco Nexus plugin
* Tue Jul 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a50.gb5d1c99:
  + GRE tunnels should include local_ip.
  + Cisco plugin check for a valid nexus driver
  + nvp plugin rxtx_factor readonly update port
  + Fixes Opt type of "topologyname"
  + remove policy checks in port_security tests
  + LBaaS: add delete_health_monitor() to driver API
  + Clean up Cisco plugin config parameters
* Mon Jul 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a36.gd766f1f:
  + Add agent scheduling for LBaaS namespace agent
  + Imported Translations from Transifex
* Sun Jul 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a33.gaa39de6:
  + Imported Translations from Transifex
* Sat Jul 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a32.g5256ad4:
  + Add help strings to Config Options
  + Imported Translations from Transifex
* Sat Jul 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a29.gc5b903b:
  + Allow to clear extra routes in NVP
  + Add decorator helping to log method calls.
  + Add support for the agent extension to NVP Plugin.
  + Fix revision branches appeared after merging recent patches
  + remove repeated allocation_pools check in unittest
  + Imported Translations from Transifex
  + Avoid refreshing firewall rules unnecessarily.
* Fri Jul 19 2013 dmueller@suse.com
- fix install of test files
* Thu Jul 18 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a17.gd364d03:
  + Add status description field for lbaas objects
  + Register agent schedulers options in one place
  + Imported Translations from Transifex
  + Update the ML2 README file with the latest tunnel changes
* Thu Jul 18 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a999.gf9665c9:
  + Apply Oslo ModelBase to NeutronBase
  + port-update fails when using SELECT FOR UPDATE lock
* Thu Jul 18 2013 speilicke@suse.com
- Update to version 2013.2.a995.g1bd4563:
  + Preserve packet:byte counts in iptables_manager.
  + Re-assign quantum.api module as last operation
  + Ensure PortSecurityDBTestCase loads correct plugin
  + Use the correct tunnel_type to notify agents
  + Improve l3-agent performance and prevent races in it.
  + Enable policy control over external_gateway_info sub-attributes
  + xenapi - rename quantum to neutron
  + Enable logging before using it
  + Imported Translations from Transifex
  + Limit min<=max port check to TCP/UDP in secgroup rule
  + Nicira NVP plugin support for l3_ext_gw_mode extension
  + Add gre tunneling support for the ML2 plugin
  + Add VXLAN tunneling support for the ML2 plugin
  + Fix argument name mismatch in L3-RPC sync_routers
  + Fixes argument mismatch in l3-agent
  + Improve packet-filter test coverage in NEC Plugin
  + modernize quantum config in proper place
  + Improve lbaas haproxy plugin_driver test coverage
  + LBaaS: update DB pool stats received from lbaas agent
  + rename quantum into neutron
- Drop neutron-suse-config-defaults.diff and update openstack-utils
  usage instead
- Drop 0001-rename-quantum-into-neutron.patch: upstream
* Thu Jul 18 2013 berendt@b1-systems.de
- added missing files neutron-rootwrap-xen-dom0 and
  quantum-rootwrap-xen-dom0 to package openstack-neutron
* Wed Jul 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a991.g0b4ada8:
  + Preserve packet:byte counts in iptables_manager.
  + Re-assign quantum.api module as last operation
  + Ensure PortSecurityDBTestCase loads correct plugin
  + Use the correct tunnel_type to notify agents
  + Improve l3-agent performance and prevent races in it.
  + Enable policy control over external_gateway_info sub-attributes
  + xenapi - rename quantum to neutron
  + Enable logging before using it
  + Imported Translations from Transifex
  + Limit min<=max port check to TCP/UDP in secgroup rule
  + Nicira NVP plugin support for l3_ext_gw_mode extension
  + Add gre tunneling support for the ML2 plugin
  + Add VXLAN tunneling support for the ML2 plugin
  + Fix argument name mismatch in L3-RPC sync_routers
  + Fixes argument mismatch in l3-agent
  + Improve packet-filter test coverage in NEC Plugin
  + modernize quantum config in proper place
  + Improve lbaas haproxy plugin_driver test coverage
* Tue Jul 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a956.g5eeb582:
  + Add support for the extra route extension in the NVP plugin.
  + Imported Translations from Transifex
  + Fix random OverflowError exceptions in gate-neutron-python26 tests
* Mon Jul 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a951.ga79faea:
  + Ensure a name of packet filter is stored in NEC plugin
  + Import Oslo's common rootwrap to Neutron
  + Imported Translations from Transifex
  + Modify the OVS agent to support multiple tunnel_types concurrently.
  + Prevent possible server list damage in BigSwitch plugin
* Sat Jul 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a942.gd487320:
  + Imported Translations from Transifex
  + Add option to ignore backend HTTP error in BigSwitch plugin
  + Cisco plugin db code cleanup
  + Fix TestDhcpAgentEventHandler test that fails in some Jenkins runs.
  + Imported Translations from Transifex
  + Rename to Neutron in sample init.d script
* Sat Jul 13 2013 dmueller@suse.com
- add 0001-rename-quantum-into-neutron.patch
  * fix default config file after neutron rename
- fix rootwrap setting
* Fri Jul 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a932.gbd18990:
  + Refactor unit tests for NEC Plugin
  + Improve DHCP agent performance
* Fri Jul 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a929.gdebf769:
  + Initial Modular L2 Mechanism Driver implementation.
  + Validate dscp value less that 64
  + Be compatible with oslo.config 1.2.0a3+
  + Quiet down a large log file heavy hitter.
  + Fix issue with pip installing oslo.config-1.2.0
* Fri Jul 12 2013 dmueller@suse.com
- remove 0001-Be-compatible-with-oslo.config-master.patch
* Thu Jul 11 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a919.g58424dd:
  + Allow gateway address to be unset for an existing subnet
  + Imported Translations from Transifex
  + Add cover/ to .gitignore
* Wed Jul 10 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a914.gd80048e:
  + validate and recommend the cidr
  + Fix for Cisco plugin sample config.
  + Allow router route update in XML.
  + git remove old non-working packaging files
  + Ensure that the neutron server is properly monkey patched
* Tue Jul  9 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a905.g5434abb:
  + Divide dhcp and l3 agent scheduling into separate extensions
  + Imported Translations from Transifex
* Tue Jul  9 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a901.g0aa5bec:
  + fix some missing change from quantum to neutron
  + add notification_driver to compatibilty clean-up
* Mon Jul  8 2013 dmueller@suse.com
- Update to version 2013.2.a898.g62fb7ad:
  + Complete rename to Neutron
  + Imported Translations from Transifex
  + clean-up missing rename
* Mon Jul  8 2013 dmueller@suse.com
- update requires
* Sun Jul  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a895.g75f03f3:
  + Rename quantum to neutron in .gitreview.
  + Rename Quantum to Neutron
  + Sync install_venv_common from oslo
* Sat Jul  6 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a891.gcecfe07:
  + Allow non-root ip in subnet CIDR
  + Fix unit test for ryu-agent
* Fri Jul  5 2013 dmueller@suse.com
- provide/obsolete openstack-quantum
* Thu Jul  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a887.g8ceac10:
  + Remove unused database table from Cisco plugin
* Wed Jul  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a885.g5d56e6b:
  + Imported Translations from Transifex
  + Do not mask NotImplementedError exceptions
* Tue Jul  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a882.g0fc6605:
  + Imported Translations from Transifex
  + Jointly load ExternalNetwork with Network
* Tue Jul  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a879.g9c18ac1:
  + Add support for moving ip/addresss/default gateway
  + Imported Translations from Transifex
  + Move NVP DB extensions under dbexts module.
* Mon Jul  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a874.g84982e7:
  + Imported Translations from Transifex
* Sun Jun 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a873.g81c3a17:
  + Deprecate enable_tunneling in the OVS agent
  + Support a timeout argument when instantiating a bigswitch plugin
  + dom0 rootwrap - case insensitive xenapi section
  + faster quantum-openvswitch-agent periodic reports
  + Fix case with no host_id in BigSwitch plugin
  + Nicira plugin: Do not expect a minimum number of SNAT rules
  + Update code to properly use dict returned from get_gateway.
  + Remove duplicate _check_provider_update from plugins
  + Fix logic for handling SNAT rules
  + Improve Nicira plugin test coverage
* Sat Jun 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a854.gd6a4c49:
  + move database config items into quantum.conf
  + Port location tracking for BigSwitch Plugin
  + Ensure that the report state is not a blocking call
  + Improve readability for nvplib error messages.
  + Imported Translations from Transifex
* Fri Jun 28 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a845.g5634c34:
  + Imported Translations from Transifex
  + Use 0.0.0.0/0 host route as router option
  + Remove reference to quantum cli in provider network extension
* Thu Jun 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a841.g49d7f87:
  + Imported Translations from Transifex
  + Require greenlet 0.3.2 (or later)
* Wed Jun 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a838.g090432c:
  + Update to use OSLO db
* Wed Jun 26 2013 iartarisi@suse.com
- Add caching directory in /var/cache/quantum
* Wed Jun 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a836.g23284e7:
  + Converts 'router' section to lowercase in bigswitch config
  + replace use of dhcp_lease_time with dhcp_lease_duration
  + Imported Translations from Transifex
  + Do not raise NEW exceptions
* Tue Jun 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a830.g34c4d9c:
  + Imported Translations from Transifex
  + Imported Translations from Transifex
* Mon Jun 24 2013 dmueller@suse.com
- add 0001-Be-compatible-with-oslo.config-master.patch
- remove quantum-test-default-state-path.patch
* Mon Jun 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a828.gb4d933e:
  + Remove single-version-externally-managed in setup.cfg
* Sat Jun 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a826.g4c48e48:
  + Fix haproxy plugin_driver.update_health_monitor() signature
  + Imported Translations from Transifex
  + Always include tenant_id in port delete request
  + Adds support for router rules to Big Switch plugin
* Fri Jun 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a820.gcc260d5:
  + Make sure exceptions during policy checks are logged.
  + Fix IP spoofing filter blocking all packets.
  + Imported Translations from Transifex
  + Fix single-version-externally-mananged typo in setup.cfg
  + Adds default route to DHCP namespace for upstream name resolution.
* Thu Jun 20 2013 dmueller@suse.com
- update requires
* Thu Jun 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a811.g248375e:
  + Imported Translations from Transifex
  + Imported Translations from Transifex
  + Allow use of lowercase section names in conf files
  + Reference default_servicetype group in lowercase
  + Fix TestNecAgentMain not to call sys.exit()
* Wed Jun 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a803.ga0f8d5a:
  + Correct log message in l3_rpc_agent_api
  + Imported Translations from Transifex
* Mon Jun 17 2013 vuntz@suse.com
- Do not make /etc/quantum/quantum.conf world-readable: it contains
  passwords.
* Mon Jun 17 2013 speilicke@suse.com
- Only require python-discover on SLE since it's backporting features
  to Python-2.6
* Mon Jun 17 2013 bwiedemann@suse.com
- Update to version 2013.2.a801.g55dbdb7:
  + xenapi: fix rootwrap
  + Remove unit tests that are no longer run.
  + Imported Translations from Transifex
  + Reduce plugin accesses from policy engine
  + Rename agent_loadbalancer directory to loadbalancer
  + Fix branch in db migration scripts
  + Imported Translations from Transifex
  + Remove code duplication from loadbalancer db plugin
  + Enable attribute-based policy on router:external_gateway_info
  + set default for gw conn info in nvp_networkgw extension
  + Imported Translations from Transifex
  + Update to the latest stevedore
  + Require pbr 0.5.16 or newer
* Fri Jun 14 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a777.ga78207e:
  + Make reference lbaas implementation as a pluggable driver
  + Imported Translations from Transifex
  + Update with latest OSLO code
  + Rename agent_loadbalancer directory to loadbalancer
  + Remove wrong reference to object attribute in nvplib
* Thu Jun 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a769.g72936dc:
  + Adding SVI support to the Cisco Nexus plugin
  + Ensure to remove auto delete ports from OFC in NEC plugin
  + Add support for VXLAN to the Open vSwitch plugin.
  + Imported Translations from Transifex
  + Remove explicit distribute depend.
* Wed Jun 12 2013 tpaszkowski@novell.com
- add dnsmasq depency for dhcp-agent
* Wed Jun 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a760.g08561f3:
  + Imported Translations from Transifex
  + Protect PoolStats table from negative values.
  + Use Python 3.x compatible octal literals
  + Improve detection of config errors in nvp.ini file
* Tue Jun 11 2013 tpaszkowski@novell.com
- set openstack-quantum homedir to /var/lib/quantum
* Tue Jun 11 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a753.g1bfd162:
  + Imported Translations from Transifex
  + Fix and enable H90x tests
  + Hide lock_prefix argument using synchronized_with_prefix()
  + Expose most common QueuePoll parameters from SQLAlchemy
* Mon Jun 10 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a746.gff50266:
  + Remove generic Exception when using assertRaises
  + Sync Qpid RPC fix from Oslo
  + Change lazy='dynamic' to 'joined' in models_v2
  + Imported Translations from Transifex
  + Add support for protocol numbers
* Sun Jun  9 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a737.g78c3f89:
  + Adds support for the Indigo Virtual Switch (IVS)
  + Improve test coverage in NEC plugin
  + Nicira plugin: always fetch lports from correct lswitch
  + nicira plugin: load subnet once when adding router interface
  + Handle portinfo msg after port deletion in NEC plugin
  + Imported Translations from Transifex
* Sat Jun  8 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a726.g02a573a:
  + Imported Translations from Transifex
* Fri Jun  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a725.gf83931a:
  + Imported Translations from Transifex
  + Fix typo in l3_agent
  + Add API mac learning extension for NVP
* Thu Jun  6 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a719.g298ce32:
  + Add *.swo/swp to .gitignore
  + Add extra details in BigSwitch config
  + Fix branch in db migration scripts
  + Imported Translations from Transifex
  + Sort NVP supported extensions alphabetically
  + multi-vendor-support-for-lbaas
* Tue Jun  4 2013 speilicke@suse.com
- Update to version 2013.2.a708.gd98f814:
  + Add rollback for Cisco plugin update_port failure
  + Port profile should not mark vlan as native-vlan
  + Rename README to README.rst
  + Imported Translations from Transifex
  + DbQuotaDriver allows negative quotas to be set.
  + Add InvalidExternalNetwork exception to display correct error
  + Add execute file mode bits to quantum-mlnx-agent
  + NEC plugin: Ensure to delete portinfo when port_removed RPC.
- README changed to README.rst
* Mon Jun  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a694.gf21d52c:
  + Imported Translations from Transifex
  + python3: Introduce py33 to tox.ini
* Sun Jun  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a691.gc675e0b:
  + Enable router extension in Brocade Plugin
* Sat Jun  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a689.gfa42c08:
  + Rename requires files to standard names.
  + Fix pool update error in lbaas
  + Fix Cisco nexus plugin failure for first VLAN on phy interface
  + Control resource extension process defining required extensions
  + Fix typo
  + Make MidoNet plugin code more testable
  + Imported Translations from Transifex
  + Add L3 resources to policy.json
  + Sphinx-ify QuantumPluginBaseV2 docstrings
* Fri May 31 2013 dmueller@suse.com
- update requires
* Fri May 31 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a671.gb5e76a8:
  + Align default value notation in configuration files
  + Imported Translations from Transifex
* Thu May 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a668.g726aca5:
  + Remove unnecessary checks for MultipleResultsFound
  + Configurable external gateway modes
  + Initial Modular L2 plugin implementation.
  + Refactor db_base_plugin_v2 and to remove code duplication
  + Fix ml2 stack trace when logging.
* Wed May 29 2013 dmueller@suse.com
- drop  0001-Use-exec_dirs-for-rootwrap-commands.patch,
  0002-restore-extra-filters.diff, iptables-firewall.filters.patch
* Wed May 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a658.g010bfa6:
  + Add support for OVS l2 agent in XS/XCP domU.
  + Imported Translations from Transifex
  + Fix update_port() so that it's done within the transaction
  + metadata proxy will use syslog as default log
  + Use exec_dirs for rootwrap commands
  + Add sqlalchemy_pool_size option to default config files
  + Revert dependency on oslo.config 1.2.0
* Wed May 29 2013 dmueller@suse.com
- remove setBadness call from rpmlintrc
* Mon May 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a646.gc65a39d:
  + Imported Translations from Transifex
* Mon May 27 2013 dmueller@suse.com
- update requirements for test subpackage
* Mon May 27 2013 speilicke@suse.com
- Update to version 2013.2.a645.gff36751:
  + Remove calls to policy.check from plugin logic
  + Fix linuxbridge RPC message format
  + Fix logic in test_db_loadbalancer
  + relax amqplib and kombu version requirements
  + Add negative UT cases for subnet/GW create/update
  + Improve ovs and linuxbridge agents rpc exception handling
  + Imported Translations from Transifex
  + fix reference to tenant id.
  + Add support for dnsmasq version 2.48
  + Imported Translations from Transifex
  + Docstrings formatted according to pep257
  + Move to pbr.
  + Docstrings formatted according to pep257
  + Deprecate "extension:xxx" policies but preserve bw compatibility
  + Add l3 attribute to network
  + Imported Translations from Transifex
  + Check network vlan ranges for correctness.
  + Fix logic in api.v2.base.Controller._is_visible
  + Imported Translations from Transifex
  + Make logging level in unit tests configurable.
  + Reference QUOTA OptGoup names in lowercase
  + Enable quantum-netns-cleanup to receive force as cli parameter
  + Reference DEFAULT_SERVICETYPE OptGoup names in lowercase
  + Make endpoint_type configurable for the metadata agent
  + Add update method of security group name and description
  + Reference OVS OptGoup names in lowercase
  + Enable network to be scheduled to N DHCP agents
  + Restore correct alias for network-gateway extension
  + Fix Cisco Nexus plugin failures for vlan IDs 1006-4094
  + reference quota options in lowercase
  + Revert "Fix ./run_tests.sh --pep8"
  + Recycle IPs used by 'gateway' ports
  + Imported Translations from Transifex
  + Fix quantum.conf comment
  + remove unused db model for openvswitch plugin
  + update mailmap
  + Imported Translations from Transifex
  + Require oslo.config 1.2.0a2
  + Fix typo in option group shortcut 'aGENT' in NEC plugin
  + avoid auto scheduling one dhcp agent twice.
  + Perform a sync with oslo-incubator.
  + Nicira plugin: List ports on network gateways
  + Added conversion specifier for proper log
  + Imported Translations from Transifex
  + Ensure API extensions for NVP are loaded by default
- Split out hyper-v agent into sub-package
* Mon May 27 2013 dmueller@suse.com
- python-pbr/d2to1 requires
* Mon May 27 2013 dmueller@suse.com
- remove ignore-kombu-version.diff:
  + Merged upstream
* Fri May 17 2013 speilicke@suse.com
- One alembic dependency is enough
* Thu May 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a563.g129a473:
  + Imported Translations from Transifex
* Wed May 15 2013 dmueller@suse.com
- add mlnx subpackage
* Wed May 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a562.g391108a:
  + Add a configuration item to disable metadata proxy
  + Fix testcase 'TestPortsV2.test_range_allocation' failed randomly
  + Fix invalid status code assertion after handle expected exception
  + Fix testcase 'test_create_subnet_with_two_host_routes' failed
  + blueprint mellanox-quantum-plugin
  + add db to save host for port
  + Imported Translations from Transifex
  + make default transport type configurable nvp
  + Add missing unit test for NVP metadata_mode option
  + Add ability for core plugin to implement advanced services
  + Imported Translations from Transifex
  + Fix ./run_tests.sh --pep8
  + get_security_groups now creates default security group
  + Allow ports to be created on networks that do not exist in NVP
* Mon May 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a538.g47c399b:
  + Imported Translations from Transifex
  + Imported Translations from Transifex
  + Update flake8 pinned versions.
* Sun May 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a534.g91b56e4:
  + Do not require sudo/rootwrap to check for dnsmasq version
* Sat May 11 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a533.g21575de:
  + Add kill-metadata rootwrap filter to support RHEL.
  + Log a warning if dnsmasq version is below the minimum required
  + Imported Translations from Transifex
  + Fix usage of NexusPortBindingNotFound exception
  + Fix usage of SQLAlchemy Query.first() method
  + Change Daemon class to better match process command lines.
* Fri May 10 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a522.gbdc8fee:
  + Don't run metadata proxy when it is not needed
  + Imported Translations from Transifex
  + in dhcp_agent, always use quantum.conf root_helper
  + Improve checking of return values for functions in linuxbridge agent plugin
  + Fetch routers ports for metadata access from DB
  + Create a common function for method _parse_network_vlan_ranges used by plugins.
* Thu May  9 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a512.g916d54d:
  + Avoid extra queries when retrieving routers
  + Imported Translations from Transifex
  +  Copy the RHEL6 eventlet workaround from Oslo
* Wed May  8 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a507.g6590388:
  + Import recent rootwrap features in local rootwrap
* Wed May  8 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a505.gf941267:
  + Fix 500 raised on disassociate_floatingips when out of sync
  + Imported Translations from Transifex
  + update-port error if port does not exist in nvp
  + Update import of oslo's processutils.
  + Validate that netaddr does not receive a string with whitespace
  + blueprint cisco-plugin-exception-handling
  + Calculate nicira plugin NAT rules order according to CIDR prefix
  + Log msg for load policy file only if the file is actually loaded
* Tue May  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a490.g9ad0ba1:
  + Perform a joined query for ports and security group associations
  + Imported Translations from Transifex
  + Duplicate line in Brocade plugin
* Sun May  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a485.g91a9330:
  + Imported Translations from Transifex
  + Remove unnecessary code from create_pool_health_monitor method
  + Adds POST method support in the metadata service
  + Let the cover venv run individual tests.
  + Imported Translations from Transifex
* Fri May  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a477.g3ee00b1:
  + Only map nicira_nvp_plugin module if installed
  + Imported Translations from Transifex
  + Fix usage of Query.all() and NoResultFound
  + Treat unbound port
* Fri May  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a469.g8322d81:
  + Avoid initialization of policy engine before extensions are loaded
  + Set network_device_mtu as integer
  + Allow admin to delete default security groups
  + Imported Translations from Transifex
  + Do not attempt to kill already-dead dnsmasq
* Thu May  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a459.gd4f3179:
  + Docstrings formatted according to pep257
  + Docstrings formatted according to pep257
  + Imported Translations from Transifex
  + Use sql alchemy to fetch a scalar for the max tunnel id
  + Fix 'null' response on router-interface-remove operation
  + Fix port_id filter not honored
  + Update RPC code from OSLO
* Wed May  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a445.gdbae68c:
  + Improve Python 3.x compatibility
  + Imported Translations from Transifex
  + Use Query instances as iterables when possible
  + Docstrings formatted according to pep257
  + Docstrings formatted according to pep257
* Mon Apr 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a436.gaa6ba83:
  + Docstrings formatted according to pep257
  + Add tests for LinuxBridge and OVS agents
  + Remove calls to policy.enforce from plugin and db logic
  + Docstrings formatted according to pep257
  + Stub out get_networks_count properly for pnet unit tests
* Mon Apr 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a428.g07299e3:
  + Imported Translations from Transifex
* Sun Apr 28 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a427.g0dfd5c6:
  + Fix logic issue in OVSQuantumAgent.port_unbound method
  + Imported Translations from Transifex
* Sat Apr 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a424.gfb927db:
  + Imported Translations from Transifex
* Fri Apr 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a423.g6672769:
  + Create veth peer in namespace.
  + Imported Translations from Transifex
  + Simplify delete_health_monitor() using cascades
  + Update latest OSLO code
* Thu Apr 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a415.gea9aeb6:
  + Imported Translations from Transifex
  + Send 400 error if device specification contains unexpected attributes
  + Simplify NVP plugin configuration
* Wed Apr 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a411.g941bb21:
  + Make the 'admin' role configurable
  + Imported Translations from Transifex
* Tue Apr 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a407.g9c5f9cb:
  + Imported Translations from Transifex
  + Add string 'quantum'/ version to scope/tag in NVP
  + Metadata agent: reuse authentication info across eventlet threads
  + lbaas: check object state before update for pools, members, health monitors
* Tue Apr 23 2013 dmueller@suse.com
- remove quantum from the summary
* Tue Apr 23 2013 tpaszkowski@novell.com
- set external_network_bridge in l3_agent to "" (defaults for linuxbridge)
* Mon Apr 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a400.g765baf8:
  + Imported Translations from Transifex
* Sun Apr 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a399.gbe4fdfa:
  + Return unicode for object in json and xml serializer
  + Fix unit tests for RHEL
  + blueprint cisco-single-config
  + Fix lb-vip does not get route to default gw
  + Imported Translations from Transifex
  + Add RabbitMQ and QPID HA support flags to quantum.conf
  + Use wrappers instead of direct calls to ip route.
  + Add missing security group quota settings to quantum.conf
  + Revert "Use wrappers instead of direct calls to ip route."
  + Imported Translations from Transifex
  + Add expected IDs to router.interface.* notifications
  + Imported Translations from Transifex
  + Switch to flake8 from pep8.
  + Imported Translations from Transifex
  + Reformat openstack-common.conf
  + Imported Translations from Transifex
  + Imported Translations from Transifex
  + L3NatExtensionTestCase: super.setup should be invoked once
  + Sync with oslo-incubator copy of setup.py
  + refactor _get_sync_routers to use get_routers.
  + Imported Translations from Transifex
  + Update to the latest oslo loopingcall.
  + Improve the deprecated message about DEFAULT.root_helper
  + Imported Translations from Transifex
  + Allow pdb debugging in manually-invoked tests.
  + Make "shared" filter more compatible with diff DBs
  + Parallelize quantum unit testing:
  + Implement LB plugin delete_pool_health_monitor().
  + Ensure unit tests work with all interface types
  + Imported Translations from Transifex
  + Shorten the path of the nicira nvp plugin.
  + Enable automatic validation of many HACKING rules.
  + Imported Translations from Transifex
  + Imported Translations from Transifex
  + Imported Translations from Transifex
  + Imported Translations from Transifex
  + Imported Translations from Transifex
  + Imported Translations from Transifex
  + Changed DHCPV6_PORT from 467 to 547, the correct port for DHCPv6.
  + Imported Translations from Transifex
  + Imported Translations from Transifex
  + Remove locals() from strings substitutions
* Tue Apr  2 2013 tpaszkowski@novell.com
- Fix for metadata agent init script.
* Tue Apr  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a340.g54f1e75:
  + Fixes report state failed with qpid rpc backend
  + Update latest OSLO
  + Adjust exception message in l3 agent
  + Ensure DB pooling code works with newer eventlet versions
  + Imported Translations from Transifex
  + Add metadata support for nvp plugin without namespaces
  + Fix kwargs for FloatingIPPortAlreadyAssociated.
  + Fix kwargs for NECDBException.
  + Create a fake netconf client for Cisco nexus unit tests
  + Mark 'sql_connection' config option as secret
  + Imported Translations from Transifex
  + Imported Translations from Transifex
  + Change the quantum-ns-metadata-proxy log file name.
  + Enable exception format checking when testing.
  + Support for SSL in wsgi.Server
  + Add VIRTUAL_ENV key to enviroment passed to patch_tox_env
  + Add lbaas_agent files to setup.py
  + Imported Translations from Transifex
  + Imported Translations from Transifex
  + Pass metadata port to metadata proxy
  + Imported Translations from Transifex
  + Imported Translations from Transifex
  + Prevents a portinfo deletion in vm migration with NEC plugin.
  + Fix for Cisco plugin physical device config error
  + Imported Translations from Transifex
  + Enable authZ checks for member actions
  + Update Ryu plugin README
* Mon Mar 25 2013 cloud-devel@suse.de
- Update to version 2013.2.a295.g7ef4d88:
  + Synchronize QuantumManager.get_instance() method
  + Allow tests in TestDhcpAgentEventHandler run independently
  + Improve test coverage for quantum wsgi module
  + Validate protocol when creating VIP.
  + Imported Translations from Transifex
  + Add scheduling support for the Brocade plugin
  + fix mis-placed paren in log statement for l3-scheduler
  + Set fake rpc implementation in test_lb_quantum_agent
  + Fix haproxy cfg unit test
  + Load all the necessary database tables when running cisco plugin
  + Add bulking support for Cisco plugin
  + Imported Translations from Transifex
  + Fix DB query returning ready devices in LoadBalancerCallbacks
  + Fix typo in policy.json and checks in nicira plugin
  + Imported Translations from Transifex
  + NVP metadata access - create elevated context once
  + Ensure that lockfile are defined in a common place
  + Fix race condition in dhcp agent
  + NVP metadata access - create elevated context once
  + Imported Translations from Transifex
  + adding parameter to configure QueuePool in SQLAlchemy
  + Fix issues with db pooling
  + Fixing the syntax error in the XML Serializer
  + use the fact that empty sequences are false
  + Imported Translations from Transifex
  + Revert back to 'call' for agent reports
  + Imported Translations from Transifex
  + Raise VipExists exception in case Vip is created or updated for a pool that already has a Vip
  + netns: ip netns exec <name> kill doesn't make sense
* Tue Mar 19 2013 dmueller@suse.com
- add iptables-firewall.filters.patch and temporarily
  comment out the osloconfig/rootwrap merge as it seems
  to have more issues that need fixing first
* Mon Mar 18 2013 dmueller@suse.com
- Update to version 2013.2.a248.g711f949:
  + Merge "Adds delete-orphan to database deletion."
  + Imported Translations from Transifex
  + Imported Translations from Transifex
  + Imported Translations from Transifex
  + Merge "Pin SQLAlchemy to 0.7.x"
  + Merge "Set fake rpc backend impl for TestLinuxBridgeAgent"
  + Merge "Registers root_helper option for test_iptables_firewall"
  + Pin SQLAlchemy to 0.7.x
  + Adds delete-orphan to database deletion.
  + Merge "Do not disable propagate on root logger"
  + Imported Translations from Transifex
  + Do not disable propagate on root logger
  + Registers root_helper option for test_iptables_firewall
  + Resolves ryu plugin unittest errors
  + Imported Translations from Transifex
  + Sync latest Oslo components for updated copyright.
  + Merge "drop rfc.sh"
  + drop rfc.sh
  + Replace "OpenStack LLC" with "OpenStack Foundation"
  + sync Oslo Grizzly stable branch with Quantum
  + Merge "Switch to final 1.1.0 oslo.config release"
  + Merge "First havana commit."
  + First havana commit.
  + Switch to final 1.1.0 oslo.config release
  + Set fake rpc backend impl for TestLinuxBridgeAgent
  +
* Mon Mar 18 2013 speilicke@suse.com
- Drop +git.$TIMESTAMP.$COMMITHASH version suffix
* Mon Mar 18 2013 berendt@b1-systems.de
- introduced sysconfig file to be able to specify the location
  of the plugin configuration used in several init scripts
* Sun Mar 17 2013 dmueller@suse.com
- Update to version 2013.1.a229.g3299621+git.1363520020.3299621:
  + Add l3 db migration for plugins which did not support in folsom
  + remove references to netstack in setup.py
  + port_security migration does not migrate data
  + Ensure port get works when NVP mapping not stored in Quantum DB
  + Imported Translations from Transifex
  + Switch to final 1.1.0 oslo.config release
  + sync Oslo Grizzly stable branch with Quantum
  + Replace "OpenStack LLC" with "OpenStack Foundation"
  + drop rfc.sh
  + Sync latest Oslo components for updated copyright.
* Fri Mar 15 2013 dmueller@suse.com
- add 0001-Use-exec_dirs-for-rootwrap-commands.patch:
  * use exec_dirs for rootwrap configuration
- drop iptables-firewall.filters.patch:
  * obsoleted by above patch
- Add requires to openvswitch
* Fri Mar 15 2013 berendt@b1-systems.de
- added noreplace to configuration files to not overwrite them
  when updating the packages
* Thu Mar 14 2013 berendt@b1-systems.de
- iptables-firewall.filters.patch added to adapt the
  locations of the iptables binaries in the configuration
  quantum/rootwrap.d/iptables-firewall.filters
* Thu Mar 14 2013 berendt@b1-systems.de
- use $PLUGIN_ARGS in openstack-quantum-plugin.init as arguments
  for the service to be started
* Thu Mar 14 2013 berendt@b1-systems.de
- added init script for metadata-agent
- fixed wrong SED statement for replacing __NAME__ in the init
  script template
* Thu Mar 14 2013 berendt@b1-systems.de
- added missing requirement python-novaclient to python-quantum
* Wed Mar 13 2013 berendt@b1-systems.de
- added missing %%config parameters
* Wed Mar 13 2013 cloud-devel@suse.de
- Update to version 2013.1.a213.gd20a1f3+git.1363133414.d20a1f3:
  + Imported Translations from Transifex
  + Update oslo rpc libraries
  + Updates latest OSLO changes
  + Adds Grizzly migration revision
  + Fix detection of deleted networks in DHCP agent.
* Tue Mar 12 2013 dmueller@suse.com
- add sqlalchemy-update.diff:
  * make it compatible with sqlalchemy 0.7.10
* Tue Mar 12 2013 dmueller@suse.com
- python-oslo-config -> python-oslo.config
* Tue Mar 12 2013 cloud-devel@suse.de
- Update to version 2013.1.a204.g6b9ce70+git.1363046681.6b9ce70:
  + Sets default MySql engine to InnoDB
  + Solve branch in migration path
* Mon Mar 11 2013 dmueller@suse.com
- Add lbaas-agent subpackage
- Update to version 2013.1.a201.g6e9fe5d+git.1363001602.6e9fe5d:
  + Add midonet to setup.py
  + Add password secret to brocade plugin
  + Limit chain name to 28 characters
  + Latest common updates
  + Imported Translations from Transifex
  + Add default state_path to quantum.conf
  + Fixes import reorder nits
  + Enables packetfilter ext in NEC plugin based on its driver config
  + Set default api_extensions_path for NEC plugin
  + Use testtools instead of unittest or unittest2.
  + Make sure all db accesses use subtransaction
  + Remove network type validation from provider networks extension
  + Fix NVP plugin not notifying metadata access network to DHCP agent
  + Fetch all pages when listing NVP Nat Rules
  + Enable multiple L3 GW services on NVP plugin
  + Imported Translations from Transifex
  + Limit amount of fixed ips per port
  + Port update with existing ip_address only causes exception
  + Add scheduling feature basing on agent management extension
  + NVP Router: Do no perfom SNAT on E-W traffic
  + Fix retrieval of shared networks
  + NVP plugin support for dhcp network scheduling
  + create a Quantum port to reserve VIP address
  + Imported Translations from Transifex
  + Bump python-quantumclient version to 2.1.2
  + LBaaS Agent Reference Implementation
  + Remove deprecated assertEquals alias.
  + Enabled add gateway to refrain from checking exit code
  + Remove compat cfg wrapper
  + Add session persistence support to LBaaS HAProxy driver
  + Add stats reporting to HAProxy namespace driver
  + Imported Translations from Transifex
  + Use db model hook to filter external network
  + mock quantum.agent.common.config.setup_logging
  + Ensure max length of iptables chain name w/o prefix is up to 11 chars.
  + Cisco plugin support for creating ports without instances
  + fix update_port to get tenant_id from db rather than request
  + Replace direct tempfile usage with a fixture.
  + Unpin PasteDeploy dependency version
  + Imported Translations from Transifex
  + Move network schedule to first port creation.
  + Host route to metadata server with Bigswitch/Floodlight Plugin
  + Imported Translations from Transifex
  + Set fake rpc implementation in metaplugin test configuration.
  + enable linuxbridge for agent scheduler
  + NEC plugin support for dhcp network and router scheduling
  + Change the default l3_agent_manager to L3NATAgent
  + Prevent exception with VIP deletion
  + Add initial testr support.
  + Imported Translations from Transifex
  + Enable HA proxy to work with fedora
  + Incorrect argument in calling post_json
  + Allow DHCP and L3 agents to choose if they should report state
  + Include health monitors expected codes upper bound into HAProxy config
  + Add UT for LBaaS HAProxy driver
  + Avoid sending names longer than 40 character to NVP
  + Pin pep8 to 1.3.3
  + move cisco-specific extensions to Cisco extensions directory
  + Imported Translations from Transifex
  + L3 port delete prevention: do not raise if no IP on port
  + Fixes linuxbridge agent downs with tap device deletion timing issue
  + Rename source_(group_id/ip_prefix) to remote_(group_id/ip_prefix)
  + Setup device alias by device flavor information.
  + Delete DATABASE option checkup testcases
  + Prevent DoS through XML entity expansion
  + fix incorrect pathname
  + Imported Translations from Transifex
  + Add common test base class to hold common things.
  + Switch to oslo.config.
  + Make run_tests.sh pep8 conf match tox.
  + Fix syntax error in credential.py and missing __init__.py
  + Populate default explicit allow rules for egress
  + fix mis-matched kwargs for a few calls to NvpPluginException
  + Moved the configuration variables.
  + Load quota resources dynamically
  + Imported Translations from Transifex
  + Notify creation or deletion of dhcp port for security group
  + Show default configuration Quotas
  + isolated network metadata does not work with nvp plugin
  + NVP plugin: configure metadata network only if overlapping IPs are enabled
  + Lock tables for update on allocation/deletion
  + Imported Translations from Transifex
  + add ns-metadata-proxy rootwrap filters to dhcp.filters
  + Create quantum client for each api request in metadata agent
  + Allow probe-create to specify device_owner.
  + Enable handling the report_state RPC call in Brocade Plugin
  + Wrap quota controller with resource.Resource
  + Fix exception typo
  + Add explicit egress rules to nvp security profile
  + Update to Quantum Client 2.2.0
  + Imported Translations from Transifex
  + Filter out router ports without IPs when gathering router sync data
  + Do not delete subnets with IPs on router interfaces
  + Disable secgroup extension when Noop Firewall driver is used
  + Ensure metadata access network does not prevent router deletion
  + NVP plugin: return 409 if wrong router interface info on remove
  + Imported Translations from Transifex
  + Log the configuration options for metadata-proxy and agent.
  + Fix typo
  + Fixes Hyper-V agent issue with mixed network types
  + Imported Translations from Transifex
  + missing - in --config-file
  + Update tox.ini to support RHEL 6.x.
* Mon Mar  4 2013 vuntz@suse.com
- Add python-keystoneclient Requires in python-quantum: for some
  reason, the dependency never got added.
* Tue Feb 26 2013 tpaszkowski@suse.com
- bash3 on SLE11 dosne't support associative arrays. agent init scripts
  generation uses plain arrays.
* Mon Feb 25 2013 tpaszkowski@suse.com
- fix typo within python-oslo-config requirement
* Mon Feb 25 2013 cloud-devel@suse.de
- Update to version 2013.1.a21.gbec2549+git.1361815086.bec2549:
  + Imported Translations from Transifex
  + Add pagination parameters for extension extraroute
* Mon Feb 25 2013 dmueller@suse.com
- also run DB migrations during start
* Mon Feb 25 2013 tpaszkowski@suse.com
- agent startup script set agent specific configuration file
- added depency on oslo-config
- improved logrotate config file
* Mon Feb 25 2013 dmueller@suse.com
- Install init scripts for the quantum plugins
- Change requires to prereq to ensure that the quantum user
  is already created
- Configure log_dir properly
* Sun Feb 24 2013 dmueller@suse.com
- Update to version 2013.1.a18.g9435203+git.1361731757.9435203:
  + Add an update option to run_tests.sh
  + Add routed-service-insertion
  + Imported Translations from Transifex
  + Metadata support for NVP plugin
  + Add unit test for ryu-agent
  + Modify dhcp agent for agent management extension
  + Exit if DHCP agent interface_driver is not defined
  + Improve error handling when nvp and quantum are out of sync
  + Support Port Binding Extension in BigSwitch plugin
  + Update latest OSLO files
  + Supporting pagination in api v2.0
  + Add Quantum support for NVP Layer-2 gateways
  + Raising error if invalid attribute passed in.
  + Routing table configuration support on L3
  + plugin/nec: Make sure resources on OFC is globally unique.
  + Implement MidoNet Quantum Plugin
  + Add support Quantum Security Groups for Ryu plugin
  + Resolve branches in db migration scripts to G-3 release
  + Add check-nvp-config utility
  + Sync latest install_venv_common.py with olso
  + Add pagination support for xml
  + Correct permissions on quantum-hyperv-agent
  + Close file descriptors when executing sub-processes
  + Imported Translations from Transifex
  + Imported Translations from Transifex
  + Provide a default api_extensions_path for nvp_plugin
  + Imported Translations from Transifex
  + AttributeError: No such RPC function 'report_state'
  + refactor LoadBalancerPluginDbTestCase setUp()
  + Imported Translations from Transifex
  + Remove external_id and security group proxy code
* Fri Feb 22 2013 saschpe@suse.de
- BuildRequire openstack-suse-macros instead of openstack-common-macros
* Mon Feb 18 2013 cloud-devel@suse.de
- Update to version 2013.1.a571.g4298be0+git.1361180672.4298be0:
  + Add firewall_driver option to linuxbridge_conf.ini
  + L3 API support for nicira plugin
  + Adds API parameters to quantum.api.extension.ResourceExtension
  + Move auth_token configurations to quantum.conf
  + Imported Translations from Transifex
  + Use AssertEqual instead of AssertTrue
  + only destroy single namespace if router_id is set
  + Remove duplicated option state_path from netns cleanup
  + Fix NVP L3 gateway ports admin_state_down on creation
  + Remove cfg option default value and check if missing
  + Unused methods in quantum.wsgi clean up
  + Alembic migration script for Loadbalancing service
  + Add check for subnet update with conflict gateway and allocation_pools
  + Support advanced validation of dictionaries in the API.
  + Synchronize code from oslo
  + Persist updated expiration time
  + Imported Translations from Transifex
  + Support iptables-based security group in NEC plugin
  + Adds Brocade Plugin implementation
  + Add support for extended attributes for extension resources
  + Mark password config options with secret
  + Imported Translations from Transifex
  + PLUMgrid quantum plugin
  + Avoid extra query when overlapping IPs are disabled
  + Allow tests from test_dhcp_agent run independently
  + L3 API support for BigSwitch-FloodLight Plugin
  + Imported Translations from Transifex
  + Fixed the typo of loadbalancer test case.
  + Rename admin_status_up to admin_state_up
  + Update nvplib to use HTTP constants
  + Add unit tests for Open vSwitch Quantum plugin
  + Imported Translations from Transifex
  + Unable to update port as non-admin nvp plugin
  + Allow nicira plugin to handle multiple NVP API versions
  + Add nvp qos extension
  + Shorten the DHCP default resync_interval
  + Use oslo-config-2013.1b3
  + Add Migration for nvp-qos extension
  + Imported Translations from Transifex
  + Decouple helper functions from L3NatDBTestCase
  + Need to pass port['port'] to _get_tenant_id_for_create()
  + Agent management extension
  + Fix SG interface to reflect the reality
* Thu Feb 14 2013 dmueller@suse.com
- Add server, dhcp-agent, l3-agent, linuxbridge-agent,
  metadata-agent, nec-agent, ryu-agent and openvswitch-agent
  subpackages
* Tue Feb 12 2013 dmueller@suse.com
- set default to Linux Bridge plugin
* Mon Feb 11 2013 cloud-devel@suse.de
- Update to version 2013.1.a498.gb6cf408+git.1360595339.b6cf408:
  + add non-routed subnet metadata support
  + Imported Translations from Transifex
  + Implements quantum security groups support on OVS plugin
  + Improvements to API validation logic.
  + fix grammar in NetworkInUse exception
  + Sync latest cfg from oslo-incubator
  + Imported Translations from Transifex
* Fri Feb  8 2013 dmueller@suse.com
- relax kombi and amqplib hardcoded version requires
* Fri Feb  8 2013 cloud-devel@suse.de
- Update to version 2013.1.a487.gab7e653+git.1360319021.ab7e653:
  + Define root_helper variable under the [AGENT] section
  + Imported Translations from Transifex
  + Be smarter when figuring out broadcast address
  + Cisco plugin cleanup follow up commit
  + Allow tools/install_venv_common.py to be run from within the source directory.
  + Use policy_file parameter in quantum.policy
  + Adds xml support for quantum v2 API.
  + Register root_helper in test_debug_commands and test_dhcp_agent
  + Updated to latest oslo-version code.
  + Bad translation from network types to nvp transport types
  + Update .coveragerc
  + Imported Translations from Transifex
  + Fix import error in ryu-agent
  + Add NVP Security group support
  + Imported Translations from Transifex
  + Enable OVS and NETNS utilities to perform logging
* Mon Feb  4 2013 cloud-devel@suse.de
- Update to version 2013.1+git.1359979278.f4b1c5f:
  + Fixes rest of "not in" usage
  + Imported Translations from Transifex
  + Imported Translations from Transifex
  + Imported Translations from Transifex
  + Resetting session persisnence for a VIP.
  + Improve data access method of ryu-agent
  + Fixes 'not in' operator usage
  + Imported Translations from Transifex
  + Adds support of TCP protocol for LBaaS VIPs.
  + Sync latest cfg from oslo-incubator
  + Remove redunant key list generation in Cisco plugin
  + Fixes if statement inefficiency in quantum.agent.linux.interface
  + Imported Translations from Transifex
  + Postgresql ENUM type requires a name exceptions NVP Plugin
  + correct spelling of Notify in classname
  + Disable dhcp_domain distribution when dhcp_domain is empty
  + Make protocol and ethertype case insensitive for security groups
  + Fix branch in db migration scripts
  + Finish adding help strings to all config options in Quantum code.
  + Add NVP port security implementation
  + Imported Translations from Transifex
  + Set default lock_path in state_path
  + Use install_venv_common.py from oslo.
  + Make get_security_groups() return security group rules
  + Fix OVSQuantumAgent.port_update if not admin_state_up
  + Clean up test_extensions.py imports
  + Fixes import order errors
  + OVS cleanup utility removes veth pairs
* Mon Jan 28 2013 dmueller@suse.com
- Update to version 2013.1+git.1359364943.32daf52:
  + Revert "Reqd. core_plugin for plugin agents & show cfg opts loaded."
  + Reqd. core_plugin for plugin agents & show cfg opts loaded.
  + Ensure that correct root helper is used
  + Fix InvalidContentType can't be raised because of error in constructor
  + OVS: update status according to admin_state_up
  + Cisco plugin cleanup
  + Improving code reuse with loadbalancer entity deletion
  + Fix database reconnection
  + Fixes per tenant quota doesn't work
  + Adds port security api extension and base class
  + LinuxBridge: set port status as 'DOWN' on creation
  + LinuxBridge: update status according to admin_state_up
  + Use babel to generate translation file
* Fri Jan 25 2013 saschpe@suse.de
- Ship sudoers configuration for nova-rootwrap. Depends on
  openstack-common-sudo
* Wed Jan 23 2013 cloud-devel@suse.de
- Update to version 2013.1+git.1358959221.6f64997:
  + LBaaS plugin returns unnecessary information for PING and TCP health monitors
  + set allocation_pool_id nullable=False
  + make IPv6 unit test work on systems with eth0
  + Support Port Binding Extension in NEC plugin
  + Enable NEC OpenFlow plugin to use per-tenant quota
  + Enhance wsgi to listen on ipv6 address
  + Fix i18n messages
  + Update Oslo rpc
  + Enforces generic sqlalchemy types in migrations.
  + Remove redudant code
  + Removes redundant code in quantum.api.api_common
  + Fix i18n messages in quantum.api.api_common
  + Completes unittest coverage of quantum.api.api_common
  + Enable test_agent_ovs_cleanup to be run alone
  + Fix i18n messages for cisco plugin
  + Provide atomic database access for ports in linuxbridge plugin
* Wed Jan 23 2013 saschpe@suse.de
- Clean up %%config(noreplace), only logrotate config and *.conf
  files should be noreplace
* Mon Jan 21 2013 dmueller@suse.com
- Update to version 2013.1+git.1358762030.e289125:
  + Add help strings to config file options in Quantum code.
  + Document that code is on github now in README.
  + Config lockutils to use a temp path for tests.
  + Fix downgrade revision to make db migration linear
  + Send notification on router interface create/delete
  + More unittests for quantum.api.v2.base
  + Fixes inefficiency in quantum.api.v2.base._filters
  + Refactor hyperv plugin and agent.
  + Update Oslo rpc module
  + Provide atomic database access nvp plugin
  + _validate_security_groups_on_port was not validating external_ids
  + Update WebOb version to >=1.2
  + Ensure that agents also set control_exchange
  + Add a common test case for Port Binding Extension
  + Fix line endings from CRLF to LF.
  + Fixes import order nits
  + Fix ATTR_NOT_SPECIFIED comparison errors
  + Add migration for network bindings in NVP plugin
  + NEC OpenFlow plugin supports L3 agent RPC
  + Update latest OSLO.
  + Catch up RPC context fixes on NEC OpenFlow plugin
  + ensure all enums in loadbalancer models have names
  + Adding multi switch support to the Cisco Nexus plugin
  + Name the securitygrouprules.direction enum.
  + Adds support for deploying Quantum on Windows
  + Adds a Hyper-V Quantum plugin
  + Add exception validation for subnet used.
* Wed Jan 16 2013 saschpe@suse.de
- Add quantum-test-default-state-path.patch: Our testing state path is
  "/var/lib/openstack-quantum-test", not %%python_sitelib. Thus we
  disable that assertion
* Mon Jan 14 2013 saschpe@suse.de
- Fix %%pre scriptlet
* Mon Jan 14 2013 saschpe@suse.de
- Split out doc package
- Updated requirements
- Dropped py_compile job
* Mon Jan 14 2013 dmueller@suse.com
- Update to version 2013.1+git.1358164870.90747ff:
  + Inform a client if Quantum provides port filtering feature
  + Remove unsused imports in the plugins package
  + DHCP agent unable to access port when restarting
  + Remove unused imports in unit tests
  + Use default_notification_level when notification
  + Latest OSLO updates
  + NvpPluginException mixes err_msg and err_desc
  + Fixes i18n messages in nvp plugin
  + Fixes quantum.api.v2.base._filters to be more intuitive
  + Fix for loadbalancer vips list
  + rename port attribute variable to SECURITYGROUPS from SECURITYGROUP
  + Remove relative imports from NVP plugin
  + Port to argparse based cfg
  + Fix database configuration of ryu-agent
  + Pass X-Forwarded-For header to Nova
  + The change implemented Lbaas CRUD Sqlalchemy operations.
  + Iptables security group implementation for LinuxBridge
  + Update the migration template's default kwargs
  + add migration support for lb security groups
  + Fix import for quantum-db-manage
  + Allow nvp_api to load balance requests
  + API extension and DB support for service types
  + Add migration support to Quantum
  + Remove some unused imports
  + Undo change to require WebOb 1.2.3, instead, require only >=1.0.8
  + Add common support for database configuration
  + Fixup import syntax error in unit test
  + Enable the user to enforce validity of the gateway IP
  + Add comment to indicate bridge names' length
  + refactor QuotaV2 import to match to other exts
  + change xxx_metadata_agent() into xxx_metadata_proxy()
  + Fix the replacement placeholder in string
  + Ensure that exception prints UUID and not pointer.
  + .gitignore cleanup
  + Fixes i18n message for nec plugin
  + Fixes i18n message for ryu plugin
  + Remove unused imports in debug package
  + sql_dbpool_enabled not passed to configured_db nvp_plugin
  + Enable tenants to set non-owned ext network as router gateway
  + Upgrade WebOb to 1.2.3
  + Logging module cleanup
  + Remove unused imports in common package
  + Remove unused imports in rootwrap package
  + Remove unused imports in db package
  + Remove unused imports in api package
  + Provider network implementation for NVP plugin.
  + Remove unused imports in agent package
  + Set default core_plugin to None
  + Ensure that exception prints correct text.
  + Cleans up bulk_body generation in quantum.api.v2.base.prepare_request_body()
  + Exceptions cleanup
  + Readjust try/catch block in quantum.api.v2.base.create()
  + Ensures that the dnsmasq configuration file flag is always set
  + Ensure allocation pools are deleted from database
  + Raise InvalidInput directly instead of catch it
  + Ensure bulk creations have quota validations
  + Correct exception output for subnet deletion when port is used
  + Update the configuration help for the OVS cleanup utility
  + Implementing string representation for model classes
  + Provide "atomic" database access for networks
  + Add OVS cleanup utility
  + Removes redundant code in quantum.api.v2.base.create()
  + Add eventlet db_pool use for mysql
  + Clean up executable modules
  + Fixes import order nits
  + Fix log message for unreferenced variable
  + The patch introduces an API extension for LBaaS service
  + Fix pep8 issues
  + Add tox artifacts to .gitignore
  + Correct i18n messages for bigswitch plugin
  + dhcp_agent.ini, l3_agent.ini: update dhcp/l3_agent.ini
  + Make patch-tun and patch-int configurable
  + Update test_router_list to validate the router returned.
  + Fixed the security group port binding should be automatically
  + Add restproxy.ini to config_path in setup.py.
  + Replaces assertEquals to assertEqual
  + Completes coverage of quantum.api.v2.resource
  + Fixed the unit tests using SQLite do not check foreign keys.
  + dhcp.filters needs ovs_vsctl permission
  + Correct i18n message for nicira plugin
  + Correct i18n message for metaplugin
  + add parent/sub-resource support into Quantum API framework
  + plugins/ryu: l3 agent rpc for Ryu plugin is broken
  + pluins/ryu: Fixes context exception in Ryu plugin
  + DRY for network() and subnet() in test_db_plugin.py
  + Adds validity checks for ethertype and protocol
  + Add script for checking i18n message
  + Update evenlet monkey patch flags.
  + Remove unnecessary port deletion
  + Support to reset dnsname_servers and host_routes to empty
  + Prevent unnecessary database read by l3 agent
  + Correct i18n message for linuxbridge plugin
  + Add router testcases that missing in L3NatDBTestCase
  + Releasing resources of context manager functions if exceptions occur
  + Drop duplicated port_id check in remove_router_interface()
  + Returns more appropriate error when address pool is exhausted
  + Add VIF binding extensions
  + Sort router testcases as group for L3NatDBTestCase
  + Refactor resources listing testcase for test_db_plugin.py
  + l3 agent rpc
  + Fix rootwrap cfg for src installed metadata proxy.
  + Add metadata_agent.ini to config_path in setup.py.
  + add state_path sample back to l3_agent.ini file
  + plugin/ryu: make live-migration work with Ryu plugin
  + Remove __init__.py from bin/ and tools/.
  + Removes unused code in quantum.common
  + Fixes import order nits
  + update state_path default to be the same value
  + Use /usr/bin/ for the metadata proxy in l3.filters
  + prevent deletion of router interface if it is needed by a floating ip
  + Completes coverage of quantum.agent.linux.utils
  + Fixes Rpc related exception in NVP plugin
  + make the DHCP agent use a unique queue name
  + Fixes Context exception in BigSwitch/FloodLight Plugin
  + fix remap of floating-ip within l3-agent polling interval
  + Completes coverage of quantum.agent.rpc.py
  + Completes coverage of quantum.agent.netns_cleanup.py
  + add metadata proxy support for Quantum Networks
  + Make signing dir a subdir in /var/lib/quantum.
  + Use openstack.common.logging in NEC OpenFlow plugin
  + Correct i18n message for api and db module
  + Fixes update router gateway successful with existed floatingip association
  + Fixes order of route entries.
  + fix so cisco plugin db model to not override count methods
  + Use auth_token middleware in keystoneclient.
  + Fixes pep8 nit
  + Make sure we can update when there is no gateway port linked to it
  + Fix syntax error in nvplib
  + Removes quantum.tests.test_api_v2._uuid()
  + Add filters for quantum-debug
  + Removing unnecessary setUp()/tearDown() in SecurityGroupsTestCase
  + Fix exception when security group rule already exists
  + Don't force run_tests.sh pep8 only to use -N.
  + Correct i18n message for ovs plugin
  + Replaces uuid.uuid4 with uuidutils.generate_uuid()
  + Correct i18n message
  + Removes _validate_boolean()
  + Removes quantum.common.utils.str_uuid()
  + Refactors quantum.api.v2.attributes.py
  + Updates tearDown() to release instance objects
  + pass static to argv to quantum-debug config parser
  + Improve openvswitch and linuxbridge agents' parsing of mappings
  + Move extension.py into quantum/api.
  + Ensure that the expiration time for leased IP is updated correctly
  + Fix context problem
  + bug 1057844: improve floating-ip association checks
  + fix broken logic of only using hasattr to check for get_x_counts
  + Prevent router being deleted if it is used by a floating IP
  + Updates clear_db() to unregister models and close session.
  + The change allows loading several service plugins along with core plugin.
  + fix incorrect kwarg param name for region with l3-agent
  + All egress traffic allowed by default should be implied
  + Fix unitest test_router_list with wrong fake return value
  + Delete floating port and floatingip in the same transaction
  + Completes unittest coverage of quantum.api.v2.attributes.py
  + Use DB count to get resource counts.
  + plugin/ryu, linux/interface: remove ryu specific interface driver
  + Allow NVP plugin to use per-tenant quota extension
  + Revert "Put gw_port into router dict result."
  + Ensure that deleted gateway IP address is recycled correctly
  + Ensure that fixed port IP address is in valid allocation range.
  + RESTProxy Plugin for Floodlight and BigSwitch
  + Ensure that mac address is set to namespace side veth end.
  + plugin/ryu: update for ryu update
  + plugin/ryu: add tunnel support
  + Adds tests for attribute._validate_uuid
  + Adds tests to attribute.convert_to_int
  + Adds tests for attributes.is_attr_set
  + Adds test scripts for _validate_string
  + Adds test scripts for _validate_range
  + Part of the patch set that enables VM's to use libvirts bridge type.
  + Remove qpid configuration variables no longer supported
  + Removing unsed code for Cisco Quantum Plugin V1
  + Add QUANTUM_ prefix for env used by quantum-debug
  + Make tox.ini run pep8 checks on bin.
  + Explicitly include versioninfo in tarball.
  + Adds test scripts for _validate_values
  + Clean up quantum.api.v2.validators
  + Add indication when quantum server started.
  + Import lockutils and fileutils from openstack-common
  + Update latest openstack-common code
  + Clean up executable modules
  + Remove nova code from Quantum Cisco Plugin
  + Use isinstance for _validate_boolean
  + Fixes convert_to_boolean logic
  + Updated openstack-common setup and version code.
  + Validate L3 inputs.
  + Treat case when pid is None
  + Fix openssl zombies
  + Ensure that the anyjson version is correct.
  + Add eventlet_backdoor and threadgroup from openstack-common
  + Add loopingcall from openstack-common
  + Added service from openstack-common
  + Sync latest notifier changes from openstack-common
  + Update KillFilter to handle 'deleted' exe's.
  + Pep8 fixes for quantum master.
  + Use _validate_uuid in quantum.plugins.nec.extensions.packetfilter.py
  + Use is_uuid_like in quantum.extensions.securitygroup.py
  + Removes regex validation of UUIDs in dhcp_agent
  + Use uuidutils.is_uuid_like in quantum.extentions.l3
  + Implements _validate_uuid
  + Use uuidutils for uuid validation
  + Drop lxml dependency
  + Testcase of listing collection shouldn't depend on default order of db query
  + Add uuidutils module
  + Log loaded extension messages as INFO not WARNING.
  + db_base_plugin_v2.QuantumDbPluginV2.create_port clean-up
  + Clean-up comments in quantum/db/l3_db.py
  + Import order clean-up
  + let metaplugin work with plugin which has not l3 extension support
  + Ensure that HTTP 400 codes are returned for invalid input
  + Use openstack common log to do logging.
  + Put gw_port into router dict result.
  + Add check for cidr overrapping for adding external gateway
  + Fix unnecessary logging messages during tests
  + support 'send_arp_for_ha' option in l3_agent
  + pin sqlalchemy to 0.7
  + Remove unused metaplugin agents
  + Get subnets of router interfaces with an elevated context.
  + Support external network in probe-create.
  + remove unused modules for linuxbridge/ovs plugin agent
  + Chmod agent/linux/iptables_manager.py
  + Quantum Security Groups API
  + Make create_floatingip support transaction
  + Update policies
  + Notify about router and floating IP usages
  + Fix exception when port status is updated with linux bridge plugin
  + Call iptables without absolute path.
  + Delete the child object via setting the parent's attribute to None.
  + Add unit tests for the ovs quantum agent.
  + Add MTU support to Linux bridge.
  + Correct Intended Audience
  + Add OpenStack trove classifier for PyPI
  + use object directly instead of the foreigh key to update master db object.
  + Remove database access from agents
  + Fix database clear when table does not exist
  + IP subnet validation fixes
  + Update default base database to be V2
  + Update common.
  + add test for create subnet with default gateway and conflict allocation pool
  + Merge OVSVethInterfaceDriver into OVSInterfaceDriver
  + Logging indicates when service starts and terminates
  + Ensures port is not created when database exception occurs
  + Improve unit test times
  + Add control_exchange option to common/config.py
  + Treat invalid namespace call
  + get_network in nvp plugin didn't return subnet information
  + tests/unit/ryu/test_ryu_db: db failure
  + correct nvplib to update device_id
  + Update rpc and notifier libs from openstack.common
  + Add quantum-usage-audit
  + Fix filters default value in get_networks
  + l3_nat_agent was renamed to l3_agent
  + Update vif driver of Ryu plugin
  + Support for several HA RabbitMQ servers.
  + Correct the error message in the Class NoNetworkAvailable
  + Fix flag name for l3 agent external network id
  + clean notification options in quantum.conf.
  + Add log setting options into quantum.conf.
  + Warn about use of overlapping ips in config file
  + Do global CIDR check if overlapping IPs disabled.
  + Fix rootwrap filter for dnsmasq when no namespace is used
  + Add common popen support to the cisco plugin
  + Use sqlite db on file for unit tests
  + Uses a common subprocess popen function
  + remove default value of local_ip in OVS agent
  + Remove a function that is not used
  + all rootwrap filter for 'route', used by l3-agent
  + l3-agent: move check if ext-net bridge exists within daemon loop
  + Add catch-call try/catch within rpc_loop in ovs plugin agent
  + Fix OVS and LB plugins' VLAN allocation table synchronization
  + ZMQ fixes for Quantum from openstack-common
  + Restore SIGPIPE default action for subprocesses
  + Fix for flat network creation in Cisco plugin
  + Removes test desription that is no longer valid
  + Modified code Pyflakes warning.
  + Fix deadlock of Metaplugin
  + remove unittest section for nec plugin README file
  + remove unittest section for ryu plugin README file
  + Fix for DB error in the Cisco plugin
  + modify the wrong phy_brs into phys_brs.
  + NVP plugin missing dhcp rpc callbacks
  + make README point to real v2 API spec
  + README file changes for Cisco plugin
  + fix for nested rootwrap checks with 'ip netns exec'
  + always push down metadata rules for router, not just if gateway exists
  + Removed eval of unchecked strings.
  + Update NVP plugin to Quantum v2.
  + ovs-lib: make db_get_map return empty dict on error
  + Update l3-agent.ini with missing configuration flags
  + Sync a change to rpc from openstack-common.
  + Fix for failing network operations in Cisco plugin
  + add missing files from setup.py
  + Add quantum-nec-agent to bin directory.
  + remove not need shebang line in quantum debug
  + make rootwrap filters path consistent with other openstack project
  + Bump version to 2013.1, open Grizzly
  + Fix lack of L3 support of NEC OpenFlow plugin
  + Add a new interface driver OVSVethInterfaceDriver.
  + Ensure that l3 agent does not crash on restart
  + make subnets attribute of a network read-only
  + Exclude openstack-common from pep8 test
  + Ensures that the Linux Bridge Plugin runs with L3 agent
  + Remove an external port when an error occurs during FIP creation.
  + Remove the exeception handler since it makes no sense.
  + Add enable_tunneling openvswitch configuration variable
  + Create .mailmap file
  + Update default policy for add/remove router interface to admin_or_owner
  + Add periodic check resync check to DHCP agent
  + Update metaplugin with l3 extension update
  + Add DHCP RPC API support to NEC OpenFlow plugin
  + Remove an external interface when router-gateway is removed.
  + openvswitch plugin does not remove inbound unicast flow in br-tun
  + Remove default name for DHCP port.
  + Added policy checks for add interface and remove interface
  + allow multiple l3-agents to run, each with one external gateway net
  + Prevent floating-ip and ex-gateway ports should prevent net deletion
  + fix generation of exception for mismatched floating ip tenant-ids
  + Give better error to client on server 500 error
  + Change 422 error to 400 error
  + Add IP version check for IP address fields.
  + Policies for external networks
  + Add IP commands to rootwrap fileter for OVS agent
  + Modified code Pyflakes warning.
  + Modified code Pyflakes warning.
  + Modified code Pyflakes warning.
  + Modified code Pyflakes warning.
  + Modified code Pyflakes warning.
  + Modified code Pyflakes warning.
  + Modified code Pyflakes warning.
  + Modified code Pyflakes warning.
  + Modified code Pyflakes warning.
  + Fix broken L3 support of Ryu plugin
  + check subnet overlapping when adding interface to router
  + add local network type and use by default for tenant networks
  + Fix data passed to policy engine on update
  + remove incorrect mock assert_called in unit tests
  + Fix dhcp agent rpc exception handling
  + Add missing include for logging when log_config is used
  + Modified code Pyflakes warning.
  + Modified code pyflakes warning.
  + Improve error message when flat network already exists
  + Lower webob dep from v1.2.0 to v1.0.8
  + Allocation pool creation should check if gateway is in subnet
  + Make sure floating IPs  + gateways must be on external nets
  + restart dnsmasq when subnet cidr set changes
  + supress dhcp router opt for subnets with null gw
  + add rootwrap filters to wrap ip netns exec
  + Implements agent for Quantum Networking testing
  + Quantum dhcp crashes if no networks exist
  + Update with latest code from openstack-common (stable/folsom)
  + Fixes undefined variable 'network_type' in OVS agent
  + Create utility to clean-up netns.
  + Fix lack of L3 support of Ryu plugin
  + Ensure that port update set correct tag in OVS
  + ovs_lib unable to parse return when port == -1
  + L3: make use of namespaces by agent configurable
  + Fix error in rule for metadata server dnat
  + Fix programming error of ryu-plugin
  + Ensure network delete is handled by OVS agent
  + Implement L3 support in Metaplugin
  + Fixes agent problem with RPC
  + netns commands should always run in the root ns
  + Add lease expiration management to ip recycling
  + misc L3 fixes.
  + expose openvswitch GRE tunnel_id via provider API
  + Do not transfer ips if there isn't any
  + prevent invalid deletion of ports using by L3 devices
  + Modified code PEP8 warning.
  + Implementation of 2nd phase of provider extension for openswitch
  + Mangle network namespace name used by dhcp_agent
  + Update rootwrap; track changes in nova/cinder
  + remove policy check for host_routes in update_port
  + Ensure proper validation for l3 API attributes
  + Cisco nexus sub-plugin update_network fix
  + Fix dhcp option distribution by dnsmasq
  + fix bug where network owned resources block delete
  + Plugin aware extensions should also be reset at each test setup
  + Ensure network connectivity for linuxbridge flat network.
  + Execute unit tests for Cisco plugin with Quantum tests
  + prevent OVS + LB plugins from clearing device_id and device_owner
  + updated outdated comments in base v2 plugin class
  + clear db._ENGINE for each plugin init in Metaplugin
  + Enable tox to run OVS plugin unit tests
  + Allow tox to run plugin specific unit tests
  + fixes cisco nexus plugin delete network issue
  + Fix Metainterface driver with namespace
  + Add lease expiration script support for dnsmasq
  + Remove 'verbose' API capability
  + PEP8 issues fixed
  + removed some unused global variable
  + Update TESTING file
  + Typo fix in quantum: existant => existent
  + Add DHCP RPC API support to Ryu plugin
  + Run core unit tests for each plugin
  + OVS plugin tunnel bridges never learn
  + Add nosehtmloutput as a test dependency.
  + fix typo in OVS plugin from recent bugfix
  + enable router deletion logic in l3-agent
  + Enable users to list subnets on shared networks
  + Fix IP allocation on shared networks ports.
  + Move metaplugin test for common test directory
  + Enable DHCP agent to work with plugin when L2 agents use DB polling
  + fix associating a floating IP during floating IP creation.
  + Ensure that LB agent does not terminate if interface already exists in bridge
  + Treat exceptions when invoking ovs-vsctl
  + Remove v1.0 and v1.1 API from version info.
  + Get OVS port details from port ID
  + Fix undefined variables.
  + Fixing unit test failures in Cisco plugin
  + fix netns delete so that it works when a ns is set
  + Linuxbridge support for L3 agent
  + Fix exception message for bulk create failure.
  + quantum l3 + floating IP support
  + Add missing conversion specifiers in exception messages.
  + Use a common constant for the port/network 'status' value
  + Remove unused variable
  + Log message missing parameter causes exception
  + Update README for v2 API.
  + Fix flavor extension based on new attribute extension spec
  + Update the Nicira NVP plugin to support the v2 Quantum API
  + Enhancements to Cisco v2 meta-plugin
  + Add model support for DHCP lease expiration
  + Trivial openvswitch plugin cleanup.
  + Convert DHCP from polling to RPC
  + Add quota per-tenant.
  + Reset device owner when port on agent is down
  + Allow extra config files in unit tests
  + Fix visual indentation for PEP8 conformance.
  + Updates pip requirements
  + NEC OpenFlow plugin support.
  + Enables Cisco NXOS to configure multiple ports
  + Implementation of second phase of provider extension.
  + deal with parent_id not in target.
  + remove old gflags config code
  + convert query string according to attr map.
  + Add device_owner attribute to port
  + implementation for bug 1008180
  + Fix bulk create operations and make them atomic.
  + Make sure that there's a way of creating a subnet without a gateway
  + Update latest openstack files
  + improve test_db_plugin so it can be leveraged by extension tests
  + Adds the 'public network' concept to Quantum
  + RPC support for OVS Plugin and Agent
  + Initial implemention of MetaPlugin
  + Make dhcp agent configurable for namespace
  + Linux Agent improvements for L3
  + In some cases device check causes an exception
  + normalize the json output of show a given extension.
  + move the correct veth into the netns for the LB
  + linux bridge fixes following v1 code removal.
  + fixes typo in ensure_namespace
  + Remove v1 code from quantum-server
  + Add netns to support overlapping address ranges
  + dhcp-agent: Ryu plugin support for dhcp agent
  + fix missing deallocation of gateway ip
  + RPC support for Linux Bridge Plugin and Agent
  + Implementation of bp per-net-dhcp-enable
  + Enhance Base MAC validation
  + Use function registration for policy checks
  + Exempt openstack-common from pep8 check
  + Make 4th octet of mac_range configurable.
  + Replace openvswitch plugin's VlanMap with vlan_ids DB table.
  + Remove unused properties
  + Notification for network/subnet/port create/delete/update.
  + Make the plugin for test_db_plugin configurable
  + update DHCP agent to work with linuxbridge plug-in
  + ryu/plugin, agent: unbreak 610017c460b85e1b7d11327d050972bb03fcc0c3
  + Add classmethod decorator to class methods of providervlan ext.
  + Only delete VLAN information after Quantum network is deleted
  + Make quantum pipeline configurable from quantum.conf.
  + ovs_quantum_plugin should use reconnect_interval in common conf.
  + add name into port and subnet.
  + Update openvswitch tunnel unittest
  + Enable agents and plugins to use the same configuration file.
  + Fix linuxbridge agent tests
  + Update openstack-common files.
  + Initial V2 implementation of provider extension.
  + Implements data-driven views and extended attributes.
  + Add v2 API support for the Cisco plugin
  + Enhance V2 validations to work better for integers and booleans
  + Refactor the test cases so that all the test cases are under one test class.
  + Add quota features into quantum.
  + Assume that subclass validates value of UUID
  + fix bug lp:1025526,update iniparser.py to accept  empty value.
  + Ensures policy file is reloaded only if updated.
  + Provide way to specify id in models_v2
  + Add validity checks to Quantum v2 resources
  + Avoid removal of attributes used by policy engine
  + Raise proper exception if policy file do not exist
  + Introduce files from openstack common.
  + Ensures API v2 router does not load plugin twice
  + ovs-agent exception non-existent ports
  + Ryu plugin support for v2 Quantum API
  + Add option sql_max_retries for database connection.
  + Enable quantum agents to work with global cfg.CONF
  + Create DHCP agent tap device from port ID
  + Fix some syntax errors.
  + fix bug lp:1019230,update rpc from openstack-common.
  + Fix v2 API policy checks when keystone is in use.
  + implement dhcp agent for quantum
  + Corrects imported modules in Cisco and Ryu according to latest nova packages.
  + Validate that network_id in port/subnet POST belong to the same tenant
  + Verify CIDR overlaps among networks' subnets.
  + Address problems with foreign keys with subnet and network deletion
  + Add 'allocation_pools' to Quantum v2 API subnets.
  + Delete IP allocation range for subnet when deleting subnet
  + Fix linux bridge plugin to be consistent with naming rules
  + v2 support for the linux bridge plugin
  + OVS plugin support for v2 Quantum API
  + Check if interface exists in bridge prior to adding.
  + Ensure that subnet_id is on correct network.
  + Use setuptools git plugin for file inclusion.
  + Cisco's unplug_iface refers to non existing exception
  + Implement IP address allocation.
  + Enable user to configure base mac address.
  + Bug #1012418 - quantum agent for OVS does not install properly on Xen XCP
  + Add simple file loggin to ovs_quantum_agent.
  + Fixing pep8 warning messages
  + Network deletion and subnet creation bug fixes
  + Remove paste configuration details to a seperate file.
  + Bug 1015953 - linuxbridge_quantum_agent device_exists() is buggy
  + Reorder imports by full module path
  + Added iptables_manager ( based on openstack/linux_net.py )
  + Unit test and Readme changes related to cisco plugin.
  + Implements the blueprint use-common-cfg for the quantum service.
  + Ensure unique mac address allocation.
  + Add authZ through incorporation of policy checks.
  + Fix additional pep8 issues on Jenkins
  + removed "runthis" and other unused functions from utils.py
  + Linux bridge agents did not work with common linus utils
  + Added vlan range management for OVS plugin
  + Bug #1013967 - Quantum is breaking on tests with pep 1.3
  + Remove wrong base class for l2network_models after v2.0 API
  + Cisco cli cannot find argument action_prefix
  + Use openstack.common.exception
  + Remove unused functions in common/utils.py
  + API v2: mprove validation of post/put, rename few attributes
  + Bug #1000406 - Return value of shell commands is not checked by plugins
  + Fix python2.4 incompatibility
  + Add API v2 support
  + Binaries should report versions.
  + Fix up test running to match jenkins expectation.
  + Add build_sphinx options.
  + Remove unused imports
  + Quantum should use openstack.common.jsonutils
  + Remove hardcoded version for pep8 from tools/test-requires
  + AuthN support for Quantum
  + fix bug lp:1007557,remove unused functions in utils.py.
  + Add common dir for shared agent code, add OVS lib.
  + Bug #1007153
  + Register enable_tunneling as bool opt.
  + Quantum should use openstack.common.importutils
  + PEP8 fixes
  + Bug #1002605
  + Automatically determine Quantum version from source
  + Fix linux bridge section name
  + Remove the reference to non existing exception by linuxbridgeplugin.
  + bug #1006281
  + Parse linuxbridge plugins using openstack.common.cfg
  + Bug #1004584
  + fix some pylint warnings.
  + fix errors in database test cases.
  + Log the exception so app loading issues can be debuged
  + remove unneeded import from OVS agent that break 2.4 compat
  + blueprint man-support and fix documentation build
  + Fix print error for linux bridge bindings
  + Add HACKING.rst to tarball generation
  + fall back to `ip link` when `ip tuntap` unavailable
  + Cisco plugin CLI call to quantumclient CLI
  + Calling Super method from QuantumPortAwareScheduler.__init__
  + OVS plugin: add tunnel ips to central database
  + Include AUTHORS in release package.
  + blueprint database-common
  + bug 996163
  + Bug #994758
  + Change Resource.__call__() to not leak internal errors.
  + Let OVSQuantumTunnelAgent sync with database
  + Cleaned up log usage.
  + blueprint agent-db-ha
  + Update codebase for HACKING compliance.
  + Make sample quantum.conf compliant with docs
  + Make ovs Interface option set properly.
  + Removed simplejson from pip-requires.
  + Remove dependency on python-quantumclient
  + Add sphinx to the test build deps.
  + Add HACKING.rst coding style doc
  + return 404 for invalid api version request
  + fix issue with OVS plugin VLAN allocation after a quantum-server restart
  + bug 963152: add a few missing files to sdist tarball
  + API docs: fix typo for network delete
  + Open Folsom
  + Bug #956559
  + plugin/ryu/agent: unbreak a06b316cb47369ef4a2c522f5240fa3f7f529135
  + Fix path to python-quantumclient
  + Split out pip requires and aligned tox file.
  + ryu/nova: catch up d1888a3359345acffd8d0845c137eefd88072112
  + Add root_helper to quantum agents.
  + Fix missing files in sdist package [bug 954906]
  + Fix for bug 921743
  + bug 954538
  + check connection in Listener. refer to Bug #943031
  + fixed incorrect duplicate title
  + Fixed incorrect title for example 3.10
  + Downgraded required version of WebOb to 1.0.8.
  + Bug #949261 Removing nova drivers for Linux Bridge Plugin
  + Remove outdated content from OVS plugin README, point to website instead.
  + add git commit date / sha1 to sphinx html docs
  + more files missing in sdist tarball
  + make sure pip-requires is included in setup.py sdist
  + Introducing the tenant owenrship checks in the Cisco plugin, changes are
  + Fix some plugins that don't check that nets + ports are owned by tenant
  + remove pep8 and strict lxml version from setup.py
  + plugin: introduce ryu plugin
  + bug 934459: pip no longer supports -E
  + Fix bug 940732 stack.sh can't match sql_connection string.
  + Return appropriate error for invalid-port state in create port API.
  + blueprint quantum-ovs-tunnel-agent
  + Initial commit: nvp plugin
  + unittests: setup FLAGS.state_path properly: bug 938637
  + Cleanup the source distribution.
  + Fix ovs config file location
  + blueprint quantum-linux-bridge-plugin
  + Remove quantum CLI console script.
  + Bug 925372: remove deprecated webob attributes
  + bug 923510: avoid querying all ports for non-detail GET Network call.
  + Make tox config work.
  + Pin versions to standard versions.
  + bp/api-filters
  + Split out quantum.client and quantum.common.
  + Quantum was missing depend on lxml.
  + bp/api-error-codes
  + blueprint ovs-portstats
  + Add support for dealing with 501 errors (notimplemented)
  + Improved VlanMap.
  + moving batch config out of quantum-server repo.
  + bug 920299: remove duplicate + outdate README
  + Getting ready for the client split.
  + Removed erroneous print from setup.py
  + Fixes setup scripts for quantum plugins.
  + Base version.py on glance.
  + fix mysql port in sql_connection example...
  + Make the quantum top-level a namespace package.
  + Add __init__.py from plugin to be copied on setup scripts
  + Fix lp bug 897882
  + PEP8 quantum cleanup
  + Install a good version of pip in the venv.
  + Rename .quantum-venv to .venv.
  + Updating Cisco README with instructions on installing the patched ncclient library
  + Remove plugin pip-requires.
  + blueprint refactor-readme-to-manual
  + Bug #890028
  + Implementation of the BP services-insertion-wrapper inside the Cisco Plugin
  + blueprint operational-status-ovs-plugin
  + bug 903580: remove invalid extensions path from quantum.conf
  + Fix for bug 902175
  + Readme Fix
  + blueprint api-framework-essex
  + Fix for bug 900277
  + Fix for bug 900316
  + Modified the Readme for Unit Test Execution Instructions
  + Bug 900093
  + bug #891246: Fix paths in agent Makefile
  + Second round of packaging changes
  + Bug 891705
  + Correcting the plugins classpath in the Quantum README.
  + The relative path for the "ucs_inventory.ini" file has been fixed
  + bug #891267 : for XS, grab iface-id from XAPI directly if needed.
  + Changes to make pip-based tests work with jenkins.
  + Fix for bug 890498
  + Fix for bug 888811
  + Fixing find_config_file after packaging changes
  + Added timeout flag to ovs-vsctl to avoid infinte waiting
  + Add quantum.exceptions path to configed ext paths
  + Fix for Bug #888820 - pip-requires file support for plugins
  + Fixing Cisco plugin after update_* change
  + Fix for bug 888207
  + Fix for bug 877525
  + Bug #875995: Quantum README fixes
  + Change version numbers to be compatible with debian packaging
  + Make the openvswitch plugin tests work again
  + Swich over to update_{net,port} instead of rename_net and set_port_state
  + Added try import to quantum-server and quantum-cli
  + Bug 887706
  + Blueprint authentication-for-quantum
  + blueprint quantum-packaging
  + Moved the initialization of the blade state so that the interfaces which are configured outside of Quantum are also initialized in the blade state.
  + fix minor double-serialization bug in client.py
  + bug #863635: remove vestigial cheetah import from bin/cli
  + Change the ovs plugin create_*() calls to take the kwargs param
  + Changing the log messages in order to be always identified by their sub-packages of origin, and they can even be filtered on that basis
  + Merge changes Ie7acb24a,Ief95b806
  + Add .gitreview config file for gerrit.
  + New tests are being adding to the Diablo code (Cisco L2-Network plugin), and some fixes in the case where the tests were failing.
  + Add the ability to specify multiple extension directories
  + Add code-coverage support to run_tests.sh (lp860160)
  + Change port/net create calls to take an additional kwargs param
  + ovs plugin: Remove reference to set_external_ids.sh
  + fix pep8 issues in Cisco plugin
  + Remove hack for figuring out the vif interface identifier (lp859864)
  + Merge from launchpad quantum/diablo branch:
  + Update openvswitch plugin README
  + Update openvswitch plugin README
  + Get output from run_tests.
  + Add rfc.sh to help with gerrit workflow.
  + merge tyler's unit tests for cisco plugin changes lp845140
  + merge salv's no-cheetah CLI branch lp 842190
  + Merge trunk
  + Addressing Dan's comment on output generator
  + merge sumit's branch for lp837752
  + merge salv's branch for bug834013
  + merge salv's branch for keystone token on client bug838006
  + merge rohit's db test branch: lp838318
  + merge salv fix for bug 841982, fix minor pep8 violation
  + merge salv fix for bug834008
  + Changes to address Salvatore's review comments, removed unnecessary imports, and changed a debug message.
  + changing key names to confirm to api specs
  + Merging latest from lp:quantum
  + Merging lo:~salvatore-orlando/quantum/quantum-api-auth
  + Merge trunk
  + Implementing Dan's suggestion concerning fixing the bug in db api rather than FakePlugin
  + Fixing bad indent
  + syncing diverged branches
  + merging from lp:quantum
  + merging from lp:quantum
  + Updating CLI for not using Cheetah anymore.
  + Fixing the bug in FakePlugin
  + made general exception handling messages consistent
  + Create operation now generate response with status code 202
  + restoring correct default pipeline
  + Mergin from lp:quantum
  + Add information about quantum dependency for nova
  + merge salv's branch to remove dummy plugin
  + Changing communication between UCSM driver to UCSM to HTTPS.
  + Adding CLI usage examlpes to the README.
  + Adding client-side support for Keystone integration
  + Keystone-integrated pipeline should not be default in quantum.conf
  + Removing class DUmmyDataPlugin
  + Removed redundant configuration, and added more comments in the configuration files.
  + Updating the README file.
  + Merge trunk
  + Merging Shweta's test cases for mutliport resource
  + Adding Multinic tests
  + Typo fix in README
  + Merging Sumit's changes including fixes for multinic support, and CLI module for working with extensions.
  + More fixes for multi-nic support.
  + Fixed a bug with plug_interface.
  + Merging from Cisco branch
  + Changes to incorporate earlier review comments, also for multiport resource
  + adding quantum database unit test cases
  + Merging changes from Ying's branch (new mutliport resource).
  + add multiport and exception handling
  + add multiport resource
  + Merging from lp:quantum
  + Avoiding deserializing body multiple times with several parameters
  + merge cisco consolidated plugin changes
  + Test on param_value changes as follows:
  + Merging lp:~salvatore-orlando/quantum/bug834449
  + Merging Ying's changes (minor).
  + fix print statements in novatenant and portprofile
  + merge trunk
  + Merge trunk
  + Minor refactoring
  + Changes to l2network_plugin for create_ports and pylint fixes to cli.py
  + Modified CLI to handle both core and extensions CLI
  + merge trunk
  + lp835216 client lib was not passing in kwargs when creating exceptions
  + lp834694 fix integrity error when deleting network with unattached ports.  Add unit test.
  + Minor fix in delete_port
  + merging changes from cisco consolidated branch
  + Fixes to support multinic.
  + Merging fixes from Sumit's branch for extension API version number and to UCS inventory to associated VIF-ID with ports.
  + Merging from the Cisco branch.
  + adding new api methods using just port_id
  + Fixing the extensions URL to 1.0 and pep8 error.
  + bug fixes to handle multinic
  + Merging Shweta's fix for extensions' test cases (clean up was not happening completely).
  + Adding Network and Port clean up functions for portprofile unit tests
  + Merging from lp:quantum
  + Merging Shweta's fixes in the tests for key names changes in the Core API
  + make CLI show_port command display interface-id, add additional test case
  + merge salvatore's new cli code
  + Dictionary key values changes in test_extension
  + Merging lp:quantum, resolving conflict.
  + merge two pep8 branch
  + Merging Ying's pep8 fixes.
  + fix pep8 issues
  + Merging quantum trunk.
  + fix pep8 warnings
  + Updating common/extensions.py in order not to instantiate a QuantumManager when retrieving plugin
  + Cleaning pep8
  + Merging lp:~danwent/quantum/lp834491
  + Addressing comments from Dan
  + Merging from quantum.
  + merge cisco extensions branch
  + lp834491: change plugin to work with API code after the API alignment merge
  + Merging Shweta's fixes to the test cases for the extensions.
  + Added Extension & ucs driver test changes and fixes
  + Merging from Sumit's branch, changes to VIF-driver and Scheduler; extension action names have been changed in response to Salvatore's review comments in the extensions branch review.
  + Merge from Cisco branch and changes to scheduler/vif-driver.
  + Syncing with Cisco extensions branch.
  + Merging changes from Sumit's branch.
  + Changes qos description to string; changes extension API names for get_host and get_instance_port
  + Mergin Ying's branch.
  + change get_host and get_instance_port function name
  + Cleaning (removing) unused code..hooray ! fixes for extension tests
  + Merge trunk
  + Sorting correctly all imports for the Nexus Driver and Unit Test
  + Fixed the Unit Test for Nexus Driver
  + add cisco_faults under l2network package.
  + move faults/exceptions to l2network package,
  + Merging from Sumit's branch, import ordering related changes.
  + Changing the order of imports (to satisfy convention).
  + Merging the Cisco branch.
  + Updating README according to Somik's comment
  + Finishing cli work
  + Completing Unit Tests
  + Merging lp:~salvatore-orlando/quantum/quantum-api-alignment
  + Configuration of multiple VLANs on the same Nexus Switch Interfaces
  + Adding unit test for rename_network
  + Added logging to syslog or file specified at command line
  + Merging from Sumit's branch.
  + Fixed some bugs with credential and qos resources; also fixed l2network_single_blade
  + Merging Rohit's changes.
  + helper function to get creds based on name
  + integration with l2network_plugin.py
  + fixing relative import in nexus_db.py
  + putting in db support for creds and qos
  + merge latest quantum branch and resolve conflicts
  + Merging lp:~asomya/quantum/lp833163
  + Addressing Somik's comment.
  + Templated output for CLI completed!
  + PEP8 fixes for setup.py
  + delete quantum/common/test_lib.py to prepare for quantum merge
  + Made changes according to reviewer's comments.
  + Merging changes from Sumit's branch.
  + Merge trunk
  + Merge trunk
  + Merging lp:~cisco-openstack/quantum/802dot1qbh-vifdriver-scheduler
  + Merging lp:~cisco-openstack/quantum/l2network-plugin-persistence
  + Fixed a bug in the initialization of the UCS inventory; fixed another bug in deleting a port.
  + Noticed some pep8 errors, fixed them.
  + Merging lp:quantum
  + Changes to incorporate reviwer's comments. Also changed client.py to handle extension URLs.
  + Review Changes
  + remove unnecessary code and sync faults and exception handling
  + Code changed base on Reviews
  + merging with lp:quantum
  + merging from lp:quantum
  + Fixes based on review comments
  + Addressing comments from Ziad and Somik
  + merge lp:~bgh/quantum/lp837174
  + Fix unit test printing (lp837174)
  + Fixing issue in view builders concerning attachment identifiers
  + Code clean up as per reviewr's request; documentation strings, unused code, etc.
  + Rewording of the README file to clarify the use of the SSh port
  + clean up code and fix some comments
  + clean code and fix some comments.
  + Merging from Sumit's latest branch - Fixed loading of Nexus DB tables; moved imports to l2nework_db.py; Refactoring of code to generalize inventory handling (enhancement).
  + Fixed loading of Nexus DB tables; moved imports to l2nework_db.py, changes discussed & approved by Rohit.
  + Making Keystone version configurable
  + Accidentally took quantum.conf out of branch.
  + Merge trunk
  + Merging lp:~raxnetworking/quantum/bug827272
  + Merging branch: lp:~danwent/quantum/test-refactor
  + Removing "excess" file
  + Missed adding a file earlier, fixed a small issue.
  + Refactoring of code to generalize inventory handling (enhancement).
  + Merging UCS inventory state initialization fix from Sumit's branch.
  + Fixes an issue with loading the UCS inventory when a dynamic nic has been used outside of Quantum.
  + Removed obsolete instructions from README.
  + Changes to reflect the new features (mutli-blade, multi-chassis support).
  + Changes to support calls from VIF Driver and Scheduler.
  + Pep8, pylint fixes.
  + fixing pep8 error
  + adding helper function for port binding model
  + UCS inventore persistence and pep8/pylint fixes.
  + UCS persistence fixes.
  + added new columns to models for ucs plugin multi blade support
  + Merging rohit's UCS persistence support.
  + UCS plugin persistence.
  + Persistence support for UCS plugin network.
  + adding utility functions to create dictionaries
  + Merging changes from Rohit's branch.
  + Merging changes from cisco extensions.
  + added ucs plugin related execptions in cisco_exceptions.py
  + Adding some error checks.
  + Reduced excessive logging.
  + Several fixes to initial version.
  + fixing the the test_database.py tests
  + Merge Shweta's new propose. Chnage profile-id ot profile_id
  + pylint and pep8 fixes.
  + Merge with Cisco branch
  + Change profile-id
  + merged Shweta's branch for ext test. Minor fix for review comments.
  + Merge with the Cisco Branch
  + Review Changes
  + merged Shweta's ext test branch
  + Initial commit with lots of changes.
  + Moved the conf file uncer the cisco directory
  + Moved the conf file uncer the cisco directory
  + Updated conf file
  + Adding Entension API unt tests
  + Syncing with lp:quantum
  + Code refactored, made changes are per reviwer's suggestions.
  + sync up with l2network exception handling for extension
  + merged Cisco branch's latest changes
  + Adding changes from Sumit's latest merge
  + merge with  lp:~cisco-openstack/quantum/l2network-plugin-extensions
  + replace exception handler by using cisco_exceptions
  + Raising exceptions in extension resources handling (where missing). Changing exception name to QosNotFound.
  + Changing exception name to QosNotFound.
  + Mergin from Cisco branch.
  + Raising exceptions in extension resources handling (where missing).
  + Merging fixes to client side exception handling. Thanks lp:tylesmit !
  + Merging fixes and changes batch-config script. Thanks lp:danwent !
  + Adding the Nexus support to the Persistence Framwork
  + added nexus exception in cisco_exceptions.py
  + add plugins.ini back
  + add all conf/*.ini back
  + merge with ying's branch
  + merging with Ying's extension branch
  + remove ying's test ciscoplugin
  + remove all configuration files
  + remove cisco_demo and test_scripts directory, which were used by our local tests
  + Removed concatenation per review comments.
  + change the configuration files to the default values
  + pylint and pep8 fix
  + merging with ~cisco-openstack/quantum/l2network-plugin-extensions
  + fix pylint issuses
  + Making keystone integration optional in quantum configuration
  + Merge trunk
  + Merging bug fix for Bug 821733. Thanks lp:salvatore-orlando !
  + Fixing typo
  + Making the client raise the appropriate exception if needed.  Also increasing the pylint score to above 8.
  + pep8 error fixed for l2network_db.py
  + Mering Sumit's branch with plugin support for Credentials, QoS, NovaTenant resources. Also merging latest from lp:~cisco-openstack/quantum/l2network-plugin-persistence
  + Merging from Sumit's branch, VIF-driver and Quantum-aware scheduler.
  + Removed extra spaces to satisfy pep8.
  + VIF driver for 802.1qbh and Quantum aware scheduler.
  + fix some pylint issues
  + Pylint and pep8 fixes.
  + Changes to support credentials, qos, and novatenant extensions.
  + Removing unused error response codes
  + Merging lp:~asomya/quantum/lp824145
  + merge trunk
  + Fixed indentation and changed file comments
  + add extension change to ying's branch
  + merge trunk
  + Pulling in changes from lp:quantum.
  + Merging Cisco's contribution to Quantum. Thanks to various folks at Cisco Systems, Quantum will have plugins
  + Merging Shweta's change to fix a function call in the test code.
  + Adding the changed UCS Driver function names in test_ucs_driver.
  + Santhosh/Deepak | Fixed an issue where collection actions for PUT and DELETE methods in resource extension were routing to update and delete action of the resource
  + Merging from Sumit's branch pylint fixes and incorporating review comments.
  + Changes to README file and merging Shweta's changes.
  + Mergin Shweta's test changes, also README file.
  + Changes to test structure. Adding pylint correctons.
  + Fixes to the README file per earlier review comments. Also removed main from one of the modules.
  + Mergin from cisco brach.
  + Merging from lp:quantum.
  + Pulling changes from Cisco branch.
  + Pylint fixes.
  + exit unit tests if tests are invoked specifying a particular test
  + Merging Nexus pylint changes and other enhancements from Edgar.
  + pep8 passed
  + Merging Rohit's changes.
  + Partial commit
  + Moved test_database.py to plugins/cisco/tests/unit/
  + Adding a new file with all the XML snippets to make code easier to read
  + Changes in the README file to incorporate Somik's comments.
  + pylint changes - pylint score for cisco/db folder - 8.27/10
  + Removing extra testing function on Nexus Driver
  + Merging plugin and tests' changes.
  + Fixes to the tests which were breaking, including fixes to the test cases.
  + Merge Rohit's branch with persistence framework fixes.
  + Pulling in changes from Rohit's branch.
  + Pulling in changes from Shweta's branch.
  + Removed main from modules as per review comments.
  + updated README file to include persistence framework setup instructions
  + Adding Persistence unit test
  + Fixed bugs while testing.
  + pep8 errors fixed
  + Merging rohit's changes.
  + Changes to support persistence framework.
  + Merging: lp:~danwent/quantum/client-lib
  + Merging: lp:~tylesmit/quantum/api-client-fix-serialization
  + First, trivial, implementation of authN+authZ
  + fixes from rohit's branch
  + from rohit's branch
  + Adding more templates
  + - Added new tables VlanID to generate ids and maintain usage of vlans
  + Adding missing files to branch
  + Simplifying condition
  + FIxing missing 'output' variable @ line 243 (syntax error)
  + Adding automattic serialization to all requests by moving it to do_request
  + added network and port models similar to quantum with following changes -
  + Authentication with Keystone.
  + Introducting cheetah
  + I'm too tired
  + Stubout work in progress
  + Merging quantum extenions framework into trunk. Thanks rajaram vinkesh, deepak & santhosh for the great work!
  + - added network and port models into the l2network plugin instead of using quantum models
  + Merge from Rohit's branch.
  + lp Bug#824145 : Adding a setup script for quantum.
  + skeleton for cli unit tests
  + merge trunk
  + Merge from the base merge-prop branch (README changes).
  + Removing exceptions as well (previously only API faults were removed)
  + Merge Trunk
  + Merged quantum trunk
  + adding renamed client-lib tests
  + Tiny change to the README file, instructions on how to get ncclient.
  + - Adding setup script.
  + Adding db connection and l2network plugin database modules
  + update CLI to use show instead of list for calls that do not return a list
  + rename client_lib unit tests so it is run by ./run_tests.sh, update tests to handle name changes
  + force batch_config.py to use json, as XML has issues (see bug: 798262)
  + update batch_config.py to use new client lib, hooray for deleting code
  + Changed to default plugin class name.
  + Rajaram/Vinkesh | Added examples of scoping extension alias in request and action extension
  + Added tests directory to list of modules in the README file.
  + Merge latest from lp:quantum
  + Added "tests" directory to the list modules in the README file.
  + Adding the required build for Nexus support
  + Merging changes addressing Bug # 802772. Thanks lp:danwent !
  + Merging bugfix for Bug 822890 - Added License file for Quantum code distribution.
  + Fixed typo in README
  + README file updates (pointer to Nova Cactus branch), and numerous other edits based on Mark's template.
  + L2 Network Plugin Framework merge.
  + Incorporated changes in response to review comments from Ram.
  + Adding Apache Version 2.0 license file. This is the official license agreement under which Quantum code is available to
  + Making a check for the presence of UCS/Nexus plugin (earlier it was not in certain cases). With this change, if the UCS/Nexus plugins are not enabled, the core API tests can be run even on Ubuntu (and RHEL without the requirement of any specific network hardware).
  + Merging test cases from Shwetas' branch, and further modified README file.
  + Merging the test framework from Shweta's branch.
  + decluttering _parse_request_params method for QuantumController
  + Fixing detail action for port collection
  + Adding Unit Test Cases Now
  + Adding Cisco Unit Tests
  + minor enhancements to quantum client-lib
  + RHEL limitation updated.
  + Adding support for expressing format through Content-Type header
  + Changes to enhance L2 network plugin framework.
  + undo unintentional formatting change in run_tests.sh
  + remove unneeded __init__
  + refactoring testing code to support plugin tests
  + Added QuantunPluginBase as the base class for the l2network_plugin.
  + Generalized and put placeholders.
  + another merge
  + pep8 cleanup, restore defaults
  + Added info about ssh conf required for nexus switch.
  + merge
  + remove unneeded tests from ovs_quantum_plugin
  + Nexus plugin classpath was incorrect, fixed it.
  + Merge latest from lp:quantum (via lp:~cisco-openstack/quantum/l2network-plugin).
  + Merge from lp:quantum
  + Edits to reflect conf changes, made it easier to follow.
  + merge heckj's pip-requires fixes
  + Fixed issue with creating new port profiles (one configuration parameter got left out during the migration to the new configuration scheme). Also fixed a bug in the calculation of the profile id.
  + Fixes the broken call to second level of plugins. Renaming will work now.
  + updates to pip-requires for CI
  + Loading of device-specific plugins and drivers is done dynamically by setting configuration.
  + Deepak/Vinkesh | Fixed show action in extension controller to return 404, added example to include namespace in a request extension
  + Merged quantum trunk
  + Santhosh/Vinkesh | Added extension_stubs file
  + Removing extra file in Nexus Driver
  + Removing extra file in Nexus Driver
  + Relabelling API version to 1.0!
  + Cosmetic changes to unit tests for client library.
  + Removed quantum/plugins/cisco/db/ and quantum/cisco_extensions since these will be merged separately.
  + Adding conf directory for configuration files.
  + Fixed pep8 error.
  + Merging changes.
  + Merging changes from lp:quantum
  + Fixed an issue selecting the right port interface and also properly switching off the Nexus Interface
  + Completing API spec alignment
  + Applying fix for bug #814518
  + Adding controller and view builder for attachment resource
  + Merging the port profile client name fix.
  + Earlier fix resulted in a different issue (profile client name, was also being used as profile name, hence breaking).
  + Truncated the port profile client name length to 16 characters (ucsm excepts max 17 chars).
  + Mergin fix for Bug 818321
  + Merging approved OVS plugin configuration change branch.
  + Merging the brand new Quantum-client-library feature.
  + Requests now send the Content-Type in the HTTP request
  + fix broken flush in db.network_destroy, pep8 fixes
  + req/res alignment complete.
  + Vinkesh | Changed import orders according to pep8 recommendations
  + Including a flag to activate the NX-OS driver
  + merging branch for bug802772, which this branch is stacked on top of
  + WIP.
  + Fixing pep8 errors
  + Adding the Nexus OS driver based on the new PlugIn structure
  + fix incorrect handling of duplicate network name, add exception for duplicate network name, and add unit test to confirm detection.
  + WIP
  + Merging lp:quantum updates
  + Fixing syntax issue. I had a 2.7+ style dict comprehension, so I made it 2.6 friendly.
  + Removing a debugging line
  + pep8 fix
  + Fixing API behaviour for throwing 400 error on invalid body.
  + make ovs plugin pay attention to port state
  + persistence of l2network & ucs plugins using mysql
  + Vinkesh/Santhosh | Moved the stub classes in test_extensions to a separate file extension_stubs
  + Merged from trunk
  + bug802772 update exception handling in OVS plugin to use API exceptions.
  + merged the latest changes from plugin-framework branch - revision 39
  + removing a few additional lines that aren't needed once we don't calculate port count
  + Adding a tests directory, this can be used for plugin-specific test cases.
  + also remove line that computes portcount, as it is unneeded now that we don't return it
  + Including copyright info.
  + merge branch for to fix bug817826
  + For the modules to get added, missed in the earlier checkin.
  + remove PortCount attribute of network object, as it is not in the spec and was causing us to hit bug 818321 (note: this commit does not fix the underlyingproblem with xml deserialization, it just makes sure we don't hit it with the existing API code)
  + Changed the directory structure to a more organized one.
  + Merging the latest changes from lp:quantum.
  + change default integration bridge from br100 to br-int to reflect new default for OVS vif-plugging in nova Diablo-3 release
  + fix bug 817826 and similar error in batch_config.py
  + persistence of l2network & ucs plugins using mysql
  + merge Salvatore's api branch with fixes for tests.  Tweaking branch to remove unwanted bin/quantum.py as part of merge
  + Merging in main repo updates
  + Updating to fix some SSL issues
  + Removing extra quantum.py file from source control
  + Apply fix for bug #817813
  + Apply fix for bug #814012
  + Apply fix for bug #814517
  + bug 817813: default provider in plugins.ini accidentally changed.  Changing it back to FakePlugin
  + Changed the param name "network-name" to "net-name" since the Quantum service expects the later.
  + Removing some legacy code from the unit tests
  + Adding unit tests to cover the client library
  + Changing the CLI to use the new client library
  + Adding refactored API Client
  + pep8 fixes
  + fix bug 814012, add unit tests for it
  + Resolving Bug 814517 which caused XML to have extra whitespace.
  + Vinkesh/Santhosh | Removed loading extensions from 'contrib' and fixed an indentation bug while loading extensions
  + Santhosh/Rajaram|modified extensions section in README
  + Rajaram/Santhosh | Added logging to the PluginAwareExtensionManager failures
  + Rajaram/Santhosh|Added plugin interface in foxinsox and Updated README
  + Rajaram/Santhosh|quantum manager loads plugin only once, even though both extension middleware and APIRouter calls it
  + Santhosh/Rajaram|latest merge from quantum and made extensions use options to load plugin
  + Merge changes from lp:quantum
  + Apply fix for bug #797419
  + Re-fixing issues with XML deserialization (changes got lost in merges with trunk)
  + Rajaram/Vinkesh | Plugins advertise which extensions it supports.
  + Merging branch lp:~salvatore-orlando/quantum/bug802892
  + Merging branch lp:~netstack/quantum/quantum-unit-tests
  + Fixing silly pep8 error
  + Merge with quantum-unit-tests
  + doh
  + Restoring quantum_plugin_base to previous state.
  + Vinkesh/Santhosh | Added tests to check the member and collection custom actions of ResourceExtensions
  + Vinkesh/Deepak | Moved plugin related checks in ExtensionManager code to PluginAwareExtensionManager
  + Deepak/Vinkesh | Added an base abstract class which can be inherited by PluginInterface class which defines the contract expected by extension.
  + Vinkesh/Deepak| Added doc and small refactoring
  + Unit tests for API completed
  + Add TESTING document: description and polices for quantum tests
  + Adding more unit tests
  + Deepak/Santhosh | ExtensionManager verifies that plugin implements the interface expected by the extension
  + Santhosh/Deepak | Made supports_extension method optional for plugin, plugin will be loaded only once
  + Merged from quantum trunk
  + Santhosh/deepak| Load extensions supported by plugin
  + add extension code in.(last push does not include this directory.)
  + add api extensions (including portprofiles resources and associate/disassociate actions.)
  + Merge latest from lp:quantum (picking up API framework changes like quantum/manager.py and resource controller changes).
  + Changes to support port-profile extension.
  + Very initial version of the nxos driver .... lets call it ver 0.0.1!
  + Removing code related to functional tests
  + Porting shell script get-vif.sh to python module get-vif.py for cisco ucsm module
  + Merge pep8 changes
  + Required for recognizing the "cisco" package. Missed in the initial checkin.
  + Applying fix for bug #804237
  + minor pep8 fix.
  + Changed some credentials (does not affect functionality).
  + This file is not required.
  + Initial checkin for the L2-Network Plugin with all the associated modules and artifacts.
  + Rajaram/Santosh|misc readablity improvements to extension tests
  + Santosh/Rajaram| added extenstion test to show header extensibility
  + Rajaram/Vinkesh | Added tests to confirm extensions can edit previously uneditable field.
  + removing pep8 errors
  + Added more unit tests for API
  + Now REALLY using in-memory db
  + Adapated plugin infrastructure to allow API to pass options to plugins
  + Fixing error introduced in find_config
  + Removing excess debug line
  + Fixing syntax errors in db/models.py
  + Temporary commit
  + Now loading plugin before setting up routes.
  + Adding unit test
  + Starting implementation of unit tests
  + Removing static data for FakePlugin
  + - Unit tests will use FakePlugin
  + Adding Routes>=1.12.3 to tools/pip-requires
  + Work in progress - just starting
  + ...and again!
  + I hope I get the commit right now
  + removing "quantum" folder as well from etc
  + removing api-paste.ini
  + Addressing comments from Somik
  + Merging dan wendlandt's bugfixes for Bug #800466 and improvements that enable Quantum to seamlessly
  + fix pep8 introduced by trunk merge
  + A small start on unit tests: mostly a proof of concept that contains a test
  + Added some more plugin agnostic tests (attachment and negative tests) and some
  + merge
  + more pep8 goodness
  + Fixing bug #798262
  + refactor batch_config, allow multiple attaches with the empty string
  + Merge: bzr merge lp:~bgh/quantum/bugfixes
  + Fix cut and paste error in api_unplug_iface
  + Fixing bug #798261
  + Merge trunk
  + no-commit
  + Santhosh/Vinkesh | Added extensions framework
  + merge and pep8 cleanup
  + Merging latest changes from parent repo - lp:network-service , Parent repo had approved merge proposal for merging lp:~santhom/network-service/quantum_testing_framework , which has now been merged into lp:network-service
  + Merging pep8 and functional test related changes lp:~santhom/network-service/quantum_testing_framework branch
  + add example to usage string for batch_config.py
  + Bug fixes and clean-up, including supporting libvirt
  + Fix typo in mysql package check
  + Fix typo in mysql package check
  + Adding support for 'detail' action on networks objects
  + README fixes
  + Santhosh/Deepak | Fixed the import issue and config.load_paste_app issue
  + Santhosh/Vinkesh | Fixed all the pep8 violations. Modified the 'req' to 'request' across all the services and wsgi so that it's consistent with other projects
  + Santhosh/Vinkesh | Added the testing framework. Moved the smoketest to tests/functional
  + merged remote README changes
  + Fix cli.py from last merge when it got overwritten
  + Fixing pep8 errors
  + Add dependencies to README and fix whitespace
  + Fix merge indentation errors
  + Merged Brad's ovsplugin code
  + pep8 changes for quantum-framework code pieces.
  + Merge changes from quantum-framework-bgh branch
  + Update Quantum README file with instructions to launch the service and get going.
  + Merge changes from quantum-framework
  + Updated quantum_plugin_base with with return type dataformats as well as exceptions.
  + Added a basic README file and updated Quantum plugin base class with appropriate exceptions.
  + Initial commit of exceptions that are raised by a quantum plugin.
  + Make the wording a little clearer
  + Remove -a option from examples (it no longer exists)
  + Make the API the default
  + Address Dan's review comments
  + Make the manager a little smarter about finding its config file
  + Fix another TODO: remove main function from manager
  + Fix detail_net and list_ports commands
  + Remove get_all_interfaces and fix detail_network commands
  + Initial version of openvswitch plugin
  + * Merged changes from Salvatore's branch - quantum-api-workinprogress
  + Update readme with quantum specific instructions
  + Address some of the remaining TODOs and general cleanup
  + Add headers
  + Initial cut of openvswitch plugin
  + Add database models/functions for ports and networks
  + Print the command list in the help
  + Whitespace fixes
  + Added api functions for the interface commands
  + Initial rework of cli to use the WS api
  + Copy over miniclient from testscripts and port tests.py to use unittest
  + Adding ports.py to source control
  + pep8 fixes (1st batch)
  + First working version of Quantum API
  + Adding views/networks.py to bzr
  + Adding serialization/deserilization for network resources.
  + networks api with final URL structure.
  + Implementing interface with plugin
  + adpating wsgi files
  + Work in progress on network API
  + Adding first files for quantum API
  + Minor fixes: indentation in bin/quantum and fix import in config.py
  + Adding api paste configuration file
  + Removing .pydevproject from version control
  + Branching from quantum-framework
  + Adding flags.py to infrastructure code
  + Move plugin configuration to plugins.ini - a config file.
  + 1) Created a DummDataPlugin in SamplePlugin module.
  + merged salvatore's changes to local branch
  + 1) Added a bare-bones framework for quantum plugins.
  + Fixing pep8 errors
  + adding /bzrignore to precent checking in pyc files and that sort of stuff...
  + Pushing initial started code based on Glance project and infrstructure work done by the melange team.
  + Merging in Shweta's fixes from the review by Sumit
  + Minor Fix in ucs tests
  + Fixing issues discussed in merge prop.  The UCS Inventory clears the DB on teardown.  The multiblade tests now check to see if a port exists in the db before deleting it.  It checks to make sure the UCSInventory is set in the config.
  + Adding UCS inventory tests
  + Merging in latest changes from lp:quantum
  + Merging in Shweta's test changes
  + Ading Ucs db tests
  + Removing excess imports
  + Fixing pep8 errors and pushing pylint score up to 8.57
  + Fix for bug/893663
  + Bug 903684: functions defined twice in utils.py
  + blueprint api-operational-status
  + Adds sqlalchemy support for ovs_quantum_plugin.
  + bug 903581: remove etc/quantum.conf.sample as it is invalid
  + Fixing bug/903829
  + Removing a couple extra lines
  + Adding some tests, fixing some bugs, and making the tearDown correctly remove PortProfiles.
  + Adding author information
  + Removing a negative test until I can figure out how to implement it
  + Removing some negative tests until I can figure out how to implement them
  + Updating tests
  + Fixing port-related calls
  + Adding tests
  + Tweaking other multiblade tests.
  + Updating multiblade create_network test
  + Starting making multi_blade model return data
  + Adding initial multi blade test file from Shubhangi
* Wed Dec 19 2012 saschpe@suse.de
- Move to obs-service-git_tarballs
  + Drop BuildRequires: python-setuptools-git
- Update to version 2012.2.3+git.1355917463.aa50aac:
  + Bump next version to 2012.2.3
  + dhcp.filters needs ovs_vsctl permission
  + Fix rpc control_exchange regression.
  + Bump next version to 2012.2.2
  + Final 2012.2.1 versioning
  + fix remap of floating-ip within l3-agent polling interval
  + Prevent router being deleted if it is used by a floating IP
  + Fixes order of route entries.
  + Use DB count to get resource counts.
  + Make sure we can update when there is no gateway port linked to it
  + Treat case when pid is None
  + Updates tearDown() to release instance objects
  + Ensure that the expiration time for leased IP is updated correctly
  + Part of the patch set that enables VM's to use libvirts bridge type.
  + bug 1057844: improve floating-ip association checks
  + Improve openvswitch and linuxbridge agents' parsing of mappings
  + Updates clear_db() to unregister models and close session.
  + fix incorrect kwarg param name for region with l3-agent
  + Allow NVP plugin to use per-tenant quota extension
  + Ensure that deleted gateway IP address is recycled correctly
  + Ensure that fixed port IP address is in valid allocation range.
  + Delete floating port and floatingip in the same transaction
  + Remove qpid configuration variables no longer supported
  + Update stable with stable oslo (aka common)
  + Add check for cidr overrapping for adding external gateway
  + Validate L3 inputs.
  + Ensure that HTTP 400 codes are returned for invalid input
  + IP subnet validation fixes
  + Update KillFilter to handle 'deleted' exe's.
  + Update vif driver of Ryu plugin
  + Fix exception when port status is updated with linux bridge plugin
  + Delete the child object via setting the parent's attribute to None.
  + Make create_floatingip support transaction
  + Get subnets of router interfaces with an elevated context.
  + Ensure that the SqlSoup import is still supported.
  + Logging indicates when service starts and terminates
  + get_network in nvp plugin didn't return subnet information
  + Fix flag name for l3 agent external network id
  + use object directly instead of the foreigh key to update master db object.
  + remove default value of local_ip in OVS agent
  + Call iptables without absolute path.
  + correct nvplib to update device_id
  + l3_nat_agent was renamed to l3_agent
  + Ensures port is not created when database exception occurs
  + Treat invalid namespace call
  + Set defaultbranch in .gitreview to stable/folsom
  + Restore SIGPIPE default action for subprocesses
* Fri Dec  7 2012 saschpe@suse.de
- Use --install-data=/ to install config files into the correct
  location (instead of %%{_prefix}). Upstream doesn't really use the
  "data_files" directive correctly, but they want to use it in virtual
  environments, thus absolute paths are not helpful in data_file (see
  https://review.openstack.org/#/c/17465/ for reference)
  + Thus drop quantum-data_files_abs_path.patch
* Wed Dec  5 2012 saschpe@suse.de
- Install some configuration files for testsuite
- Added a fix for python-bytecode-inconsistent-mtime
* Wed Dec  5 2012 saschpe@suse.de
- Use @PARENT_TAG@ in _service file to automate versioning
* Tue Dec  4 2012 saschpe@suse.de
- Add quantum-data_files_abs_path.patch: data_files paths should
  be absolute (drop "Fix weird buglet in installer")
* Tue Dec  4 2012 saschpe@suse.de
- Add quantum-manifestin.patch: Add missing config files to
  MANIFEST.in
* Mon Dec  3 2012 saschpe@suse.de
- Move %%restart_on_update-postun into %%postun
- Drop {bin,tools}/__init__.py: Backport of
  https://review.openstack.org/17337
* Fri Nov 23 2012 saschpe@suse.de
- Add "su" option to logrotate script
- Ghost /var/log/run
- Remove runlevel4 and add "restart" command to init script
* Thu Nov 15 2012 saschpe@suse.de
- Use openstack-macros
- Add rpmlintrc
* Fri Nov  9 2012 saschpe@suse.de
- Add more test requirements for which we have packages now:
  + Requires: python-cliff
  + Requires: python-nosehtmloutput
  + Requires: python-nosexcover
* Thu Nov  8 2012 saschpe@suse.de
- Drop from_vcs build flag
* Wed Oct 10 2012 vuntz@suse.com
- Update to version 2012.2 (Folsom):
  + See https://github.com/openstack/quantum/commits/folsom-3
- Set license to Apache-2.0 (SPDX style)
- Buildrequire python-base instead of python-devel:
  + Sufficient for Python-only modules (containing no C/C++ code)
- Move runtime Python module requirements from the base package to
  python-quantum
- Build and install manpages
* Thu Aug 23 2012 cthiel@suse.com
- pre-require pwdutils (bnc#777123)
* Fri Aug  3 2012 ro@suse.de
- (fake changelog entry) submission for RC1
* Wed Jun 27 2012 saschpe@suse.de
- Change versioning scheme to $release+git.$AUTHORDATE.$COMMITREV
- Simplify from_vcs macros
- Consistent package summaries
- Macro cleanup:
  + Package is noarch except for SLE-11
* Tue Jun 12 2012 saschpe@suse.de
- Use 'openstack-quantum' system user instead of 'quantum'. However,
  the service still runs as root
* Thu May 24 2012 jfehlig@suse.com
- Add 'Requires: python >= 2.6.8'
* Mon Jan 30 2012 iartarisi@suse.cz
- changed Group from Devel/Languages/Python to System/Management
- updated sources for the no_from_vcs version
* Wed Jan 25 2012 iartarisi@suse.cz
- quantum has split into quantum (server) and python-quantumclient -
  remove old quantum files
- removed unused macro: python_sitearch
- added a better description
* Tue Jan 10 2012 cfarrell@suse.com
- license update: Apache-2.0 and GPL-3.0+
  Use SPDX syntax and add GPL-3.0+ (aggregation) because of rfc.sh
* Tue Dec 13 2011 vuntz@opensuse.org
- Merge changes to enable build from git:
  + Add from_vcs and no_from_vcs bconds, that can be used in
    addition to the BUILD_FROM_VCS macro to decide what to build.
  + Add some warning to summary of packages is building from VCS.
  + Add python-virtualenv BuildRequires since build system changed,
    and rework the %%install section to work since there install on
    the toplevel setup.py doesn't work anymore.
* Mon Dec  5 2011 prusnak@opensuse.org
- spec cleanup
* Thu Oct 27 2011 cthiel@suse.com
- initial package
